HostMonitor (Detail Info)

This page uses frames, but your browser doesn't support them.


Advanced Network Monitor (HostMonitor)

hmtitle3.gif (3014 bytes) Advanced Host Monitor
Version 4.14
Copyright (c) 2000-2003 KS-Soft
Detail info Details What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy now

Logs & Reports
Detailed information about HostMonitor

RMA for Windows

Q: How much money do you lose while your servers are down?
A: You don't have to lose any! HostMonitor is a system management tool that continuously monitors servers' availability and performance. In the event of network errors, HostMonitor will alert the network administrator (or even correct the problem when possible) before problems get seriously out of hand. This helps protect your company's data and reduces the likelihood of costly network failures.

Intro [image] Test Methods [image] Alert Methods [image] Logs & Reports [image] Features [image] System Requirements [image] Awards [image] Price

HostMonitor monitors your servers!

click mouse to see big picture HostMonitor is a network monitor program. You can create a list of jobs and tests in advance on a "set and forget" basis. Among the many checks it can do, it can monitor any TCP service, ping a host, retrieve an URL, check the available disk space, check integrity of your files and web site, test your SQL servers, check SMTP/POP/IMAP/DNS/LDAP servers, test Windows NT services, monitor CPU Usage, and much more.
HostMonitor checks network servers at regular intervals and takes pre-defined actions if a device does not respond. It can provide a visual and sound warning, send an E-mail message to a mailbox, pager or mobile phone, execute external programs, restart NT services, reboot local or remote computers, dial-up to the network, etc. All these actions allow you to respond to a problem before your users start to complain.

HostMonitor can generate test result log files and reports. HostMonitor provides different log file detail levels and log file formats and can be configured to suit your needs. The highly flexible Report Manager allows you to create and customize reports to your liking in a variety of ways.
Also Advanced Host Monitor package includes a Log Analyzer which can illustrate separate information for each tested host. The Log Analyzer can collect statistical information and show graphs of all request times for specific time periods for all or individual servers. Using the statistical information, an administrator can analyze request times for specific servers over a period of time.

HostMonitor provides system administrators with the benefits of a powerful network monitor at an affordable price. HostMonitor is a network administrator's vigilant assistant. Administrative overhead is reduced as the administrator doesn't need to check servers manually. Network administrator downtime is reduced and user satisfaction improved by the prompt response to server failures.
It is surprisingly easy to install, administer and use. HostMonitor is a system tray program and can be launched at startup or started as a Win32 Interactive Service. It is a "must-have" utility for anyone supporting a range of IT equipment.

What can HostMonitor monitor?
HostMonitor monitors server functions using a variety of methods (37 methods!). It can:

  • use ICMP protocol to ping servers, routers, and other network components;
  • trace route to a specified host;
  • check TCP based services such as News, WhoIs, FTP;
  • check UDP based servers such as TFTP, SNTP, Daytime, etc;
  • use dedicated tests to check NTP, SMTP, POP3, IMAP, DNS, LDAP, RADIUS servers;
  • send a HTTP (HTTPS, FTP, Gopher) request, analyze the result codes and page contents for a specific URL (proxy connections with or without authentication are supported);
  • check UNC path (check availability or check the amount of free space);
  • check free disk space for all your local and shared drives;
  • check folder or file size;
  • count files that correspond to specified parameters;
  • check whether a file (or folder) exists or not;
  • check file integrity (using CRC), locally or over the Web;
  • check log files created by another application;
  • compare two files or search for a text string in a file;
  • test connection to your SQL server (supports Interbase, MS SQL, MySQL, Oracle, PostgreSQL, and Sybase servers);
  • check the availability of an ODBC data source, run an SQL query, and analyze the value of a specified data field in the result set returned
  • check processes;
  • check services (only for Windows NT/2000/XP systems);
  • control local and remote NT Events Logs (Windows NT/2000/XP);
  • check CPU Usage (implemented for Windows NT/2000/XP & Novell Netware)
  • test any devices that support SNMP (Simple Network Management Protocol);
  • use dial-up connection to check remote RAS server;
  • monitor performance counters (Windows NT/2000/XP);
  • and perform custom checks (you can create your own tests using different script languages such as Visual Basic Script or Java Script, or you can create separate exe module to perform test)

By using these monitor types the administrator can know exactly what has happened to a server. If someone hack your site, HostMonitor can detect this before thousands of people see their handiwork on your corporate site.

For different tests you can use different test methods, interval between tests, alert profiles, schedules, list of Master tests, etc. Tests for each host can be temporarily disabled without the need to delete and re-create them. First introduced in HostMonitor v. 3.0, folders help you organize your tests in logical groups presented as a tree-like structure.

More about tests..

How does HostMonitor warn you of failures?

HostMonitor provides different ways (25 methods!) to respond to failed services. Audio and visual notifications can alert people near the machine. E-mail and pager notifications can be used to inform a wider range of remote operators. Some of the actions HostMonitor can take will try to recover from a failure automatically without human intervention. These actions include: Restart service, Reboot local/remote computer, Dial-up to the network, Disconnect dial-up connection, SNMP Set, and more...

Each test can be set up with an individual alert profile, and each alert profile may contain a number of alert actions that can be launched in a predefined order depending on the test results. Here is a list of available actions to kick off in response to a problem:

  • Writing a log-file entry
    •
  • Showing a popup-window on the screen
  • Playing a sound (WAV, MID, RMI files)
  • Creating a report with the status of each host:
    - HTML report for publishing on your HTTP server or for sending with E-Mail notification;
    - WML report you can easily check anywhere using WAP cell phone;
    - DBF report for analyzing ; and
    - Text reports
  • Sending an E-Mail with the problem's data to a mailbox, pager or mobile phone
  • Using a modem to send messages to an alphanumeric or numeric pager (TAP protocol)
  • Sending a message to a pager using Internet connection and SNPP protocol
  • Sending a message through an ICQ web server to the specified ICQ user

  • Stopping, Starting, or Restarting an NT Service on local or remote system
  • Rebooting local or remote computer
  • Logging a record to the Windows Event Log
  • Executing an SQL query against the specified ODBC data source
  • Sending data to the specified host using TCP or UDP protocols
  • Sending data using the Syslog protocol
  • Setting data on the local or remote system using the SNMP protocol
  • Sending a SNMP Trap message to a Management Station
  • Dialing-up to a network
  • Dropping the specified dial-up connection
  • Changing the test interval
  • Executing specific HMScript (e.g. for disabling one group of tests and enabling another, or to import new tests, etc.)
  • Executing external programs (EXE/BAT/etc.)

As an example, suppose you want to implement behavior like this: when some critical service dies, you want the server to automatically reboot. If that does not help, an e-mail should be sent to the on-call technician. If, however, the server remains silent during the next three tests, the network administrator is to be paged until the server is brought back up. Just install HostMonitor and you will see how easy it is to implement the above, or even more sophisticated behavior.

Also, Schedules can be applied to actions the same way they were used for tests. With schedules, actions can be customized per time of the day. For instance, an action profile can be set up to page both the IT manager and the network administrator during regular office hours, and to page the administrator alone the rest of the time, while doing nothing else but writing to the log on weekends.

These timely alerts help to minimize network downtime and keep small problems from snowballing into serious, debilitating network issues.

More about action profiles..

Configurable Log Files, Log Analyzer, Reports

HostMonitor can log test results into a log files with different log file detail levels and log file formats (HTML, Text, or DBF) that can be configured to suit your needs. See example. Starting with version 3.0, HostMonitor can write log information into any ODBC data source.
Details..

HostMonitor can generate reports at regular time intervals and/or when some test changes status. Reports could be in HTML, DBF, WML, or Text formats. The highly flexible Report Manager allows you to create and customize reports to your liking in a variety of ways. Also note that separate groups of tests may contain its own list of reports, and each of the reports may be set up with a launching schedule specific to that group. You can easily check you network from anywhere using a Web browser or your WAP cell phone. Example.

Advanced Host Monitor package includes Log Analyzer. Log Analyzer is a graphical tool that visualizes the log data. It parses the contents of a log file and presents the data as a variety of charts representing different test statistics. Log Analyzer may analyze all types of log files: HTML, Text, and DBF log files. In a second, administrator can get a snap shot of the host performance over a period of days or even months.
Several examples of the reports that were generated by Log analyzer:
Example #1
Example #2
Example #3

HostMonitor includes 4 built-in utilities:

Local Info | - examines the local host and provides information about processor, memory, Winsock data, etc
Trace | - trace the route to a remote host over the network
Telnet client | - telnet client
IP-Monitor | - displays real time charts for TCP, UDP, ICMP In, Out, Error packets

And even more features:

  • HostMonitor is multi-threaded so it can test many hosts simultaneously
  • Simple Setup and Operation: configurations can be easy copied from one computer to another
  • HostMonitor can be started as a Win32 interactive service (under Windows 2000/XP)
  • All parameters (test interval, test method, test schedule, alert profile, etc) may be set independently for each monitored host
  • Command line parameters: you can start several copies of HostMonitor with different parameters
  • The request times for each monitored host can be viewed graphically
  • HostMonitor can import list of tests from a text file
  • Highly intuitive interface makes for easy operation for program users
  • Easy Install / Upgrade / Uninstall program
  • You can order Lifetime updates, in this case you will pay once and receive ALL future updates and releases for FREE

Satellite applications:

In addition to HostMonitor (the core of a whole package) and Log Analyzer an Advanced Host Monitor package has the following auxiliary components:

HML Manager
 HML Manager is a tool, which provides easy and effective manipulation with tests in HML files. HML Manager supports Drag&Drop operations, so that you may move tests from one file to another without a hassle. You may copy or delete hundreds of tests in one click. Folders may be organized and reorganized in any order. Using group operations with tests provides you with a powerful option of changing parameters for hundreds of tests in one time.
Read more about HML Manager...

RMA
RMA is a small application that accepts control requests from HostMonitor. RMA can be installed on a remote systems and runs there as an application or as a Win32 service. Being controlled by a HostMonitor RMA performs tests and sends the results back to the HostMonitor.
Read more about RMA...

RMA Manager
RMA Manager utility is designed to control and manage the array of Remote Monitoring Agents. It allows you to change settings for hundreds of agents installed on remote systems at one time and from one location. Both RMA Manager and HostMonitor are using the same list of Remote Monitor Agents. Working with this list you may select group(s) of agents and then perform the following actions for the whole group:

  • get information about an agent: version, platform, list of tests supported by the agent, list of allowed tests, etc;
  • change agent configuration: change TCP port, timeout, password; enable/disable tests, change different management parameters, etc;
  • reload agent (restart application);
  • force agent to reread settings from its ini file;
  • terminate agent;
  • and even upgrade agent's code remotely.
    Read more about RMA Manager...

    Telnet Service
    This application works like Telnet server and allows you to control HostMonitor remotely using any telnet client. Telnet Service allows you to check brief or detailed status of any test and folder. Also you can disable and enable tests, reset statistics, force tests to execution and even change some parameters of the tests. HM Telnet Service allows you to start or stop monitoring process, enable or disable alerts, change global macro variables, etc.
    Read more about Telnet Service...

    Web Service
    This application works like an HTTP server and provides web interface for HostMonitor. It means you can install Web Service on a local or remote system and check (and control) HostMonitor in real time using a web browser on any computer that is connected to the Internet.
    Web Service allows you to check brief or detailed status of any test and folder. Also you may disable or enable tests, reset statistics and force tests to execution. You will be able to start and stop monitoring, enable and disable alerting, etc.
    Read more about Web Service...

    Replicator
    Although Replicator is a very small application it serves to save you huge amounts of time. Those who have large networks with hundreds of servers will appreciate the ability to replicate a test (i.e. reproduce and apply to...) for an array of systems in almost an instant.
    Read more about Replicator...

    IP-Tools
     Also you can use IP-Tools. IP-Tools is a popular and powerful network tool which provides 17 TCP/IP utilities (for computer diagnostics that help to detect problems on LAN or WAN, detect trojans on your computer or for retrieving various information). This is an indispensable set of tools for anyone who uses Internet and/or Intranet.
    IP-Tools is a separate package, however an Enterprise license for Advanced HostMonitor includes a bonus license for IP-Tools.
    Read more about IP-Tools...

    Minimum system requirements

    • Windows 95 (OSR2), 98, ME, NT 4.0, Windows 2000, or XP
    • Internet Explorer 4.0 or higher
    • Free disk space: from 6 Mb (if you install HostMonitor only) to 12Mb (for all components)
    • Minimum screen resolution: 800 x 600
    Recommended:
    • Windows 2000
    • Internet Explorer 5+
    • Screen resolution: 1024 x 768 or higher

    Awards:
    Rated 5 stars at WebAttack
    Top Shareware:
    Rating 5
    BrotherSoft:
    Rating 5
    SoftPick:
    5 stars award
    Softlandmark:
    Editor's Pick
    ShareUp:
    5 star-rating
    ListSoft:
    ListSoft: BEST
    FileTransit:
    Awarded 5/5 Stars on The File Transit
    SoftList:
    SoftList says: BEST! | SoftList says: BEST !
    SimplytheBest:
    HostMonitor rated | HostMonitor rated "Simply the Best" by STB
    SoftwareSeeker:
    Editor's PICK on SoftwareSeeker.com

    How much does it cost?

    You may download and use Advanced Host Monitor for free within a 30 days trial period. [    Download page]

    Advanced Host Monitor package is available in several licensing options: Lite ($99), Standard ($150), Professional ($250), Enterprise ($350) and Enterprise With Lifetime Updates ($599). You can order by credit card, Switch and Solo debit cards, check/money order or wire transfer order. If you are concerned about submitting your order and/or credit card information online, you may register the Advanced Host Monitor via phone, fax or postal mail.
    Details..


HostMonitor

Actions & Action profiles

HostMonitor provides different ways (23 methods!) to respond to failed services. Audio and visual notifications can alert people near the machine. E-mail and pager notifications can be used to inform a wider range of remote operators. Some of the actions HostMonitor can take will try to recover from a failure automatically without human intervention.

Each test can be set up with an individual action profile, and each action profile may contain a number of alert actions that can be launched in a predefined order depending on the test results. Here is a list of available actions to kick off in response to a problem:

  • Show message
  • Play sound
  • Generate reports
  • Execute external program

  • Send e-mail
  • Send message to alphanumeric pager (TAP protocol)
  • Send message to alphanumeric pager (SNPP protocol)
  • Send message to numeric pager
  • Send message to ICQ

  • Stop service
  • Start service
  • Restart service
  • Remote reboot
  • Local reboot

  • Log Event
  • SQL Query
  • Send data to TCP/UDP port
  • Syslog
  • SNMP Set
  • SNMP Trap

  • Dial-up to network
  • Disconnect dial-up connection

  • Repeat test
  • Change test interval
  • Execute HMS script
Action Profiles

To work with action profiles you can use the Action Profiles dialog. To bring up this dialog use menu Profiles->Action profiles in HostMonitor's main window or appropriate buttons in the Test Properties dialogs.

In the upper part of the dialog you can see a list of Action Profiles and buttons (New, Copy, Rename, Delete) that allow you to modify this list. Each of the Action Profile has 2 sets of actions: «Bad» actions and «Good» actions. The sets of actions and buttons for modifying these actions (Add/Edit/Del) you can find in the lower part of the dialog.

You have to understand difference between actions profile and actions: each test has link to one (only one) of the action profiles, and each of the action profiles may contain a number of actions that can be launched in a predefined order depending on the test results.

Assume action profile has been assigned to the test. In this case every time after test is done and log file was updated HostMonitor performs actions that are assigned in the related list: it uses list of "Good" actions if test has "Good" status, and uses list of "Bad" actions if test has "Bad" status. To determine which actions from the list should be executed and which should not, HostMonitor uses 3 properties that each "standard" action has:

  • Start when [N] consecutive Bad/Good results occur - this parameter determines when to execute the action
  • Repeat - defines the number of repeats of the action if the status of the test was not changed
  • Time restriction - defines time restriction for an action execution
    Also "Good" actions have one more property: Action depends on "bad" one. It allows to start "Good" action only if corresponding "Bad" action was executed.

    For example you want to monitor some important service. In case the service does not respond you want to send an e-mail message to the network administrator and restart the service. If that does not help, "Reboot remote system" action must be executed. If the functionality of the services restored, you want to send a message about this happy event to the administrator. To implement this behavior, create an action profile with four actions (3 "Bad" actions and 1 "Good" action):

    1. "Bad" action: send e-mail
      Condition to start action: standard mode
      Start when: 1 consecutive "bad" result occur
      Retries: 1
    2. "Bad" action: restart service
      Condition to start action: standard mode
      Start when: 1 consecutive "bad" result occur
      Retries: 1
    3. "Bad" action: remote reboot
      Condition to start action: standard mode
      Start when: 2 consecutive "bad" results occur
      Retries: 1
    4. "Good" action: send e-mail
      Condition to start action: standard mode
      Start when: 1 consecutive "good" result occur
      Retries: 1
    In addition to "standard" actions HostMonitor 4+ supports "advanced" actions that allow you to use logical expression as a condition that triggers the alert.

    If you do not specify an action profile for a test, HostMonitor will simply perform check and write down a record to the log file (if the logging is enabled). Also you can disable action profiles execution for all tests, to do so mark "Disable alert reactions" option on Behavior page in the Options dialog.

    Note: In the HostMonitor terminology, "Bad" status means one of the following:
     - "No answer";
    - "Bad";
    - "Bad contents".
    Also for a test with the option "Tread Unknown status as Bad" the following statuses considered as bad:
    - "Unknown host"
    - "Unknown"

    Similarly, "Good" status means either:
    - "Host is alive"
    - "Ok"

    You can modify existing demo profiles or create any number of your own profiles.

    To manipulate with the list of profiles use 4 buttons above listbox with profiles list:

  • New
    Create new profile
  • Copy
    Copy selected profile. This command is convenient if you want to use an existing profile and just slightly change it.
  • Rename
    Change profile's name. You can rename profiles without having to worry that the program will loose the link to an action profile; HostMonitor uses internal IDs that are unique and non-changeable throughout the lifetime of an object.
  • Delete
    Remove selected profile To modify each action profile use buttons located on bottom line of the dialog:
  • Add
    Allow you to add new action into profile
  • Edit
    Bring up Action Properties dialog for editing parameters of the selected action
  • Delete
    Remove selected action
    • Action Properties

    Action properties are defined in the Action Properties dialog. Some properties are common across all action types. However, each type of action has a set of parameters that are specific to the action type. Let's have a look at the common properties first (these parameters located in the upper half of the Action Properties dialog):

    Action name
    The name of the action; HostMonitor auto populates this field with a suggested name based on the type of action; you can change that name to whatever name you want.

    Condition to start action
    There are 3 different types of starting condition:

    1. standard mode
      Standard actions are those actions that are performed by HostMonitor after a test had returned specified result for specified number of times. Following 3 parameters defines when action should be executed:

      Start when N consecutive Bad/Good results occur
      This parameter determines when to execute an action. For example you want to send a message to a network administrator's pager after three unsuccessful tests of the web server consecutively, set this parameter to 3. If you want to start action right after the test status was changed, set parameter to 1.

      Repeat: N times; or until status changes
      Defines the number of repeats of the action if the status of the test was not changed. For example if you want to send an e-mail to a network administrator only once when test status changes, set this parameter to 1. If you need to execute action every time when test failed, set this option to "until status changes".

      Action depends on "bad" one
      This optional parameter is available for "Good" actions only. You can set "Good" action dependable on a "Bad" action. Why do you need it? For example you defined "Bad" action to send an e-mail notification to the network administrator when test fails 3 times consecutively (start when 3 consecutive "Bad" results occur), also you defined «Good» action to send a notification when the test status changes to "Good". What will happen if test fails 1 or 2 times and after this it restores "Good" status? HostMonitor will not send a notification about failure (because test did not fail 3 times) but the program will send notification about restoring "Good" status. To avoid unnecessary "Good" action execution you can mark "Action depends on "bad" one" option and select "Bad" action. In this case HostMonitor will start "Good" action only if corresponding "Bad" action was executed.

      Several examples:

      Example 1: You want a fresh network stats report to be posted on your intranet web server every time the test finds the server to be up and running. This can be done simply by adding the following "Good" action to the action profile:
      Action: Generate reports
      Start when: 1 consecutive "good" result occur
      Retries: until status changes

      Example 2: When some critical service dies, you want the server to automatically reboot. If that does not help, an e-mail should be sent to the on-call technician. If, however, the server remains silent during the next three tests, the network administrator is to be paged until the server is brought back up. To implement this behavior, create an action profile with three "Bad" actions defined like these:

      1. Action: remote reboot
        Start when: 1 consecutive "bad" result occur
        Retries: 1
      2. Action: send e-mail
        Start when: 2 consecutive "bad" results occur
        Retries: 1
      3. Action: send message to pager
        Start when: 5 consecutive "bad" results occur
        Retries: until status changes

    2. advanced mode
      Advanced mode allows you to use logical expression as a condition that triggers the alert action. An alert action is performed when a logical expression of a condition is true. In these expressions you can use:

      • numbers and strings (in quotes). Strings that contain a number plus one of the following unit specificators [ms, Kb, Mb, Gb, %] are compared as numbers, so that '900 Kb' is less than '9 Mb'
      • macro variables related to the current test or to any other test;
      • global macro variables;
      • logical operators [and, or, not, <, >, >=, <=, ==, <>];
      • arithmetic operators div, mod. The value of (x div y) is the value of x divided by y and then rounded in the direction of zero to the nearest integer; 'mod' operator returns the remainder obtained by dividing its operands (in other words, (x mod y) == x - (x div y) * y);
      • parentheses. In complex expressions, common rules of precedence determine the order in which operations are performed:
        Operators | Precedence
        not | first (highest)
        div, mod | second
        <, >, >=, <=, ==, <> Third
        and, or | fourth (lowest)
        An operator with higher precedence is evaluated before an operator with lower precedence, while operators of equal precedence associate to the left. You can use parentheses to override precedence rules. An expression within parentheses is evaluated first and then its result is treated as a single operand.

      Advanced mode is more complicated than standard but is very very flexible. Just several simple examples:
      • '%SimpleStatus%'<>'UP' - action will be executed every time the test is performed and status of the test is not "good";
      • '%Status%'<>'%LastStatus%' - action will be executed every time the test status changes;
      • ('%Status%'=='No answer') and ('%LastStatus%'=='Host is alive') - action will be executed when the test status changes from "Host is alive" to "No answer"
      • ('%SimpleStatus%'=='DOWN') and (%Recurrences%==5) - action will be executed if the fifth attempt of a test in a row fails
      • ('%SimpleStatus%'=='DOWN') and (%Recurrences% mod 3==1) - action will be executed after 1st, 4th, 7th, 10th,, 13th, … consecutive failed test
      • ((%Reply%>200) and (%Reply%<800)) or ('::Main Router::%SimpleStatus%'=='DOWN') - action will be executed when "Reply" value of the test is between 200 and 800 or status of the "Main Router" test is "No answer" or "Bad".

    3. on the schedule
      Unlike standard and advanced actions that are triggered by events related only to the tests, scheduled actions are conformable to the schedule. They also may be triggered by some "global" events (e.g. HostMonitor can start "scheduled" actions when user stops monitoring). There are several places where you can use scheduled actions:

      • The Scheduler itself - a tab in the Options dialog allows you to execute up to 5 alert profiles by a schedule. E.g. HostMonitor may execute one profile every 1 hour and execute another profile every Monday at 21:00;
      • Reports page in the Options dialog: now HostMonitor can execute alert profile after reports were generated;
      • Reports page in the Folder Properties dialog;
      • Statistics page in the Folder Properties dialog: HostMonitor can execute alert profile before resetting the statistics;
      • Pause dialog: HostMonitor can execute alert profiles every time user starts or stops monitoring or when the user enables/disables alerts.
      It is a good idea to create separate action profiles for standard/advanced actions and for scheduled actions.
    Time restriction
    Schedules can be applied to actions the same way they were used for tests. With schedules, actions can be customized per time of the day. For instance, an action profile can be set up to page both the IT manager and the network administrator during regular office hours, and to page the administrator alone the rest of the time, while doing nothing else but writing to the log on weekends. To make this possible, simply check the "Time restriction" option and select an appropriate schedule.

    Macros: You may use special macro variables in a command line to execute an external program, in e-mail's subject line, in the mail templates, etc. For more information, please, refer to Macros section of this document.

     Listed below is information about various action types supported by HostMonitor:

    Show popup window

    Executing this action, HostMonitor will display a popup window with information about state of the test. All settings for this window (position, time to display, etc) may be setup on the "Msg Window" page in the Options dialog.

    See also common action parameters

    Play sound

    This action designed to play a sound file (WAV, MID, etc). In addition to the common action parameters, the «Play sound» action has the following options:

    Sound file
    Specify full path to the sound file or click small button on the right side and select file from the Open File dialog.

    Show WakeUP window and play sound repeatedly
    With this option enabled HostMonitor will display a popup window with information about the event and will play a sound repeatedly until you click "Stop" button.

    Generate reports

    HostMonitor can generate reports in HTML, DBF, WML, and Text formats. If you want to generate reports when some test changes status, add "Generate reports" action into action profile. In addition to common action parameters select one of the options:

    Generate reports for the containing folder
    With this option selected HostMonitor will create reports for the Folder in which the test causing actions are contained. This option useful when you want to assign one action profile to many different tests that located in different Folders. Each test will create reports for its own Folder.

    "Generate reports for .."
    Choose this option and select the Folder from drop-down list if you need to create reports for some specific Folder.

    Recursive mode
    This parameter defines whether HostMonitor includes subfolders to the report or not. Choose one of the following options:
    - Single folder | Include specified folder only (no subfolders)
- Folder & all subfolders | Include specified folder and all descendant subfolders
- Folder & subfolders with inherited settings | Incude specified folder and subfolder which inherit reports' settings from the parent folder

    As you see you do not specify report to generate directly. That is because each Folder contains list of up to 6 reports or Folder can inherit this list from the Parent Folder. For more information about Folders, refer to "TestList & Windows" section of this documentation.
    Also you can use "Execute HMS script" action to generate some specific reports. For more information about Reports, refer to "Log&Reports" section of this documentation.

    Execute external program

    Name of this action tells for it self, it launches specified external application. In addition to the common action parameters it has 2 more parameters:

    Command line
    Specify command line to launch external application. Macro variables may be used in the command line.

    Window mode
    This parameter specifies how the application window will be shown. Choose one of the possible options:
    SW_SHOWNORMAL | - | displays an application window in its original size and position.
SW_HIDE | - | starts application without displaying its window.
SW_MAXIMIZE | - | displays an application window as a maximized window.
SW_MINIMIZE | - | displays an application window as a minimized window.
SW_SHOWMINNOACTIVE | - | displays an application window as a minimized window. The active window remains active.
SW_SHOWNOACTIVATE | - | displays an application window in its original size and position. The active window remains active.

    Send e-mail

    HostMonitor can send e-mail notification (that includes the problem data) to a mailbox, a pager or a mobile phone using any SMTP server. On the Mailer settings page in the Options dialog setup the parameters of your Primary and Backup SMTP servers (address of the server, port, authentication method, login, password, etc).
    In addition to the common action parameters, the «Send e-mail» action has the following parameters:

    From
    Specify the email address of the sender.

    To
    Specify a list of destinations for the mail message. A copy of the message is sent to each of them, and a "To" SMTP header is created containing the destination addresses. More than one destination addresses separating with a semicolon (;) Macro variables are supported in this field.

    Subject
    The subject of the mail message. Macro variables may be used in the subject line.

    Mail template
    Select one of the existing mail templates that will be used as a body of the mail (text) from drop down list or click [image] button to bring up the Mail Templates dialog and create mail template for your preferences. Macro variables are supported in message templates to be substituted with their actual values at the message generation time. Also you can specify a particular character set for your mail templates.

    Attach file
    You can mark this option and select file that will be attached to the message. Enter the path manually or press [image] button to select a file from the Open File dialog.

    Send message to pager (TAP)

    HostMonitor can send message to your alpha-numeric pager(s) using the TAP protocol. For this you need a modem and a phone line connected to the computer. On the Pagers page in Options dialog you can setup general modem settings.
    In addition to the common action parameters, you will need to fill out some information about the paging company and pager of the person you wish to send a message to. These parameters can be different for each action.

    What do you need to know about the paging company of the pager?

    Access Number
    You need to know the paging terminals alphanumeric paging access telephone number. This is the phone number of the modem at the paging company that will receive the message using the TAP protocol. This number is the same for everybody that has a pager from that company. Many carriers will offer 800 numbers - especially the nationwide guys like SkyPage or Mobilcomm. THIS IS DIFFERENT FROM THE PAGER TELEPHONE NUMBER. You may include dashes and commas like any other modem phone number (a comma usually pauses 2 seconds - i.e. 9,444-4444).
    By putting "DIRECT" in this string, the program assumes a direct connection. No dialing takes place and DTR is NEVER dropped. If the phone number is in the format +1 (303) 799-0055 that is called canonical form, the access phone number will be TAPI converted to a dialable number. In this manner you can always send the area code and it will know if it is a local or long distance call. It will also dial the prefix digit (such as 9) to get outside line - etc.

    Password
    Does your paging carrier require a password? Most US companies DO NOT. In this case, the program sends six zeros as the password. This is the standard way of doing it. If you require a special password, define it in this field.

    Max characters per block
    This is the number of characters the paging company allows per message block. This number varies widely from company to company. Some are as small as 60 characters and some are as big as 1000 characters. The norms seem to be 80 and 230 characters per block. You will need to find out this information or learn this through trial and error. If the message you pass is bigger than the character per block limitation, the program automatically splits your message up into multiple blocks, so the recipient gets the entire message. However, he/she does get a different page for each block.

    Parity
    Specifies the parity, data bits, stop bits that the paging company's alpha access port communicates at. In very rare cases the paging terminal require N,8,1 rather than E,7,1.

    What do you need to know about the Pager?

    Pager ID
    The only thing you need to know about the pager is the pager phone number or the Pager ID (Alpha PIN). DO NOT INCLUDE ANY DASHES in this number.

    Mail template
    Select one of the existing mail templates (that will be used for the message generation) from drop down list or click [image] button to bring up the Mail Templates dialog and to create the template for your preferences. Macro variables are supported in message templates to be substituted with their actual values at the message generation time.

    Send message to pager (SNPP)

    This action sends a message to a pager using the SNPP protocol; unlike TAP protocol, which employs the modem, SNPP is built on top of TCP/IP to send messages via an Internet connection.
    In addition to the common action parameters, «Send message to pager (SNPP)» action has the following options:

    PagerID
    Specify the Pager ID (PID) number.

    Mail template
    Select one of the existing mail templates (that will be used for the message generation) from drop down list or click [image] button to bring up the Mail Templates dialog and to create the template for your preferences. Macro variables are supported in message templates to be substituted with their actual values at the message generation time.

    Server
    Specify the name or IP address of the SNPP server.

    Port
    The default SNPP port is 444, but you can specify a non-standard port.

    Login as
    This parameter allows for a session login ID to be specified. It is used to validate the person attempting to access the paging terminal. If this option is disabled, "anonymous" user status is assumed.

    Send message to beeper

    HostMonitor can send messages to "numeric only" pagers (beepers). TAP protocol is not used in these cases. The program simply takes the phone line off-hook, dials the pager phone number, waits specified number of seconds, touch tones the digits to be displayed on the pager and hangs up. This method does not guarantee delivery to the paging company. It just dials and hopes it works.
    In addition to the common action parameters, the «Send message to beeper» action has the following options:

    Beeper #
    Enter the telephone number for the beeper. This is the number on the beeper that people call to touch tone in digits. You may use a comma in the number, the comma tells the modem to wait 2 seconds.

    Delay
    Specify how many seconds to delay from the time the beeper number dialed and the display digits are dialed.

    Send message
    This parameter defines the digits that will appear on the pager. You may use macro variables (e.g. "%StatusID%", "%HostID%", "%CommentID%") and comma (for 2 seconds delay).

    Termination string
    Define the modem command used to terminate a call. Normally, this parameter is empty and HostMonitor uses a "#,H;" to finish the call. The # is normally used when you have finished touch-toning in the digits to send to the pager. The comma tells the modem to wait 2 seconds before hanging up. The "H" tells the modem to hang up when it is done. The semi-colon puts the modem in command mode and sends an OK to the computer when it has finished dialing.

    Setup general paging settings on the Pagers page in Options dialog.

    Send message to ICQ

    Sends a message through an ICQ web server to the specified ICQ user. In addition to the common action parameters, the «Send message to ICQ» action has the following options:

    From (name)
    Specify the name of the sender.

    From (e-mail)
    Specify the email address of the sender.

    To ICQ #
    Specify the ICQ# to whom the message will be sent.

    Subject
    The subject of the message. Macro variables may be used in the subject line.

    Mail template
    Select one of the existing mail templates (that will be used for the message generation) from drop down list or click [image] button to bring up the Mail Templates dialog and create template for your preferences. Macro variables are supported in message templates to be substituted with their actual values at the message generation time.

    Stop service

    Microsoft Windows NT/2000/XP supports an application type known as a service. HostMonitor can stop these applications on local or remote computers (if you have an account with privileges for starting/stopping services).
    In addition to the common action parameters, the «Stop service» action has the following options:

    Computer name
    Provide the name of the target system (the target computer name must be prefixed by "\\") or select the "<local computer>" item to stop the service on a local machine. You may use the "Browse network" button to select a computer from the list. Also you can use macro variables (e.g. %ServiceComp%, %ServiceName%) in this field.

    Service name
    Name of the service to stop. You may select the service from the drop-down list. You can use macro variables in this field as well.

    Parameters
    Parameters string passed to the service.

    Connect as
    To stop a service on remote Windows system you may mark this options and provide a username and a password for a connection to the target computer.

    Start service

    Microsoft Windows NT/2000/XP supports an application type known as a service. HostMonitor can start these applications on local or remote computers (if you have an account with privileges for starting/stopping services).
    In addition to the common action parameters, the «Start service» action has the following options:

    Computer name
    Provide the name of the target system (the target computer name must be prefixed by "\\") or select the "<local computer>" item to start the service on a local machine. You may use the "Browse network" button to select a computer from the list. Also you can use macro variables (e.g. %ServiceComp%, %ServiceName%) in this field.

    Service name
    Name of the service to start. You may select the service from the drop-down list. You can use macro variables in this field as well.

    Parameters
    Parameters string passed to the service.

    Connect as
    To start a service on remote Windows system you may mark this options and provide a username and a password for a connection to the target computer.

    Restart service

    Microsoft Windows NT/2000/XP supports an application type known as a service. HostMonitor can restart these applications on local or remote computers (if you have an account with privileges for starting/stopping services).
    In addition to the common action parameters, the «Restart service» action has the following options:

    Computer name
    Provide the name of the target system (the target computer name must be prefixed by "\\") or select the "<local computer>" item to restart the service on a local machine. You may use the "Browse network" button to select a computer from the list. Also you can use macro variables (e.g. %ServiceComp%, %ServiceName%) in this field.

    Service name
    Name of the service to restart. You may select the service from the drop-down list. You can use macro variables in this field as well.

    Parameters
    Parameters string passed to the service.

    Connect as
    To restart a service on remote Windows system you may mark this options and provide a username and a password for a connection to the target computer.

    Reboot remote system

    HostMonitor can reboot or shut down remote Windows NT/2000/XP system. To shut down a remote computer, the calling process must have the SE_REMOTE_SHUTDOWN_NAME privilege on the target system. By default Administrators have this privilege.
    In addition to the common action parameters, define the following options:

    Computer name
    Provide the name of the target system (the target computer name must be prefixed by "\\"). You may use the "Browse network" button to select a computer from the list. Also you can use macro variables (e.g. %HostAddr%) in this field.

    Message to display
    Provide a message to display on the remote system before shutdown.

    Time to display
    If time is not zero, system displays a dialog box on the specified computer. The dialog box displays the name of the user who called the function, displays the message, and prompts the user to log off. The dialog box beeps when it is created and remains on top of other windows in the system. The dialog box can be moved but not closed. A timer counts down the remaining time before a forced shutdown. If the user logs off, the system shuts down immediately. Otherwise, the computer is shut down when the timer expires.
    If you set time to zero, the computer shuts down without displaying the dialog box.

    Method
    Select one of the 2 options:

  • Reboot - shuts down the system and then reboots.
  • Shutdown - shuts down the system to a point at which it is safe to turn off the power.

    Force processes to terminate
    During a shutdown or reboot operation, applications that are shut down are allowed a specific amount of time to respond to the shutdown request. If the time expires, the system displays a dialog box that allows the user to forcibly shut down the application, to retry the shutdown, or to cancel the shutdown request. If the "Forces processes to terminate" option is enabled, the program sets flag EWX_FORCE and the system always forces applications to close and does not display the dialog box. When this flag is set, the system does not send the WM_QUERYENDSESSION and WM_ENDSESSION messages. This can cause the applications to lose data. Therefore, you should only use this flag in an emergency.

    • Reboot local machine

    HostMonitor can reboot local Windows 9x/ME/NT/2000/XP system. In addition to the common action parameters, choose 1 of 4 reboot Methods:

  • Logout - Shuts down all processes running in the current security context, logs the user off.
  • Reboot - Shuts down the system and then reboots.
  • Shutdown - Shuts down the system to a point at which it is safe to turn off the power.
  • Poweroff - Shuts down the system and turns off the power. The system must support the power-off feature.

    Force processes to terminate
    During a shutdown or log-off operation, applications that are shut down are allowed a specific amount of time to respond to the shutdown request. If the time expires, the system displays a dialog box that allows the user to forcibly shut down the application, to retry the shutdown, or to cancel the shutdown request. If the "Forces processes to terminate" option is enabled, the program sets flag EWX_FORCE and the system always forces applications to close and does not display the dialog box. When this flag is set, the system does not send the WM_QUERYENDSESSION and WM_ENDSESSION messages. This can cause the applications to lose data. Therefore, you should only use this flag in an emergency.
    When you reboot a local Windows 2000/XP system HostMonitor uses another flag: EWX_FORCEIFHUNG. This flag forces processes to terminate only if they do not respond to the WM_QUERYENDSESSION or WM_ENDSESSION message.

    • Log Event

    Event logging in Microsoft Windows NT/2000/XP provides a standard, centralized way for applications (and the operating system) to record important software and hardware events. The event-logging service stores events from various sources in a single collection called an event log.
    The Log Event action form allows you to add or edit an action that will log a record to the Event Log. Entries in the event log can be viewed with the Event Viewer or used by the other software utilities that perform centralized alerting from the event log.
    In addition to the common action parameters, the "Log Event" action has the following parameters:

    Computer
    The UNC (Universal Naming Convention) name of the server on which the event should be recorded (the target computer name must be prefixed by "\\"). Type the UNC or select the "<local computer>" item. You can use macro variables (e.g. %HostAddr%) in this field.

    Log
    Provide name of the log file. This can be the Application, Security, System log file, or a custom registered log file.

    Event source
    Select source of the events from drop down list. You can use macro variables (e.g. %CommentLine2%) in this field.

    Event type
    Choose type of the event to be logged. This parameter can have one of the following values:

  • Error
  • Warning
  • Information

    Event ID
    Specify event identifier. If you use "HostMonService" as Event Source, use ID within range 2001..2099. This range is reserved for users' messages. HostMonitor does not and will not use IDs from this range.

    Description
    Provide description of the event (this field is optional). You can use macro variables (e.g. %TestName%, %Status%, %Reply%, etc) in this field.

    Connect as
    To log event on the remote system you can mark this option and provide username and password for the connection to the target computer.

    • SQL Query

    Executes an SQL query against the specified ODBC data source. In addition to the common action parameters, the «SQL Query » action has the following parameters:

    ODBC data source
    Choose one of ODBC data sources available on your system.

    Login
    Specify user identifier, if necessary.

    Password
    Specify password, if necessary.

    SQL Query
    Specify SQL query to execute. Macro variables are supported in the query to be substituted with their actual values at the action execution time.

    Timeout
    Specify the number of seconds to wait for a login request to complete.

    Send data to TCP/UDP port

    Sends data to the specified host using TCP or UDP protocol. In addition to the common action parameters, the «Send data to TCP/UDP port» action has the following options:

    Server
    This is the domain name or the IP address of the target host.

    Port
    A valid port number (a value between 1 and 65535) is required for the connection to take place.

    Protocol
    Select the protocol to use: TCP or UDP.

    Init packet (string) to send
    Provide data to send to the host. In this field you can use regular text; macro variables; and sequences formatted %XX where XX is a hexadecimal code of a character (byte). E.g. define this parameter like: «%TestName% %0D%0A %Status% %0D%0A %DateTime%» to send 3 text lines with the information about the test, its status, and current time.

    Wait for answer
    Specify how many seconds HostMonitor should wait for an answer before sending Final packet.

    Final packet (string) to send
    Provide this parameter if you need to send two information packets with the pause between them to the host. The same as for the Init Packet parameter, in this field you can use regular text; macro variables; and sequences formatted %XX where XX is a hexadecimal code of a character (byte).

    For example using this action you can perform HTTP request:
    Server: www.myserver.com
    Port: 80
    Protocol: TCP
    Init packet: GET http://www.myserver.com/cgi-bin/addevent.php?Test=%TestName%&Status=%Status%
    Wait for answer: 0

    Syslog

    This action sends data using the Syslog protocol. Syslog is the standard event logging subsystem for Unix, also you can find Syslog Daemon for Windows (e.g. Kiwi Syslog Daemon). Syslog Daemon receives standard UDP Syslog messages sent from routers, switches, UNIX hosts, HostMonitor, other network devices and can displays the details on screen, log to files, terminal devices, etc. Syslog also allows you to forward log entries to another machine for processing, in this way syslog functions as a distributed error manager.
    In addition to the common action parameters, the «Syslog» action has the following parameters:

    Server
    This is the name or IP address of the Syslog server.

    Port
    The default SNPP port is 514, but you can specify a non-standard port.

    Message
    Provide text message to send. Macro variables are supported in the message to be substituted with their actual values at the action execution time.

    Severity
    Log messages are prioritized by a combination of facility and urgency level. Levels (severity) can be considered various levels of a problem (e.g. warning, error, emergency) whereas facilities are considered to be service areas (e.g. printing, email, network, etc). The levels available are the following:
    - | Emergency | A panic condition. System is unusable.
- | Alert | A condition that should be corrected immediately, such as a corrupted system database.
- | Critical | Critical conditions, e.g., hard device errors.
- | Error | Errors.
- | Warning | Warning messages.
- | Notice | Conditions that are not error conditions, but should possibly be handled specially.
- | Info | Informational messages.
- | Debug | Messages that contain information normally of use only when debugging a program.

    Facility
    Facility is a number that considered as a service area. The various facilities are listed below:
    0 | kernel messages
1 | user-level messages (messages generated by random user processes)
2 | mail system
3 | system daemons
4 | security/authorization messages
5 | messages generated internally by syslogd
6 | line printer subsystem
7 | network news subsystem
8 | UUCP subsystem
9 | clock daemon
10 | security/authorization messages
11 | FTP daemon
12 | NTP subsystem
13 | log audit
14 | log alert
15 | clock daemon
16-23 | reserved for local use

    SNMP Set

    Sets data on the local or remote system using the SNMP protocol. The Simple Network Management Protocol is the Internet standard protocol for exchanging management information between management console applications and managed entities (hosts, routers, bridges, hubs, etc). Using this protocol HostMonitor can change settings of your network devices.
    In addition to the common action parameters, the «SNMP Set» action has the following parameters:

    Agent address
    Provide address of the target system. Specify either a dotted-decimal IP address or a host name that can be resolved to an IP address, an IPX address (in 8.12 notation), or an Ethernet address. You can use macro variables (e.g. %HostAddr%) in this field.

    Community
    Specify the SNMP community name used when communicating with the device specified in the Agent Address parameter. By default on SNMP systems this is "PUBLIC" but it can be different on your systems.

    Timeout
    This is the amount of time in seconds the program will wait for a response from the server before the request fails.

    Retries
    Specify the communications retries count.

    OID
    The name that uniquely identifies the object, the value of which you have to change. For example OID "1.3.6.1.2.1.2.1" represents the number of network interfaces on which system can send/receive IP datagrams; OID "1.3.6.1.2.1.6.9" represents the number of TCP connections for which the current state is either ESTABLISHED or CLOSE-WAIT; etc. To get a list of valid OIDs for your SNMP enabled devices you should contact the vendor of the device. They should be able to give you a MIB file that contains all the OIDs for the device.

    Set value
    Define a new value for the object that HostMonitor has to set (please note some object can be read-only). Use "Get current value" button to retrieve current value of the object.

    SNMP Trap

    Sends a message to the Management Station using the SNMP protocol. The SNMP (Simple Network Management Protocol) is the Internet standard protocol for exchanging management information between management console applications and managed entities (hosts, routers, bridges, hubs, etc).
    In addition to the common action parameters, the "SNMP Trap" action has the following parameters:

    Destination address
    Enter the domain name or IP address of the machine that will receive SNMP Trap messages. This machine should be running a SNMP console in order to receive the trap message. You can use macro variables (e.g. %HostAddr%) in this field.

    Agent address
    Provide IP address of the agent that generated the SNMP Trap. If you keep default value "localhost", HostMonitor will use IP address of the system where it is running. You can use macro variables (e.g. %HostAddr%) in this field.

    Community
    Specify the SNMP community name used for this trap. The default community for most systems is "public". The community string must match the community string used by the SNMP console.

    Enterprise
    Identifies the type of the object causing the trap. You can use macro variables (e.g. %CommentLine1%) in this field.

    Trap type
    Choose one of the generic trap types:

  • Cold Start
  • Warm Start
  • Link Down
  • Link Up
  • Authentication Failure
  • EGP Neighbor Loss
  • Enterprise Specific

    Specific
    If Trap type is Enterprise Specific, provide an ID of the trap.

    MIB OID
    SNMP Trap message can include OID relevant to the message and its value. Define object identifier in this field (object identifier is the name that uniquely identifies the object, e.g. OID "1.3.6.1.2.1.2.1" represents the number of network interfaces on which system can send/receive IP datagrams). You can use macro variables (e.g. %CommentLine2%) in this field.

    MIB Value
    Define an object's value. You can use macro variables (e.g. %CommentLine2%) in this field as well.

    MIB Type
    Choose type of the data. It can be one of the following:
  • NULL
  • INTEGER
  • OCTET STRING
  • OBJECT IDENTIFIER
  • IP ADDRESS
  • UNSIGNED32
  • COUNTER
  • GAUGE32
  • TIMETICKS
  • OPAQUE
  • COUNTER64

    • Dial-up to the network

    This action allows establishing dial-up connection to a network. E.g. HostMonitor can establish backup connection in case of primary channel malfunction. In addition to the common action parameters, the «Dial-up to the network» action has the following options:

    Dial-up connection
    Select from drop down list the remote access entry to establish the connection.

    User name
    Specify the user's name. This parameter is used to authenticate the user's access to the remote access server. If the user name is empty string (""), HostMonitor uses the user name of the current logon context for authentication. For a user-mode application, RAS uses the credentials of the currently logged-on interactive user. For a Win32 service process, RAS uses the credentials associated with the service.

    Password
    Specify the user's password. This parameter is used to authenticate the user's access to the remote access server. If the password is empty string (""), HostMonitor uses the password of the current logon context for authentication. For a user-mode application, RAS uses the credentials of the currently logged-on interactive user. For a Win32 service process, RAS uses the credentials associated with the service.

    Save password
    This option has sense only if Password parameter is not an empty string. Specifies whether to save the password (in the phone-book entry) for the user indicated by User Name parameter or not. If "Save password" option is disabled, the password will be removed. Disabling option is equivalent to checking the "Unsave Password" checkbox in Dial-Up Networking dialog.

    Show dial-up dialog
    With this option enabled HostMonitor will display a popup window when establishing the connection, and will display dial-up process information in it.

    Retries
    Set the number of times the dial-up connection is automatically redialed if the first attempt to connect fails.

    Diconnect dial-up connection

    Purpose of this action is to drop the specified dial-up connection (e.g. in case if the main channel will restore its functioning). In addition to the common action parameters, the «Disconnect from network» action has only one parameter:

    Dial-up connection
    Select from drop down list the remote access connection to terminate.

    Repeat test

    This action simply forces the program to perform the test one more time (not waiting until time of the test interval is elapsed). It does not have any extra parameters except common action parameters.

    This action can be helpful in situations when the condition being checked is not stable. If, for some reason, the accuracy of the test is questionable, you can add this action into alert profile, and take the necessary measures based on the results of the follow-up test.

    Change test interval

    This action allows changing the test time interval. In addition to the common action parameters choose one of the options:

  • Restore original value - restores the original test time interval that was defined by user using Test Propetries dialog
  • Set to HH:MM:SS - set interval to the specific value
  • Set to N% of the current value - increases or decreases the current test time interval by the specified amount of times.
    • Execute HMS script

    This is very flexible action because script file may contain various commands for the program and tests control. In addition to the common action parameters, the «Execute HMS script» action has only one parameter:
    Script file - specify full path to the script file or click small button on right side and select file from the Open File dialog.

    HostMonitor Script file (file extension .HMS) is a text file that contains commands for HostMonitor. You can create and edit script file using any text editor (e.g. notepad). Some examples when this action method can be useful:

    1. Assuming that you have dynamically (real-time) database with list of servers to monitor. When database is changing HostMonitor can reload the list of tests or import new tests automatically. To implement this behavior add test to monitor changes in the database (e.g. "File Integrity" test or "ODBC Query" test), and add "Execute HMS script" action to the action profile that assigned to the test to run a script like:
      ExecuteProgram 10000 c:\database\generator.exe c:\database\database.dbf c:\HostMon\import1.txt
      NewTestList
      ImportFromFile c:\HostMon\import1.txt
      SaveTestList c:\HostMon\temp1.hml

    2. Assuming that you need to monitor 200 web servers in the Internet, but your LAN uses just one router to access to the Internet. Of course if your router goes down, HostMonitor will start hundreds alerts. To avoid unnecessary alerts make next steps:
      - add ping test to check the router;
      - set interval for this test less than intervals for Internet tests (e.g. 30 sec for router and 5 min for each web server);
      - create 2 scripts: one for "Bad" action that will be executed when router will die, another for "Good" action that will be executed when router will restore operability.
      "Bad" script:
      DisableTest _AllTCP
      DisableTest _AllURL
      "Good" script:
      EnableAllTests

      If you use HostMonitor version 3.0 or higher, this is not a topical example. You do not need to disable/enable tests, you can just assign router ping test as a Master test for all web tests.

    HMScript
    HostMonitor Script file (file extension .HMS) is a text file that contains commands for HostMonitor. You can create and edit script file using any text editor (e.g. notepad). Some common rules:
    • You can put only one command in each line
    • Comments: The program ignores all strings with a semicolon (;) as the 1st character
    • Commands: commands are case insensitive (e.g. "LoadTestList" and "LOADTESTLIST" means the same)
    • Parameters: parameters are case sensitive
    • HostMonitor version 3.0 or higher supports macro variables (%HostName%, %Comment%, %Folder%, etc.). Please note:
      - if script is launched as a result of a test performance, the test's parameters are used for macros;
      - if script is launched manually (using menu File->Execute Script), parameters of the selected test are used for the macros (if no test is selected, macros are not translated)
    List of commands:
    Command | Parameter(s) | Description
    - TestList operational commands
    NewTestList | Creates new empty TestList
    LoadTestList | <FileName.HML> | Loads an existing TestList
    AppendTestList | <FileName.HML> | Appends data to the current TestList from a specified HML file
    ImportFromFile <FileName>
    [SkipDuplicates]
    [WriteLog]     		Imports tests from special Text file.
    SkipDuplicates - optional parameter, HostMonitor will skip test when test with the same name already present in the TestList.
    WriteLog - optional parameter, HostMonitor will record to the system log file information about all errors and warnings during the import process.
    SaveTestList | [<FileName>] | Saves the current list using its current or new file name. Parameter is optional when current list was loaded from the file (in this case HostMonitor knows the name of the file). You must specify a name of the file when you have created a new list.
    Note: HostMonitor doesn't save changes when executes script. If you need to save list of tests, use SaveTestList command.
     Examples:
 NewTestList
 LoadTestList    c:\list1.hml
 AppendTestList  c:\list2.hml
 ImportFromFile  c:\import1.txt  SkipDuplicates  WriteLog
 SaveTestList    c:\list3.hml
    - manipulation with tests
    SetCurrentFolder <name of folder>
    | <full path>     		Sets current folder, all following commands from this section (manipulation with tests) will work within specified folder. By default, HostMonitor uses the top folder including all subfolders (in other words, works will whole TestList).
    IncludeSubfolders | yes|no | Defines either to perform operations for the current folder only or to use the folder and all descendant subfolders. By default, HostMonitor works with the specified folder and all descendant subfolders.
    RefreshAll | Checks the status of all tests in the folder (except disabled hosts) immediately, do not wait for the elapse test interval for each test
    ResetAll | Resets statistics for all tests within the folder
    DisableAllTests | Disables all tests in the folder
    EnableAllTests | Enables all tests in the folder
    DisableTest | <TestName> | Disables the specified test
    EnableTest | <TestName> | Enables the specified test
    RefreshTest | <TestName> | Checks the status of the specified test immediately
    ResetTest | <TestName> | Resets statistics for specified test or group of tests
    Note: instead specific TestName you can use following group names (remember, parameters are case sensitive):
      _AllPing        _AllFreeSpace       _AllProcess
  _AllTCP         _AllFolderSize      _AllService
  _AllURL         _AllFileExists      _AllNTLog
  _AllUNC         _AllFileContents    _AllCPU

  _AllInterbase   _AllPostgre         _AllDLL
  _AllMsSQL       _AllSybase          _AllODBC
  _AllMySQL       _AllSNMP            _AllSMTP
  _AllOracle      _AllExternalPrg     _AllPOP3

  _AllIMAP        _AllCountFiles      _AllUDP
  _AllDNS         _AllRAS             _AllNTP
  _AllLDAP        _AllPerfCounter     _AllRadius
  _AllTrace       _AllScript          _AllHTTP

Examples:
  SetCurrentFolder  Root
  IncludeSubfolders yes

  DisableTest  _AllTCP
  EnableTest   _AllPing
  RefreshTest  _AllURL

  RefreshTest  my router
  EnableTest   server1
    SetTestParam <TestName>
    <ParameterName>
    <Value>     		Sets parameters for the specified test or group of tests. ParameterName can be one of the following:
  • timeout
  • username
  • password
  • comment
  • commentlineNN (when NN is number from 1 till 99)
    • ReplaceTestParam <TestName>
    <ParameterName>
    <Curr. value>
    <New value>

    Replaces a value of a given parameter for the specified test or group of tests. Unlike "SetTestParam" command, this one has a selective approach. It changes the value of a parameter only for the tests that have a current value equal to the <Curr. value> argument of the command.
    ParameterName can be one of the following:

  • timeout
  • username
  • password
  • comment
  • commentlineNN (where NN is a number between 1 and 99)
    • Examples:
  SetCurrentFolder   Root\Asia\Ping tests
  IncludeSubFolders  no
  SetTestParam       _AllPing  Timeout        2000
  SetCurrentFolder   Europe
  IncludeSubFolders  yes
  SetTestParam       _AllCPU   UserName       test1
  SetTestParam       _AllCPU   Password       pswd1
  SetTestParam       _AllRAS   Comment        my long ^M multulines ^M comment
  SetTestParam       _AllRAS   CommentLine02  address: 465 Lansdown Ave
  SetTestParam       _AllRAS   CommentLine03  phone: 567-9871
  ReplaceTestParam   _AllTCP   timeout        2000   5000
    - global variable commands
    SetUserVariable <VariableName>
    <VariableValue>     		Sets the value of a variable (if such variable does not exist, creates a new variable)
    SaveUserVariables | Saves changes
    LoadUserVariables | Loads previously saved variables
    - other
    CreateReport "report profile name"
    <target file name>     		Generate the report to the specified file using specified report profile
    StartProgram | <CommandLine> | Starts external program and continue to execute the script (do not wait until external program will terminate)
    ExecuteProgram <TimeToWait>
    <CommandLine>     		Executes external program, waits until external program is terminated, and continues to execute the script. If parameter <TimeToWait> is not equal to 0, HostMonitor will "kill" the external application when the application is not finished within the given timeout (time defined in milliseconds).
    Be careful with this command, HostMonitor stops monitoring when executes external program by this command.
    StopMonitor | Stop monitoring
    StartMonitor | Start monitoring
    QuitMonitor | Quit HostMonitor

    You can find an example of HMS script in HostMonitor's directory 'Examples\', file script1.hms.

    Macros

    When defining some of the alert action's parameters you can use special macro variables. There are 5 groups of macro variables:

    1. variables that represent parameters of the same test that had triggered an action
    2. variables that represent parameters of some explicitly specified test
    3. HostMonitor status related macro variables
    4. user defined variables (also known as global macro variables)
    5. date & time variables

    1. variables that represent parameters of the same test that had triggered an action

      Macro variable | Description
      Test properties
      %TestName% | The name of the test. Has the same value as %HostName%, which has been retained for backward compatibility
      %HostName% | Represents the name of the test (obsolete, retained for backward compatibility. Please, use %TestName% macro instead)
      %HostID% | Represents all numbers in the name of the test. HostMonitor removes all characters from the test's name except decimal numbers and substitutes instead this macro. This macro can be useful when you need to send messages to numeric only pagers (beepers).
      %TestID% | Represents unique ID of the test. TestID is always unique within an HML file
      %Agent% | Represents a name of the remote agent that performs the test, this variable returns the string "HostMonitor" when the test is performed by HostMonitor
      %TestMethod% | Represents short description of a testing method
      %Interval% | The time between two consecutive checks defined for the test
      %ScheduleName% | Name of a schedule assigned to the test
      %AlertProfile% | Name of the action profile
      %AlertThreshold% | Represents condition to set "Bad" status. E.g. for Drive Free Space test this macro will represent minimum limit of free space defined for the test; for TCP test it will display timeout; for CPU Usage test it will show maximum limit for CPU usage value.
      %MasterTest% | Master test name
      %PrivateLog% | The specified private log file name
      %RelatedURL% | Related URL
      %TaskComment% | Test's comment (whole comment, all lines separated by CRLF)
      %CommentLine1% | Represents 1st line of test's comment
      %CommentLine2% | Represents 2nd line of test's comment
      ... ...
      %CommentLine99% | Represents 99th line of test's comment
      %CommentID% | This macro is similar to %HostID%, but uses a test's comment instead the test's name.
      %Folder% | The name of the folder containing the test
      %FullPath% | The full folder path name
      %FolderComment% | Folder's comment (whole comment, all lines separated by CRLF)
      %FCommentLineNN% | Returns a line #NN of a folder`s comment
      %CreatedTime% | The time when the test was created
      %ModifiedTime% | The time when the test was last modified
      Current test state
      %DATE% | Current date
      %TIME% | Current time
      %DateTime% | Current date and time
      %LastTestTime% | Time when the test was last performed
      %Reply% | Represents reply value (depends on the test type, it can be reply time, disk's free space, message from NT Event Log, etc)
      %Status% | Status of the test (text)
      %StatusID% A 2 digits number that represents status of the test
      00- Not Tested
      01- Host is Alive
      02- No Answer
      03- Unknown
      04- Not Resolved
      05- Checking
      06- Resolving
      07- Ok
      08- Bad
      09- Disabled
      10- Bad Contents
      11- WaitForMaster
      12- OutOfSchedule
      %SimpleStatus% This macro can have one of the three text values:
      - "UP" for all good statuses (Host is Alive, Ok);
      - "DOWN" for all bad statuses (No answer, Bad, Bad Contents);
      - "UNKNOWN" if status of the test is Unknown or Not Resolved.
      Previous state
      To explain following variables we need to explain difference between terms "PreviousStatus" and "LastStatus". "PreviousStatus" is status which test had before current status. "LastStatus" is status which test had after previous check. For example for the last 5 probes test had following statuses: #1-Bad, #2-Unknown, #3-Ok, #4-Ok, #5-Ok (current status is #5-Ok). In this case "PreviousStatus" is #2-Unknown but "LastStatus" is #4-Ok.
      %LastStatus% | Status of the test after previous check ("LastStatus")
      %LastReply% | Reply value returned by previous check
      %PreviousStatusTime% | Represents time when "PreviousStatus" was assigned to the test
      %PreviousStatusDuration% | Represents the duration of the "PreviousStatus". Shows time interval in "[X days] HH:MM:SS" format.
      %PreviousStatusDuration_Sec% | Represents the duration of the "PreviousStatus" in seconds.
      Statistical information
      %Recurrences% | The number of consecutive tests resulting in the same status as the current one
      %StatusChangedTime% | The time when the status last changed
      %StatusChangesCnt% | The number of times the status has changed
      %TotalTests% | Overall tests performed
      %TotalTime% | The time the test has been in monitoring
      %FailedCnt% | The number of "Bad" tests
      %PassedCnt% | The number of "Good" tests
      %UnknownCnt% | The number of "Unknown" tests
      %AliveTime% | The overall time the test has had a "Good" status
      %DeadTime% | The overall time the test has had a "Bad" status
      %UnknownTime% | The overall time the test has had an "Unknown" status
      %AliveRatio% | "Good" to overall tests ratio, in percent
      %DeadRatio% | "Bad" to overall tests ratio, in percent
      %UnknownRatio% | "Unknown" to overall tests ratio, in percent
      %AverageReply% | The average value of the results obtained
      %MinReply% | The minimum value of the results obtained
      %MaxReply% | The maximum value of the results obtained
      Test specific macro variables
      %HostAddr% | Represents the host name (or IP address) of the target system for the following tests: Ping, TCP, Oracle, Interbase, MS SQL, MySQL, Sybase, Postgre, Process, Service, NT Log, CPU Usage, SNMP, SMTP, POP, IMAP, DNS, LDAP, UNC
      following variables have sense for "Service" test only, for other tests these macros return an empty string
      %ServiceComp% | The name of the target computer
      %ServiceName% | The name of the service
      following variables have sense for "Trace" test only, for other tests these macros return an empty string
      %TraceBrief% | Route to the host. Contains IP addresses only
      %TraceFull% | Route to the host. Contains hop number, IP address, and reply time for each hop
      following variables have sense for "NT Event Log" test only, they represent parameters of the last "Bad" event detected:
      %NTEventSource% | Event source. Identifies the software that logged the event
      %NTEventComp% | Name of the computer where the event occurred
      %NTEventTime% | Time of the event
      %NTEventType% | Type of the event
      %NTEventID% | Event identifier
      %NTEventText% | Event description
      %NTEventUser% | Represents the user name if an event is attributed to a specific user

    2. variables that represent parameters of some explicitly specified test

      If you want to access the parameters of some specific test (not just the one that had triggered an action), specify the name of a test confined by a double colon (::) in front of the name of the macro variable. E.g. if you want to access "Reply" and "Status" fields of the "Ping Yahoo" test, use the following syntax for the variables: %::Ping Yahoo::Reply%, %::Ping Yahoo::Status%

    3. HostMonitor status related macro variables:

      These variables represent the status of HostMonitor:

      • %MonitorState% this variable may have 2 values: "Monitoring Started" or "Monitoring Stopped"
      • %AlertsState% this variable may have 2 values: "Alerts Enabled" or "Alerts Disabled"

    4. user defined variables (UDV, also known as global macro variables)

      Specifics of user defined variables vs. simple macro variables: macro variables that were described above represent different properties of the tests and you can not change their values directly. Contrary, there are user defined (global) macro variables that can be used in any of the action profiles. This type of variables may be of great use. For example if you have lots of alerts that send e-mails to different mailing lists (one action sends the mail to administrators, another to managers, 3rd action sends notifications to managers and administrators, etc). When some of the e-mail addresses have been changed you will then need to correct these addresses in all profiles that are using them. To avoid this you may define a global variables. Define several variables such as "udv_admingroup = rick@mycompany.com; brand@mycompany.com", "udv_managmentgroup = bob@mycompany.com; john@mycompany.com; kim@mycompany.com", etc and use them as a destination address for the actions: "%udv_admingroup%". Now if any of the e-mail addresses will change, you will have to track this change only in the definition of the variable. This is far more efficient then checking all action profiles that may use the address being changed.

      Global variables are defined in the "User Defined Variables" dialog. This dialog is accessible from the menu "Profiles"->"Global macro variables". To add a new variable to the end of the list go to the last existing line and press Down Arrow key. Press INSERT button to insert a new line. Press CTRL+DEL to remove variable. To edit variable press F2.

      You can also create an HMScript that will modify variables automatically (for example in respond to some event). Moreover, you may change the value(s) of variables remotely through Telnet Service and any telnet client.

      Any name of user defined variable always starts with the prefix "udv_". Even if you will forget to add this prefix to the name HostMonitor will add it automatically. When specifying the name of the variable in action parameter you have to enclose the name in `%`. When HostMonitor performs an action it will substitute the name of the variable by its` current value.
      In the string that represents a value of a UDV you may use the name of another macro variable(s): e.g. date-time variables or test related variables.

    5. date & time variables

      To represent a date or time you may use the following variables:

      %d% - Current day as a number without a leading zero (1-31).
      %dd% - Current day as a number with a leading zero (01-31).
      %ddd% - Current day as an abbreviation (Sun-Sat). HostMonitor uses system's regional settings for abbreviation format.
      %m% - Current month as a number without a leading zero (1-12).
      %mm% - Current month as a number with a leading zero (01-12).
      %mmm% - Current month as an abbreviation (Jan-Dec) using system's regional settings.
      %yy% - Current year as a two-digit number (00-99).
      %yyyy% - Current year as a four-digit number (0000-9999).

    This table illustrates where you can use macro variables:

    Action | Macros applicable | Action parameters where macros are applicable
Show message | No |
Play sound | No |
Generate reports | No |
Execute external program | Yes | Command line
Send e-mail (SMTP) | Yes | Address of the sender Destination address Subject Message template
Send message to pager (TAP) | Yes | Message template
Send message to pager (SNPP) | Yes | Message template
Send message to beeper | Yes | Message line
Send message to ICQ | Yes | Subject Message template
Stop/Start/Restart service | Yes | Computer name Service name
Remote reboot | Yes | Computer name
Local reboot | No |
Log Event | Yes | Computer name Event source Event description
SQL Query | Yes | SQL Query
Send data to TCP/UDP port | Yes | Init packet Final packet
Syslog | Yes | Message
SNMP Set | Yes | Agent address
SNMP Trap | Yes | Destination address Agent address Enterprise MIB OID MIB Value
Dial-up to the network | No |
Disconnect dial-up connection | No |
Repeat test | No |
Change test interval | No |
Execute HMS script | Yes | In the HMS script file

    E.g. message template for pager notification can look like: "Hi admin, now %datetime% host %TestName% changes status to %status%. Your monitor."


Advanced Network Monitor

Web Service Telnet Service HostMonitor Actions Log Analyzer RMA Manager RMA for Windows RMA for UNIX RMA for UNIX RMA for Windows test methods test methods


HostMonitor

Comment popup dialog

Use this dialog when you need to enter big multi-line comment.
In the status bar, in reports, in the Test Detail Area HostMonitor will display only 1st comment line. However using macro variables you can access whole comment or any of its lines. Macro %TaskComment% represents whole comment, all lines separated by CRLF (0x13,0x10). To access to a specific line use macro type %CommentLineX% where X is number of the line.

You can enter as many comment lines as you need. To add a new line to the end of the list go to the last existing line and press Down Arrow button. To insert new line press INSERT button. To remove line press CTRL+DEL. To edit line press F2.


HostMonitor report

HostMonitor`s Log File (generated by KS-Soft HostMonitor)
Start generated 24/08/2000 15:00:00

Host | Status | Reply time | Test time | Test method
[25/08/2000 00:46:29] Monitor start
C:\ | Bad | 538Mb | 25/08/2000 00:46:30 | Drive space
E:\ | Ok | 5912Mb | 25/08/2000 00:46:31 | Drive space
F:\ | Ok | 1368Mb | 25/08/2000 00:46:32 | Drive space
ftp.microsoft.com | Host is alive | 1291ms | 25/08/2000 00:46:34 | TCP (port - 21)
www.microsoft.com | No answer |  | 25/08/2000 00:47:21 | ping (timeout - 4000 ms)
www.microsoft.com | Host is alive | 280ms | 25/08/2000 00:47:23 | TCP (port - 80)
\test | Ok |  | 25/08/2000 00:47:25 | File not exists
www.altavista.com | Host is alive | 220ms | 25/08/2000 00:47:28 | ping (timeout - 4000 ms)
www.ks-soft.net | Host is alive | 441ms | 25/08/2000 00:47:30 | TCP (port - 80)
www.microsoft.com | No answer |  | 25/08/2000 00:48:05 | TCP (port - 80)
www.microsoft.com | Host is alive | 1523ms | 25/08/2000 00:49:49 | TCP (port - 80)
www.microsoft.com | No answer |  | 25/08/2000 00:50:12 | TCP (port - 80)
www.microsoft.com | Host is alive | 261ms | 25/08/2000 00:52:02 | TCP (port - 80)
[25/08/2000 00:52:05] Monitor stop
[25/08/2000 03:19:53] Monitor start
www.microsoft.com | Host is alive | 261 ms | 25/08/2000 03:19:54 | TCP (port - 80)
\HostMon | Ok | 2277 Kb | 25/08/2000 03:19:55 | Folder size
\HostMon | Bad | 2278 Kb | 25/08/2000 03:20:18 | Folder size
\HostMon | Ok | 2279 Kb | 25/08/2000 03:20:38 | Folder size
\HostMon | Bad | 4015 Kb | 25/08/2000 03:20:55 | Folder size
C:\ | Bad | 538 Mb | 25/08/2000 03:22:47 | Drive space
CHATRU\index.htm | Host is alive | 370 ms | 25/08/2000 03:22:55 | URL request
E:\ | Ok | 5910 Mb | 25/08/2000 03:22:56 | Drive space
F:\ | Ok | 1367 Mb | 25/08/2000 03:22:57 | Drive space
ftp.microsoft.com | Host is alive | 330 ms | 25/08/2000 03:22:58 | TCP (port - 21)
KS-Soft\index.htm | No answer |  | 25/08/2000 03:23:00 | URL request
www.altavista.com | Host is alive | 231 ms | 25/08/2000 03:23:01 | ping (timeout - 1000 ms)
www.chat.ru | No answer |  | 25/08/2000 03:23:04 | ping (timeout - 1000 ms)
www.ks-soft.net | No answer |  | 25/08/2000 03:23:06 | ping (timeout - 1000 ms)
www.ks-soft.net | Host is alive | 231 ms | 25/08/2000 03:23:07 | TCP (port - 80)
www.microsoft.com | No answer |  | 25/08/2000 03:23:10 | ping (timeout - 1000 ms)
www.microsoft.com | Host is alive | 230 ms | 25/08/2000 03:23:11 | TCP (port - 80)
\HostMon | Ok | 4024 Kb | 25/08/2000 03:23:12 | Folder size
\test | Ok |  | 25/08/2000 03:23:13 | File not exists
[25/08/2000 03:23:36] Monitor stop


HostMonitor Report
Generated on 25/08/2000 at 03:23:22

Host | Status | Reply time | Last test time | Interval | Test method
C:\ | Bad | 538 Mb | 25/08/2000 03:22:47 | 300 | Drive space
CHATRU\index.htm | Host is alive | xx | 25/08/2000 03:23:15 | 15 | URL request
E:\ | Ok | 5910 Mb | 25/08/2000 03:22:56 | 300 | Drive space
F:\ | Ok | 1367 Mb | 25/08/2000 03:22:57 | 30 | Drive space
ftp.microsoft.com | Host is alive | 221 ms | 25/08/2000 03:23:18 | 20 | TCP (port - 21)
KS-Soft\index.htm | No answer |  | 25/08/2000 03:23:17 | 15 | URL request
www.altavista.com | Host is alive | 240 ms | 25/08/2000 03:23:21 | 20 | ping (timeout - 1000 ms)
www.chat.ru | No answer |  | 25/08/2000 03:23:04 | 300 | ping (timeout - 1000 ms)
www.ks-soft.net | No answer |  | 25/08/2000 03:23:06 | 300 | ping (timeout - 1000 ms)
www.ks-soft.net | Host is alive | 231 ms | 25/08/2000 03:23:07 | 20 | TCP (port - 80)
www.microsoft.com | No answer |  | 25/08/2000 03:23:10 | 300 | ping (timeout - 1000 ms)
www.microsoft.com | Host is alive | 230 ms | 25/08/2000 03:23:11 | 20 | TCP (port - 80)
\HostMon | Ok | 4024 Kb | 25/08/2000 03:23:12 | 300 | Folder size
\test | Ok |  | 25/08/2000 03:23:13 | 15 | File not exists

This report was generated by KS-Soft HostMonitor


Advanced Network Monitor (HostMonitor)

hmtitle3.gif (3014 bytes) Advanced Host Monitor
Version 4.16
Copyright (c) 2000-2004 KS-Soft
Detail info Details What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy now

Logs & Reports
Detailed information about HostMonitor

RMA for Windows
RMA for Unix

Q: How much money do you lose while your servers are down?
A: You don't have to lose any! HostMonitor is a system management tool that continuously monitors servers' availability and performance. In the event of network errors, HostMonitor will alert the network administrator (or even correct the problem when possible) before problems get seriously out of hand. This helps protect your company's data and reduces the likelihood of costly network failures.

Intro [image] Test Methods [image] Alert Methods [image] Logs & Reports [image] Features [image] System Requirements [image] Awards [image] Price

HostMonitor monitors your servers!

click mouse to see big picture HostMonitor is a network monitor program. You can create a list of jobs and tests in advance on a "set and forget" basis. Among the many checks it can do, it can monitor any TCP service, ping a host, retrieve an URL, check the available disk space, check integrity of your files and web site, test your SQL servers, check SMTP/POP/IMAP/DNS/LDAP servers, test Windows NT services, monitor CPU Usage, and much more.
HostMonitor checks network servers at regular intervals and takes pre-defined actions if a device does not respond. It can provide a visual and sound warning, send an E-mail message to a mailbox, pager or mobile phone, execute external programs, restart NT services, reboot local or remote computers, dial-up to the network, etc. All these actions allow you to respond to a problem before your users start to complain.

HostMonitor can generate test result log files and reports. HostMonitor provides different log file detail levels and log file formats and can be configured to suit your needs. The highly flexible Report Manager allows you to create and customize reports to your liking in a variety of ways.
Also Advanced Host Monitor package includes a Log Analyzer which can illustrate separate information for each tested host. The Log Analyzer can collect statistical information and show graphs of all request times for specific time periods for all or individual servers. Using the statistical information, an administrator can analyze request times for specific servers over a period of time.

HostMonitor provides system administrators with the benefits of a powerful network monitor at an affordable price. HostMonitor is a network administrator's vigilant assistant. Administrative overhead is reduced as the administrator doesn't need to check servers manually. Network administrator downtime is reduced and user satisfaction improved by the prompt response to server failures.
It is surprisingly easy to install, administer and use. HostMonitor is a system tray program and can be launched at startup or started as a Win32 Interactive Service. It is a "must-have" utility for anyone supporting a range of IT equipment.

What can HostMonitor monitor?
HostMonitor monitors server functions using a variety of methods (37 methods!). It can:

  • use ICMP protocol to ping servers, routers, and other network components;
  • trace route to a specified host;
  • check TCP based services such as News, WhoIs, FTP;
  • check UDP based servers such as TFTP, SNTP, Daytime, etc;
  • use dedicated tests to check NTP, SMTP, POP3, IMAP, DNS, LDAP, RADIUS servers;
  • send a HTTP (HTTPS, FTP, Gopher) request, analyze the result codes and page contents for a specific URL (proxy connections with or without authentication are supported);
  • check UNC path (check availability or check the amount of free space);
  • check free disk space for all your local and shared drives;
  • check folder or file size;
  • count files that correspond to specified parameters;
  • check whether a file (or folder) exists or not;
  • check file integrity (using CRC), locally or over the Web;
  • check log files created by another application;
  • compare two files or search for a text string in a file;
  • test connection to your SQL server (supports Interbase, MS SQL, MySQL, Oracle, PostgreSQL, and Sybase servers);
  • check the availability of an ODBC data source, run an SQL query, and analyze the value of a specified data field in the result set returned
  • check processes;
  • check services (only for Windows NT/2000/XP systems);
  • control local and remote NT Events Logs (Windows NT/2000/XP);
  • check CPU Usage (implemented for Windows NT/2000/XP & Novell Netware)
  • test any devices that support SNMP (Simple Network Management Protocol);
  • use dial-up connection to check remote RAS server;
  • monitor performance counters (Windows NT/2000/XP);
  • and perform custom checks (you can create your own tests using different script languages such as Visual Basic Script or Java Script, or you can create separate exe module to perform test)

By using these monitor types the administrator can know exactly what has happened to a server. If someone hack your site, HostMonitor can detect this before thousands of people see their handiwork on your corporate site.

For different tests you can use different test methods, interval between tests, alert profiles, schedules, list of Master tests, etc. Tests for each host can be temporarily disabled without the need to delete and re-create them. First introduced in HostMonitor v. 3.0, folders help you organize your tests in logical groups presented as a tree-like structure.

More about tests..

How does HostMonitor warn you of failures?

HostMonitor provides different ways (25 methods!) to respond to failed services. Audio and visual notifications can alert people near the machine. E-mail and pager notifications can be used to inform a wider range of remote operators. Some of the actions HostMonitor can take will try to recover from a failure automatically without human intervention. These actions include: Restart service, Reboot local/remote computer, Dial-up to the network, Disconnect dial-up connection, SNMP Set, and more...

Each test can be set up with an individual alert profile, and each alert profile may contain a number of alert actions that can be launched in a predefined order depending on the test results. Here is a list of available actions to kick off in response to a problem:

  • Writing a log-file entry
    •
  • Showing a popup-window on the screen
  • Playing a sound (WAV, MID, RMI files)
  • Creating a report with the status of each host:
    - HTML report for publishing on your HTTP server or for sending with E-Mail notification;
    - WML report you can easily check anywhere using WAP cell phone;
    - DBF report for analyzing ; and
    - Text reports
  • Sending an E-Mail with the problem's data to a mailbox, pager or mobile phone
  • Using a modem to send messages to an alphanumeric or numeric pager (TAP protocol)
  • Sending a message to a pager using Internet connection and SNPP protocol
  • Sending a message through an ICQ web server to the specified ICQ user

  • Stopping, Starting, or Restarting an NT Service on local or remote system
  • Rebooting local or remote computer
  • Logging a record to the Windows Event Log
  • Executing an SQL query against the specified ODBC data source
  • Sending data to the specified host using TCP or UDP protocols
  • Sending data using the Syslog protocol
  • Setting data on the local or remote system using the SNMP protocol
  • Sending a SNMP Trap message to a Management Station
  • Dialing-up to a network
  • Dropping the specified dial-up connection
  • Changing the test interval
  • Executing specific HMScript (e.g. for disabling one group of tests and enabling another, or to import new tests, etc.)
  • Executing external programs (EXE/BAT/etc.)

As an example, suppose you want to implement behavior like this: when some critical service dies, you want the server to automatically reboot. If that does not help, an e-mail should be sent to the on-call technician. If, however, the server remains silent during the next three tests, the network administrator is to be paged until the server is brought back up. Just install HostMonitor and you will see how easy it is to implement the above, or even more sophisticated behavior.

Also, Schedules can be applied to actions the same way they were used for tests. With schedules, actions can be customized per time of the day. For instance, an action profile can be set up to page both the IT manager and the network administrator during regular office hours, and to page the administrator alone the rest of the time, while doing nothing else but writing to the log on weekends.

These timely alerts help to minimize network downtime and keep small problems from snowballing into serious, debilitating network issues.

More about action profiles..

Configurable Log Files, Log Analyzer, Reports

HostMonitor can log test results into a log files with different log file detail levels and log file formats (HTML, Text, or DBF) that can be configured to suit your needs. See example. Starting with version 3.0, HostMonitor can write log information into any ODBC data source.
Details..

HostMonitor can generate reports at regular time intervals and/or when some test changes status. Reports could be in HTML, DBF, WML, or Text formats. The highly flexible Report Manager allows you to create and customize reports to your liking in a variety of ways. Also note that separate groups of tests may contain its own list of reports, and each of the reports may be set up with a launching schedule specific to that group. You can easily check you network from anywhere using a Web browser or your WAP cell phone. Example.

Advanced Host Monitor package includes Log Analyzer. Log Analyzer is a graphical tool that visualizes the log data. It parses the contents of a log file and presents the data as a variety of charts representing different test statistics. Log Analyzer may analyze all types of log files: HTML, Text, and DBF log files. In a second, administrator can get a snap shot of the host performance over a period of days or even months.
Several examples of the reports that were generated by Log analyzer:
Example #1
Example #2
Example #3

HostMonitor includes 4 built-in utilities:

Local Info | - examines the local host and provides information about processor, memory, Winsock data, etc
Trace | - trace the route to a remote host over the network
Telnet client | - telnet client
IP-Monitor | - displays real time charts for TCP, UDP, ICMP In, Out, Error packets

And even more features:

  • HostMonitor is multi-threaded so it can test many hosts simultaneously
  • Simple Setup and Operation: configurations can be easy copied from one computer to another
  • HostMonitor can be started as a Win32 interactive service (under Windows 2000/XP)
  • All parameters (test interval, test method, test schedule, alert profile, etc) may be set independently for each monitored host
  • Command line parameters: you can start several copies of HostMonitor with different parameters
  • The request times for each monitored host can be viewed graphically
  • HostMonitor can import list of tests from a text file
  • Highly intuitive interface makes for easy operation for program users
  • Easy Install / Upgrade / Uninstall program
  • You can order Lifetime updates, in this case you will pay once and receive ALL future updates and releases for FREE

Satellite applications:

In addition to HostMonitor (the core of a whole package) and Log Analyzer an Advanced Host Monitor package has the following auxiliary components:

HML Manager
 HML Manager is a tool, which provides easy and effective manipulation with tests in HML files. HML Manager supports Drag&Drop operations, so that you may move tests from one file to another without a hassle. You may copy or delete hundreds of tests in one click. Folders may be organized and reorganized in any order. Using group operations with tests provides you with a powerful option of changing parameters for hundreds of tests in one time.
Read more about HML Manager...

RMA
RMA is a small application that accepts control requests from HostMonitor. RMA can be installed on a remote systems and runs there as an application or as a Win32 service. Being controlled by a HostMonitor RMA performs tests and sends the results back to the HostMonitor.
Read more about RMA...

RMA Manager
RMA Manager utility is designed to control and manage the array of Remote Monitoring Agents. It allows you to change settings for hundreds of agents installed on remote systems at one time and from one location. Both RMA Manager and HostMonitor are using the same list of Remote Monitor Agents. Working with this list you may select group(s) of agents and then perform the following actions for the whole group:

  • get information about an agent: version, platform, list of tests supported by the agent, list of allowed tests, etc;
  • change agent configuration: change TCP port, timeout, password; enable/disable tests, change different management parameters, etc;
  • reload agent (restart application);
  • force agent to reread settings from its ini file;
  • terminate agent;
  • and even upgrade agent's code remotely.
    Read more about RMA Manager...

    Telnet Service
    This application works like Telnet server and allows you to control HostMonitor remotely using any telnet client. Telnet Service allows you to check brief or detailed status of any test and folder. Also you can disable and enable tests, reset statistics, force tests to execution and even change some parameters of the tests. HM Telnet Service allows you to start or stop monitoring process, enable or disable alerts, change global macro variables, etc.
    Read more about Telnet Service...

    Web Service
    This application works like an HTTP server and provides web interface for HostMonitor. It means you can install Web Service on a local or remote system and check (and control) HostMonitor in real time using a web browser on any computer that is connected to the Internet.
    Web Service allows you to check brief or detailed status of any test and folder. Also you may disable or enable tests, reset statistics and force tests to execution. You will be able to start and stop monitoring, enable and disable alerting, etc.
    Read more about Web Service...

    Replicator
    Although Replicator is a very small application it serves to save you huge amounts of time. Those who have large networks with hundreds of servers will appreciate the ability to replicate a test (i.e. reproduce and apply to...) for an array of systems in almost an instant.
    Read more about Replicator...

    IP-Tools
     Also you can use IP-Tools. IP-Tools is a popular and powerful network tool which provides 17 TCP/IP utilities (for computer diagnostics that help to detect problems on LAN or WAN, detect trojans on your computer or for retrieving various information). This is an indispensable set of tools for anyone who uses Internet and/or Intranet.
    IP-Tools is a separate package, however an Enterprise license for Advanced HostMonitor includes a bonus license for IP-Tools.
    Read more about IP-Tools...

    Minimum system requirements

    • Windows 98, ME, NT 4.0 (SP3), Windows 2000, Windows XP Professional, or Server 2003
    • Internet Explorer 4.0 or higher
    • Free disk space: from 6 Mb (if you install HostMonitor only) to 12Mb (for all components)
    • Minimum screen resolution: 800 x 600
    Recommended:
    • Windows 2000
    • Internet Explorer 5+
    • Screen resolution: 1024 x 768 or higher

    Awards:
    Rated 5 stars at WebAttack
    Top Shareware:
    Rating 5
    SoftAward:
    Rating 5
    BrotherSoft:
    Rating 5
    SoftPick:
    5 stars award
    Softlandmark:
    Editor's Pick
    ShareUp:
    5 star-rating
    ListSoft:
    ListSoft: BEST
    FileTransit:
    Awarded 5/5 Stars on The File Transit
    SoftList:
    SoftList says: BEST! | SoftList says: BEST !
    SimplytheBest:
    HostMonitor rated | HostMonitor rated "Simply the Best" by STB
    SoftwareSeeker:
    Editor's PICK on SoftwareSeeker.com

    How much does it cost?

    You may download and use Advanced Host Monitor for free within a 30 days trial period. [    Download page]

    Advanced Host Monitor package is available in several licensing options: Lite ($99), Standard ($150), Professional ($250), Enterprise ($350) and Enterprise With Lifetime Updates ($599). You can order by credit card, Switch and Solo debit cards, check/money order or wire transfer order. If you are concerned about submitting your order and/or credit card information online, you may register the Advanced Host Monitor via phone, fax or postal mail.
    Details..


[HostMonitor] Copyright/License/Warranty

hmtitle3.gif (3014 bytes)
Copyright / License / Warranty
Detail info Details What's New What's New HostMonitor main page HostMonitor Download HostMonitor Download Registration Information Buy now

Evaluation License
(If you have purchased a license for the registered version of the program, see the section Registered version license)

Evaluation and Registration

Advanced Host Monitor is not free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes, without charge, for a period of 30 days. If you use this software after the 30 day evaluation period a registration fee is required.

Distribution of Evaluation Version

Provided you verify that you are distributing the evaluation version (see License window to check) you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; distribute exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of these actions. You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Unregistered use of this program after the 30-day evaluation period is in violation of international copyright laws.

Registered Version License
(If you are using an evaluation version of the program, see the section entitled Evaluation License.)

The single license allows you to install the software on ONE system. If you want to run (install) application on a number of systems then you have to buy the same number of licenses. The same rule is applicable to any of the auxiliary tools of Advanced Host Monitor package. Example: if you want to install HostMonitor on 1 system and start HM Web Service on 2 different systems, you need 1 license for HostMonitor and 2 licenses for Web Service. However the number of users that may control HostMonitor via those two Web Services is unlimited.

Notice:

Advanced Host Monitor may not be sold or resold, distributed as a part of any commercial package, or distributed to support any kind of profit-generating activity, even if it is being distributed freely. If you would like to distribute Advanced Host Monitor as part of a commercial distribution, magazine, Internet book, CD-ROM, etc., please contact us for permission.

Disclaimer:

Advanced Host Monitor is shareware and is provided "as is" without warranty of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. In no event shall the author be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if the author has been advised of the possibility of such damages.


HostMonitor

 Loading...


HostMonitor

Logs

HostMonitor can log application events to a log files. Different log detail levels and log file formats (HTML, Text or DBF) can be configured to suit your needs.
HostMonitor has several logging options

  • common log
  • private log
  • ODBC log
  • system log

    Common Log

    HostMonitor maintains a single log file called common log that is shared by all tests defined in the working test list. All events that are subject to logging (according to test's configuration) get recorded in the common log. All aspects of the common log's behavior are controlled through Options -> Log settings.
    As far as log destination is concerned, you can either specify a particular file name for the common log, or choose a naming pattern to have HostMonitor switch to a different file every day, month, year, etc., as prescribed by the date macro variables appearing in the pattern. You can also choose to have no common log at all.
    It is also possible to configure the common log as to when information should be written. The "Save all information" option tells HostMonitor to add a record every time a test is performed. If, however, the opposite option is selected, "Save only if host status changes", no logging happens as consecutive tests return same status value, until the status changes, at which point a new log record is added. While the second option is obviously more space-efficient, the first one allows you to build up statistics on helpful test parameters like response time, reply value, etc. This statistical information can be then parsed and visualized by the built-in tool called Log Analyzer.
    By the way, you may change logging mode for particular tests in the Test Properties dialog by choosing one of the options:

    • Default - the common settings defined in the Options dialog are used;
    • Brief - record information whenever status of the test changes;
    • Full - record all test results, regardless of whether their status had changed or not;
    • Reply - record information into log every time the status or reply value of the test changes.
    If you do not want the common log to grow uncontrollably, you can set an upper limit. When the file reaches its limit, logging starts over from the beginning.

    HostMonitor supports three different log formats: plain text, HTML and DBF, each of which has its own strengths:

    Plain text:
  • Text log is the most compact of the three formats (about 80 bytes per record)
  • All fields in a text log are delimited with Tab (09), so you can easiliy import the data from a text log into a spreadsheet or a database

    HTML:
  • HTML logs are more visual;
  • HTML logs can be made automatically available over the Web;
  • on the flip side, HTML logs take up a lot more disk space (about 800 bytes per record) than text or DBF logs.

    DBF:
  • DBF logs are relatively compact (173 bytes per record).
  • DBF log data is easy to analyze and manipulate, or import into another DBMS

  • The date and time formats used internally in DBF files do not depend on the system's regional setings. Therefore, changing the system date/time formats has no effect on Log Analyzer's ability to interpret those log elements, which is not the case with the text format (if you choose to keep your log in a text file, and then change the system date/time format, Log Analyzer may have difficulties calculating test parameters of the date/type type, like the alive/dead time). To avoid this problem, turn on the "Use fixed date&time formats" option located on the Miscellaneous page in the Options dialog. In this case, HostMonitor will use the date&time formats specified, regardless of the system settings.

    For more information on log settings see Options -> Log Settings.

    Private Log

    Additionally, for each test you can define its own, "private" log file. The type of a private log is determined based on the file extension: HTML for .htm*, DBF for .dbf, plain text for any other extension.
    Private logs can be configured to work in one of the following modes:

    • Default - the common settings defined in the Options dialog are used;
    • Brief - record information whenever status of the test changes;
    • Full - record all test results, regardless of whether their status had changed or not;
    • Reply - record information into log every time the status or reply value of the test changes.
    If a private log is specified, the popup menu for that test will contain the item, "View private log".

    ODBC Log

    Starting with version 3.0, HostMonitor can write log information into any ODBC data source (e.g Oracle or MS SQL database). The query to logging test data is entirely up to you. Use the macro variables to put in as much detail as you want. For instance, your log SQL command might look like this:
    INSERT INTO HMLOG (DATE1, TIME1, TEST_NAME, STATUS, REPLY) VALUES (%Date%, '%Time%', '%TestName%', '%Status%', '%Reply%')
    Note: An appropriate database table has to be created before you start using the ODBC logging. For more information see Options -> Advanced Logs.

    System Log

    System log is yet another log type. HostMonitor uses the system log to record events like start/stop monitoring, as well as information on started and/or failed alert actions. Destination-wise, system log information can be written either into the same file used by the common log, or into a dedicated file as specified on the Advanced Logs page in the Options dialog.

    • Log Viewer

    To view log files, you can use either the built-in viewer, associated programs or an external program. You can setup different viewers to view different log types. For example, to view an HTML log file you can use the associated program (your default web browser); to view a text log file you can use the build-in log viewer, etc.
    See Options -> Log Viewers.
    With the built-in log viewer, you can view any of the supported log types (HTML, Text, DBF). The viewer supports sorting, which allows you to order log records by any field (time, test name, status, reply value, etc).

    Log Analyzer

    Advanced Host Monitor package includes Log Analyzer. Log Analyzer is a graphical tool that visualizes the log data. It parses the contents of a log file and presents the data as a variety of charts representing different test statistics. Log Analyzer may analyze all types of log files: HTML, Text, and DBF log files. In a second, administrator can get a snap shot of the host performance over a period of days or even months.
    Several examples of the reports that were generated by Log analyzer:
    Example #1
    Example #2
    Example #3

    Reports

    HostMonitor can generate reports at regular intervals and/or when some tests change their status. Reports can be in either HTML, DBF, WML, or Text formats. The highly flexible Report Manager allows you to create and customize reports to your liking in a variety of ways. Also note that each folder may contain its own list of reports, and each of the reports can be set up with a launching schedule specific to that folder. With reports, you can easily check the status of your network from anywhere using a Web browser or your WAP cell phone. Examples: HTML Report, Compact-Block, Compact-Table, Custom Report1, Custom Report2.
    DBF report useful for analyzing (after generating reports HostMonitor can launch an external program for analyzing or other purposes).

    A list of up to 6 global reports (reports that apply to all tests in the working HML file) can be defined on the Reports page in the Options dialog. Additionally, each folder may have its own list of reports; only the tests contained in the folder will be used in generating these folder-specific reports. There are two more parameters that can be specified for both global and folder-specific reports:

  • time interval - tells HostMonitor how often reports should be generated
  • external program to execute - if specified, HostMonitor will launch the external program after reports have been generated.

    It is also possible to have HostMonitor generate a report every time a test changes its status. This can be done by adding "Generate reports" action to the Action Profile. The other way to implement the same behavior would be to add a "Run HMS Script" action, and include a CreateReport command in the script to execute.

    Also note that reports can be generated at user request at any time through the Reports menu in HostMonitor's main window.

    • Macros

    When you provide the name of the common or private log file or setup target files for the reports you can use special macro variables in the file name:
    %d% | - | Current day as a number without a leading zero (1-31).
%dd% | - | Current day as a number with a leading zero (01-31).
%ddd% | - | Current day as an abbreviation (Sun-Sat) using system's regional settings.
%dddd% | - | Current day as a full name (Sunday-Saturday) using system's regional settings.
%ddddd% | - | Current date using the short date format (see Windows Regional Options).
%dddddd% | - | Current date using the long date format.
%ww% | - | Current week as a number with a leading zero (01-54).
%m% | - | Current month as a number without a leading zero (1-12).
%mm% | - | Current month as a number with a leading zero (01-12).
%mmm% | - | Current month as an abbreviation (Jan-Dec) using system's regional settings.
%mmmm% | - | Current month as a full name (January-December) using system's regional settings.
%yy% | - | Current year as a two-digit number (00-99).
%yyyy% | - | Current year as a four-digit number (0000-9999).
%/% | - | Displays the date separator character given by the DateSeparator system variable.
    Macro variables may be written in upper case as well as in lower case letters - both produce the same result.
    Examples:
    c:\HostMonitor\Logs\%DDMMYYYY%.DBF
    c:\HostMonitor\Reports\%mm-dd-yy%.html


HostMonitor

Customize HostMonitor as you wish.
Perhaps you want to see detailed information with small icons on white background?

or may be you prefer big icons and events history for each test?

how do you like compact list?

or perhaps you like this variant?


[HostMonitor] What's New

hmtitle3.gif (3014 bytes)
What's New
Detail info Details HostMonitor main page HostMonitor Copyright/License/Warranty Download HostMonitor Download Registration Information Buy now

  • Version 4.16

Improvements:

HostMonitor, ODBC Query test | - | now you can use global (user defined) macro variables in SQL Query
HostMonitor, Send e-mail action | - | now you can use wildcards (*, ?) when specify file name for attachment. First matched file will be attached
HostMonitor, ODBC logging | - | if there are more than 20 consecutive ODBC errors occur, HostMonitor suspends ODBC logging for 10 min. It helps to avoid reduction of performance when SQL Server unavailable. If you correct problem (e.g. restart SQL Server or correct mistake in SQL Query), you may resume ODBC logging manually using Options dialog (just open dialog and click "Save" button).
HostMonitor, ODBC logging | - | if ODBC query fails, HostMonitor records information about ODBC error into system log (when "record info about failed actions" option is enabled)
HostMonitor, Import function | - | now when you are specifying real numbers (parameters of the tests) you may use dot (.) and comma (,) as well as the default decimal separator specified for the system (earlier HostMonitor worked with the default decimal separator only). It's useful when you need to transfer import files between systems with different Regional Settings parameters.

The following issues were resolved

RMA for Windows (1.11) | - | on some systems Performance Counter test could return 0 instead of actual value of the counters. Fixed
Log Analyzer (4.03) | - | resource leakage in report module. Fixed
HostMonitor, Send e-mail action | - | infrequent error related to "POP before SMTP" authorization method is fixed.
Web Service (1.05) | - | sorting by "Alive%", "Dead%" or "Unknown%" fields could be incorrect for the tests that have close values (e.g. 99.7 and 99.8). Fixed

  • Version 4.14

Improvements:
  • HostMonitor & RMA: new test - "Text Log"
  • Web Service: clicking on the status icon (green, yellow, or red one beside the folder name) displays the folder's comment. Web browser will display information about the folder in separate window. All comment lines that start with "http://", "https://" or "ftp://" are displayed as URLs and you may click on them to redirect browser to the specified location.
  • HostMonitor: two new operators "mod" and "div" are available for use in logical expressions when you setup "advanced" actions.
    "div" - x div y returns the value of (x/y) rounded in the direction of zero to the nearest integer;
    "mod" - x mod y returns the remainder of (x/y), in other words, (x mod y) == x - (x div y) * y)
    E.g. with expression "('%SimpleStatus%'=='DOWN') and (%Recurrences% mod 3==1)" HostMonitor will start the action after 1st, 4th, 7th, 10th,… consecutive failed test
  • HostMonitor: new operators "mod" and "div" may also be used in logical expressions for dependant tests.
  • HostMonitor & RMA: additional option "Count subfolders only" was added for Count Files test
  • HostMonitor: new TestID macro represents unique ID of the test. The TestID is always unique within an HML file.
  • HostMonitor: in the reports and in the main window of HostMonitor you now can sort test items by 2nd, 3rd, 4th, and 5th comment lines
  • HostMonitor: some changes in popup window which is displayed by "show message" action - fields "Comment" and "Reply" are now shown in it.
  • New auxiliary application: Replicator
The following issues were resolved
  • Sorting by "Alive%", "Dead%" or "Unknown%" fields could be incorrect for the tests that have close values (e.g. 99.7 and 99.8). Fixed
  • HTTP test: username and password were mixed in basic authorization scheme. Fixed
  • HML Manager: fixed a problem with "Print" feature
  • Version 4.10

Improvements:
  • HostMonitor and RMA: now ODBC test can be performed by remote agent
  • HostMonitor, HTTP test: the "Check content" function of this test got a new option - "Translate date macro variables". With this option enabled it is now possible to monitor web pages that shall be updated regularly
  • Web Service: new selector available for each user profile:
    > Display all (sub)folders at once
    > Use interactive folder tree (cookies must be enabled)
    with 1st option selected Web Service will always display expanded view of all folders and descendant subfolders in the Folder section (like it was before); with 2nd option selected you will be able to expand or collapse any folder(s).
  • Web Service: new option "Folder section width" available for each user profile. It allows you to set the default width (in pixels) for the Folder section
  • HostMonitor and HML Manager: improvements to HML file integrity check. The one that performs every time HostMonitor loads an HML file.
The following issues were resolved
  • Previous version of HostMonitor 4 could lose a link between the test and schedule under some circumstances. Fixed in the current version
  • Version 4.07

  • HostMonitor: fixed problem with macro resolution in HMScript
  • HostMonitor: while copying action profiles (in Action Profiles dialog) the property "action depends on bad one" was not copied. Fixed
  • Version 4.06 Beta

Improvements:

  • HostMonitor, URL test: new option "Ignore unknown certificate authority problems" allows checking web servers that use HTTPS protocol and security certificates that were issued by not trusted company. With this option enabled, HostMonitor will accept security certificates issued by any company. When this option is disabled and the certificate belongs to a not trusted company then HostMonitor will set the test status to "no answer" as it was done before

  • HostMonitor, URL test: now HostMonitor uses secure transactions semantics when it checks HTTPS servers through proxy server
  • RMA and RMA Manager: instead of single IP address you may specify a list and/or a range of IP addresses for "Enable remote management" and "Enable remote updates" options. IP addresses in the list should be separated by comma. Dash is used to define a range of addresses. Example: "127.0.0.1, 192.168.13.10 - 192.168.13.99, 165.14.22.1"
The following issues were resolved
  • HostMonitor: UNC test ignored options located on Miscellaneous page
  • RMA Manager: "Update agent" function didn't work with a selection of multiple agents (it worked only for a single agent)
  • RMA: if a path to the agent's directory contained spaces, an agent was not able to restart after upgrade
  • Version 4.04 Beta

Improvements:
  • HostMonitor & RMA: now 3 more tests are supported by RMA: Ping, TCP, UDP
  • HostMonitor: Quick Log pane now displays different types of events in various colors (depending on the color palette in use). To switch this option you may use the same button which turns the colors on for the Folder Tree pane
  • HostMonitor: now when you set the properties of Performance Counter test (in the Test Properties dialog) the "Get current value" function allows you to retrieve value of the counter using specified remote agent
  • HostMonitor: now it looks for changes in actions.lst file (for example when the file is currently edited by a remote operator via RMA Manager):
    - when you edit the list of agents, HostMonitor checks for changes every 3 sec. If there were changes detected, HostMonitor shows you a message and then may reload the list if you decide to do so;
    - otherwise HostMonitor checks for changes every 15 sec and reloads the list automatically.
  • RMA Manager: allows you to change the list of IP addresses from which a connection can be accepted by agents
  • New complete manual and help file is now available
The following issues were resolved
  • HostMonitor: fixed a problem in HMScript processor. Script could stop execution after "LoadTestList" and "NewTestList" commands
  • HostMonitor: NT Event Log test could return wrong reply when the test was performed by remote agent
  • HostMonitor: SMTP test for some SMTP servers could return wrong "Bad" status
  • Log Analyzer: 2 unnecessary records appeared when the report was generated by a script
  • Version 4.02 Beta

Improvements:
  • HostMonitor & HML Manager: the function "Import from text file" was improved:
    - new optional parameter "DefaultFolder = ". It defines the default folder to which following tests will be added. If this parameter is not used or left blank ("DefaultFolder = ") then tests will be added to the current folder;
    - new optional common test parameter "DestFolder = " defines the folder to which the test will be added. If this parameter is left blank then the test will be added to the current folder. If this parameter is not used then the test will be added to the folder that is specified by the "DefaultFolder" parameter or to the current folder if the "DefaultFolder" parameter is not used.
    Example:
      DefaultFolder = Root\Main office\ping tests\
      ...
      Method        = Ping
      DestFolder    = Root\USA Branch\Office\
      Title         = 192.52.233.41
      Comment       = main router
  • HostMonitor: new column "Test by" represents a name of the remote agent that performs test. "HostMonitor" is displayed in this column if test is performed by HostMonitor itself. You may see this column in Test Detail Area and add it into report profiles.
  • HostMonitor: new macro variable %Agent% represents a name of the remote agent that performs test, this variable returns "HostMonitor" when the test is performed by HostMonitor.
  • HostMonitor: now it may restore some tests from corrupted HML files
  • Web Service: now you may resize Folder section and Test section panels
The following issues resolved
  • HostMonitor: UNC test might work incorrectly with remote agent
  • HostMonitor: in HML file converter (the one that converts old HML files into new format) an error was fixed. That error had two after-effects:
    - "common log mode" property for all tests had been set to "default";
    - sometimes that error caused "floating point" error message (e.g. when reports were created or when HostMonitor recorded events into ODBC log) .
  • HML Manager: fixed a problem with "Delete file" function.
  • Log Analyzer: fixed an error in "Adjust" function of full screen chart. Previously it handled negative values of test reply incorrectly
  • RMA: fixed an issue with reloading of RMA agent by the RMA Manager. In some cases after reloading an RMA agent that was previously running as a Win32 service the socket was left opened and a new instance of an agent was not able to accept incoming connections.
  • Version 4.00 Beta

New Advanced Host Monitor is a package of central monitoring application (as before it was a HostMonitor) and a set of new utilities and services:

HostMonitor
Log Analyzer
HML Manager
RMA (for Windows)
RMA Manager
HM Web Service
HM Telnet Service

So, what's new in the package:

  1. Redesigned Log Analyzer

    Log Analyzer is a separate application now. It has a Report Manager that allows you to create reports using different profiles. Within each profile it is possible now to:
    - setup filter(s) to include/exclude specific test(s) and test methods for the report;
    - define the list of fields included into the report;
    - Log Analyzer can now generate 3D charts for each test. GIF images may be included into HTML report directly or you may insert just links to them;
    - also it can create separate log files for each test and link them to the report;
    - you can use HTML templates to create any report you need.

    Several examples of the reports:
    Example #1
    Example #2
    Example #3

    - New function "Append" alows you to analyze several log files together.
    - The Date Filter was improved: now the log file is not reloaded with every change of the time interval.
    - New Log Analyzer supports scripts. Now reports may be generated automatically according to the desired schedule (e.g. you may use standard NT scheduler, or the built-in Scheduler that is implemented in HostMonitor).

    Details..

  2. Remote Monitoring Agents (RMA)

    Remote networks may now be monitored using a different approach. RMA is a small application that accepts control requests from HostMonitor. RMA is installed on a remote system and runs there as an application or Win32 service. Being controlled by a HostMonitor RMA performs tests and sends the results back to the HostMonitor.

    Why you may need RMA? Here are just several reasons:

    1. RMA increases security of the network. When you have to run the tests such as CPU Usage test or Performance Counters tests on a remote system, HostMonitor must be able to log in to that system with administrators privileges. Instead you may now use an agent installed on that remote system. In this case HostMonitor will not have to log on to that system at all. HostMonitor needs just one TCP port to communicate with the RMA agent (by default it uses #1055 port, however you may set an agent to use any other port).
      Remote Monitoring Agent is also a very useful tool when you have to monitor two separated networks (connected through Internet). In this case installing just one instance of RMA behind the firewall in network "A" will allow to monitor entire network "A" using the HostMonitor located in the network "B" with just one open TCP port.

    2. RMA decreases the network traffic. E.g. frequent use of "File Integrity" or "Compare Files" tests in an array of remote systems may apply significant load on the network. The more and the bigger files you test the more traffic increase you get. RMA runs locally and sends only the test results to the HostMonitor thus decreasing the amount of network traffic.

    3. RMA simplifies network administration. You no longer need to share drives to perform tests like Drive Free Space, Folder/File Size, File Availability, Count Files, etc

    Some features:
    • All traffic between RMA and HostMonitor is encrypted.
    • It is possible to customize the list of enabled tests for each of the agents (e.g. living only Count Files and Drive Free Space tests only).
    • You can restrict incoming TCP connections with the list of acceptable addresses.
    • With RMA Manager you may configure, restart and even upgrade agent(s) remotely.

    RMA agent is now available for the following platform: Windows (Windows 95 OSR 2, Windows 98, Windows ME, Windows NT 4.0, Windows 2000, or Windows XP). Agents may run as a regular application or as a Win32 service. Linux will be added to the list of platforms as soon as possible.

    Details..

  3. RMA Manager

    RMA Manager utility is designed to control and manage the array of Remote Monitoring Agents. It allows you to change settings for hundreds of agents installed on remote systems at one time and from one location. Both RMA Manager and HostMonitor are using the same list of Remote Monitor Agents. Working with this list you may select group(s) of agents and then perform the following actions for the whole group:

    • get information about an agent: version, platform, list of tests supported by the agent, list of allowed tests, etc;
    • change agent configuration: change TCP port, timeout, password; enable/disable tests, change different management parameters, etc;
    • reload agent (restart application);
    • force agent to reread settings from its ini file;
    • terminate agent
    • and even upgrade agent's code remotely.
    The list of agents may be exported into CSV file. After some modifications that file may be then imported back again into RMA Manager.

    Details..

  4. HM Web Service

    This application works like HTTP server and provides web interface for HostMonitor. It means that when you install Web Service on local or remote system you then will be able to control and check HostMonitor in real time using web browser on any computer with an Internet connection.
    Web Service allows you to check brief or detailed status of any test and folder. Also you can disable or enable tests, reset statistics and force tests to execution. You will be able to start and stop monitoring, enable and disable alerts, etc.

    Features:

    • All data transmission between HostMonitor and Web Service is encrypted and password protected;
    • HostMonitor & Web Service allow you to set up different user accounts with different sets of permissions;
    • Controlling the HostMonitor is not the only function of HM Web Service. It can be used as a simple web server providing access to files on a system where the Web Service is running. You may view HTML reports, logs and settings from anywhere;
    • Web service may run as a regular application or as a Win32 service.

    Details..

  5. HM Telnet Service

    This application works like Telnet server and allows you to control HostMonitor remotely using any telnet client. Telnet Service allows you to check brief or detailed status of any test and folder. Also you can disable and enable tests, reset statistics, force tests to execution and even change some parameters of the tests. HM Telnet Service allows remote start/stop of monitoring process, enables or disables alerts, changes global macro variables, etc.

    Features:

    • All data transmission between HostMonitor and Telnet Service is encrypted and password protected;
    • HostMonitor & Telnet Service allow you to setup different user accounts with different sets of permissions;
    • Application can be installed on the HostMonitor's system or can be located on any another system that is accessible by TCP/IP protocol;
    • Telnet Service can be started as a regular application or as a Win32 service.

    Details..

  6. New licensing model

    Advanced Host Monitor is available in several licensing options:
    Lite | license for HostMonitor only: up to 50 test items can be monitored
    Standard | license for HostMonitor (up to 200 test items) + license for HML Manager
    Professional | HostMonitor (up to 600 test items) + HML Manager + Log Analyzer + IP-Tools
    Enterprise | up to 20,000,000 test items + HML Manager + Log Analyzer + IP-Tools + RMA + RMA Manager + Web Service + Telnet Service
    As always "LifeTime updates" option is available. And by the way: customers who already have bought "LifeTime updates" liceses will receive licenses for all new tools (including RMA Manager, Web Service, Telnet Service, etc) for free.

    For more information, please, refer to www.ks-soft.net/hostmon.eng/regmon.htm

New HostMonitor's features / changes in options
  1. Remote Control Interface (RCI)
  2. User profiles
  3. Custom menu profiles
  4. Improved schedules
  5. Improved alerting model
  6. Global user defined macro variables
  7. New macro variables
  8. HM Script: new commands
  9. Pause for monitoring and alerts
  10. Events: actions executed in conjunction with start/stop or pause/resume of monitoring/alerting
  11. Scheduler
  12. Quick Log pane
  13. Changes in Folders' properties
  14. Changes in Options dialog
    15. Changes related to common test properties
  15. Tests performed by remote agents
  16. More flexibility in conditions for performing dependent tests
  17. New logging option
    18. Changes to specific test methods
  18. TCP test
  19. Compare Files test
  1. Remote Control Interface (RCI)

    RCI is a new feature of the monitor that allows you to check and control HostMonitor remotely (using web browser or telnet client). RCI uses TCP/IP protocol and needs just one TCP port (by default this is a port #1054). You can setup different parameters of the interface (like port number, timeout, limit for the number of simultaneous connections, etc) on RCI page in the Options dialog.
    For each user account you can specify a list of IP addresses from which a connection can be accepted and a list of operations (such as start/stop of monitoring, enable/disable tests, etc) that are allowed for the user.

    To control HostMonitor through RCI you have to install either Web Service and/or Telnet Service. These applications can be installed on the same system where HostMonitor is already installed or on any other (remote) system that can communicate with HostMonitor's system via TCP/IP protocol.
    Web Service application will allow you to use web browser (such as Internet Explorer) to control HostMonitor. Telnet Service application allows you to use any telnet client to check HostMonitor.

  2. User Profiles

    New HostMonitor supports different permissions for each user. Each user (operator) has an account with a name, full name and a password. An account may also have a personalized list of IP addresses from which a connection can be accepted. According to the set of permissions users may perform some (or all) of the following operations:
    - add tests/folders
    - configure tests/folders
    - remove tests/folders
    - disable/enable tests
    - reset statistics
    - start/stop monitoring
    - change options
    - manage schedules
    - manage mail profiles
    - manage color profiles
    - manage report profiles
    - manage action profiles
    - manage user profiles
    For example "Admin" has permissions to perform any operation; "Technician" has permissions to disable/enable tests, change options, manage mail profiles; "Manager" has permissions to reset statistics and manage report profiles.
    Also you can specify a list of IP addresses authorized for remote connections for each of the accounts.

    There are 2 special accounts: "Admin" and "Local" that cannot be deleted or disabled (however you can change the list of allowed operations for these accounts). An "Admin" account always has permission to manage other user's accounts. The "Local" account has no password and no permissions for remote connections. The "Local" account may be used only by a staff that has direct access to the system on which HostMonitor is installed. It is also used by HostMonitor at startup. To log in as another user go to the menu "User"->"Login as".
    To setup and configure users accounts use the menu "User"->"Operators".

  3. Custom menu profiles

    This new feature allows you to create custom menu items. These menus will appear after right clicking on the test in the Test Details area of HostMonitor window. For each menu item you have to provide a name, a command line and a window mode parameter (Hide, Normal, Maximized, etc). You may specify a list of users that will be able to execute this menu item and a list of test methods that will inherit this menu.
    In the name and in the command line of custom menu item you may use macro variables. Depending on the test which you will right click, HostMonitor will use current values of variables. E.g. you can define the command line to send a message to administrator such as "NET SENT admin %TestName% %Status% %Reply%". Another example - you may define a name of the menu item as "%CommentLine7%", HostMonitor will use 7th comment line of the selected test as a name of the menu. If the 7th comment line is empty, then this menu item will not appear. This feature is useful when it is necessary to apply a custom menu command only for some specific tests. If you want to limit the use of a menu item by tests from some specific folders, then you should use folder related macro variables (%FolderComment% or %FCommentLineX%) as a name of the item (or in a command line).
    Custom menu items are created and configured in "User"->"Custom menu profile" menu of HostMonitor.

  4. Improved Schedules

    In previous version of HostMonitor it was possible to specify a schedule for each day of the week. Now you can also specify separate schedules for holidays. The list of holidays is available for modifications for years ahead (use "Holidays" button in the Schedules dialog. To mark/unmark any day as a holiday select a day and press Space key).

  5. Improved alerting model

    In addition to actions that HostMonitor was already able to perform after a test have failed (or passed) for specified number of times (these actions are now called "standard actions") 2 new action modes have been added. Those are "advanced" mode and "on the schedule" mode ("advanced" and "scheduled" actions correspondingly).

    • Advanced mode allows you to define a condition that triggers the alert action. Condition is a valid logical expression. An alert action is performed when a logical expression of a condition is true. In expression you can use macro variables related to the current test and/or to any other test (and of course you can use global macro variables). Also you can use logical operators [and, or, not, <, >, >=, <=, ==, <>], round brackets, numbers and strings (in quotes). Strings that contain a number plus one of the following unit specificators [ms, Kb, Mb, Gb, %] are compared as numbers, so that '900 Kb' is less than '9 Mb'.
      Several simple examples:

      • '%SimpleStatus%'<>'UP' - action will be executed every time the test is performed and status of the test is not "good";
      • '%Status%'<>'%LastStatus%' - action will be executed every time the test status changes;
      • ('%Status%'=='No answer') and ('%LastStatus%'=='Host is alive') - action will be executed when the test status changes from "Host is alive" to "No answer"
      • ('%SimpleStatus%'=='DOWN') and (%Recurrences%==5) - action will be executed if the fifth attempt of a test in a row fails
      Advanced mode is more complicated than standard but is very very flexible. For example expression may look like ((%Reply%>200) and (%Reply%<800)) or ('::Main Router::%SimpleStatus%'=='DOWN'). HostMonitor will execute an action when "Reply" value of the test is between 200 and 800 or status of the "Main Router" test is "No answer" or "Bad".

    • "On the Schedule" mode: unlike standard and advanced actions that are triggered by events related only to the tests, scheduled actions are conformable to the schedule. They also may be triggered by some "global" events (e.g. HostMonitor can start "scheduled" actions when user stops monitoring). There are several places where you can use scheduled actions:
      - The Scheduler itself - a new tab in the Options dialog allows you to execute up to 5 alert profiles by a schedule. E.g. HostMonitor may execute one profile every 1 hour and execute another profile every Monday at 21:00;
      - Reports page in the Options dialog: now HostMonitor can execute alert profile after reports were generated;
      - Reports page in the Folder Properties dialog;
      - Statistics page in the Folder Properties dialog: HostMonitor can execute alert profile before resetting the statistics;
      - Pause dialog: HostMonitor can execute alert profiles every time user starts or stops monitoring or when the user enables/disables alerts.
      It is a good idea to create separate action profiles for standard/advanced actions and for scheduled actions.

  6. Global user defined macro variables

    Now you can define "global" variables. They can be used in any of the action profiles. This type of variables may be of great use. For example if you have lots of alerts that send e-mails to different mailing lists (one action sends the mail to administrators, another to managers, 3rd action sends notifications to managers and administrators, etc). When some of the e-mail addresses have been changed you will then need to correct these addresses in all profiles that are using them. To avoid this you may define a global variables. Define several variables such as "udv_admingroup: rick@mycompany.com; brand@mycompany.com", "udv_managmentgroup: bob@mycompany.com; john@mycompany.com; kim@mycompany.com", etc and use them as a destination address for the actions: "%udv_admingroup%". Now if any of the e-mail addresses will change, you will have to track this change only in the definition of the variable. This is far more efficient then checking all action profiles that may use the address being changed.
    Global variables are defined in the menu "Profiles"->"Global macro variables".
    You can also create an HMScript that will modify variables automatically (for example in respond to some event).

  7. New macro variables

    • Now an action that was started by a test (or by schedule) is able to access the parameters of ANY test (not just the one that has triggered this action). Specify the name of a test confined by a double colon (::) in front of the name of the macro variable. E.g. if you want to access "Reply" and "Status" fields of the "Ping Yahoo" test, use the following syntax for the variables: %::Ping Yahoo::Reply%, %::Ping Yahoo::Status%

    • Now each folder has a Comment field. And two new Folder related macro variables became available: %FolderComment%, %FCommentLineXX% (where XX is number of the line)

    • New HostMonitor status related macro variables:
      %MonitorState% this variable may have 2 values: "Monitoring Started" or "Monitoring Stopped"
      %AlertsState% this variable may have 2 values: "Alerts Enabled" or "Alerts Disabled"

    • To represent a date you may use the following variables:
      %d% - Current day as a number without a leading zero (1-31).
      %dd% - Current day as a number with a leading zero (01-31).
      %ddd% - Current day as an abbreviation (Sun-Sat). HostMonitor uses system's regional settings for abbreviation format.
      %m% - Current month as a number without a leading zero (1-12).
      %mm% - Current month as a number with a leading zero (01-12).
      %mmm% - Current month as an abbreviation (Jan-Dec) using system's regional settings.
      %yy% - Current year as a two-digit number (00-99).
      %yyyy% - Current year as a four-digit number (0000-9999).
  8. HM Script: new commands

    Command | Parameter(s) | Description (action)
    3 new global variable commands:
    SetUserVariable <VariableName>
    <VariableValue>     		sets the value of a variable (if such variable does not exist, creates a new variable)
    SaveUserVariables | saves changes
    LoadUserVariables | loads previously saved variables
    the following commands allow you to reset statistics for tests:
    ResetTest | <TestName> | resets statistics for specified test or group of tests
    ResetAll | resets statistics for all tests within the folder
    new command that allows you to change various parameters of the tests
    ReplaceTestParam <TestName>
    <ParameterName>
    <Value that should be replaced>
    <New value>

    Replaces a value of a given parameter for the specified test or group of tests. Unlike "SetTestParam" command, this one has a selective approach. It changes the value of a parameter only for the tests that have a current value equal to the <Value that should be replaced> argument of the command.
    ParameterName can be one of the following:

  9. timeout
  10. username
  11. password
  12. comment
  13. commentlineNN (where NN is a number between 1 and 99)
    Example: ReplaceTestParam _AllTCP timeout 2000 5000

  14. Pause for monitoring and alerts

    New dialog is accessible from the menu "Monitoring"->"Pause". It allows you to pause monitoring and/or alerting from now on and up to the specified day and time. You may change the time interval at any moment or you may resume monitoring manually using menu "Monitoring"->"Start Monitoring".

  15. Events: actions executed in conjunction with start/stop or pause/resume of monitoring/alerting

    Now you can provide 4 different alert profiles that will be executed every time:
    - application starts/resumes monitoring
    - application stops/pauses monitoring
    - alerts resumed or enabled
    - alerts paused or disabled
    Use menu "Monitoring"->"Pause" to setup these alert profiles.
    Please note: only "scheduled" actions may be executed in conjunction with above mentioned events.

  16. Scheduler

    Scheduler is a new feature of the application that allows you to execute up to 5 alert profiles by schedule. E.g. execute some profile every 1 hour, or every Monday at 21:00. So now you can easy create reports and send them by mail at regular schedule.
    To setup a schedule and action profiles use Scheduler page in the Options dialog.
    Please note: only "scheduled" actions may be executed on schedule.

  17. Quick Log pane

    New item "Quick Log" in menu "View" allows you to check history of the latest events of each test or folder. When you select this menu item, HostMonitor opens a "Quick Log" pane located at the bottom of the main window and displays last 10 events for selected test or 50 events for selected folder (folder's list includes last events for every test within the folder).
    The term "event" means a log record that was added with every test status change. If logging mode for the test is set to "Reply" or "Full", HostMonitor will add a new record when test status changes or the value of "Reply" field changes.

  18. Changes in Folders' properties

    • Statistics page: an option was changed to increase flexibility. "Generate reports before reset statistics" option was changed to "Execute action profiles before reset statistics" (only "scheduled" actions may be executed with this option);
    • Reports page: an option was changed to increase flexibility. "Execute external program when complete" option was changed to "Execute action profiles when complete" (only "scheduled" actions may be executed with this option);
    • New inheritable field "Comment". You can access the whole comment or a particular comment line using new macro variables %FolderComment%, %FCommentLineXX% (where XX is a number of the line).

  19. Changes in Options dialog

    • Reports page: an option was changed to increase flexibility. "Execute external program when complete" option was changed to "Execute action profiles when complete" (only "scheduled" actions may be executed with this option);
    • Log Analyzer page removed (Log Analyzer is now a separate application);
    • Miscellaneous page: an option "Protect all settings by password" has been removed. Now you can use user accounts with different permissions to protect settings;
    • New "RCI" page;
    • New "Scheduler" page

    20. Changes related to common test properties

  20. Tests performed by remote agents

    The tests that were performed by HostMonitor itself are now also available for execution by a Remote Monitoring Agent (RMA). This small application being installed on a remote system performs all the tests on its own and supplies results to HostMontor. Using the RMA increases security of the network, reduces the network traffic and simplifies network administration.
    For more information, please, refer to Remote Monitoring Agent section of this documentation.

  21. More flexible conditions to perform dependent tests

    As before you can make test execution to be dependent on list of Master tests. But also you can define condition to perform test using logical expression. In expression you can use macro variables that represent current test as well as variables related to any other test and of course you can use global macro variables.
    For example an expression may look like this: ('%::Ping Router::SimpleStatus%'=="UP") and ('%::Ping Router::Reply%'<'800 ms'). HostMonitor will perform a test when "Ping Router" test has a good status and the reply time for the router is below 800 ms.
    This mode is more complicated than a standard list of Master tests but it is very very flexible. You may use logical operators [and, or, not, <, >, >=, <=, ==, <>], round brackets, macro variables, numbers and strings (in quotes). Strings that contain a number plus one of the following unit specificator [ms, Kb, Mb, Gb, %] are compared as numbers, so that '900 Kb' is less than '9 Mb'.
    Sometimes HostMonitor may fail to parse logical expressions. For example when a variable has no value due to the failure to perform some other tests. In this case HostMonitor will not perform the dependant test. Instead it will set a special status for the current dependant test. The same happens when a logical expression returns "false" value (this means that a condition was not met). You may define this status in the "OtherwiseStatus" property of the test. You can provide the status name (e.g. "Ok", "Bad", "No answer") or specify a macro variable that describes the status of another test (e.g. %::Ping Router::Status%).

  22. New logging option

    New logging option "Reply" may be applied for common or private log. HostMonitor will record information into log every time the status or reply value of the test changes.

    23. Changes to specific test methods

  23. TCP test

    Now HostMonitor can send data to the host (when TCP connection established) and compare the data received from the server to the specified string (the same way like UDP test does).

  24. Compare Files test

    Now if the target file(s) does not exists, the status of the test will be "Unknown". Also note that an option "Treat Unknown status as Bad" now is enabled.

Archive (versions 0.07 - 3.71)

Copyright (c) 2000-2004 by KS-Soft. All Rights Reserved


[HostMonitor] What's New

hmtitle3.gif (3014 bytes)
What's New: Archive
Detail info Details HostMonitor main page HostMonitor Copyright/License/Warranty Download HostMonitor Download Registration Information Buy now

  • Version 3.71
    The following issues have been resolved:
  • SMTP test: for some SMTP servers could return wrong "Bad" status
  • HTTP test: new handler for resource allocation error
  • HMScript processor: script could stop execution after "LoadTestList" and "NewTestList" commands
  • Log Analyzer: fixed an error in "Adjust" function of full screen chart. Previously it handled negative values of test reply incorrectly
  • Version 3.70
  • Action Profiles dialog: new button "Sort" allows you to sort action profiles in alphabetical order
  • Test Properties dialog: new common log option allows you to change logging mode (Default/Brief/Full) for each test
  • Import function: now when you specify a Master test(s) you may provide also the names of tests from the import file and/or from already loaded HML file (in older versions you have to specify Master test(s) from the same import file)
  • Now all "run external program" actions/methods use an account that was specified for the service (if HostMonitor running as Win32 service)
  • Now "good" action that depends on some "bad" action will not be executed when test changes a status good->unknown->good and "Treat unknown as bad" option is disabled
  • SMTP test: now sends QUIT command to the server
  • SNMP test: now supports OIDs with the length up to 128 parts
    The following issues have been resolved:
  • "Send message to pager (TAP)" and "Send message to numeric pagers" actions were using "auto select" device when user selected 1st installed modem
  • File actions.lst in the distributive was corrupted ("reboot" profile).
    If you have/had installed an old version of HostMonitor, please, remove the "reboot" profile.
  • Version 3.68
  • Ping test: now you can set Timeout and Packets parameters to 0. In this case HostMonitor will use default values specified on Ping/Trace page in the Options dialog
  • Trace test (inaccuracy corrected): when test fails, macro variables %TraceFull% and %TraceBrief% is still displaying the information about last passed test.
  • URL test: now HostMonitor sets "Bad" status in case when response received from a server indicates some error (e.g. Page Not Found); 'no answer" status utilized only when no response received. Earlier HostMonitor used "no answer" status in both cases.
  • LDAP test: now HostMonitor performs search for whole sub tree (not just for base object as it was earlier).
  • ODBC test: displays response time when you don't use "Check field" option. If you use "Check field" option, test displays field value (as in previous version).
  • ODBC test: multiline queries processing has been corrected
  • SMTP test (important!): fixed error that could cause the application to crash
  • SNMP test: now if you use test to check the changes of the counter's value, HostMonitor will display corresponding relative value of the counter. E.g. if you use "increases per sec" option, HostMonitor will display difference between current and previous values of the counter divided by time (in seconds)
  • DBF reports: type of the "AliveRatio", "DeadRatio", and "UnknownRatio" fields changed from integer to float
  • Log Analyzer: new "Adjust" item has been added into chart's popup menu. It adjusts vertical axis so all bars (those representing test results) selected in the last "Zoom" operation will fit on screen
  • Version 3.64
  • LDAP test: added "Results limit" option
  • ODBC test: added "If field is unavailable, set status: Unknown/Bad/Ok" option
  • New "Protect Reset/Stop/Start" option (Misc page in the Options dialog)
  • New "Do not use SQLFetchAbsolute" option (Misc page in the Options dialog)
  • New "User DSN/System DSN" option (Misc page in the Options dialog)
  • 6 new macro variables:
    - %Interval%
    - %LastTestTime%
    - %AlertThreshold%
    - %PreviousStatusTime%
    - %PreviousStatusDuration%
    - %PreviousStatusDuration_Sec%
  • Folders' new property: "Create reports before reset statistics" (located on Statistics page in the Folder Properties dialog)
  • Now while defining target files for reports you can use date macro variables (DD, MM, YY, etc)
  • Version 3.60
  • New action: Log Event
  • New action: SNMP Trap
  • New "Recursive mode" option for the "Generate reports" action
  • New macro variable %NTEventUser% (applicable for Event Log test only)
  • HTML, Compact HTML, and Custom HTML reports support new macro variables in the header/footer sections:
    - %DisabledTests%
    - %WaitForMasterTests%
    - %OutOfScheduleTests%
  • Now %HostAddr% macro variable (represents server name) is applicable for UNC test
  • Performance Counter test: now "Display mode" option has effect for Reply, MinReply, MaxReply, and AverageReply fields (before it had effect for Reply field only)
    The following issues have been resolved:
  • HTTP test mixed username & password
  • Compact HTML report in some cases could display different field than specified one (field displayed on buttons in the report)
  • Version 3.56
  • Folders: added new property "reset statistics daily / weekly / monthly / quarterly". Now HostMonitor can reset statistical information at regular basis, periodicity of operation can be specified separately for each folder or can be inherited from the parent folder.
  • Improved NT Event Log test:
    - new, much more flexible filter
    - 6 new macro variables: %NTEventSource%, %NTEventComp%, %NTEventTime%, %NTEventType%, %NTEventID%, %NTEventText%
    - added "Report about last Bad event" / "Report about all Bad events" options
    - you don't need to synchronize timers on local/remote systems anymore. Now the test works correctly even in case systems (monitored and monitoring systems) located in different time zones.
  • Improved TCP test: added "Timeout" parameter. If it's value is 0 (default value), HostMonitor uses default Windows timeout
  • Improved Ping test: added "Packet size" parameter. If it's value is 0 (default value), HostMonitor uses global "Packet Size" parameter defined on Ping/Trace page in the Options dialog.
  • Improved Custom HTML report:
    - added 21 new macro variables
    - added "Folder summary" template section. Example
  • Optimized Test Properties dialog creation: it was very slow when you work with several thousands of tests.
  • HTTP Test Properties dialog: now "Test" button displays HTTP header returned by a server
  • Version 3.50
  • New HTTP test
  • Redesigned "Full screen" chart (Log Analyzer tool):
    - show events date/time on bottom axis
    - improved 3D appearance
    - allows zoom for selected region
    - added "Set bounds" feature
    - added "Save to file" feature
    - print preview dialog
    - support more different colors for different elements
  • New Compact HTML report type (support 3 different styles)
  • New Custom HTML report type
  • Folder Tree: added new popup menu item "Resort alphabetically" (allows you resort the folders alphabetically by name)
  • Test Detail Area: added new popup menu items: Disable this folder/Enable this folder
  • Version 3.44
  • New UDP test
  • New NTP test
  • New RADIUS test
  • New macro variable (WW) supported in a log file name. WW represents current week as a number with a leading zero (01-53).
  • Version 3.40
  • New test: Script. Now you can create your own tests using different script languages such as Visual Basic Script or Java Script. HostMonitor uses Microsoft ActiveScripting technology to execute scripts that were written by you or somebody else.
  • SNMP test improved: added 3 new alert conditions to check how new value changes comparatively to the previous test results:
    "increases /sec" - HM sets "Bad" status when average increase of the counter (per second) is greater than the specified limit
    "decreases /sec" - HM sets "Bad" status when average decrease of the counter (per second) is greater than the specified limit
    "changes /sec" - HM sets "Bad" status when average change of the counter (per second) is greater than the specified limit
  • Performance Counter test improved: added 3 new compare conditions (the same that were added to SNMP test)
  • Performance Counter test improved: added new parameter "Display mode", that defines information display method. You can select one of the following options:
    as is - do not perform any conversion
    sec -> [days] hh:mm:ss - converts received value in seconds to a "[days] hh:mm:ss" format
    msec-> [days] hh:mm:ss - converts received value in milliseconds to a "[days] hh:mm:ss" format
    bytes -> Kb - converts received value in bytes to kilobytes
    bytes -> Mb - converts received value in bytes to megabytes
    bytes -> Gb - converts received value in bytes to gigabytes
  • Import function improved: now you can define tests in arbitrary order, e.g. master test definition can be located below of the dependent test (in previous versions of HM master tests must be defined before dependant tests).
  • Added 4 new columns: Comment line #2, Comment line #3, Comment line #4, and Comment line #5. These columns can display corresponding lines of the multi-line comment. Using Columns page in the Options dialog you can change field names and their order.
  • Now Search function (available thru menu Search) can extend search to other (non current) folders
  • Version 3.32
  • SNMP test improved. Added 6 new alert conditions to check how new value changes compare to the previous test:
    "increases by" | - HM sets "Bad" status when value increases by specified number or more
    "decreases by" | - HM sets "Bad" status when value decreases by specified number or more
    "changes by" | - HM sets "Bad" status when value changes by specified number or more
    "increases by (%)" | - HM sets "Bad" status when value increases by specified (or greater) percentage
    "decreases by (%)" | - HM sets "Bad" status when value decreases by specified (or greater) percentage
    "changes by (%)" | - HM sets "Bad" status when value changes by specified (or greater) percentage
  • Performance Counter test improved. Added 6 new compare conditions (the same that were added to SNMP test)
  • Now when new log file is creating HM records information about all test. It helps LogAnalyzer to produce more precise statistics
  • HM converts seconds to "days hh:mm:ss" format for the "System Up Time" and "Estimated Time" performance counters
    The following issues have been resolved:
  • Count Files test in service mode (HM started as a service) did not impersonate user's account. Fixed
  • Performance Counter test did not update statistic counters (Min Reply, Max Reply, Average Reply, etc). Fixed
  • Export utility recorded wrong value for ReverseAlert parameter. Fixed
  • Dial-up to the network action: fixed problem with password and resources releasing
  • Version 3.30
  • New test: RAS. Allows you to check remote RAS server using dial-up connection.
  • New test: Performance Counter. Important: please read the notes before using this test.
  • New function: "Export to text file". Allows you to export tests' parameters to text file. Available thru the "File" menu
  • Improved function: "Import from text file" function supports new optional parameters.
    New common test parameters:
    - Disabled = <yes|no>
    - ScheduleMode = <Regular | OneTestPerMonth | OneTestPerWeek>
    - ScheduleDay = <number_of_the_day>
    - ScheduleTime = <hh:mm:ss>
    - PrivLogMode = <Default | Brief | Full>
     New "URL" test parameters:
    - CRC = <crc_value>
    - urlUseFrames = <yes|no>
    - urlUseImages = <yes|no>
     New "File Availability" test parameters:
    - MinAge = <minutes>
    - MaxAge = <minutes>
     New "ODBC Query" test parameters:
    - CheckField = <LessThan | MoreThan | EqualTo | DifferentFrom | Contains | DoesntContain>
    - FieldRow = <num_of_the_row>
    - FieldCol = <num_of_the_column>
    - CompareStr = <numeric_or_string_value>
     Of course now "Import" function supports new "RAS" and "Performance Counter" tests. To check list of parameters you can use new "Export to text file" function: just create test(s) and export it to a text file.
  • Problem fixed: on some systems Process test hangs
  • Version 3.26
  • Schedules became more flexible. Previous versions of HostMonitor were allowing schedules with accuracy of an hour. Now you can define schedules with time intervals as small as one minute (e.g. from 01:10 till 01:13). For more information, please refer to Profiles->Schedules section of this documentation.
  • Real time folders' colors. Now Folder Tree can be set-up to display folders using different colors according to the selected color scheme, depending on the tests' results.
  • Send E-Mail action: now macro variables are supported in "From" field
  • Problem fixed: External test did not inherit user permissions when HostMonitor started as service
  • Version 3.22
  • New test "Count Files" implemented to check number of files in the specified directory.
  • New test "Trace" allows you to trace route to the specified host and start alert actions when route changed.
  • New test specific macro variables: %TraceFull%, %TraceBrief% (available for Trace test only).
  • Version 3.20
  • HMScript: added new command "SetTestParam "
  • Import function, UNC test: now you can use percentage to define free space amount
  • Import function, UNC test: now you specify username and password
  • Import function, External test: added new parameter "WindowMode".
  • Import function: added new common test parameters (available for all kind of tests) SyncCounters, SyncAlerts, MasterTest-Alive, MasterTest-AliveOrUnknown, MasterTest-DeadOrUnknown, MasterTest-Dead
  • Import function: supports multi line comments. You can separate lines using sequence "^M". E.g "Comment = 1st test^MSecond comment line^M3rd comment line"
    The following issues have been resolved:
  • CPU Usage test displayed wrong value for multi-processors systems under Windows 2000/XP. Fixed.
  • HML Manager sometimes did not show Schedules and Alert profiles those were assigned to the tests. Fixed.
  • NT Event Log test did not display event description on some systems. Fixed.
  • Import function worked incorrectly with DNS test. Fixed.
  • Other minor corrections.
  • Version 3.19
  • Multi-line test comments, new macro variables (%CommentLine1%, %CommentLine2%, etc)
  • New macro variables that can be used in an external HTML header/footer: %GoodTests%, %BadTests%, %UnknownTests%, and %TotalTests%
  • New examples of HTML header and footer:
    Summary.html - contains external header with tests' statuses summary
    Summary2.html - contains external footer with summary of the tests' statuses
  • Version 3.18
  • "Send e-mail" action: now HostMonitor supports macro variables in "To" field (destination address)
  • Sybase test: now the program checks servers one by one (to avoid problems with DB-lib in multithread environment)
  • URL test: HostMonitor could return false test result when checked page contents using proxy with authentication. Fixed
  • several corrections in interface and reports module
  • Version 3.16 Beta
  • Now available new on-line documentaion and new help system included in HostMonitor download.
  • URL test: added 2 new options (located on Miscellaneous page in the Options dialog; options have effect for all URL tests):
    - Accept SSL/PCT certificates with invalid host name
    - Accept SSL/PCT certificates with invalid dates
  • UNC test: new option "Connect As"
  • Corrected "Restart service" action. Action did not restart service on remote systems if HostMonitor running as a service
  • HML Manager: now it displays file creation/modification date using local time (previous version used UTC (Coordinated Universal Time))
  • Other minor corrections
  • Version 3.14 Beta
  • HML Manager, the utility for managing tests across multiple HML files, has been enhanced and is now included in the HostMonitor download. HML Manager can be started from HostMonitor's File menu, or launched as a separate program through the HostMonitor program group
    The following issues have been resolved:
  • DNS test did not work properly with servers specified by name (it worked correctly with IP addresses though)
  • with the "store statistics in HML file" option disabled, the program would mistakenly reset the test interval
  • several problems related to dependent tests have been fixed
  • Version 3.12 Beta
  • The new Test->Copy menu command is added that lets you create a copy of selected tests in a folder of your choice.
  • Now you can define a list of master tests for a group of selected tests in one shot
  • Now each "good" action has a new option: "Action depends on "bad" one". You can make "good" actions depend on a "bad" action
  • Now you can change the display name of a field via the added "Change column name" button on the Columns page in the Options dialog.
  • Problem with the "Reset 'Recurrences' when test gets disabled" option has been fixed. The program used to always reset the counter, regardless of whether the option was selected.
  • Version 3.10 Beta
  • 5 new tests: SMTP, POP3, IMAP, DNS, LDAP
  • new macro variable %HostAddr% - represents the host name (or IP address) of the target system for the following tests: Ping, TCP, Oracle, Interbase, MS SQL, MySQL, Sybase, Postgre, Process, Service, NT Log, CPU Usage, SNMP, SMTP, POP, IMAP, DNS, LDAP
  • test option "Synchronize status & counters" renamed to "Synchronize counters"
  • test option "Synchronize alerts" renamed to "Synchronize status & alerts"
    The following issues have been resolved:
  • the program would start unnecessary "good" actions when a test's status changed to "good" after being OutOfSchedule or WaitForMaster
  • the "Append from HML file" function did not work properly with dependent tests
  • Version 3.02 Beta
  • Log Analyzer: new popup menu item "Print image"
  • Log Analyzer: new popup menu item "Copy image to Clipboard"
  • New item in "Help" menu: "WWW Forum" - link to the online www forum at ks-soft.net
  • Reports: sort order supported. Items in reports are now sorted the same way sorting is done in the program window, based on program settings and folder properties
  • File/Folder Availability test: fixed problem which appeared when you try to test folder creation/modification time

  • Version 3.00 Beta

The all-new HostMonitor 3.0 is now available! Find out how the exciting new features and capabilities can make the life of a network administrator less stressful than ever before.
  1. Much more flexible alert profiles
  2. 12 new actions
  3. 5 improved actions
  4. Folders
  5. Color profiles
  6. Mail profiles
  7. Report profiles
    Changes related to tests:
  8. New status values
  9. New option: "Treat Unknown status as Bad"
  10. New option: "Reverse alert"
  11. New property: "Private log"
  12. New property: "Related URL"
  13. New property: "Irregular schedule"
  14. Dependencies
  15. New option: "Synchronize counters"
  16. New option: "Synchronize alerts"
  17. Improved tests
  18. New test: ODBC query
    Other
  19. Advanced logging
  20. New global options
  21. 25 new statistics columns
  22. 27 new macro variables
  23. Other

  1. Much more flexible alert profiles
     Alert profiles may now contain a number of alert actions that can be launched in a predefined order depending on the test results.

    Example 1: You want a fresh network stats report to be posted on your intranet web server every time the test finds the server to be up and running. This can be done simply by adding the following action to the alert profile:
    Action: Generate reports
    Start when: 1 consecutive "good" result occur
    Retries: until status changes

    Example 2: When some critical service dies, you want the server to automatically reboot. If that does not help, an e-mail should be sent to the on-call technician. If, however, the server remains silent during the next three tests, the network administrator is to be paged until the server is brought back up. To implement this behaviour, create an alert profile with three actions defined like these:

    1. Action: remote reboot
      Start when: 1 consecutive "bad" result occur
      Retries: 1
    2. Action: send e-mail
      Start when: 2 consecutive "bad" results occur
      Retries: 1
    3. Action: send message to pager
      Start when: 5 consecutive "bad" results occur
      Retries: until status changes

    Schedules can now be applied to actions the same way they were used for tests. With schedules, actions can be customized per time of the day. For instance, an action profile can be set up to page both the IT manager and the network administrator during regular office hours, and to page the administrator alone the rest of the time, while doing nothing else but writing to the log on weekends. To make this possible, simply check the "Time restriction" option and select an appropriate schedule.

  2. New actions:
    Send message to pager (SNPP) | sends a message to a pager using the SNPP protocol; unlike TAP, which employs the modem, SNPP is built on top of TCP/IP to send messages via an Internet connection.
    Send message to ICQ | sends a message through an ICQ web server to the specified ICQ user.
    Stop service | stops a Win32 service on the local or remote system.
    Start service | starts a Win32 service on the local or remote system.
    SQL Query | executes an SQL query against the specified ODBC data source.
    Send data to TCP/UDP port | sends data to the specified host using TCP or UDP.
    Syslog | sends data using the Syslog protocol.
    SNMP Set | sets data on the local or remote system using the SNMP protocol.
    Dial-up to network | dials-up to a network.
    Diconnect from network | drops the specified dial-up connection.
    Repeat test | repeats the test. This action can be helpful in situations when the condition being checked is not stable.
    Change test interval | changes the test interval.

  3. Improved actions:
    Send e-mail a) For each action, a separate mail template can be specified. Thus, an e-mail to the IT manager might contain some general information on the servers, whereas the one intended for the administrator would provide an elaborate report with a high level of detail.
    b) A character set can be specified for a mail template.
    c) The built-in mailer now supports authentication (Plain, Login, MD5, POP before SMTP).
    Send message to pager | For each action, a mail template can be specified.
    Execute external program | External program's initial window status (normal, minimized, maximized, hidden, non-active, etc.) can be specified.
    Generate reports | Reports may include all or some of the tests contained in the specified folder and its subfolders. The powerful Report manager provides maximum flexibility in configuring report profiles, allowing the administrator to pick a report type, select fields to include, create filters, etc.
    Execute HMS script | Enhancements have been made to the HostMonitor scripting language, like the added support for subfolders and macro variables.

  4. Folders
    New to version 3.0, folders bring a new level of control and flexibility to network monitoring. Learn how to organize tests in a tree-like structure (pretty much like you organize files on your hard drive) and take advantage of the property inheritance mechanism.

    The folder tree is displayed in the left-hand panel of the HostMonitor main window. Appearing on the right side, in the list view area, are tests contained in the current (selected) folder and (if the appropriate option is selected) its descendent subfolders. Sure enough, all tests are performed based strictly on their schedules, regardles of whether they are currently displayed or not.

    Each folder may contain tests and/or nested subfolders, and has a number of properties:

    • visible fields - a list of test attributes to display;
    • sort order - a list of attributes to sort by;
    • Color palette - a customizable color scheme;
    • reports - up to 6 individual reports can be associated with a folder.

    A new folder automatically inherits properties defined for the parent folder (the top folder inherits the common settings defined in the Options dialog). Once a folder is created, you can change its properties as needed, rename or delete the folder, create tests and nested subfolders, and so on. HostMonitor supports Drag & Drop operations, allowing you to easily move folders around, change their display order, and move tests from one catalog to another.

    For example. you can set up a folder representing your company, define a set of report profiles (for the administrator, IT manager, technical support crew, etc.), then create several subfolders, one for each of the company's offices, and you are done! HostMonitor will be automatically generating uniform reports for all company offices (each report will contain test results specific to the office).

    In another example, folders can be created based on a test type (Ping, CPU Usage, etc.). For each folder, define a different set of visible columns, depending on the type of test. Thus, for a ping test folder a logical choice would include the "Reply" field, whereas for a CPU Usage folder catalog the "Average reply" field might make sense.

  5. Color profiles
     Fully customizable color schemes are available now for a variety of program windows, HTML log files and reports. Color schemes can be assigned to either a catalog or a report type. For example, a report designed for the IT manager might have an entirely different look and feel as compared to the one intended for use by the network administrator. Similarly, reports designed for the field offices may differ in palette from those used by the headquarters.

    The following elements have customizable color attributes (both fore- and background):
    - underlying layer;
    - table header (HTML reports only);
    - folders;
    - system messages (HTML logs only);
    - test colors are status-dependent:
    - "Not testes yet";
    - "Good";
    - "Bad";
    - "Unknown";
    - "Test in progress";
    - "Disabled";
    - "Waiting for master";
    - "Out of schedule ".

  6. Mail profiles
     Multiple message templates can now be created for e-mail, pager and ICQ notification. For instance, you can set up HostMonitor to send general server status emails to the manager, and fire off an elaborate problem report to the administrator in case of a network failure.
    As before, macro variables are supported in message templates to be substituted with their actual values at message generation time. For a list of the new macros introduced in version 3.0 please see new variables.
    The other new feature allows you to specify a particular character set for your templates. This comes in especially handy if you work in a multilingual environment.

  7. Report profiles
     The highly flexible Report Manager allows you to create and customize reports to your liking in a variety of ways.
    The configurable report parameters include:
    - report type: HTML, WLM, DBF or text;
    - field list (e. g., test name, status, average response time, downtime, etc.);
    - test type filter (e. g., exclude any ping tests);
    - status filter (e. g., only include tests with a "Host is alive" or "Unknown" status);
    - color scheme (for HTML reports only);
    - HTML header and/or footer file (for HTML reports only).

    Below is a list of the macro variables that can be used in an external header/footer:
    %Date% - current date
    %Time% - current time
    %DateTime% - current date & time
    %BGColor% - background color
    %TextColor% - text color
    %LinkColor% - hypertext link color
    %VLinkColor% - visited link color
    %ALinkColor% - active link color

    It is also worth noting that each folder may contain its own list of reports, and each of the reports can be set up with a launching schedule specific to that folder.

Changes related to tests:

  8. New status values
    • "Unknown" has a new meaning: the program is unable to retrieve the necessary information (e. g., cannot retrieve CPU usage data from a remote machine). What used to be tagged as "Unknown" now has a status of "Not tested yet".
    • "Waiting for master" means the test is defined as dependent, i. e. based on another (master) test's results, and the current status of the master test precludes the dependent one from being launched.
    • "Out of schedule" - tests are marked with this status if the time to launch the test falls into a disabled time frame according to the schedule specified for that test.

  9. New option: "Treat Unknown status as Bad"
    The new "Treat Unknown status as Bad" option can be applied to tests. With this option enabled, if test results cannot be obtained, actions are triggered by HostMonitor the same way as if the test returned a "Bad" status.

    The option is not applicable to some of the test types. Please refer to the table below for the meaning of "Unknown" status for diferent test types:
    Test | Option applicable | "Unknown" status condition
    Ping test | Yes | Host name cannot be resolved into IP address
    TCP test | Yes | Host name cannot be resolved into IP address
    URL request | No
    Disk free space | Yes | Disk drive information is unavailable (e. g., the drive is unmapped)
    Folder/File size | Yes | File/folder doesn't exist
    File exists | No
    Compare files | No
    File CRC | Yes | File doesn't exist or read error
    UNC | Yes | Resource is unavailable (option is applicable for free space check only)
    Oracle | No
    Interbase | No
    Ms SQL | No
    My SQL | No
    Postgre SQL | No
    Sybase | No
    Process | Yes | Information (list of processes) cannot be retrieved
    Service | Yes | Connection to CS Manager cannot be established
    SNMP | Yes | Information cannot be retrieved
    NT Events Log | Yes | Information cannot be retrieved
    CPU Usage | Yes | Information cannot be retrieved
    External test | Yes | HostMonitor cannot execute external program (program doesn't exist) or program doesn't return ERRORLEVEL within a specified time
    ODBC Query | Yes | SQL query fails, or the data field specified is not found in the result set

    Please note: the HostMonitor icon displayed in the System Tray may have one of the three colors:
    - blue - all tests performed have been successful;
    - yellow - "Unknown" status tests have occured;
    - red - "Bad" status tests have occured.

  10. New option: "Reverse alert"
     When this option is selected, HostMonitor regards test results that are normaly considered benign, as abnormal ones, and vice versa.
    This can be useful in some situations. For example, CPU Usage test returns a "Ok" status if the processor load ratio is below a predefined value. With the "Reverse alert" option turned on, the test will work the other way around, so the administrator will be alerted when the processor load is below a predefined value.

    Here is how the conversion works for different status values:
    Original status | Reverse status
    Alive | Bad
    Dead | Ok
    Ok | Bad
    Bad | Ok
    BadContents | Ok
    Other status values are not affected.

  11. New test property: "Private log"
     As before, HostMonitors records test data in a single log file shared by all tests. Additionally, for each test you can now define its own, "private" log file. The type of a private log is determined based on the file extension: HTML for .htm*, DBF for .dbf, plain text for any other extension.
    Private logs can be configured to work in one of the following modes:

    • Brief - record information on a changed status;
    • Full - record all test results, regardless of whether the status changes or not;
    • Default - use the common settings defined in the Options dialog.
    If a private log is specified, the popup menu for that test will contain the item, "View private log".

  12. New test property: "Related URL"
     For each test, a related URL can be specified. By adding this property to the list of visible columns or to a report, you will make the related URLs appear in the test list view or report sheet. In HTML reports, URLs appear as hyperlinks. In the list view, tests with a related URL will have a popup menu item that launches the associated program (typically, your default Internet browser).

  13. New test property: "Irregular schedule"
     As before, tests in version 3.0 can be configured to execute in regular time intervals, for instance, every 10 minutes. In addition, the new property, "Irregular schedule", allows you to have your tests run on a given day of week or month, at the time specified, like at 8:30 AM every Monday, or at 10:00 PM on the 1st of each month.

  14. Dependencies
     For each test, you can now define a list of other tests it depends on, or Master tests. Choose the condition to perform the dependent test based on the status of a Master test:
    - "Alive";
    - "Alive" or "Unknown";
    - "Dead";
    - "Dead" or "Unknown".
    As an example, consider a network configuration where the accessibility of the company's several web servers depends on the state of a single router. When the router is down, there is probably little sense in trying to do the dozens of tests designed to collect information on the web servers.
    That was, of course, a very simplified example. With this new feature, you can implement quite sophisticated dependencies involving a number of master tests which, in turn, depend on other tests' results. For more information on dependencies, please, see the following options: "Syncronize counters", "Syncronize alerts", "Consider status of the master test obsolete after N seconds".

  15. New option: "Synchronize counters"
     This option only applies to tests that have one or more master tests. When the option is turned off, and some test is not being launched because its launch condition has not been met, HostMonitors simply marks such a test with the "Wait for Master" status. If, however, the option is turned on, the dependent test receives the status of the master test, and its statistics information is accordingly updated. Thus, if a router on which other tests depend has been tested to a "No answer" status, the same status will be assigned to all dependent tests with the "Synchronize counters" option on, which in turn will increment their respective counters like "Dead time", "Failed tests", etc.

  16. New option: "Synchronize alerts"
     This options is applicable only if "Synchronize counters" is also selected. When the option is turned on, besides synchronizing counters, HostMonitor also does action dispatching based on the status propagated from the master test.

    Example: On your corporate network you have 10 web servers and 1 router that is critical to the entire network. A router Ping test is set up to page the administrator if the router does not respond. So when the router goes down, and the "Synchronize alerts" option is turned off, HostMonitor sends a message to the administrator's pager and suspends all dependent tests. If "Synchronize alerts" is on, in addition to the router problem notification, actions defined on the dependent tests will be fired off as well.

  17. Improved tests:

    • Ping test: A packet loss threshold can be specified for a Ping test, based on which the test status is determined. That is, in the previous versions of HostMonitor a test was considered failed if no echo packets were received (100% loss). Now you can set the option, "Status is bad when N (or more) % of packet lost".
      The other new feater is, the "Reply" field can be set up to represent either the reply time, percentage of lost packets, or percentage of received packets.
    • External test: A window state of the program to launch can be specified (e. g., Normal, Minimized, Maximized, Hidden, Non-active, etc.)

  18. New test: ODBC query
     This test allows you to check the availability of an ODBC data source, run an SQL query, and analyze the value of a specified data field in the result set returned. To set up a test, simply pick one of the ODBC data sources defined in your system, and fill in the Login, Password and Timeout fields. Optionally, provide an SQL query and a condition to check. If no condition is specified, the two possible test status values are "Alive" and "No answer". If a condition is provided, test status can be either:
    - "Ok" - if the condition is met;
    - "Bad" - if the condition is not met;
    - "Unknown" - if the query fails, or the data field specified is not found in the result set.

  19. Advanced logging
    As was mentioned above, in addition to the common log, test-specific private logs can now be defined. Another new option allows you to log test information into an ODBC data source. The query to logging test data is entirely up to you. Use the macro variables available in version 3.0 to put in as much detail as you want. For instance, your log SQL command might look like this:
    INSERT INTO HMLOG (DATE1, TIME1, TEST_NAME, STATUS, REPLY) VALUES (%Date%, '%Time%', '%TestName%', '%Status%', '%Reply%')
    Note: An appropriate database table has to be created before you start using the ODBC logging.

    Also new in version 3.0 is the ability to separate system messages (generated by HostMonitor) from test status records. To enable this, set the "System log: use different log file XXXXXX" option.
    The settings for these new options are located on the new page, "Advanced options", in the Options dialog.

  20. New global options:
    • Show tests in subfolders (recursive)
    • List of visible columns and their order
    • List of sorted columns

    • Store statistics in HML file - this option tells HostMonitor to write all statistical information into a file, so that the statistics build up across multiple program sessions. If the oprion is turned off, when an HML file closes down, the statistics pertaining to its tests get reset. Please note that statistics for any or all of the tests can be nullified at any time using the "Reset ..." menu command.

    • Store "Recurrences" in HML file - this is an important option, because it's the "Recurrences" field that the programs looks at to determine what actions and when to fire off. Therefore, if the option is deselected, upon closing an HML file or shutting down HostMonitor, the counter will be reset, so that when the program is restarted, actions will be triggered as tests are first performormed. With the option turned on, recurrence counters will be saved on shutdown, and at the next startup the program will pick up where it left off, as if the program execution was not interrupted.

    • Reset "Recurrences" when test gets disabled
    • Remember current folder

    • Consider status of the master test obsolete after N seconds - this parameter is used by the program to determine whether the Master test status is up to date. Before starting a dependent test, HostMonitor checks the status values of the Master tests defined on it. The parameter mandates for how long a Master test status is considered to be current.

    • Startup delay - this parameter is only applicable if HostMonitor is started as a Win32 service. It comes in handy if you want to monitor some other services that might start after HostMonitor does. With this option turned on, the actual monitoring is deferred at HostMonitor startup for the amount of time specified.

    • When service is being stopped: save changes in HML file; discard all changes
    • Authentication method (Plain, Login, MD5, or POP before SMTP), login and password for primary and backup SMTP server
    • Record info about successful actions
    • Record info about failed actions
**
Note: In the HostMonitor terminology, "Bad" status means one of the folowing:
- "No answer";
- "Bad";
- "Bad contents".
Similarly, "Good" status means either:
- "Host is alive"
- "Ok"
  • Version 2.00 Alpha

  21. 25 new columns providing detailed test information
    In adition to the static test parameters (test name, interval, status, etc.), a number of dynamic statistics data fields are now maintained and can be viewed in real time. Here is a list of the new fields introduced in version 2.0:
    Column name | Field description
    Recurrences | The number of consecutive tests resulting in the same status as the current one
    Last status | The previous test status
    Last reply | The previous test result value (test-specific)
    Related URL | Related URL
    Master test | Master test name
    Schedule | The name of the associated schedule
    Alert profile | Alert profile name
    Private log | The specified private log file name
    Alive % | "Good" to overall tests ratio, in percent
    Dead % | "Bad" to overall tests ratio, in percent
    Unknown % | "Unknown" to overall tests ratio, in percent
    Total time | The time the test has been in monitoring
    Alive time | The overall time the test has had a "Good" status
    Dead time | The overall time the test has had a "Bad" status
    Unknown time | The overall time the test has had an "Unknown" status
    Total tests | Overall tests performed
    Passed tests | The number of "Good" tests
    Failed tests | The number of "Bad" tests
    Unknown result tests | The number of "Unknown" tests
    Average reply | The average value of the results obtained
    Min reply | The minimum value of the results obtained
    Max reply | The maximum value of the results obtained
    Status changed at | The time when the status last changed
    Status changes count | The number of times the status has changed
    Created at | The time when the test was created
    Modified at | The time when the test was last modified
    Please note that statistics for any or all of the tests can be nullified at any time using the "Reset ..." menu command.

  22. 27 new macro variables
     Like in the previous versions, macro variables can be used in message templates, in the command line to execute an external program, etc. The table below lists the new macros introduced in version 2.0.
    Macro variable | Description
    %TestName%' | The name of the test. Has the same value as %HostName%, which has been retained for backward compatibility
    %LastStatus% | The last test status returned
    %LastReply% | The last test result value
    %PrivateLog% | The specified private log file name
    %RelatedURL% | Related URL
    %Folder% | The name of the folder containing the test
    %FullPath% | The full folder path name
    %Recurrences% | The number of consecutive tests resulting in the same status as the current one
    %MasterTest% | Master test name
    %TotalTests% | Overall tests performed
    %TotalTime% | The time the test has been in monitoring
    %FailedCnt% | The number of "Bad" tests
    %PassedCnt% | The number of "Good" tests
    %UnknownCnt% | The number of "Unknown" tests
    %AliveTime% | The overall time the test has had a "Good" status
    %DeadTime% | The overall time the test has had a "Bad" status
    %UnknownTime% | The overall time the test has had an "Unknown" status
    %AliveRatio% | "Good" to overall tests ratio, in percent
    %DeadRatio% | "Bad" to overall tests ratio, in percent
    %UnknownRatio% | "Unknown" to overall tests ratio, in percent
    %AverageReply% | The average value of the results obtained
    %MinReply% | The minimum value of the results obtained
    %MaxReply% | The maximum value of the results obtained
    %StatusChangedTime% | The time when the status last changed
    %StatusChangesCnt% | The number of times the status has changed
    %CreatedTime% | The time when the test was created
    %ModifiedTime% | The time when the test was last modified
    In addition, the %SimpleStatus% macro can now take one of the three values: UP, DOWN, UNKNOWN

  23. Group test operations
     Test operations (Delete, Enable, Disable, Refresh) can now be performed on a group of selected tests. To select multiple tests use key combinations: Shift + Arrow key for a group of contiguous tests, Ctrl + Arrow key for arbitrary tests.
    Additionally, some common test parameters can be edited for a group of selected tests: alert profile, schedule, test interval, comment, related url, private log, etc.

  24. Creating multiple tests in one shot
     A range of IP addresses rather than a single adress can be specified for a Ping or TCP test (e. g., 192.52.233.1 - 192.52.233.250). For each of the range addresses, HostMonitor will create a separate test.

  25. Encrypted HML and LST files
    Because some test settings may include a password, HostMonitor configuration files are now stored in an encrypted form. For security reasons, it is also recommended to have the "Protect all settings by password" option turned on (located on the Miscellaneous page in the Options dialog).

  26. New linking mechanism for schedules and profiles
     You can now rename schedules, alert profiles and other profiles without having to worry that the link between the test and the profile will be broken. The new linking mechanism implemented in version 2.0 uses internal IDs that are unique and non-changeable throughout the lifetime of an object.

  • Version 1.78
    The following issues have been resolved:
  • SNMP test for remote systems might return an incorrect string value;
  • Pager notification would not work properly with some providers;
  • Ping packets bigger than 255 bytes were not supported.
  • Version 1.76
  • New option on Miscellaneous page: "Protect all settings by password"
  • "Remote reboot" action: now you can use macros in "Computer name" field
  • Some corrections in "CPU Usage" test
  • Fixed problem which appears when many tests try to connect to Oracle database at the same time
  • Bug fixed in "check Folder/File size" test: program calculated size incorrectly when folder contains huge file(s) (file bigger than 2GB)
  • "Check processes" test: now you can start alert actions when more than 0 copies of some process are running
  • New version does not need separate registration when started as service and as regular program
  • Now HostMonitor starts external log viewer using SW_SHOWNORMAL flag
  • Version 1.74
  • Fixed problems with Proxy authorization ("URL request" test).
  • Fixed problem in SNMP test: program returned incorrect values for last row in tables.
  • New option for SNMP test: "Automatically append the single instance sub-identifier (".0").".
    "Miscellaneous" page in Options dialog.
  • New item in "Troubleshooting" section of documentation.
  • Version 1.72
  • Redesigned "Miscellaneous" page in Options dialog.
  • New option: "Use fixed date & time formats".
  • New option for Trace utility: "stop trace if any device does not respond".
  • Version 1.70
  • Improved "URL request" test : new options "Download nested frames", "Download images".
  • Improved "Compare files" test : new option "Translate macros" - now you can use macros in path (%DD%, %MM%, %YY%, etc..).
  • New option "Agent name" on "Miscellaneous" page in Options dialog. Now you can change default agent name which HostMonitor sends in HTTP request ("URL request" test).
  • New test specific macros: %ServiceComp%, %ServiceName%.
  • Now test "by External program" displays ExitCode (which returns external program) in Reply field (so, you can use macro %Reply%).
  • Several small corrections.
  • Version 1.66
  • Log Analyzer : new menu item "Create HTML report" in popup menu.
  • "Compare files" test : worked incorrectly when file was smaller than text for search.
  • Version 1.64
  • Added menu item "Telnet" into popup menu for "Ping", "TCP", "URL request" tests.
  • Improved UNC test: now you can specify free space limit using percentage.
  • Several small corrections.
  • Version 1.62
  • Now HostMonitor support 2 SMTP servers for e-mail notifications (primary and backup).
  • Improved "Folder/file size" test. This test had limit 2 Gb, now theoretical limit 64 Tb.
  • Version 1.60
  • New test: "Compare files". Now you can can compare files by time, size, contents; search string in file; etc.
  • Now "Select test method" dialog saves/restores size and position.
  • New version of HML Manager.
  • Version 1.58
  • Options dialog: new page "Service" - now HostMonitor can impersonate the security context of the specified user when starts as service.
  • Improved test "File/Folder availability".
  • New menu item ("Trace") in tests list popup menu. Appears for "Ping", "TCP", "URL request" tests.
  • Log Analyzer: new menu item ("Erase line") in popup menu and hot key (Ctrl+Y) for panel with detailed information (left bottom panel).
  • New page "Miscellaneous" in Options dialog - options for "UNC path", "NT Events Log" tests.
  • Version 1.55
  • Improved tests "File/Folder availability" and "Folder/File size" : new option "Translate macros" - now you can use macros in path (%DD%, %MM%, %YY%, etc..).
  • Improved test "File/Folder availability" : now HostMonitor can check how old is the file.
  • Several small corrections
  • Version 1.50
  • Now you can start HostMonitor as Win32 interactive service under Windows 2000 (we don't recomend start current version of HostMonitor as service under Windows NT 4.0 !).
    New command line parameters: "/InstallService", "/UninstallService"
  • Version 1.40
  • New alert action: "Execute script".
  • Also for execute HMScript you can use new item "Execute script" in menu File.
  • HostMonitor's distributive now includes HML Manager.
  • Version 1.32
  • Some changes and corrections in SMTP mailer.
  • Improved build-in Import utility.
  • Now program doesn't ask about terminate monitoring when system is rebooting.
  • Also now available new utility HML Manager.
  • Version 1.31
  • Bug fixed: HostMonitor cannot read external HTML header/footer when path included spaces.
  • Version 1.30
  • New options page "HTLM report options".
  • Now you can define set of fields to include in report.
  • Now you can define set of tests to include in report (Ping, TCP, URL, etc).
  • Also program can add to report only "dead" hosts, only "alive" hosts, or all hosts.
  • You can use external header and footer for HTML report.
  • New buttons in "Test properties" dialog: "Exclude this test from HTML report", "Exclude this test from WML report", "Exclude this test from DBF report".
  • New option on "Interface" page in Options dialog: "Red row for 'dead' hosts".
  • Corrected: HostMonitor didn't work with some SMTP servers when you use more than one address in field "TO:".
  • Version 1.26
  • New menu item: "Import from Text file". Example of import file: import1.txt
  • Also available to download import utility: import.zip
  • Bug fixed: program didn't work with some regional date settings (like ddd/MM/YYYY, dd/MMMM/yy)
  • Bug fixed: sometimes icon changed color to blue even if some tests was "bad"
  • Version 1.25
  • New test: CPU Usage (implemented for Windows NT/2000 and Novell Netware)
  • Decrease usage of USER & GDI objects in 3 times
  • New option (Options dialog, "Behavior" page): "Don't start more than [xx] tests per second"
  • New macro %Reply%
  • New field in DBF log: "reply" (program changes format when create new DBF log)
  • Bug fixed: LogViewer & LogAnalyzer showed 0 reply values for some tests (SNMP test, check Process) when work with DBF log file (you have to delete old DBF log file)
  • Now HostMonitor for sorting by status uses sense of status (used alphabetical sorting)
  • Fixed problem with '<', '>' symbols in HTML log, in HTML & WML report files.
  • Fixed resource leaking (happened when TCP test cannot connect to host)
  • Changed behavior of Tray Icon: now icon restore blue color when all hosts is alive.
  • Version 1.21
  • URL request: now you may define timeout
  • New macro: %SimpleStatus%
  • Bug fixed: on Windows 9x program incorrect detected drive free space (cut to 2Gb)
  • Version 1.20
  • New actions : reboot, remote reboot, restart service. Now HostMonitor can restart/shutdown a local or remote computer and restart services on local or remote computer.
  • New reports : generates reports in HTML, DBF, WML formats.
  • New "Reports" page in Options dialog. HostMonitor can generates reports at regular intervals and start external program afterwards (e.g. for analyzing).
  • New "Reports" menu.
  • New "Add" button in "Tasks properties" dialog. The program adds task but doesn't close dialog and you may easy add another task.
  • Now you may use any characters (like '@', '^', ':') in password to access to HTTP, FTP, or Gopher data ("URL request" test). HostMonitor converts unsafe characters and spaces into escape sequences.
  • Version 1.10
  • New actions : send messages to pagers and beepers.
  • New "Pagers" page in Options dialog.
  • New macros: %StatusID%, %HostID%, %CommentID%.
  • New sound alert option: "Show WakeUp window and plays "dead" sound repeatedly".
  • Now HTML report includes field "Comment".
  • Now hint for tray icon contains name of tasklist. Useful if you start several copies of program.
  • Version 1.00
  • Redesigned "Alert Profiles" dialog; changed format of file "actions.lst". Setup program know how to convert this file to new format (just press button "Update").
  • Now you may use expressions for comparing URL contents.
  • bug fixed : program didn't work on some localized versions of Windows NT/2000 (e.g. Chinese edition).
  • bug fixed : big diskspace values stored incorrect in DBF log.
  • bug fixed : program didn't start monitoring when you set startup option "minimize after load".
  • new registration methods. Now you may buy different registration keys :
    key for monitoring up to 35 hosts (tasks) - $35
    key for monitoring up to 200 hosts (tasks) - $99
    key for monitoring up to 20,000,000 hosts (tasks) + registration key for IP-Tools - just $150
    We send new registration keys (for 20,000,000 tasks) for all already registered users (of course free of charge because your already registered).
  • Version 0.90
  • New test : NT Event Log
  • Now Process test can control minimal and maximal count of processes
  • Now program show Reply time for Interbase, PostgreSQL, MSSQL, MySQL, and Sybase SQL servers
  • Now program refresh list of available drives (in test: drive size) every time when you open test properties dialog
  • bug fixed in SNMP test : incorrect comparing for some data types
  • bug fixed in LogAnalyzer : incorrect time calculation for some time formats
  • etc
  • Version 0.87
  • now you can edit text for standard e-mail notification (see Options dialog, page "Standard message")
  • new macroses : %TaskComment%, %Date%, %Time%, %AlertProile%, %ScheduleName%
  • Version 0.86
  • SNMP test : now you can define Timeout & Retries value
  • now program start "alive" alerts only if before this was started "dead" alerts (for example: if program must start alert actions after 3rd bad attemts but host restores his status after 2nd program doesn't start any alert actions)
  • bug fixed : memory leak if you write log into DBF file
  • bug fixed : maximum log size measured in bytes, now in Kb
  • bug fixed : program didn't get SNMP values for long OIDs
  • new status: "Bad Contents". Program shows this status for files with bad CRC and for bad CRC/Contents of HTML(FTP) page
  • etc
  • Version 0.85
  • New test : check services (only for Windows NT/2000)
  • New test : check processes (only for Windows NT/2000)
  • New test : SNMP test
  • full screen chart in LogAnalyzer now can show reply values
  • bug fixed in LogAnalyzer : statistics window (in full screen chart) disappear after show Options dialog
  • Version 0.82
  • Bug fixed : now program again can check pages/files on HTTPS, FTP, Gopher servers
  • Version 0.81
  • Some small changes in interface
  • bug fixed : appeared after deleting one of action profiles
  • Version 0.80
  • New test : check Interbase SQL server
  • New test : check MS SQL server
  • New test : check My SQL server
  • New test : check Postgre SQL server
  • New test : check Sybase SQL server
  • Now build-in mail client can read text for sending from specified file or send specified file as attachment
  • Small changes in interface :
    - now "Add" button has menu, you may select test method form this menu
    - also you can select test from special window, not only from standard Combobox
    - etc
  • bug fixed : sometimes Schedules dialog didn't save changes
  • Version 0.50
  • New test : check Oracle server (use Oracle Call Interface)
  • New test : check UNC path
    - program can check resource availability;
    - check the total amount of free space;
    - check the amount of free space available to the current user (if the operating system implements per-user quotas, this value may be less than the total number of free bytes on the disk)
  • Version 0.18
  • New test method : "Check file CRC". Now you can check integrity of your files.
  • Now test "URL contents" can check contents of files
  • Now test "URL contents" can check CRC of files. If someone hack your site hostmonitor can detect this before thousands of people see pornography on your corporate site.
  • bug fixed : exception if drive not present (test: drive free space)
  • Version 0.17
  • Date filter for LogAnalyzer & LogViewer.
  • Remove forgotten message about old version which appear on start program
  • Version 0.16
  • Menu item "Print" for main window, LogViewer, LogAnalyzer, Trace utility, LocalInfo. You may print all information or only selected text. LogViewer allows select many items, you can select items manually or use find command.
  • Menu "Search" : now program allows search text in main window, in LogViewer, LogAnalyzer, in trace utility.
  • IP-Monitor utility : if you resize window program adjust the divisions of monitor proprtionally.
  • IP-Monitor utility : now you can setup refresh time up to 24 hours (84000 sec)
  • some small bugs fixed
  • Version 0.15
  • now in window with list of TCP ports you may use Enter & ESC
  • now if you choose item "Statistic" from popup menu (in main window) HostMonitor will show statistical information about selected host
  • FullScreen Chart Window : now you can move text with statistical information
  • bug fixed : program didn't accept registration names over 32 chars
  • etc
  • Version 0.14
  • LogAnalyzer : Full screen version of chart (choose item "Full screen chart" from popup menu which appear when you press right mouse button)
  • New page in options dialog : Log Analyzer/Viewer (you may customize chart colors, grids, etc)
  • LogAnalyzer now has popup menu (Items : Options; Full screen chart)
  • etc
  • Version 0.13
  • Now Log Analyzer calculate (approximately) alive and dead time for hosts.
  • Some changes in interface
  • Fixed some bugs which appears only under Windows 9x
  • Fixed some bugs in LogAnalyzer
  • Fixed some bugs in installation program
  • Version 0.12
  • Redesigned Options Dialog
    Now program has one options dialog with navigation tree, basic/advanced mode, etc
  • Now Internal Log Viewer support HTML log files (in addition to Text & DBF)
  • New option : Show grid (on "Interface" page).
    If you enable this option program add lines that separate the task items in main window.
  • Now you can setup external viewers for log files.
    For each type of log files you may define viewer : Internal/Associate program/External.
  • Fixed some bugs
  • etc
  • Version 0.11
  • HTML log now compatible with Netscape Navigator
  • LogViewer : you can sort list by different fields (just click on column header)
  • Start/Stop commnand in menu which appear when you press right mouse button on Tray icon
  • New page in Options dialog : "HTML Colors". You may setup all colors for HTML log & HTML reports
  • Option "Change Icon if any host -> died" (on page "Interface").
    If this option enabled and any host change his status to "died" when HostMonitor minimized to Tray then HostMonitor change its icon to red. After restore from Tray HostMonitor restore blue icon.
  • Option "Place program in Startup menu" on "Startup" page
  • LogAnalyzer : now you can change width of panel with graphic
  • LogAnalyzer : you can sort list by different fields (just click on column header)
  • Bug fixed : some windows ignored "Auto save windows options" (always saved information)
  • now sort for ReplyTime correct work with different units : ms, Kb, Mb, Gb
  • etc
  • Version 0.10
  • Now "Help" buttons are working
  • New option on "Preferences" page : Alert Reactions
  • Bug fixed : parameter "Alert after" didn't work
  • Version 0.09
  • Now program can write log to DBF file (view and analyze too)
  • You can define macro for name of log file (if you select autochange mode)
  • Change default extension for list files to ".HML"
  • Bug fixed : drive space check showed incorrect space units
  • etc.
  • Version 0.08
  • New page in HostMonitor options dialog : Preferences
    You can setup MonitorStyle (Report, List, Icon, SmallIcon) and RefreshMode
  • Now you can use keys in monitor : Del (Remove host), Enter (Edit), Space (Refresh)
  • Program adds items to comboboxes in HostProperties dialog window.
    After load fill with alpha sort, after edit or addition host move or add last used address to top of item
  • Now program can save log to text file (shows and analyze it too)
  • Bug fixed : on some systems program didn't show text on buttons
  • Bug fixed : on some systems program didn't show hints on Status Bar
  • etc.
  • Version 0.07
  • New page in options dialog : Startup options
  • New command line parameters : [/Ini=IniFileName] [/List=HostsFileName] [/ErrorHandler=Default|Ignore|Quit] [/start | /stop] [/minimized | /maximized | /normal]

Copyright (c) 2000-2003 by KS-Soft. All Rights Reserved


HostMonitor Options

Options Dialog

You can define all HostMonitor's settings in the Options dialog window. Customize the color palette for windows, colors for HTML logs & reports, mailer parameters, proxy settings, log file formats, options for utilities, etc. Options are categorized on different pages and navigation is made through a convenient tree structure. Some parameters can be defined from the command line.

hmopt1.gif (17 Kb)

Interface
Grouped on the Interface page are the general look and feel options that apply to the program, its main window and built-in utilities.

Style
Define how tests are displayed in the Test Detail Area:
  • Report - table view, one test per line as a small icon followed by detailed test information
  • List - top-down view, a small icon with a test name;
  • Icon - tests arranged left to right, a large icon with a test name;
  • Small icon - tests arranged left to right, a small icon with a test name;

    Color scheme
    Chose a color scheme to be used for the main window, log viewer and utilities. Select one of the pre-defined or create a new scheme by pressing the button to the right of the Scheme Name box.
    See Color profiles for more information on colors.

    Show grid lines
    If the option is enabled, HostMonitor will display gridlines to separate task items in the main window.

    Show tests in subfolders (recursive)
     If the option is disabled, displayed in the Test Detail Area will be tests contained directly in the currently selected folder. If the option is enabled, all tests contained in the current folder and in all of its descending subfolders will appear in the Test Detail Area.

    • Columns

    Use the Columns page to select columns (test parameters) to display in the Test Detail Area. To select/deselect a column, toggle the check mark next to it. To change a column's display order, highlight the column and then use the Up [image] and Down [image] arrow buttons to the right of the list of columns to display.

    The Sort by list defines the order in which tests will be arranged. To add a column to the sort order, highlight a column in the left-hand list and then click the Right [image] arrow button. The column will show up in the Sort by list. To remove a column from the search order, select a column in the Sort by list and then click the Left [image] arrow button.

    To change the display name of a column, highlight the column and click the little button [image] to the right of the list box.

    Here is a list of test parameters supported by HostMonitor with a brief description of each parameter.
    Column name | Field description
Test name | The name of the test
Status | The current status of the test
Recurrences | The number of consecutive tests resulting in the same status as the current one
Reply | The value last returned by the test (the meaning of the Reply parameter is test specific)
Last test time | The time when the test was last performed
Last status | The status of the previous test
Last reply | The value returned by the previous test (test-specific)
Interval | The time between two consecutive runs defined for the test
Test method | The type of the test
Comment | Any arbitrary comments
Related URL | Test-related URL
Master test | The name of the Master test (for more information on test dependencies see Common test properties)
Schedule | The name of the associated schedule
Alert profile | Alert profile name
Private log | The specified private log file name
Created at | The time when the test was created
Modified at | The time when the test was last modified

    In addition to the static test parameters (test name, interval, status, etc.), and current status related (status, reply, etc.) a number of dynamic statistics data fields are maintained and can be viewed (and reset) in real time.

    Column name | Field description
Alive % | "Good" to overall tests ratio, in percent
Dead % | "Bad" to overall tests ratio, in percent
Unknown % | "Unknown" to overall tests ratio, in percent
Total time | The time the test has been in monitoring
Alive time | The overall time the test has had a "Good" status
Dead time | The overall time the test has had a "Bad" status
Unknown time | The overall time the test has had an "Unknown" status
Total tests | Overall tests performed
Passed tests | The number of "Good" tests
Failed tests | The number of "Bad" tests
Unknown result tests | The number of "Unknown" tests
Average reply | The average value of the results obtained
Min reply | The minimum value of the results obtained
Max reply | The maximum value of the results obtained
Status changed at | The time when the status last changed
Status changes count | The number of times the status has changed

    Preferences
    On this page define the following options:

    Windows Font
    Choose the font/size for the main window, log viewer and the utilities.

    Terminal window font
    Choose the font/size for the Telnet utility.

    Icon in system Tray
    Hide to tray HostMonitor when it is minimized.

    Animate tray icon when working
    The program can animate the tray icon when it is in working mode.

    Change icon when a host dies
    HostMonitor will change icon from blue to red when any host changes status to "bad", or change color to yellow if a test goes to "Unknown" status.

    HostMonitor always Top
    HostMonitor will remain in front of all other windows (unless minimized).

    Auto save TestList after any changes
    If the option is enabled HostMonitor will automatically save all changes (add, edit, remove host, etc) in the current TestList file. If the option is disabled, saving changes is up to the user (use the "Save" and "Save as" menu items in the File menu). If changes have been made, the program will remind you to save them before exiting, loading another TestList, etc.

    Auto save windows options
    When this options is enabled the program will save and restore window parameters (column widths, the size of the panels, etc).

    Keep a list of N recent addresses
    Instructs HostMonitor to keep a history of recently used addresses.

    Store statistics in HML file
    This option tells HostMonitor to write all statistical information into a file, so that the statistics build up across multiple program sessions. If the option is turned off, when an HML file closes down, the statistics pertaining to its tests get reset. Please note that statistics for any or all of the tests can be nullified at any time using the "Reset ..." menu command.

    Store "Recurrences" in HML file
    This is an important option, because it is the "Recurrences" field that the program looks at to determine what actions and when to fire off. Therefore, if the option is deselected, upon closing an HML file or shutting down HostMonitor, the counter will be reset, so that when the program is restarted, actions will be triggered as tests are first performed. With the option turned on, recurrence counters will be saved on shutdown, and at the next startup the program will pick up where it left off, as if the program execution was not interrupted.

    Remember current folder
    If this option is turned on, HostMonitor will remember current folder and display it on the next load of the file with tests.

    IP-Monitor
    Options for the IP-Monitor utility: refresh time, chart colors, number of grid lines.
    Message window settings

    HostMonitor can display a popup window when a test changes its status (as long as you specify the "Show message" option in the alert profile for the test). On this page of the Options dialog window you can define the parameters for this popup window.

    Position
    You can choose "Predefined position" option and define the coordinates for the top left corner of the window. Or choose "Show in the last remembered position" option and HostMonitor will remember the window position on the screen and will display the popup window in the same location.

    Time live

  • "Close after N sec" - Select this option and specify the amount of time a window will stay open before automatically closing, unless the [Close] button is selected or the [Stop] button is used to stop the countdown.
  • "Close manually" - Window will stay open on screen until the [Close] button is used. Stay on top" style
    Popup window will appear in front of all other windows
            •
    Behavior
    On this page define the following options :

    Reset "Recurrences" and refresh test status after editing test properties?
    This option will determine the behavior of the program when the user changes the test parameters (using Test Properties dialog). You can choose one of the 3 options:
  • Always reset "Recurrences" - after modifying test, program will work as the test was just created, the program will perform test and starts alert actions if needed
  • Ask confirmation - the program will ask user about action
  • Don't reset - the program will not reset any counters

    Reset "Recurrences" when test gets disabled
    With this option enabled HostMonitor will reset "Recurrences" counter for a test every time when this test become disabled. "Recurrences" field determines what actions and when to fire off. It means that with this option enabled when test will be disabled and enabled again, actions will be triggered as tests are first performed.

    Disable alert reactions
    With this option enabled HostMonitor will not start any alert actions, it will perform tests and record logs only.

    Consider status of the master test obsolete after N seconds
    This parameter is used by the program to determine whether the Master test status is up-to-date. Before starting a dependent test HostMonitor checks the status values of the Master tests defined on it. The parameter mandates for how long a Master test status is considered to be current.

    Don't start more than [N] tests per second
    HostMonitor is multi-threaded so it can test many hosts simultaneously. This parameter defines how many tests per second the program will start.

            •
    Startup
    On this page you can define different options to determine HostMonitor's behavior at startup.

    File load mode
    This parameter set HML file (file with list of tests) that HostMonitor should use for monitoring
  • empty list after load - do not load an HML file
  • load file [xxx] - load specified file
  • restore last status - reload last used file Start/Stop mode
    Define if program should starts monitoring upon loading or not. There are 3 options:
  • start after loading
  • stop after loading
  • restore last status Window status
    Choose state of HostMonitor's main window:
  • minimize after loading - minimize main window after startup.
  • maximize after loadng - maximize main window after startup.
  • normal size - display window in it's normal size after startup.
  • restore last status - restore window's position, size and state that were set at the last closing of the program Error handler
    This parameter defines program's behavior in case error occurs at startup. Choose 1 of 3 options:
  • Normal start - show error message (if one occurs) and continue after user confirmation.
  • Ignore errors during starting - don't stop and display message.
  • Quit if an error occurs - HostMonitor displays message, waits 20 seconds and quits if the user does not press any key to continue.

    Place program in Startup menu
    Mark this option to add HostMonitor into Startup group. Windows 9x/ME automatically starts programs listed in the startup group upon loading, Windows NT/2000/XP starts these programs upon user logon. Also on Windows 2000/XP you can install HostMonitor as a service, please refer to "How to install HostMonitor as Win32 Interactive service" section for more information.

    Also you can specify these parameters using command line. See "Command line parameters" section.

            •
    Service

    HostMonitor uses settings located on this page only when starts as Win32 interactive service (how to install HostMonitor as a service you can read here).

    Log on as
    Specify user account (login and password) to impersonate the security context of the user.
    When HostMonitor starts as a service, it uses the system account (as all interactive services). But this account may not have all the necessary permissions, so some tests will not work correctly (UNC test, "disk free space" test for shared drives, "CPU Usage" test for remote machines, etc). If you need these tests, you will need to assign a special user account. In this case HostMonitor will impersonate the security context of the user.
    Note: Do not change the account using the system utility "Services". If you do so, HostMonitor will not be able to interact with the desktop.

    Startup delay
    In some cases, initialization of dependent applications and services on the HostMonitor machine may consume a substantial amount of time. If HostMonitor's tests depend on these applications, false alerts may be generated while they are initialized.
    This setting will cause HostMonitor to wait at least (n) minutes before executing the first monitoring cycle thus allowing applications and services to start and initialize properly. A setting of "1" (one minute) should be adequate for most systems.

    When service is being stopped
    Define HostMonitor's behavior when service is being stopped, choose 1 of 2 options:

  • save changes in HML file
  • discard all changes
    • Access method

    On this page define the method to access the net to retrieve URLs.

    Type of access to retrieve pages:

  • USE REGISTRY CONFIGURATION
    Retrieves the proxy or direct configuration from the registry.
  • DIRECT TO NET
    Resolves all host names locally.
  • VIA NAMED PROXY
    Passes requests to the proxy unless a proxy bypass list is supplied and the name to be resolved bypasses the proxy.
  • PRECONFIG, PREVENT USING JAVA/SCRIPT/INS
    Retrieves the proxy or direct configuration from the registry and prevents the use of a startup JScript or Internet Setup (INS) file.
    • Proxy
    Define the following settings if the access method is set to "VIA NAMED PROXY"

    Proxy server - address of your proxy server
    Proxy port - port number of the proxy server
    Use proxy authentication - if your proxy server require authentication you may specify the username and password in these fields.

    Proxy bypass list - list of addresses that don't need to be accessed through your proxy server. This list may include IP addresses, host names, or names of computers from your intranet. Also, wildcards may be used as well to match domains, host names or addresses. For example: www.*.com; 128.*; *man*; and so on. For local addresses use the "<local>" macro. Use semicolons ";" to separate entries.
    Log settings
    The following is the list of settings to customize the Common Log file.

    Common Log file
    This parameter defines location and name of the common log file.
  • Log to specific file
  • Automatically change the name every month (MMYYYY-Log.ext)
  • Automatically change the name every day (DDMMYYYY-Log.ext)
  • Log disabled

    • If you select the option to automatically change the log file a date macro variables may be specified in the log file name. HostMonitor interprets text between the '%' of the log name as a macro, where 'DD' represents the day of the month, 'MM' - the month, 'YY' - the year (2 last digits), 'YYYY' - the year (e.g. c:\HostMonitor\Reports\%mm-dd-yy%.html).

    Log format
    Choose format of the log file:
  • HTML file
  • Text file
  • DBF file
  • use plug-in - not implemented in this version

    • Each file format has its own strengths and weaknesses, for more information please refer to "Log & Reports" section of this documentation.

    Save mode
  • Save all information
  • Save only if host status changes

    • The "Save all information" option tells HostMonitor to add a record every time a test is performed. If, however, the opposite option is selected, "Save only if host status changes", no logging happens as consecutive tests return same status value, until the status changes, at which point a new log record is added. While the second option is obviously more space-efficient, the first one allows you to build up statistics on helpful test parameters like response time, reply value, etc. This statistical information can be then parsed and visualized by the Log Analyzer.

    Size limit
    If you do not want the log to grow uncontrollably, you can set an upper limit and choose program's behavior when the file reaches its limit:
  • stop logging when limit is reached
  • clear log and start over To get more information about different logging options available in HostMonitor, please, refer to "Log & Reports" section.

    • Advanced Logs

    On this page you can set the settings to customize the ODBC Log and System Log files.

    ODBC Log parameters:

    ODBC data source
    Choose one of ODBC data sources available on your system

    Login
    Specify user identifier, if necessary

    Password
    Specify password, if necessary

    Timeout
    Specify the number of seconds to wait for a login request to complete. If value is 0, the timeout is disabled and a connection attempt will wait indefinitely.

    SQL Query
    Specify SQL query to logging test data. Format of the query is entirely up to you, use the macro variables to put in as much detail as you want. For instance, your log SQL command might look like this:
    INSERT INTO HMLOG (DATE1, TIME1, TEST_NAME, STATUS, REPLY) VALUES (%Date%, '%Time%', '%TestName%', '%Status%', '%Reply%')
    Of course an appropriate database table has to be created before you start using the ODBC logging.

    System Log
    HostMonitor uses the system log to record events like start/stop monitoring, as well as information on started and/or failed alert actions. You can select "Record system messages into common log" to record system information into the same file used by the common log, or select "Use different log file" option and specify name of the dedicated system log file.
    There are two more options available:

  • Record info about successful actions
  • Record info about failed actions
    You can select one, both, or non of these options.

    To get more information about different logging options available in HostMonitor, please, refer to "Log & Reports" section.
    • HTML Colors
    Customize color scheme for HTML log files. You can use Color Profiles dialog to select scheme or create new one (use button to the right of the Scheme Name box to bring up Color Profiles dialog).
    Log Viewers
    For each type of log file (HTML, Text, DBF) select one of the options:
  • Internal - use the build-in viewer
  • Associate program - use the default Windows viewer for file
  • External - use an external viewer. Define a command line to start the program that will be used as the viewer. The name of the log file to view can be passed to this program as a parameter using macro variable %LOG%. E.g. "notepad.exe %Log%"
    • Reports

    HostMonitor can generate HTML, DBF, WLM, and Text reports with the information about tested hosts (e.g. for publishing on your WEB or WAP site, for sending with E-Mail notification, or for analyzing). On this page you can define a list of up to 6 global reports (reports that apply to all tests in the working HML file). Just select report profile from drop-down list and specify name of a target file (you can use a naming pattern to have HostMonitor switch to a different file every day, month, year, etc., as prescribed by the date macro variables appearing in the pattern).
    Also you can bring up Report Manager dialog to configure an existing report or create a new one.

    There are two more parameters that can be specified on this page:
    Generate reports every N min
    Tells HostMonitor how often reports should be generated
    Execute action profile when complete
    With this option enabled HostMonitor will launch the specified alert profile after reports were generated (for example you may use this option to send reports by e-mail). Note: only "scheduled" actions will be executed, i.e. a condition to start action should be set to "on the schedule" (in Action Properties dialog).

    Use "Generate reports now" button to immediately create reports (for testing purposes).

  • Note #1: Additionally, each folder may have its own report list; only the tests contained in the folder will be used to generate these folder-specific reports. For more information about folder, please, refer to "Folders" section of this documentation.
  • Note #2: To exclude some tests from reports use test property "Exclude from reports".
  • Note #3: If you need to create reports every time a test changes its status add the "Generate reports" action to the Actions Profile. The other way to implement the same behavior would be to add a "Run HMS Script" action, and include a CreateReport command in the script to execute.
  • Note #4: Also reports can be generated at user request at any time through the Reports menu in HostMonitor's main window.
    • Mailer

    On this page define the settings for the build-in mail client.

    hmopt1.gif (17 Kb)

    Primary SMTP Server

    Address
    IP address or hostname of your SMTP server.
    Port
    TCP port number of the mail server (normally all SMTP servers use port #25).
    Authentication method
    Select one of authentication methods: None, Plain, Login, Cram-MD5, or POP before SMTP
    Login
    Specify login (if authentication method is not None)
    Password
    Define password (if authentication method is not None)

    The same parameters you can define for the Backup SMTP server. When HostMonitor tries to send e-mail, at first it uses Primary SMTP server. If in consequence of some error this is impossible, HostMonitor tries to send e-mail using Backup SMTP server.

    Show status window when sending mail
    With this option enabled, HostMonitor will display a window when sending e-mail and show all requests to and answers from the mail server.

    Close on disconnect, delay closing for [N] sec
    If you enable this option, HostMonitor will close the window after a specified time interval after disconnection. Or, press the [Close] button to close the window immediately or the [Stop] button to continue displaying the window on the screen.

    Show in the last stored position
    The status window will save its coordinates and restore back to those coordinates when displayed again.
    Pagers

    Use this page to setup general settings for the subsystem which sends messages to pagers and beepers. Information related to specific pagers may be defined in each action profile.

    Device
    Specifies your TAPI device (modem) which will be used by the program. Select a modem from the drop-down list or select the "Auto select free TAPI device item.". In this case HostMonitor will search through all the compatible devices on the system and attempt to send the message. If one port is busy, it will try the next port until it has exhausted all the compatible TAPI ports.

    Baud rate
    Specifies the baud rate that will be used to communicate with your modem. This can be any of the following: "300", "1200", "2400", "4800", "9600", "19200".

    Modem init string
    This is the initialization string for your modem. The modem must then respond with an "OK". You can leave the default value as "AUTO" in this parameter. HostMonitor will search your Modem's INF file from Windows and prepare a string that will work with most paging carriers. If the default string does not work, you will need to search the modem's manual and figure a string that will work. Any time you need to replace the string use the tilde character (~) (i.e. AT&F~). If you need to pause, the hat character (^) will give you a one second pause. (i.e. AT&F~^^AT~). The maximum length of the modem initialization string is 80 characters.
    Specify a termination string by placing a vertical bar (|) after the modem init string. By specifying AUTO, it will use the strings specified in the modems INF settings. Examples: (AT~|ATZ~) (AUTO|AUTO)

    Modem dial string
    This is the string the program will send to the modem when it is ready to dial. The default value is "ATDT". If only a pulse dialtone is available, "ATDP" must be passed to this parameter. To control how long HostMonitor will wait for a connection before giving up, pass "TO=20" where 20 is the number of seconds desired. For example, the string to use here is: "TO=20,ATDT".

    Show status window when dialing
    HostMonitor can display a window when sending messages to a pager, displaying how it sends the message and the results of the operation (also, the program writes the result of sending the message into a log file).

    Close window on disconnect, delay before close [NN] sec
    After a specified time interval, HostMonitor will close the message window after sending the current message. Press the [Close] button to close the window immediately or the [Stop] button to keep the window onscreen indefinitely.

    If device(s) busy wait up to [xx] min
    Specify how long the program will attempt to resend messages.
    Ping/Trace

    On this page specify parameters for the Trace utility and for Ping tests.

    Packets to Send
    Specify the number of ECHO packets.

    Packet Size
    Specify the size of ECHO packets.

    Timeout
    Specify a timeout interval in milliseconds.

    Time to Live
    Specify a TTL value. TTL (Time To Live) - a technique used in best-effort delivery systems to avoid endlessly looping packets. For example, each IP datagram is assigned an integer time to live when it is created. IP gateways decrement the time to live field when they process a datagram and discard the datagram if the time to live counter reaches zero.

    Number of Hops
    Specify the maximum number of hops to reach the target. This is a measure of the distance between two points on the Internet. A hop count of n means that n gateways separate the source and destination.

    Clean old info at start
    If selected, Trace utility will clear the output window before perform new test.

    Show Host's Description
    If option is enabled, the program will display a description of the host beside host name in the Trace utility. Example:
    ... www.chat.ru        (Russia)
    ... mainboss.xaxa.BD   (Bangladesh)
    ... www.gazprom.ru     (Join-stock company GAZPROM, Moscow, Russia)

    Stop tracing when a non-responding device is encountered
    By default Trace utility stop tracing when some device does not respond. When you disable this option HostMonitor will continue trace until reach destination host.
    RCI (Remote Control Interface)

    RCI is a feature of the monitor that allows you to check and control HostMonitor remotely (using web browser or telnet client). RCI uses TCP/IP protocol and needs just one TCP port. On this page you may setup different parameters of the interface:

    Enable Remote Control Interface
    HostMonitor will accept remote control requests and commands only when this option is enabled. This is the main "switch" of all remote control functions of HostMonitor.

    Listen for incoming connections on port
    Here you may specify the TCP port number which HostMonitor will use to listen for incoming requests and commands from Web Service or Telnet Service. Note that both Web Service and Telnet Service should be configured to use the same TCP port number as the HostMonitor itself.

    Timeout
    This is the maximum amount of user inactivity time which HostMonitor will hold an established connection with the remote user. If the remote user after establishing the connection with HostMonitor does nothing (i.e. does not sends any control commands) HostMonitor will drop this connection after the specified amount of time expires.

    Maximum simultaneous connections
    This option specifies the maximum number of simultaneous remote connections that HostMonitor may accept from the remote users.
    It is important to note here that even just one user that connects to HostMonitor via web browser may generate several simultaneous connections. When an internet browser acquires the document from the internet it may fetch several parts of the document at once to increase performance. Thus "Maximum simultaneous connections" option of the HostMonitor's RCI interface should be set to 4 (minimum) if you plan to use web browser to control HostMonitor (even if just one user at a time will be connected to HostMonitor). Otherwise the web browser may not be able to display a web page with an interface of the HostMonitor correctly.

    User profiles button
    This button brings up a User Profiles dialog. There you can specify (for each user account separately) a list of authorized IP addresses from which a connection to HostMonitor can be accepted and a list of authorized operations (such as start/stop of monitoring, enable/disable tests, etc) that are allowed for each user. Only "Admin" and users that already have permissions to modify accounts of other users may access the User Profile dialog.

    The following group of check boxes specifies the types of events (associated with Remote Control Interface) that HostMonitor will or will not add to system log:
    Record info about accepted connections
    You may enable or disable recording the information about successful connections from the remote users.
    Record info about rejected connections
    Disable or enable recording the information about rejected (by a HostMonitor) connections from the remote users.
    Record info about accepted/executed commands
    Disable or enable logging of accepted commands.
    Record info about rejected/failed commands
    Disable or enable logging of rejected commands.

    Scheduler

    HostMonitors` built in scheduler. Here you may specify which action profiles HostMonitor will execute on schedule. You have five separate entries in the list. Each of the entries has the following schedule options:

    • "None" - no action (alert) will be performed.
    • "Regular" - specify the time interval (e.g. every 60 minutes) to perform action profile.
    • "Daily" - an action profile will be executed every day at a specified time of the day. Note: the time of the day is specified in 24h format.
    • "Weekly" - an action profile will be launched once a week on specified day of the week at a specified time of the day (e.g.: weekly, every Tuesday at 22:00).
    • "Monthly" - once a month, on a specified day of the month, at a specified time of that day (e.g.: every 5-th day of the month at 7:00)
    • "Quarterly" - an action profile is performed once in a quarter on a specified day of the first month of each quarter at the specified time.

    You may set maximum five schedules of a/m types. In each schedule you may select an action profile that will be executed accordingly. Use the drop down list to select action profiles. By clicking the button next to a drop down list you will access the Action Profiles dialog window where you may add new action profiles and actions or edit the properties of existing actions.
    Note: only "scheduled" actions will be executed by Scheduler, i.e. a condition to start action should be set to "on the schedule" (in Action Properties dialog).
    Miscellaneous

    Use fixed date & time formats
    By default HostMonitor gets current Windows regional settings at startup and uses these parameters until you change Windows settings and restart monitor. You can mark this option and define date & time formats. In this case, HostMonitor will use the specified formats, regardless of the system settings.

    URL test related options

    Do not check Internet connection
    Normally HostMonitor checks if computer connected to Internet before "URL request" test (to avoid appearance Dial-Up dialog). With this option enabled HostMonitor will not perform this check.

    Agent name
    Some server-based scripts can check agent name and returns different information for different HTTP agents (e.g. generate different HTML pages for IE or Netscape). You can change this parameter to get correct results.

    Accept SSL/PCT certificates with invalid host name
    Disables function checking of SSL/PCT-based certificates that are returned from the server against the host name given in the request.

    Accept SSL/PCT certificates with invalid dates
    Disables function checking of SSL/PCT-based certificates for proper validity dates.

    UNC test related options

    UNC test mode
    This parameter defines behavior of UNC tests. Select 1 of 3 options:

  • Normal - HostMonitor can start many tests simultaneously.
  • OnePerServer - HostMonitor will start only 1 test per server at one time, but can start several tests for different servers at the same time.
  • OneByOne - only 1 attempt at one time (one attempt means - if "UNC test retries" value greater than 1, HostMonitor tries to get information from 1st server; if this try failed, HostMonitor will pause test for this server and will try to check another servers, after 900ms HostMonitor returns to 1st server and performs 2nd attempt).

    UNC test retries
    Define how many times HostMonitor will try to get information from server (in one test)

    Show errors description in "Reply" field when cannot access resource
    If you check this option, HostMonitor will put error description in "Reply" field in case "UNC" test cannot access to resource.

    NT Event Log test related option

    Show events description in "Reply" field for "check NT Event Log" test
    HostMonitor can show events description in field "Reply". You can use %Reply% macro in e-mail body, in message for pager, etc. Also this description will appear in reports, log file.

    SNMP test related option

    Automatically append the single instance sub-identifier (".0").
    Since the "SNMP test" is typically applied to single instance MIB objects that HostMonitor automatically appends the single instance sub-identifier (".0"). Though this has an unfortunate side effect for table instance retrieval, to retrieve correct values for the table instances disable this option.

    ODBC related options (following options have effect for ODBC tests, ODBC logging, and "SQL Query" action)

    Do not use SQLFetchAbsolute command
    Not every ODBC driver supports SQL_FETCH_ABSOLUTE command. HostMonitor tries to use this command and if driver returns error, HostMonitor use cycle with SQL_FETCH_NEXT command.
    It works fine with most ODBC drivers. However ODBC driver which comes with Oracle client v.8 (and may be some other drivers) has bug in error handler. This bug can cause ODBC driver to crash.
    That's why this option was implemented. Use it if you experience problem with ODBC driver.

    User DSN/System DSN
    As you know Windows has system data source names (System DSN) and user data source names (User DSN). System data sources are local to a computer but not user-dedicated; any user with privileges can access a system DSN. User data sources are local to a user and accessible only by the specified user. Using "User DSN/System DSN" option you can choose which data sources list will be used by HostMonitor.
    Please note if you start HostMonitor as service, it will not be able to use user DSN. System DSN will be used settings' independently. So, if you are planning to start HostMonitor as service and as regular application, use "System DSN" option. In this case HostMonitor will work equally in both modes.

            •
    Command line parameters
    You can start HostMonitor using command line parameters (these parameters have priority before settings defined in the Options dialog) such as:

    /Ini=IniFileName | - | Read options from specified ini file, by default from "hostmon.ini".
/List=HostsFileName | - | After startup load specified TestList file (HML file with tests).
/ErrorHandler=Default | - | Normal startup (show error message (if one occurs) and continue).
/ErrorHandler=Ignore | - | Ignore all errors during startup (do not stop and display message).
/ErrorHandler=Quit | - | Quit if error (HostMonitor will display the message, wait 20 seconds and quit if operator does not press a key on the keyboard).
/start | - | Start monitoring after loading.
/stop | - | Do not start monitoring after loading.
/minimized | - | Minimize main window after startup.
/maximized | - | Maximize main window after startup.
/normal | - | Display window in it normal size after startup.
/InstallService | - | Install HostMonitor as Win32 interactive service.
/UninstallService | - | Uninstall service

    If you install HostMonitor as a service, the program will be started by the service control manager automatically during system startup. For more information see "How to install HostMonitor as Win32 Interactive service" section.


HostMonitor

Credits go to:
  • Borland (Inprise) for their excellent programming tools "Delphi" & "C++ Builder" (www.borland.com)
  • RXLib authors for their freeware RXLib library
  • François PIETTE: For the use of his class TEmulVT in Telnet utility (overbyte.alexid.fr/frame_index.html)
  • All users who registered HostMonitor

How To Install / Upgrade / Uninstall Advanced Host Monitor

How To Install/Update/Repair
Advanced Host Monitor

Run installation program, answer "Yes" on the prompt to install Advanced Host Monitor software. Setup wizard will then ask you to choose between the two available types of installation.

  • "Install" - Use this option either for a fresh new installation or to completely replace an old version. With this option the newer installation will overwrite all files of previously installed (if any) version of Advanced Host Monitor unless you selected different disk folder for installation.

  • "Update/repair" - Use this option to update previously installed Advanced Host Monitor to a newer version while keeping all user settings unchanged. Also you may use this option to repair installed software when some files were removed by mistake or after virus attack. Setup program will overwrite all executable modules of previously installed HostMonitor, help files, etc; all user settings will remain intact.

After choosing one of the two setup options click "next" button. Now you may choose the destination folder for the software installation. By default this is the folder where the Advanced Host Monitor was previously installed on your system or C:\Program Files\HostMonitor for first time installation.

There is also a choice of 4 setup packages:

  • "Lite/Standard" - only HostMonitor, HML Manager, samples and help files will be installed.
  • "Professional" - HostMonitor, HML Manager and Log Analyzer will be installed.
  • "Enterprise" - All components (except Remote Monitoring Agent) will be installed.
  • "Custom" - with this package you may chose which components to install.

Beside each setup package there is a help button. Press this button to bring up the reminder about the components that will be installed.
After choosing the destination path and setup package, press the "next" button of the setup wizard. Now, if you have chosen "custom" setup package the next screen will ask you to select which components to install (selection step is skipped if you have chosen "Lite/Standard", "Professional" or "Enterprise" packages). The next screen will show you a summary of all options you have just chosen. If you change your mind then press "back" button to step back and adjust your settings.

Finally press "Install" button to start installation. When the final stage of installation will finish you will be prompted to put the HostMonitor icon on the desktop, create HostMonitor program group and to run HostMonitor right after the installation. Check these options according to your desire and press "Done" button.

How To Uninstall
Advanced Host Monitor 		Method 1: Run uninstall.exe from the HostMonitor directory (or from the HostMonitor program group) and click the "Start" button.
Method 2: Open the Windows Control Panel, double click the "Add/Remove Programs" icon, select "HostMonitor" from the list and click the "Add/Remove" button.
Method 3: Delete all files from your HostMonitor directory, delete the directory and remove the icon from your desktop and from the HostMonitor program group.

How to install HostMonitor as Win32 Interactive service
1) Install HostMonitor on your system (start the installation program, host-mon.exe). If you already have HostMonitor installed on your system, skip this step.
2) Start the installed program with the command line parameter "/InstallService". E.g. "hostmon.exe /InstallService". HostMonitor will install itself as a service and display the message: "Advanced Host Monitor service installed".

Note #1: When HostMonitor starts as a service, it uses the system account (as all interactive services). But this account may not have all the necessary permissions, so some tests will not work correctly (UNC test, "disk free space" test for shared drives, "CPU Usage" test for remote machines, etc). If you need these tests, you will need to assign a special user account on the Service page in the Options dialog. In this case HostMonitor will impersonate the security context of the user. Do not change the account using the system utility "Services". If you do so, HostMonitor may be unable to interact with the desktop.

Note #2: we do not recommend installing HostMonitor as a service under Windows NT 4.0. At least not as an interactive service. In the case you really need to start HostMonitor as a service on Windows NT, please, disable the "allow service to interact with desktop" option in the Service Manager (after service installation). In this case you will not be able to see HostMonitor's icon in the system tray. To configure the program you will need to start a second copy of HostMonitor as a regular program, change the settings and restart the HostMonitor service. On Windows 2000/XP systems HostMonitor works without problem.

System Requirements:

  • Microsoft Windows 95 (OSR2) / 98 / ME / NT 4.0, Windows 2000, or Windows XP (recommended Windows 2000)
  • Internet Explorer 4.0 or higher
  • Microsoft TCP/IP protocol
  • Free disk space: from 6 Mb (if you install HostMonitor only) to 12 Mb (for all components)
Database monitoring
To monitor Oracle servers HostMonitor uses the Oracle Call Interface (OCI.DLL). You should have the Oracle client software installed on the same computer. The same is true for other SQL servers, install the client software for testing your SQL server. HostMonitor uses the following DLLs:
- gds32.dll to monitor Interbase connections
- ntwdblib.dll to monitor MS SQL Server
- libmysql.dll to monitor MySQL
- libpq.dll to monitor PostgreSQL
- libsybdb.dll to monitor Sybase
Important: some versions of libmysql.dll have a bug that can cause HostMonitor to crash. If you experience this problem, you may download stable version of MySQL library from http://www.ks-soft.net/download/LIBMYSQL.DLL

Process monitoring
To monitor processes on a remote Windows NT/2000/XP system, make sure you have the Remote Registry service started on the remote system (to monitor processes HostMonitor must have access to the registry). On Windows 2000 this service is installed by default, for Windows NT you can find this service in the Resource Kit.

Technical Info:

If you wish to move the program from one computer to another you do not need to re-implement all the lists and settings again. Simply copy the program files from one computer or install the program on another computer and then copy only the files containing your settings.

File | Used by | Description
Hostmon.chm | All applications | Help file
Hostmon.exe | HostMonitor | Main executable module
LogsMan.exe | Log Analyzer | Main executable module
Rma.exe | RMA | Main executable module
Rma_cfg.exe | RMA | Configuration utility
Rma_mgr.exe | RMA Manager | Main executable module
Telnetservice.exe | Telnet Service | Main executable module
Webservice.exe | Web Service | Main executable module
Hostmon.ini | HostMonitor | Includes all global parameters (almost all of them represented in the Options dialog). You can create different ini files and specify the name of ini file in the command line when starting HostMonitor
HML_Mgr.ini | HML Manager | Options and settings
Logsman.ini | Log Analyzer | Options and settings defined in Options dialog
Rma.ini | RMA | Options and settings
Rma_Mgr.ini | RMA Manager | Options and settings
Telnetservice.ini | Telnet Service | Options and settings
Webservice.ini | Web Service | Options and settings
Actions.lst | HostMonitor | Contains the action profiles
Agents.lst | HostMonitor RMA Manager | List of Remote Monitoring Agents
Custmenu.lst | HostMonitor | Custom menu profiles
Holidays.lst | HostMonitor | List of holidays (for schedules)
Larep.lst | Log Analyzer | Report profiles
MailList.lst | HostMonitor | Mail templates
Palettes.lst | HostMonitor | Color schemes
Prbypass.lst | HostMonitor | Proxy bypass list
RepPList.lst | HostMonitor | Report profiles
Schedule.lst | HostMonitor | Contains the list of schedules
Services.lst | HostMonitor | List which includes TCP port descriptions
Udvmacro.lst | HostMonitor | User defined macro variables
Users.lst | HostMonitor | User profiles (operators)
Wsuserprof.lst | Web Service | User profiles (preference settings for each user)

Examples\ | - | This directory contains different examples:
Example1.hml | - | A sample HML (test list) file. It is recommend that you save your test configurations in a diferent HML file rather than just modify the one shipped with the program, otherwise your changes will get lost during the upgrade process as the sample HML file will be overwriten with the newest version available.
Errorlev.exe | - | Example of program for external test
Import1.txt | - | The sample import file
Script1.hms | - | Example of HMS sript
AutoRefresh.html | - | This file can be used as an external header for HTML reports. It contains command to auto refresh HTML. Your browser will be refreshing the page's contents at regular intervals
Summary.html | - | Another external header, will display tests' statuses summary
StdHeader.html | - | Just an example of external header for HTML reports, can be used as a base for creating your own headers
CompactHeader.html | - | Sample of external header for Compact HTML report
StdFooter.html | - | Just an example of external footer for HTML reports, can be used as a base for creating your own footers
Summary2.html | - | Another external footer, will display tests' statuses summary
Examples\LAReports\ | - | Directory contains samples of the external header, footer, template for Log Analyzer's Report Manager
Examples\Scripts\ | - | Directory contains sample scripts for Script test

Troubleshooting:

If you are using HostMonitor with a license key that had been generated illegally or using a cracked version of HostMonitor, the program will become unstable causing frequent software problems and crashes.

If you have any questions, please visit the online forum. There you can find answers to a lot of questions. If not, please do not hesistate ask, we will be happy to help you.


HostMonitor

Pause monitoring/alerting dialog
This dialog is accessible from the menu "Monitoring"->"Pause". It allows you to pause monitoring and/or alerting from now on and up to the specified day and time. Optionally you may provide action profiles that will be executed when monitoring/alerting is stopped/paused or started/resumed.

Pause monitoring till
Mark this option (check box) to pause monitoring until the day and time, which you may specify in the fields provided next to the check box. This option may be useful for example when the network is down for the maintenance and you afraid to forget to start monitoring again after the maintenance routines are finished.

Start action profile every time monitoring is stopped/paused
This option allows you to provide an action profile that will be executed every time when monitoring is stopped or paused. An action profile will be executed regardless of the way monitoring was stopped (e.g. by a local or remote user or by HM script).
Please note that only "scheduled" actions will be executed, i.e. a condition to start action should be set to "on the schedule" (in Action Properties dialog).

Start action profile every time monitoring is started/resumed
This option allows you to provide an action profile that will be executed every time when monitoring is stared or resumed. An action profile will be executed regardless of the way monitoring was started/resumed (e.g. by a local or remote user or by HM script).
Please note that only "scheduled" actions will be executed, i.e. a condition to start action should be set to "on the schedule" (in Action Properties dialog).

You may change the time interval at any moment. You may resume monitoring prior to the specified time using menu "Monitoring"->"Start Monitoring".

Pause alerting till
When this option is enabled all action profiles that usually were triggered by the change of test(s) status will not execute until the specified day and time. All scheduled action profiles (those that are executed just by the Scheduler) will continue to execute anyway.
This option may be useful for example when the network is down for the maintenance and you afraid to forget to start alerting after the maintenance routines are finished.

Start action profile every time alerting is stopped/paused
This option allows you to provide an action profile that will be executed every time when local or remote operator disables or pauses alerts. Please note, that only "scheduled" actions will be executed, i.e. a condition to start action should be set to "on the schedule" (in Action Properties dialog).

Start action profile every time alerting is started/resumed
This option allows you to provide an action profile that will be executed every time when local or remote operator enables or resumes alerts. Please note that only "scheduled" actions will be executed, i.e. a condition to start action should be set to "on the schedule" (in Action Properties dialog).

You may change the time interval at any moment or you may resume alerting prior the specified time using menu "Monitoring"->"Enable alerts".


HostMonitor: Profiles

 Profiles

HostMonitor provides set of profiles to make configuration easy and flexible:
Schedules | - | used as a time restriction for the test or action execution.
Color schemes | - | customizable color palettes for the interface of the program, HTML logs, and reports.
Mail templates | - | multiple message templates are used for the e-mail, pager and ICQ notification.
Report profiles | - | allows you to create and customize reports in a variety of ways.
Action profiles | - | defines set of actions to respond to failed services.

To configure profiles use Profiles menu in HostMonitor's main window.

Schedules

Purpose of schedules: time restriction for a test or an action execution.
For example, if you want to check your server only from Monday to Friday select the "Monday-Friday, 24 hours" schedule in the Test Properties dialog. If you do not specify a schedule for a test, HostMonitor will check the host 24 hours per day, 7 days per week (using the interval specified when you created the test).

Also Schedules can be applied to actions the same way they were used for tests. With schedules, actions can be customized per time of the day. For instance, an action profile can be set up to page both the IT manager and the network administrator during regular office hours, and to page the administrator alone the rest of the time, while doing nothing else but writing to the log on weekends. To make this possible, simply check the "Time restriction" option in the Action Properties dialog and select an appropriate schedule.

You can create your own schedules and modify standard schedules using Schedules dialog. To bring up this dialog use menu Profiles->Schedules or appropriate buttons in the Test Properties and Action Properties dialogs.

As you can see, editing schedules is very easy. To manipulate with the list of schedules use 3 buttons:
New
Create new schedule
Delete
Remove selected schedule
Rename
Change name of the schedule. You can rename schedules without having to worry that the link between the test and the profile will be broken. To link tests, actions and profiles HostMonitor uses internal IDs that are unique and non-changeable throughout the lifetime of an object.

To edit a schedule, select the time region (using the left mouse button) and click one of the buttons:
Check
Marks the selected time interval as 'Allowed' for the start of tests and actions (highlighted in green)
Uncheck
Marks the selected time interval as 'Not allowed' for the start of tests and actions (highlighted in red)
Invert
Changes time interval to an opposite ('Allowed' becomes 'Not allowed' and the other way around)

Tune
You may define schedules with up-to-the-minute precision. To use this feature click on "Tune" button or select "Edit intervals" item from popup menu. In a popup window appearing, you will be able to check and modify list of time intervals. To change "From" or "Till" time just type new time, to change day of week press F2 and select day from drop-down list. To append a new interval to the list go to the last existing line and press Down Arrow button, to insert new line anywhere in the list press INSERT button. To remove line press CTRL+DEL.

Holidays
Also you may specify separate schedules for holidays. The list of holidays is available for modifications for years ahead. Click "Holidays" button and HostMonitor brings up dialog window with the one year calendar that has all holidays marked by red background. To mark or unmark any day as a holiday select a day and press Space key. To see/modify holidays for another year, select a year using "up-down" control at the bottom of dialog. Use "Clear All" button to clear the list of holidays (holidays for current, all past and future years will be unmarked).

Color palettes

You can use fully customizable color schemes for the program's interface, for HTML log files and HTML reports. For different folders and reports you can use different color palettes. For example, a report designed for the IT manager might have an entirely different look and feel as compared to the one intended for use by the network administrator. Similarly, reports designed for the field offices may differ in palette from those used by the headquarters.

The following elements have customizable color attributes (you can change both fore- and background colors):
- underlying layer;
- table header (HTML reports/logs only);
- folders;
- system messages (HTML logs only);
- HTML links (HTML reports/logs only);
- test colors are status-dependent, so you can use different colors to display tests with different statuses:
- "Not testes yet";
- "Good";
- "Bad";
- "Unknown";
- "Test in progress";
- "Disabled";
- "Waiting for master";
- "Out of schedule ".

To choose a palette that will be used in the program's interface, use Interface page in the Options dialog; you can select the palette for HTML logs on the HTML Colors page in the Options dialog; use Report Manager to choose color schemes for HTML reports.

Color schemes are created and edited in the Color Profiles dialog:

To manipulate with color schemes use 4 buttons:
New | Create new palette.
Copy | Copy selected palette. This is useful if you want to make small modifications for the existing color palette.
Rename | Change palette's name. You can rename palettes without having to worry that the program will loose the link to the palette; HostMonitor uses internal IDs that are unique and non-changeable throughout the lifetime of an object.
Delete | Remove selected palette (you can remove any color scheme except 1st one with name ).

To change the color for the selected palette, click mouse on an element that you want to change color for. Use right-click on an element to change its background color, and left-click to change the text color.

Mail templates

Multiple message templates can be created for the e-mail, pager and ICQ notification. For instance, you can set up HostMonitor to send general server status emails to the manager, and fire off an elaborate problem report to the administrator in case of a network failure.

Macro variables are supported in message templates to be substituted with their actual values at the message generation time. Also you can specify a particular character set for your templates. This comes in especially handy if you work in a multilingual environment.

To manipulate with templates use 4 buttons:
New | Create new template.
Copy | Copy selected template. This is useful if you want to make small modifications for the existing template.
Rename | Change name of the template. You can rename mail templates without having to worry that the program will lost the link to the template; HostMonitor uses internal IDs that are unique and non-changeable throughout the lifetime of an object.
Delete | Remove selected template.

Report manager

HostMonitor can generate reports at regular intervals and/or when some tests change their status. It is also worth noting that each folder may contain its own list of reports, and each of the reports can be set up with a launching schedule specific to that folder. Also reports can be generated at user request at any time through the Reports menu in HostMonitor's main window. Reports can be in either HTML, DBF, WML, or Text formats. With reports, you can easily check the status of your network from anywhere using a Web browser or your WAP cell phone. Example
For more information how to use reports please, refer to "Logs&Reports" section of this documetation.

The highly flexible Report Manager allows you to create and customize reports to your preferences in a variety of ways.

The configurable report parameters include:

Report type
Choose one of the available report types:
- HTML | - | HTML file format. Test items will be represented in the table, each test item will be recorded as one row in the table. Example
- Compact HTML | - | HTML file format. Each test will be represented by small button. You will be able to click mouse on those buttons to retrieve detailed information about the test. Example1, Example2, Example3
- Custom HTML | - | HTML file format. HostMonitor will use HTML templates provided by you to create report. Example1, Example2
- WML | - | WML (Wireless Markup Language) file format
- DBF | - | DBF (Data Base File) format
- Text | - | Text file

Fields list
The right listbox in the Report Profiles dialog contains list of fields that you can include in the report (e. g., test name, status, average response time, downtime, comment, related URL, etc.). Click mouse button on the check box next to a field name to mark/unmark the item. Use "Mark all" popup menu item to select all available fields, use "Clear all" popup menu item to deselect all items.
You can change fields order in the report by dragging items with a mouse (click left mouse button on the item and drag it to a new place). Also you can change the name of the field, using Columns page in the Options dialog.

Test Type filter
Use middle listbox to select the test types to include in the report (e. g., all tests except Ping and CPU Usage tests). Click the mouse button on the check box next to a field name to mark/unmark the item. Use "Mark all" popup menu item to select all available fields, use "Clear all" popup menu item to deselect all items.
To exclude some specified tests from the report use "Exclude from reports" test property.

Status filter
Use left listbox to select the status set. To create the report HostMonitor will use tests with the selected statuses only (e. g., include tests with a "No answer" or "Unknown" status only). Click mouse button on the check box next to a field name to mark/unmark the item. Use "Mark all" popup menu item to select all available fields, use "Clear all" popup menu item to deselect all items.
To exclude some specified tests from the report use "Exclude from reports" test property.

Color scheme
This option is available for HTML, Compact HTML, and Custom HTML reports. Choose a color scheme that you like from a drop down list, or use [image] button to bring up Color Palettes dialog and create the color scheme to your personal preferences.

External Header
This option is available for HTML and Compact HTML reports only. Specify an HTML file that will be used as a header for the report. You need to specify this option only if you want to change the standard header of the report. In HostMonitor's directory "Examples\" you can find several samples of the external header:
File | Type of the report example was made for | Purpose
StdHeader.html | HTML | this external header is similar to the one that HostMonitor is using, can be used as a base for the creation of your own headers.
Summary.html HTML | HTML | external header with tests' statuses summary.
AutoRefresh.html | HTML | file contains command to auto refresh HTML page. Your browser will be refreshing the page's contents at regular intervals (by default 60 seconds, but you can change the interval).
CompactHeader.html | Compact HTML | this external header is similar to the one that HostMonitor is using for Compact HTML reports, can be used as a base for the creation of your own headers.
Use macro variable to show current date, time, colors of selected palette, etc.

External footer
This option is available for HTML and Compact HTML reports only. Specify an HTML file that will be used as a footer for the report. You need to specify this option only if you want to change the standard footer of the report. HostMonitor's directory "Examples\" contains 2 samples of the footer:

  • StdFooter.html - this external footer is similar to the one that HostMonitor is using, can be used as a base for creating your own footers.
  • Summary2.html - contains external footer with tests' statuses summary.
    Use macro variable to show current date, time, colors of selected palette, etc.

    To manipulate with profiles use 4 buttons:
    New | Create new report profile.
    Copy | Copy selected profile. This is useful if you want to make small modifications for the existing profile.
    Rename | Change profile's name. You can rename profiles without having to worry that the program will loose the link to the profile; HostMonitor uses internal IDs that are unique and non-changeable throughout the lifetime of an object.
    Delete | Remove selected profile.

    Compact HTML Reports

    Compact HTML report useful when you monitor hundreds or thousands of servers. Each test in the report will be represented by small button. You will be able to click mouse on those buttons to retrieve detailed information about test.
    Compact HTML Report has a few more parameters:

    Report style
    Choose one of the following options:
    - Table | Example #1
    - All tests in one block. | Example #2
    - Group tests by folders. | Example #3

    Display on each item
    Select what information HM should display on each button. You can select any field (like "Test name", "Status", "Reply", "Comment", etc), or choose "<nothing>" to display buttons without any text.

    Size of test item
    Specify size of the buttons.

    Include "AutoRefresh" option
    With this option enabled HostMonitor will include into report command for HTML browser to refresh HTML page every XX sec.

    If you will create external header for Compact HTML report, please note:
    • header must contains list of styles for the folder items and each possible test status
      <style type="text/css">
      input.Folder { ...style definition... }
      input.NotTested { ...style definition... }
      input.Alive { ...style definition... }
      input.NoAnswer { ...style definition... }
      input.Unknown { ...style definition... }
      input.UnknownHost { ...style definition... }
      input.Checking { ...style definition... }
      input.Resolving {...style definition... }
      input.Ok {...style definition... }
      input.Bad {...style definition... }
      input.Disabled {...style definition... }
      input.BadContents {...style definition... }
      input.WaitForMaster {...style definition... }
      input.OutOfSchedule {...style definition... }
      </style>
    • header should contain "showinfo" function, this function called every time user click on buttons (those represent test items) to display detailed test information. By default this function defined as
      <script language="JavaScript"> <!--
      function showinfo(info) { alert(info); }
      --> </script>
    • header must contain "<form>" tag

    Custom HTML Reports

    Custom HTML report is the most flexible report type. However it needs more time from you to configure the report profile. HTML and Compact HTML reports allow you to change header and footer of the reports, custom HTML report allows you to change everything. Define your own HTML template using special macro variables and HostMonitor will generate HTML report using parameters of the tests and folders instead of macro variables.

    Header
    Specify header of the report, this template will be used once for the report. You can use the same regular macro varaibles those used for external header/footer for regular HTML report.

    Folder title
    Provide HTML code that will be used to display Folders. You can use following macro variables:

  • "Regular" macro varaibles;
  • "Folder Specific" macro variables.

    • If you do not want to display folders in the report, leave "Folder title" field empty.

    Test items
    Provide HTML code for each test status. You can use regular macro variables plus macro variables those represent test parameters (e.g. %TestName%, %Status%, %Reply%, %MinReply%, %MaxReply%, etc). Full list of test specific macro variables available here

    Folder summary
    Provide HTML code that will be used to display summary information about each Folder. You can use following macro variables:
  • "Regular" macro varaibles;
  • "Folder Specific" macro variables.

    • If you do not want to display any summary information, keep "Folder summary" field empty.

    Gap between folders
    Provide HTML code that will be inserted between last test item (from current folder) and next folder. In other words this code will be used before each folder item except 1st one. Only regular macro variables are allowed.

    Footer
    Specify footer of the report, this template will be used once for the report. You can use the same regular macro varaibles those used for the external header/foter in regular HTML report.

    Macros

    "Regular" macro variables
    Below is a list of the macro variables those can be used in an external header/footer for the HTML, Compact HTML, and Custom HTML reports:
    Variable | Description
%Date% | current date
%Time% | current time
%DateTime% | current date & time
%BGColor% | background color
%TextColor% | text color
%LinkColor% | hypertext link color
%VLinkColor% | visited link color
%ALinkColor% | active link color
%TotalTests% | number of tests in the report
%GoodTests% | number of tests with "Good" status
%BadTests% | number of tests with "Bad" status
%UnknownTests% | number of tests with "Unknown" status
%DisabledTests% | number of disabled tests
%WaitForMasterTests% | number of tests with "Wait for master" status
%OutOfScheduleTests% | number of tests with "Out of schedule" status

    "Folder specific" macro variables
    Below is a list of the macro variables those can be used in "Folder title" and "Folder summary" sections of the Custom HTML report:
    Variable | Description
%Folder% | Represents the name of the folder
%FullPath% | Displays full path to the folder (like Root\Main Office\Web server)
%FolderAverage_AliveTime% | The average value of the AliveTime counter over all test items within the folder. AliveTime counter represents overall time the test has had a "Good" status
%FolderAverage_DeadTime% | The average value of the DeadTime counter over all test items within the folder. DeadTime counter represents overall time the test has had a "Bad" status
%FolderAverage_UnknownTime% | The average value of the UnknownTime counter over all test items within the folder. UnknownTime counter represents overall time the test has had a "Unknown" status
%FolderAverage_AliveRatio% | The average ratio AliveTime to TotalTime, in percent (over all test items within the folder)
%FolderAverage_DeadRatio% | The average ratio DeadTime to TotalTime, in percent (over all test items within the folder)
%FolderAverage_UnknownRatio% | The average ratio UnknownTime to TotalTime, in percent (over all test items within the folder)
%FolderAverage_PassedTests% | The average number of passed probes over all test items within the folder
%FolderAverage_FailedTests% | The average number of failed probes over all test items within the folder
%FolderAverage_UnknownTests% | The average number of probes finished with "Unknown" status, over all test items within the folder
%FolderMin_MinReply% | The minimum value of the results obtained (over all test items within the folder)
%FolderMax_MaxReply% | The maximum value of the results obtained (over all test items within the folder)
%FolderAverage_AverageReply% | The average value of the results obtained (over all test items within the folder)
%FolderAverage_MinReply% | The average value of the MinReply counter over all test items within the folder. MinReply counter represents the minimum value of the results obtained by test item.
%FolderAverage_MaxReply% | The average value of the MaxReply counter over all test items within the folder. MaxReply counter represents the maximum value of the results obtained by test item.
%FolderTotal_PassedTests% | Total number of passed probes for all test items in the folder
%FolderTotal_FailedTests% | Total number of failed probes for all test items in the folder
%FolderTotal_UnknownTests% | Total number of probes finished with "Unknown" status, for all test items in the folder
%FolderCurrent_TotalTests% | Number of the test items in the folder (not counting tests those you have decided do not include into the report, e.g. disabled tests)
%FolderCurrent_GoodTests% | Number of the test items (in the folder) those have "Good" status at the report generation time
%FolderCurrent_BadTests% | Number of the test items (in the folder) those have "Bad" status at the report generation time
%FolderCurrent_UnknownTests% | Number of the test items (in the folder) those have "Unknown" status at the report generation time

    Also in any section (header, footer, test items, etc) of the Custom HTML report you can use 2 contents specific macro variables:
    Variable | Description
%ItemColor% | text color
%Background% | background color
    These varaibales are "contents specific" because value of the varaible depends on the item that uses variables. E.g. if you use these variables in "Folder item" section, they will represent colors those was specified for the folder item (see Color Schemes dialog). If you use these variables for "Good" tests, they will represent colors those were specified for tests with "Good" status. And so on...


HostMonitor

Remote Control Interface (RCI)

RCI is a feature of the monitor that allows you to check and control HostMonitor remotely (using web browser or telnet client). RCI uses TCP/IP protocol and needs just one TCP port (by default this is a port #1054). You can setup different parameters of the interface (like port number, timeout, limit for the number of simultaneous connections, etc) on RCI page in the Options dialog.
For each user account you can specify a list of IP addresses from which a connection can be accepted and a list of operations (such as start/stop of monitoring, enable/disable tests, etc) that are allowed for the user.

To control HostMonitor through RCI you have to install either Web Service and/or Telnet Service. These applications can be installed on the same system where HostMonitor is already installed or on any other (remote) system that can communicate with HostMonitor's system via TCP/IP protocol.
Web Service application will allow you to use web browser (such as Internet Explorer) to control HostMonitor. Telnet Service application allows you to use any telnet client to check HostMonitor.

RCI Status window

To bring up this window use menu "View"->"RCI Status". There you may check the status of Remote Control Interface. The list of remote operators that are currently connected to the HostMonitor and the recent list of commands being send to HostMonitor are also available in this window. With the buttons in the right panel of the window you may change the RCI settings, manage user's accounts, etc.

Active remote operators
In the upper part of the window there is a list of remote operators that are currently connected to the HostMonitor. Using the button "Disconnect" (in the right panel) you may disconnect selected remote operator. The button "User profiles" brings up the User Profiles dialog, where you may manage the access permissions for each of the remote operators (users). You may add new user accounts, disable or enable existing accounts, etc.

Latest commands
In the lower part of the window there is a list of the latest connections and commands that were executed by remote operators.

Status bar
The status line shows statistical information: the number of active remote connections, the number of connections that were accepted and rejected since the HostMonitor was last started.

User

This menu of HostMonitor's main window accommodates the set of tools related to user profiles and accounts management in HostMonitor:
  • Custom menu profiles - allows you to create custom menu items.
  • Operators - user profiles manager. Allows you to create new users accounts, delete existing user's accounts and manage their rights and permissions.
  • Login as - here you may log in as another user without interrupting the HostMonitor. For example when you have to perform an operation that requires Administrators privileges
Custom menu profiles

This dialog is accessible from the menu "User"->"Custom menu profiles". This feature allows you to create custom menu items. These menus will appear after right clicking on the test in the Test Details area of HostMonitor window. For each menu item you have to provide a name, a command line and a window mode parameter (Hide, Normal, Maximized, etc). You may specify a list of users that will be able to execute this menu item and a list of test methods that will inherit this menu.

In the name and in the command line of custom menu item you may use macro variables. Depending on the test which you will right click, HostMonitor will use current values of variables. E.g. you can define the command line to send a message to administrator such as "NET SENT admin %TestName% %Status% %Reply%". Another example - you may define a name of the menu item as "%CommentLine7%", HostMonitor will use 7th comment line of the selected test as a name of the menu. If the 7th comment line is empty, then this menu item will not appear. This feature is useful when it is necessary to apply a custom menu command only for some specific tests. If you want to limit the use of a menu item by tests from some specific folders, then you should use folder related macro variables (%FolderComment% or %FCommentLineX%) as a name of the item (or in a command line).

Operators

Since the version 4 HostMonitor supports different permissions for each user. Each user (operator) has an account with a name, full name and a password. An account may also have a personalized list of IP addresses from which a connection can be accepted (to insert new address press INSERT button; to remove item press CTRL+DEL). According to the set of permissions users may perform some (or all) of the following operations:

  • add tests/folders
  • configure tests/folders
  • remove tests/folders
  • disable/enable tests
  • reset statistics
  • start/stop monitoring
  • change options
  • manage schedules
  • manage mail profiles
  • manage color profiles
  • manage report profiles
  • manage action profiles
  • manage user profiles

For example "Admin" has permissions to perform any operation; "Technician" has permissions to disable/enable tests, change options and manage mail profiles; "Manager" has permissions to reset statistics and manage report profiles.
Also you can specify a list of IP addresses authorized for remote connections for each of the accounts.

There are 2 special accounts: "Admin" and "Local" that cannot be deleted or disabled (however you can change the list of allowed operations for these accounts). An "Admin" account always has permission to manage other user's accounts. The "Local" account has no password and no permissions for remote connections. The "Local" account may be used only by a staff that has direct access to the system on which HostMonitor is installed. It is also used by HostMonitor at startup. To log in as another user go to the menu "User"->"Login as".

To setup and configure users accounts use the menu "User"->"Operators".

Login As

When HostMonitor starts it always uses the special built in user account - "Local". If you want to perform operation(s) that are not permitted for the "Local" user go to this menu item where you may log in as another user at any time. The dialog will ask you to provide a username and a password.

The same dialog appears every time when the user tries to perform an operation that is not permitted for him. In this case within the Login dialog you will have three options:

  • If you do not have the rights and permission to perform the desired operation then your only choice is the "Cancel" button. Contact your system administrator to acquire the rights for that operation later.

  • Log in as another user. Select an account and enter the password if you know it. If you chose «normal login» mode then you will stay logged under the selected account until you or another user will select another account or until the HostMonitor will be restarted.

  • In "Temporary" login mode you will gain the rights and permissions of the selected user only for the single operation. As soon as you finish the desired operation, (for example if you wanted to change a test property then "finish" means the test properties dialog is closed) HostMonitor will roll back to the previous user account.


HostMonitor

hmtitle1.gif (2014 bytes) Advanced Hosts Monitor
expect in September
Copyright (c) 2000 Alexander Kozlov.
Detail info Details What News What News Copyright/License/Warranty Download HostMonitor Download Registration Information Registration

Q: How many money do you lose while your servers are down ?
A: You don't have to lose any ! HostMonitor is a system management tool that continuously monitors servers availability and performance. In the event of network errors, HostMonitor can alert the network administrator (or even correct the problem if possible) before problems get seriously out of hand. This helps protect your company's data and reduces the likelihood of costly network failures.

What can it monitor ?
HostMonitor monitors server functions using a variety of methods, it can :

  • use ICMP protocol for PING test for servers, routers or other network components
  • try to connect to a service on a specific TCP port (for test Web/FTP/Mail/News server or any other which use TCP protocol)
  • send a HTTP-Request, analyze result codes and page contents for specific URL (eventually via a proxy server, even with authentication)
  • check free disk space for all your local and shared drives
  • check folder or file size
  • check that a file (or folder) exists, or does not exist
  • custom checks (ones YOU write)

By using this monitor types the administrator can know exactly what has happened to a server. For different hosts you can use different test methods, interval beween tests, alert profiles, schedules, etc. Tests for each host can be temporarily disabled without the need to delete and re-create them. Also you can create different hostlists and start several copies of program with different parameters.

Details..

How does HostMonitor warn me of failures ?

HostMonitor provides several ways to respond to failed services. Audio and visual notifications can alert people near the machine. E-mail notifications can be used to inform a wider range of remote operators. This includes paging on-call staff if their cellular phone or pager can accept e-mail messages. HostMonitor also provides a batch processing feature which can be set to run applications in response to failures. This gives you the opportunity to attempt an automatic restart or recovery of the service.

You can specify different alert profiles to be alerted to different tests, using several alert methods in each profile :

  • Writing a logfile entry
  • Creating a HTML page with the status of each host (for publishing on your HTTP server or for sending with E-Mail notification)
  • Show a popup-window on the screen
  • Playing a sound (WAV,MID,RMI files)
  • Sending a SMTP-Mail with the problems data to a mailbox, pager or mobile phone
  • Executing a program (EXE/BAT/etc.)

For example, if site www.yahoo.com is not reply for Ping then program will play sound and send E-Mail to admin@yahoo.com. But if program will not retrieve page www.ks-soft.net/hostmin.eng/index.htm then HostMonitor execute 'alert1.bat' and send E-Mail to admin@ks-soft.net.

You can specify how long host must not respond to test before HostMonitor do alert actions. Also you can specify different actions if host change his status to dead and to alive.
These timely alerts help to minimize network downtime and keep small problems from snowballing into serious, debilitating network issues.

Details..

Configurable log files & Log Analyzer

HostMonitor can log application events to a log file. Different log file detail levels (only errors/normal/full) and log file formats (text or HTML) can be configured to suit your needs. see example

Also program include Log Analyzer which can show information separately for each tested host, collect statistical information, show a graph of all request times for specific time, etc.
With the second the administrator can take a look at the request times for a HTTP-Request over a period of days or weeks.

Details..

HostMonitor include 4 utilities :

Local Info | - examine the local host and show info about processor, memory, Winsock data, etc
Trace | - trace the route to a remote host over the network
Telnet client | - telnet client
IP-Monitor | - show in real time graphics for TCP,UDP,ICMP In,Out,Error packets

IP-Tools
 Also you can use IP-Tools. IP-Tools is a popular and powerful network tool which provides 15 TCP/IP utilities (for diagnosting computer problems on a LAN or WAN, for detect trojan programs on your computer or for getting various information) and is indispensable for anyone who uses the Internet or Intranet.

And even more features :

  • Simple Setup and Operation : configurations can be easy copied from one computer to another
  • Many parameters (test interval, test method, test schedule, alert profile, etc) can be set independently for each monitored host
  • Command line parameters : you can start several copies of HostMonitor with different parameters
  • HTTP-requests can be done using a proxy server
  • The request times for each monitored host can be viewed graphically
  • Program is multi-thread and can test several hosts in same time
  • All settings can be edited in the GUI or in INI-file
  • Highly intuitive interface makes operation easy for users
  • Easy Install / Upgrade / UnInstall program
Details..

System Requirements

  • Windows 95, Windows 98, NT 4.0 or Windows 2000
  • TCP/IP connection (LAN or Dial-up)

How much does it cost ?

HostMonitor is shareware and is supplied on a 30day trial basis. A site licence for HostMonitor costs just $35. You can order with a credit card, check/money order or wire transfer order. If you do not want to submit your order and credit card information online, you can register via phone, fax or postal mail.
Details..

Main Page My Programs Downloads IP-Tools


HostMonitor (TestList)

TestLists

All monitored tasks are stored in TestList files (with the HML extension - HostMonitor List). Any number of HML files can be created, but only one may be loaded into the program at any given time. However, if you need to perform simultaneously multiple tests defined in different HML files, you can launch several instances of HostMonitor, each with its own HML file.

To open an HML file, either

  • use the File -> Load TestList menu command;
  • pick one of the recently used HML files listed under File -> Recent list
  • specify a file to load in the HostMonitor command line using the parameter "/List=TestListFileName";
  • or define a default TestList in the Options dialog on the "Startup" page.

By default, the last used file is loaded at program startup.
You can also load an HML file implicitly as part of an HMS script (see the LoadTestList command for more details). To run a script use the File -> Execute script menu command.

All commands for operations with TestLists are located in the "File" menu:
New TestList | - | Closes the current list (if opened) and creates a new empty list
Load TestList | - | Displays the Open dialog box for loading an existing TestList
Recent List | - | Follow the arrow to choose from the list of recently used TestList files
Append from HML file | - | Appends items from an existing HML file to the current list
Import from IP-Tools | - | Imports data from an IP-Tools HostList file and appends the items to the current list
Import from Text file | - | Imports data from a special format text file
Export to Text file | - | Exports the settings of all (or selected) tests into text file
Start HML Manager | - | Starts the HML Manager utility for manipulations with tests in HML files
Execute script | - | Executes an HMScript
Save | - | Saves the current file
Save as | - | Saves the current file under a new name
Print | - | Prints a report
Exit | - | Exits HostMonitor

All information relating to the tests defined in the current TestList, is displayed in the program's main window.

Main Window

The main HostMonitor window is divided into five logical areas, each of which can be made visible or hidden in menu View (except the Test Detail Area, which is always visible):

  • Folder Tree;
  • Test Detail Area;
  • Info Pane & Quick Log Pane;
  • Folder bar;
  • Status bar

This window is customizable to your personal preferences. You can change font style and font color, select color palette, change size or make some parts invisible, select style for test list, etc (Click here to see more screen shots).
For more information see Options->Interface and Options->Preferences.

Folder Tree

First introduced in HostMonitor v. 3.0, folders help you organize your tests in logical groups presented as a tree-like structure. The folder tree is displayed in the left-hand panel of the main HostMonitor window. Each folder may contain tests and/or nested subfolders, and has a number of properties which you may change or edit in Folder Properties dialog. Those settings are located on the following pages:

  • Columns: on this page you may define the list of visible fields (in other words the list of test attributes to display) and the list of attributes to sort tests by;
  • Folder colors: on this page you may select a Color palette specific to the folder (by default all folders use the same palette, specified in the Options dialog);
  • Reports: up to 6 individual reports can be associated with a folder;
  • Statistics: settings on this page allow you to setup a schedule to reset statistical information for the tests;

  • Comment: inheritable comment for the folder. It can be used for informational purposes; also comments can be used as parameters for actions. E.g. you may use 1st comment line as a destination e-mail address for alerts that send notification messages to responsible staff. Another comment line may be used as a name of the server that should be rebooted by "restart remote system" action. In this way you may use a single action profile for sending alerts to different recipients that are responsible for tests within the folder.
    You can access the whole comment or a particular comment line using macro variables %FolderComment%, %FCommentLineXX% (where XX is a number of the line). For more information, refer to macro variables section of this manual.

A new folder automatically inherits properties defined for the parent folder (the top folder inherits the common settings defined in the Options dialog). Once a folder is created, you can change its properties as needed, rename or delete the folder, create tests and nested subfolders, and so on.
For example. you can set up a folder representing your company, define a set of report profiles (for the administrator, IT manager, technical support crew, etc.), then create several subfolders, one for each of the company's offices, and you are done! HostMonitor will be automatically generating uniform reports for all company offices (each report will contain test results specific to the office).
In another example, folders can be created based on a test method (Ping, CPU Usage, etc.). For each folder, define a different set of visible columns, depending on the type of test. Thus, for a ping test folder a logical choice would include the "Reply" field, whereas for a CPU Usage folder catalog the "Average reply" field might make sense.
Folder properties are edited in the Folder Properties dialog available through the Properties command in the pop-up menu that appears when you right-click on a folder.

As you can see in the picture above, the editable properties on the Columns page are grayed out. This is because the "Use inheritable settings from parent" option is selected, which means the folder being edited does not define properties (visible columns in this case) of its own, but rather uses ones specified somewhere up the folder hierarchy. This way, changes made to an upper-level catalog are automatically propagated onto its descendent subfolders.

Similarly, the other folder properties, like Color Scheme and Reports, can be either inherited from the parent or set individually for any particular folder.
HostMonitor supports Drag & Drop operations, allowing you to easily move folders around, change their display order, and move tests from one catalog to another.

Test Detail Area

Appearing on the right side, the Test Detail Area displays, in table form, tests contained in the current (selected) folder and (if the Show tests in subfolders option is enabled) its descendent subfolders. As was mentioned in the Folder Tree section, display parameters for the Test Detail Area, like visible columns, color scheme, etc can be changed for the whole program or for the selected folders.

As you would expect, all tests defined in the working TestList are performed according to their schedules, regardless of whether they are currently displayed or not.
To perform the operations with a test or a group of tests you can use Toolbar, popup menu or a Test menu in the main window of the program. Tests and their parameters are defined in the Test Properties dialog.

Toolbar
The Test DetailArea toolbar is located right above the test grid, and contains six buttons accompanied by a pull-down menu:

Add button - brings up the Test Properties dialog to let you create a new test;
Add pull-down menu - lists all available test methods; choosing an item brings up the Test Properties dialog with the appropriate test method pre-selected in it.
Edit button - allows you to edit the properties of the selected test in the Test Properties dialog.
Remove button - removes the selected test.

Refresh button - refreshes status information for tests in the selected folder, by performing each of the tests immediately.
Refresh pull-down menu:

  • Refresh selected host(s);
  • Refresh current folder only;
  • Refresh current folder and subfolders;
  • Refresh all tests.

    • Reset button - resets the statistics for tests in the selected folder. For more information about test counters and statistics in HostMonitor, click here.
    Reset pull-down menu
  • Reset selected host(s);
  • Reset current folder only;
  • Reset current folder and subfolders;
  • Reset all tests.

    • Stop/Start button - Stop button suspends all activities until monitoring is resumed by clicking the Start button.

    Popup menu

    Test Detail Area has its own popup menu to perform varied test operations. Click right mouse button to bring up this menu and select item that you need:

    Edit
    Opens the Test Properties dialog for editing parameters of the selected test or a group of tests (also to edit selected tests you can use the Enter button).
    Add
    Brings up the Test Properties dialog to let you create a new test
    Copy
    Lets you create a copy of selected tests in a folder of your choice.
    Remove
    Removes selected tests from the list (after confirmation). The same result can be achieved by pressing the Del button.

    Refresh selected test(s)
    Refreshes status information for the selected tests, by performing each of the tests immediately, not waiting until time of the test interval is elapsed (if the test is disabled, HostMonitor will ask to enable the test). The same result can be achieved by pressing the Space button.
    Refresh this folder
    Refreshes the status information for tests in the selected folder, by performing each of the tests immediately.
    Refresh all tests
    Refreshes the status information for all tests (except disabled), by performing each of the tests immediately.

    Disable test
    Tests can be temporarily disabled without the need to delete and re-create them. HostMonitor does not perform checks for disabled tests.
    Enable test
    Enable disabled test.

    Statistics
    Opens the built-in Log Analyzer and displays statistics and chart for the selected test.
    View private log
    Displays private log for the selected test, if it has one.

    Trace
    Opens the built-in Trace utility and starts trace to the selected host. This menu item available for the following tests: Ping, TCP, URL, SMTP, POP3, IMAP, DNS, and LDAP.
    Telnet
    Opens the built-in Telnet utility and setup selected host as a target address. This menu item available for the following tests: Ping, TCP, URL, SMTP, POP3, IMAP, DNS, and LDAP.

    Also you may create your own menu items with associated commands. For more information, refer to Custom menu profiles section of this manual.

    Info Pane

    With the Info Pane made visible, information on the currently selected test is displayed in the resizable area at the bottom, right below the Test Detail Area, allowing you to grasp a test's details at one sight. The Info Pane comes in particularly handy when you choose to display tests in the Test Detail Area as small or large icons (see Options dialog -> Interface page for more information on display options).
    Use menu "View" -> "Info Pane" to make this pane visible or to hide it.

    Quick Log Pane

    Quick Log pane allows you to check the history of latest events for each test or folder. When you select menu "View" -> "Quick Log", HostMonitor opens a pane located at the bottom of the main window and displays last 10 events for selected test or 50 events for selected folder (folder's list includes last events for every test within the folder).
    The term "event" means a log record that was added with every test status change. If logging mode for the test is set to "Reply" or "Full", HostMonitor will add a new record when test status changes or the value of "Reply" field changes.

    Folder Bar

    The Folder Bar provides a convenient way of accessing the tree when you need it, so that you can hide the Folder Tree panel and free up some screen space for the Test Detail Area. The name of the currently selected folder appears in the text box inside the Folder Bar. To select a different folder, pick a folder in the folder tree dialog that pops up when you click the button to the right of the text box.

    Status Bar

    Depending on the mouse pointer position, the Status Bar provides you with some helpful information on where you are and what is going on.


HostMonitor

Tests: General Information

HostMonitor is a network-monitoring tool that allows you to keep a close eye on what is going on the network. Monitoring is done by performing periodic checks of the network resources that are to be watched. These checks, in the HostMonitor terminology, are called tests. It is the administrator's responsibility to identify exactly what needs to be checked, and create a set of tests that will be doing the job.

In order to be able to create a monitoring environment that suits your needs, does what you meant it to do and reacts to events adequately and predictably, you must have a good enough understand of:

  • Each test has a set of properties that can be divided into statical and dynamical properties. HostMonitor doesn't change statical properties; the user has to set them in the Test Properties dialog (e.g. Test Name, Comment, Related URL, list of Master tests, Test Interval, Schedule, Alert Profile, etc). When performing tests HostMonitor changes dynamical properties, such as: Status, Reply, Last Test Time, Recurrences, and all kinds of statistical information. User can't directly change dynamical properties, only can reset statistics for specified tests using a 'Reset' button in a Toolbar or menu item Test->Reset. Testing of specified tests can also be manually performed at any time (not waiting for the time interval) using a 'Refresh' button in a Toolbar or menu item Test->Refresh (or just select a set of tests and press 'Space' button). User can set a list of the test's properties to display by using Columns page in the Options dialog.

  • HostMonitor performs tests in intervals that are set individually for every test, or on scheduled time (day of the week, or month, see Schedule). Depending on the test result, HostMonitor assigns one of the available statuses to it ('Host is alive', 'No answer', 'Unknown', 'Unknown host', 'Ok', 'Bad', 'Bad contents'; there are also special statuses available: 'Not tested', 'Checking..', 'Disabled', 'Wait for Master', 'Out of schedule').

  • After finishing a test HostMonitor performs next steps:
    - update statistics (dynamical properties), such as Total time, Alive time, Dead time, Total tests, Passed tests, Failed tests, Average reply, etc;
    - if necessary HostMonitor will add information into a log file. You can find information about different log file types in Log&Reports section of this documentation;
    - if necessary the program will start actions defined in the action profile.

Note: To operate with a test or a group of tests user can use Toolbar, popup menu or a Test menu in a main window of the HostMonitor. List of available actions: Add test, Edit test(s), Remove test(s), Copy test(s), Enable/Disable test(s), Refresh test(s) status, Reset statistics, Show statistics, View private log, Trace, Telnet. For more information about user interface, please, refer to TestList&Windows section of this documentation.

Test Methods

A great variety of network services and resources can be watched over by the program. The following is a list of test methods available in HostMonitor:

  • Ping
  • Trace
  • RAS
  • URL
  • HTTP
  • TCP
  • UDP
  • NTP
  • SMTP
  • POP3
  • IMAP
  • DNS
  • LDAP
  • RADIUS

  • UNC
  • Drive Free Space
  • Folder/File Size
  • Count Files
  • Folder/File Availability
  • File Integrity
  • Text Log
  • Compare Files

  • Process
  • Service
  • NT Events Log
  • CPU Usage
  • Performance Counter
  • Database Server
  • ODBC Query
  • SNMP
  • Script
  • External
Tests: Agent List

HostMonitor can perform tests by itself or it can use Remote Monitoring Agent for this purpose. RMA is a small application that accepts requests from HostMonitor, performs test and provides information about test result back to HostMonitor.
When you setup the properties of a test in Test Properties dialog you may select an agent from drop down list or click on a button (to the right of the field) to manage agent list.

How to do:

  • How to add new agent to the list
  • How to edit network connection parameters for an agent
  • How to obtain information about agent(s)

How to add new agent to the list

To add a record for a (new) agent click on "New" button or press Insert key in the list of agents. When the dialog "Agent Connection Parameters" appears set the following parameters for the agent:

  • Agent address:
    provide the host name or an IP address of the system where RMA is installed
  • Item name:
    name of the agent (this name will be displayed in agent's list, and will be used by HostMonitor for agent identification). By default an address of an agent will be used as name for it but you may specify any other name that you like
  • Port:
    TCP port that will be used for communication between HostMonitor and the agent. Here you should specify the same port that you have already specified when that agent was installed and configured on a remote system (by default agent uses port #1055)
  • Timeout:
    communication timeout in seconds. A maximum amount of time that HostMonitor will wait for an answer from the agent. Please note: this timeout should be big enough to allow an agent to perform a test before sending an answer to HostMonitor. When, for example, you are launching an external test and an external program needs 15 seconds to perform this test then the timeout should be set to 15 seconds plus an amount of time that is necessary for data exchange between HostMonitor and an agent.
  • Password:
    here you should provide the same password that you have specified when an agent was installed and configured on a remote system.

After you have finished entering the above information click "Test/Get info" button to check the settings of an agent or click "Ok" button to check the settings and close dialog. HostMonitor will try to establish connection with an agent and get information about agent: platform, version, comment, etc.
If connection with an agent was established, HostMonitor updates all agent information and sets status of the agent to "operable". If HostMonitor was not able to get proper information from an agent, it sets its` status to "no answer" (if no answer from agent received) or "bad answer" (if some error code was received from an agent, e.g. wrong password).

How to edit connection parameters for the agent

To change connection parameters for an agent, select it from the list and click "Params" button (or just double-click it). "Agent Connection Parameters" dialog will pop up, there you may setup connection parameters (agent address, port, timeout, password, etc) like it was already described in previous abstract ("How to add new agent to the list").

How to obtain information about agent(s)

When you create a new agent record in the list, HostMonitor tries to connect to a specified agent and gets information from it. But you can refresh/reload this information at any time. To retrieve information about single agent, select an agent and click "Get Info" button. To retrieve information about all agents from the list, just click "Get Info (All)" button. HostMonitor will then try to connect to each agent and gets the following information:

  • Agent: an internal name of an agent;
  • Platform: OS platform that this agent is designed for;
  • Version: the version number of the agent;
  • Developer: the company that created RMA software;
  • Comment: the content of a comment field that you or system administrator had provided when a remote agent was installed and configured.

If a connection with agent was established, HostMonitor updates all information and sets the status of an agent to "operable". If HostMonitor was not able to get information from an agent, it sets the status to "no answer" (if no answer from an agent was received) or "bad answer" (if some error code was received from an agent, e.g. wrong password).

RMA Manager
To manage an array of Remote Monitoring Agents you may use RMA Manager utility. It allows you to change settings for hundreds of agents that are installed on remote systems at one time and from one location. Also RMA Manager allows you to reload or terminate agents, force agents to reread settings from their ini files and even upgrade agent's code remotely.
Both RMA Manager and HostMonitor are using the same list of Remote Monitor Agents.

Tests: Common Properties

Test particulars are defined in the Test Properties dialog:

Most properties are common across all test methods. However, each method has a set of parameters that are specific to the test type. Let's have a look at the common properties first:

  • Test By
    Test can be performed by HostMonitor itself (by default) or by Remote Monitoring Agent. You may select an agent from drop down list or click on a button (to the right of the field) to manage agent list.

  • Test Name
    The name of the test; HostMonitor auto populates this field with a suggested name based on the type and other test parameters; you can change that name to whatever name you want.

  • Comment
    Any comments those make sense to you. You can specify one-line comment directly in the Test Properties dialog or press [image] button to bring-up popup dialog for entering multi-line comments. In the status bar, in reports, and in the Test Detail Area HostMonitor will display only 1st comment line. However using macro variables (%TaskComment%, %CommentLine1%, %CommentLine2%, etc) you can access whole comment or any of its lines.

  • Related URL
    For each test, a related URL can be specified. By adding this property to the list of visible columns or to a report, you will make the related URLs appear in the test list view or report sheet. In HTML reports, URLs appear as hyperlinks. In the list view, tests with a related URL will have a popup menu item that launches the associated program (typically, your default Internet browser).

  • Enabled/Disabled
    Enables or disables test execution.

  • Schedule
    Specifies when to perform the test. You can choose between regular and irregular schedules.
    A regular schedule assumes the test will be fired off at fixed time intervals, for instance, every 10 minutes. In addition, a Schedule can be associated with a test to give you more control on your monitoring activities. For example, if you want to test your proxy server only from Monday to Friday, select the "Monday-Friday, 24 hours" schedule. You may select an existing schedule from a drop-down list or create any number of your own schedules. If you do not select a schedule, HostMonitor will always check the host.
    With an irregular schedule, tests are performed on a given day of week or month, at a given time. E.g. every Monday at 9:00 am; or on the 15th of every month at 3:00pm.

  • Alert profile
    Alerts are a highly flexible mechanism that allows you to implement different behaviors for different types of events and conditions. Choose one of the existing Alert Profiles or create a new one, designed specifically to suit your needs.
    You can design an alert profile, using different alert methods, such as a visual and sound warning; send an E-mail message to a mailbox, pager or mobile phone; execute an external program, restart service, reboot local or remote computer, dial-up to the network, send data to TCP/UDP port, execute SQL Query, and much more. For more information, please, refer to Actions section of this documentation.
    If you don't select an alert profile, HostMonitor will only write down a record to the log file (if the logging is enabled), and no other action is taken even if the status of the host changes.

  • Reverse alert
    When this option is selected, HostMonitor regards test results that are normally considered benign, as abnormal ones, and vice versa.
    This can be useful in some situations. For example, CPU Usage test returns an "Ok" status if the processor load ratio is below a predefined value. With the "Reverse alert" option turned on, the test will work the other way around, so the administrator will be alerted when the processor load is below a predefined value.

    Here is how the conversion works for different status values:
    Original status | Reverse status
    Alive | Bad
    Dead | Ok
    Ok | Bad
    Bad | Ok
    BadContents | Ok
    Other status values are not affected.

  • Treat Unknown status as Bad
    With this option enabled, if test results cannot be obtained, actions are triggered by HostMonitor the same way as if the test returned a "Bad" status.
    The option is not applicable to some of the test types. Please refer to the table below for the meaning of "Unknown" status for different test types:
    Test | Option is applicable | "Unknown" status condition
    Ping | Yes | Host name cannot be resolved into IP address
    Trace | Yes | Host name cannot be resolved into IP address
    URL | No
    HTTP | Yes | Host name cannot be resolved into IP address
    TCP | Yes | Host name cannot be resolved into IP address
    UDP | Yes | Host name cannot be resolved into IP address
    NTP | Yes | Host name cannot be resolved into IP address
    SMTP | Yes | Host name cannot be resolved into IP address
    POP3 | Yes | Host name cannot be resolved into IP address
    IMAP | Yes | Host name cannot be resolved into IP address
    DNS | Yes | Host name cannot be resolved into IP address
    LDAP | Yes | Host name cannot be resolved into IP address
    RADIUS | Yes | Host name cannot be resolved into IP address
    UNC | Yes | Resource is unavailable (option is applicable for free space check only)
    Drive Free Space | Yes | Disk drive information is unavailable (e. g., the drive is unmapped)
    Folder/File Size | Yes | File/folder doesn't exist
    Count Files | Yes | Folder doesn't exist
    Folder/File Availability | No
    File Integrity | Yes | File doesn't exist or read error
    Text Log | Yes | File doesn't exist or read error
    Compare Files | Yes | Target file(s) does not exist
    Process | Yes | Information (list of processes) cannot be retrieved
    Service | Yes | Connection to CS Manager cannot be established
    NT Events Log | Yes | Information cannot be retrieved
    CPU Usage | Yes | Information cannot be retrieved
    Database | No
    ODBC Query | Yes | SQL query fails, or the data field specified is not found in the result set
    SNMP | Yes | Information cannot be retrieved
    External test | Yes | HostMonitor cannot execute external program (program doesn't exist) or program doesn't return ERRORLEVEL within a specified time
    RAS | Yes | Connection was not established because of a problem on local system, e.g. modem is used by another application
    Performance Counter | Yes | Information cannot be retrieved
    Script | Yes | Script returns "Unknown" status, or an error occured during the script execution

    Log & Reports

  • Use common log
    If the "Use common log" option is selected, HostMonitors records test data in a single log file shared by all tests. Common Log settings located on Log Settings page in the Options dialog.
    Choose one of the following options to specify when information should be recorded:
    • Default - the common settings defined in the Options dialog are used;
    • Brief - record information whenever status of the test changes;
    • Full - record all test results, regardless of whether their status had changed or not;
    • Reply - record information into log every time the status or reply value of the test changes.
    For more information about different logging options, please, refer to Log&Reports section of this documentation.

  • Use private log
    Additionally, for each test you can define its own, dedicated log file by checking the "Use private log" option. The type of a private log is determined based on the file extension: HTML for .htm*, DBF for .dbf, plain text for any other extension.
    Private logs can be configured to work in one of the following modes:
    • Default - the common settings defined in the Options dialog are used;
    • Brief - record information whenever status of the test changes;
    • Full - record all test results, regardless of whether their status had changed or not;
    • Reply - record information into log every time the status or reply value of the test changes.
    If a private log is specified, the popup menu for that test will contain the item, "View private log". For more information about different logging options, please, refer to Log&Reports section of this documentation.

  • Exclude from reports
    These check boxes allow the user to exclude the test information from reports. For more information about the report customization, please, refer to Report Manager section of this documentation.

    Master/Dependent tests

  • This test depends on another test(s)
    For each test, you can define a list of other tests it depends on, or Master tests. For each Master test you can choose the condition to perform the dependent test based on the status of the Master test:
    - "Alive";
    - "Alive" or "Unknown";
    - "Dead";
    - "Dead" or "Unknown".
    As an example, consider a network configuration where the accessibility of the company's several web servers depends on the state of a single router. When the router is down, there is probably little sense in trying to do the dozens of tests designed to collect information on the web servers.
    That was, of course, a very simplified example. With this feature, you can implement quite sophisticated dependencies involving a number of master tests which, in turn, depend on other tests' results. For more information on dependencies, please, see the following options: "Syncronize counters", "Syncronize status & alerts", "Consider status of the master test obsolete after N seconds" (Options dialog).

  • This test depends on expression
    Instead of making test to be dependent on a list of Master tests you can define a condition to perform the test using some logical expression. In these expressions you can use:

    • numbers and strings (in quotes). Strings that contain a number plus one of the following unit specificators [ms, Kb, Mb, Gb, %] are compared as numbers, so that '900 Kb' is less than '9 Mb'
    • macro variables related to the current test or to any other test;
    • global macro variables;
    • logical operators [and, or, not, <, >, >=, <=, ==, <>];
    • arithmetic operators div, mod. The value of (x div y) is the value of x divided by y and then rounded in the direction of zero to the nearest integer; 'mod' operator returns the remainder obtained by dividing its operands (in other words, (x mod y) == x - (x div y) * y);
    • parentheses. In complex expressions, common rules of precedence determine the order in which operations are performed:
      Operators | Precedence
      not | first (highest)
      div, mod | second
      <, >, >=, <=, ==, <> Third
      and, or | fourth (lowest)
      An operator with higher precedence is evaluated before an operator with lower precedence, while operators of equal precedence associate to the left. You can use parentheses to override precedence rules. An expression within parentheses is evaluated first and then its result is treated as a single operand.
    This mode is more complicated than a standard list of Master tests but it is very flexible. Just several simple examples:

    • with expression ('%::Ping Router::SimpleStatus%'=="UP") and ('%::Ping Router::Reply%'<'800 ms') HostMonitor performs a test when the test named "Ping Router" has a good status and the reply time for the router is below 800 ms;

    • use expression like ('%::TestA::SimpleStatus%'=='UP') or ('%TestB:: SimpleStatus%'=='UP') to perform a test when either TestA or TestB has "good" status.

    OtherwiseStatus
    Sometimes HostMonitor may fail to parse logical expressions. For example when a variable has no value due to the failure to perform some other tests. In this case HostMonitor will not perform the dependant test. Instead it will set a special status for the current dependant test. The same happens when a logical expression returns "false" value (this means that a condition was not met). You may define this status in the "OtherwiseStatus" property of the test. You can provide the status name ('Host is alive', 'No answer', 'Unknown', 'Unknown host', 'Ok', 'Bad', or 'Bad contents') or specify a macro variable that describes the status of another test (e.g. %::Ping Router::Status%).
    For more information on dependencies, see the following options: "Syncronize counters", "Syncronize status & alerts", "Consider status of the master test obsolete after N seconds" (Options dialog).

  • Synchronize counters
     This option only applies to tests that have one or more master tests. When the option is turned off, and some test is not being launched because its launch condition has not been met, HostMonitors simply marks such a test with the "Wait for Master" status and does not change any counters. If, however, the option is turned on, HostMonitor will update statistics information accordingly to the Master test status. Thus, if a router on which other tests depend has been tested to a "No answer" status, HostMonitor will increment respective counters (like "Dead time", "Failed tests", etc) for router and for all dependent tests with the "Synchronize counters" option on.

  • Synchronize status & alerts
     This option is applicable only if "Synchronize counters" is also selected. When the option is turned on, besides synchronizing counters, the dependent test receives the status of the master test, which in turn will start action dispatching based on the status propagated from the master test.

    Example: On your corporate network you have 10 web servers and 1 router that is critical to the entire network. A router Ping test is set up to page the administrator if the router does not respond. So when the router goes down, and the "Synchronize status&alerts" option is turned off, HostMonitor sends a message to the administrator's pager and suspends all dependent tests. If "Synchronize status&alerts" is on, in addition to the router problem notification, actions defined on the dependent tests will be fired off as well.

  • Dependencies of this test
    This is a read-only list for information purpose. It displays tests that depend on the current test.

Test Methods

Listed below are the various test methods supported by HostMonitor, along with a description of their method-specific parameters

Ping

The ping command verifies connections to remote computers, routers and other network components by sending ICMP (Internet Control Message Protocol) echo packets to the remote component and listening for echo reply packets. It's best to use the Ping method to check a remote connection in general. To check specific services and conditions, HostMonitor provides a number of special test types.
In addition to the common test parameters the Ping test has the following options:

Address
Provide the domain name (e. g. www.yahoo.com) or IP address (e. g. 204.71.200.68) of the host that you wish to monitor.
Please note, a range of IP addresses (e.g. 123.123.123.1 - 123.123.123.254) rather than a single address can be specified. In this case, HostMonitor will create a separate test for each of the addresses within that range.

Timeout
Specify a timeout interval in milliseconds. If you set parameter to 0, HostMonitor will use value of the global Timeout parameter specified on Ping/Trace page in the Options dialog.

Packet size
Specify the size of echo packets. This parameter is optional. If it's value is 0 (default value), HostMonitor will use global Packet Size parameter specified on Ping/Trace page in the Options dialog.

Packets
Specify the number of echo packets. If you set parameter to 0, HostMonitor will use value of the global "Packet to send" parameter specified on Ping/Trace page in the Options dialog.

Time to Live
Time to Live parameter is common for all Ping tests, specify this parameters on Ping/Trace page in the Options dialog.

Status is bad when N (or more) % of packet lost
A packet loss threshold can be specified for a Ping test, based on which the test status is determined. That is, in HostMonitor version 1 a test was considered failed if no echo packets were received (100% loss). Now you can set the packet loss limit.

Display mode
Select 1 of 3 options that determine what information HostMonitor will display in the Reply field:

  • Reply time - the "Reply" field will represent average reply time
  • % of lost - display percentage of lost packets,
  • % of received - display percentage of received packets.
    • Trace

    Traces the route to a remote host over the network. This test allows you to check the route that all packets take to go from your machine to a specific host on the Internet (Intranel, LAN). It also can check the time each hop (or each machine packets go through) takes to answer.
    In addition to the common test parameters, the Trace test has the following options:

    Address
    This is the name or IP address of the host route that you want to test.

    Timeout
    Specify a timeout interval in milliseconds.

    Packet size
    Specify the size of ECHO packets in bytes.

    Retries
    Specify how many times HostMonitor will try to resend ECHO packets when it does not receive the respond.

    Alert when
    Choose one of the conditions to determine is route "good" or "bad":

  • route was changed
    HostMonitor will mark test as "Bad" every time route changed
  • number of hops different from NN
    Test will change status to "Bad" if number of hops is different from specified
  • number of hops greater than NN
    Test will change status to "Bad" if number of hops is greater than specified
  • number of hops less than NN
    Test will change status to "Bad" if number of hops is less than specified
  • maximum reply time more than NN milliseconds
    Mark test as "Bad" when reply time from any of the hosts is longer than specified
  • traffic thru the host
    HostMonitor will mark test as "Bad" every time traffic will go thru specified intermediate host
  • traffic bypass host
    HostMonitor will mark test as "Bad" every time traffic will not go thru specified intermediate host Display
    This option determines what information HostMonitor will display in Reply field. Choose one of the following options:
  • Total time
  • Average reply time
  • Maximum reply time
  • Number of hops
  • Number of non-responding devices
  • Route, brief mode (list of IP addresses only)
  • Route, full mode (hop, IP address, time)
    • URL

    HostMonitor can perform a URL (Universal Resource Locator) check based on the HTTP (web), HTTPS (secure web), FTP or Gopher protocols. To perform URL check HostMonitor can connect to a remote server directly or through a proxy server, this proxy server can be defined on the PROXY page in the Options dialog.
    In addition to the common test parameters, the URL test has the following options:

    URL
    Enter the URL you want to monitor. HostMonitor is not limited to the retrieval of HTML files for the HTTP and HTTPS checking, it can also retrieve other types of pages, even CGI scripts.
    Examples of URLs include:

  • http://www.yahoo.com/index.html
  • https://www.super.secure.server.gov:444/unpublished/mainpage.html
  • ftp://ftp.bhs.com/incoming/list.txt

    • Password protected page
    Use this option when the URL specified requires a name and password for access.
    User name
    If the URL specified requires a name and password for access, enter the user name in this box.
    Password
    If the URL specified requires a name and password for access, enter the password in this box.

    Code 302 (redirect) is Ok
    This parameter determines the HostMonitor's behavior, when HTTP/HTTPS server issues a redirect. If option disabled and HTTP server returns code 301 (Moved Permanently) or 302 (Moved Temporarily), HostMonitor marks test as "Bad". With this option enabled HostMonitor sets "Host is alive" status.

    Ignore unknown certificate authority problems
    This option allows checking web servers that use HTTPS protocol and security certificates that were issued by not trusted company. With this option enabled, HostMonitor will accept security certificates issued by any company. When this option is disabled and the certificate belongs to a not trusted company then HostMonitor will set the test status to "no answer".

    The URL test doesn't automatically retrieve any objects linked from the page. You can, however, instruct HostMonitor to retrieve the nested frames and images.

    Download nested frames
    Select this box if you want to retrieve the all frames referenced in a frameset and count their retrieval time in the total time to download this page. If "Download images" is also checked, HostMonitor will attempt to retrieve all images in all frames. In case the program successfully retrieve page specified in the URL field but cannot receive one of the nested frames, HostMonitor will mark test as "Bad contents".

    Download images
    Enable this option if you want the status and response time statistics to include the retrieval time for all of the embedded images in the page. Embedded images include those referenced by <IMG> HTML tags. Images that appear more than once in a page are only the retrieved once. In case the program successfully retrieve the page specified in the URL field but cannot receive one of images, HostMonitor will mark test as "Bad contents".

    Check CRC
    With this option enabled HostMonitor will save CRC (Cyclical Redundancy Check) of the downloaded data and do a checksum comparison each subsequent time test is performed. If the checksum changes, the test will have "Bad contents" status. So, if someone hack your site, HostMonitor can detect this before thousands of people see their handiwork on your corporate site.
    By default HostMonitor calculates (and checks) CRC for page specified in the URL. But if "Download nested frames" and/or "Download images" options are enabled, HostMonitor will calculate CRC for the nested frames and/or images as well.

    Check contents
    HostMonitor can search for a string (or several strings) in the returned page and start alert actions when string exists (or doesn't exist) on the page. Define string(s) and condition to alert using following options:
    Mode
    This option determines condition to check. Choose one of the available modes:
    - should contain | HostMonitor will set "Bad contents" status when page does not contain specified string
- should not contain | HostMonitor will set "Bad contents" status when page contains specified string
- use expression | HostMonitor will consider the string as boolean (logical) expression, evaluate expression using data received from the server, and set "Bad contents" status when retrieved page does not satisfy the required conditions. For example: if you define expression like "'No errors' and not ('Error' or 'Warning')", then HostMonitor will mark test as "Host is alive" when retrieved page contains string 'No error' and does not contain either 'Error' or 'Warning'
    Expression
    Enter a string of text to check the returned page. Remember that HTML tags are part of a document, so include the HTML tags if they are part of the text you are searching for (for example, "<B>Hello</B> World").
    If you chose "use expression" mode, you may use expressions like "("Total" and "End Of Page") and not ('Error' or 'Warning')". In this case, a test will have a "Host is alive" status when monitor can receive specified page and this page contains both strings "Total" and "End Of Page", and doesn't contain either strings "Error" or "Warning". In the expression you may use strings (must be concluded in quotes (') or in double quotes (")); round brackets; logical operators "and", "or", "not".
    Case sensitive
    With this option enabled search is case sensitive
    Whole words only
    Searches are for words only. With this option disabled, the search string might be found within longer words.

    Note: some server-based scripts can check agent's name and return different information for different HTTP agents (e.g. generate different HTML pages for Internet Explorer or Netscape). To get correct test results you may need to change "Agent name" parameter. Use Miscellaneous page in the Options dialog for this purpose.

    HTTP

    The HTTP test provides you with the ability to monitor HTTP based servers, verify the content of dynamically generated pages, check for the changed content. Also it can help you verify that CGI scripts and back-end databases are functioning properly. In contrast to URL test, that can perform HTTP request as well, HTTP test does not use wininet.dll (part of Internet Explorer). In this way we can avoid any problems related to IE's bugs (of course we can make mistakes as well but we always are able to fix our own mistakes :-). Also using HTTP test you can define more parameters specific to HTTP protocol and setup more varied checks.
    In addition to the common test parameters, the HTTP test has the following options:

    HTTP request parameters:

    URL
    Enter the URL you want to monitor (for example, http://www.ourbiggestserver.com)

    Proxy
    Optionally, a proxy server can be used to access the URL. Select a proxy server from the drop down list or choose "<none>" to perform direct request to HTTP server.
    You can open Proxies List dialog to modify the list of proxy servers. For each item from the proxy list you can specify:

  • Domain name or IP address of the HTTP proxy server
  • TCP port
  • User name
  • Password

    Request
    Choose type of HTTP request:
    HEADER

    request for HTTP header. Server will return status information about the document (HTTP header) but will not transfer data. It allows you to check web server functionality with minimum network traffic but you cannot check the content of the web page.

    GET

    request the page specified by URL parameter. Server will return status information (HTTP header) and data. You can use "Check content" and "Check CRC" options to monitor contents of the page.

    POST

    send data (defined in "Post data" field) to the web server to be processed in some way, like by a CGI script. In this case URL is not a resource to retrieve; it's usually a program to handle the data you are sending. The HTTP response is normally the program output, not a static file. The most common use of POST is to submit HTML form data to CGI scripts. In this case, the "Content-Type:" header is usually set to "application/x-www-form-urlencoded". So, when you choose POST request, HostMonitor adds this header into "Optional headers" field by default. However you can change that header to another one or remove it.

    Follow redirect
    This parameter determines the HostMonitor's behavior, when the server issues a redirect. When the option enabled HostMonitor follows redirect and retrieve URL specified by server. If option disabled and HTTP server returns code 301 (Moved Permanently) or 302 (Moved Temporarily), HostMonitor marks test as "Bad".

    Post data
    If the URL is for a POST request, enter the post variables as name1=value1&name2=value2. This option is used to verify that a form is working correctly by performing the same request which occurs when a user submits a form. See also the "Check content" option for a way to verify that the correct form response was received.

    Authorization
    Use this option when the URL specified requires a name and password for access.
    User name
    If the URL specified requires a name and password for access, enter the user name in this box.
    Password
    If the URL specified requires a name and password for access, enter the password in this box.

    Agent
    Some server-based scripts can check agent's name and return different information for different HTTP agents (e.g. generate different HTML pages for Internet Explorer or Netscape). You can change this parameter to get correct results.

    Timeout
    Specify the number of seconds that the test should wait for a page to complete downloading before timing-out. Once this time period is over, the monitor will mark test as "No answer". If you have checked the "Download nested frames" or "Download images" option, HostMonitor will use the same timeout for all frames/images referenced on the page.
    If the Timeout property is set to 0 (default value), HostMonitor will use default Windows timeout specified for TCP protocol.

    Allow per-session cookies
    With this option enabled HostMonitor remembers cookies received from the server, and sends them back in case of redirection to another URL.
    This option can be useful when you need to check some access-restricted resources. Often web-based authorization systems use cookies to identify user. How it usually works:
    - user opens login page, enters login and password, and clicks "Login" button;
    - browser sends POST or GET request to a server with data entered by user;
    - server checks login/password and (in case data are correct) assings session ID for the user;
    - server sends cookie that contains ID to user's browser, and redirects user to another page;
    - browser must store cookie and send it back to server every time it (browser) requests access-restricted pages
    So, now HostMonitor can work like your browser and login to your mailbox to check whether you have the new messages. See also the "Check content" option for a way to verify that the correct response was received.

    Optional headers
    Specify optional HTTP headers those will be added to request. For example you can define cookies using string like "Cookie: name1=value1; name2=value2; name3=value3". When you send data to the server using POST method, HostMonitor automatically insert "Content-Type: application/x-www-form-urlencoded" header.

    Optional test parameters:

    The HTTP test doesn't automatically retrieve any objects linked from the page. You can, however, instruct HostMonitor to retrieve the nested frames and images.

    Download nested frames
    Select this box if you want to retrieve the all frames referenced in a frameset and count their retrieval time in the total time to download this page. If "Download images" is also checked, HostMonitor will attempt to retrieve all images in all frames. In case the program successfully retrieve page specified in the URL field but cannot receive one of the nested frames, HostMonitor will mark test as "Bad contents".

    Download images
    Enable this option if you want the status and response time statistics to include the retrieval time for all of the embedded images in the page. Embedded images include those referenced by <IMG> HTML tags. Images that appear more than once in a page are only the retrieved once. In case the program successfully retrieve the page specified in the URL field but cannot receive one of images, HostMonitor will mark test as "Bad contents".

    Check CRC
    With this option enabled HostMonitor will save CRC (Cyclical Redundancy Check) of the downloaded data and do a checksum comparison each subsequent time test is performed. If the checksum changes, the test will have "Bad contents" status.
    By default HostMonitor calculates (and checks) CRC for page specified in the URL. But if "Download nested frames" and/or "Download images" options are enabled, HostMonitor will calculate CRC for the nested frames and/or images as well.

    Recalculate CRC when page content changes detected
    With this option enabled, the new checksum will be recorded as the default in case the error "page content changed" occurs, so the test will return to "Good" status until the checksum changes again.

    Check header
    HostMonitor can search for a string (or several strings) in the HTML header (received from a server) and start alert actions when the string exists (or doesn't exist) in the header. Define string(s) and condition to alert using following options:
    Mode
    This option determines condition to check. Choose one of the available modes:
    - should contain | HostMonitor will set "Bad contents" status when HTTP header does not contain specified string
    - should not contain | HostMonitor will set "Bad contents" status when HTTP header contains specified string
    - use expression HostMonitor will consider the string as boolean (logical) expression, evaluate expression using data received from the server, and set "Bad contents" status when retrieved HTTP header does not satisfy the required conditions.
    For example: if you define expression like "'HTTP/1.1' and not ('301' or '302')", then HostMonitor will mark test as "Host is alive" when retrieved data contains string 'HTTP/1.1' and contains neither '301' nor '302'.
    Expression
    Enter a string to check the returned HTTP header. If you chose "use expression" mode, you may use expressions like "('HTTP/1.1' or 'HTTP/1.0') and not ('301' or '302')". In this case, a test will have a "Host is alive" status when monitor gets reply from the server and retrieved HTTP header contains either strings "HTTP/1.1" or "HTTP/1.0", and doesn't contain either strings "301" or "302". In the expression you may use strings (must be concluded in quotes (') or in double quotes (")); round brackets; logical operators "and", "or", "not".
    Case sensitive
    With this option enabled search is case sensitive
    Whole words only
    Searches are for words only. With this option disabled, the search string might be found within longer words.

    Check contents
    HostMonitor can search for a string (or several strings) in the returned page and start alert actions when string exists (or doesn't exist) on the page. Define string(s) and condition to alert using following options:
    Mode
    This option determines condition to check. Choose one of the available modes:
    - should contain | HostMonitor will set "Bad contents" status when page does not contain specified string
    - should not contain | HostMonitor will set "Bad contents" status when page contains specified string
    - use expression HostMonitor will consider the string as boolean (logical) expression, evaluate expression using data received from the server, and set "Bad contents" status when retrieved page does not satisfy the required conditions.
    For example: if you define expression like "'No errors' and not ('Error' or 'Warning')", then HostMonitor will mark test as "Host is alive" when retrieved page contains string 'No error' and does not contain either 'Error' or 'Warning'
    Expression
    Enter a string of text to check the returned page. Remember that HTML tags are part of a document, so include the HTML tags if they are part of the text you are searching for (for example, "<B>Hello</B> World").
    If you chose "use expression" mode, you may use expressions like "("Total" and "End Of Page") and not ('Error' or 'Warning')". In this case, a test will have a "Host is alive" status when monitor can receive specified page and this page contains both strings "Total" and "End Of Page", and doesn't contain either strings "Error" or "Warning". In the expression you may use strings (must be concluded in quotes (') or in double quotes (")); round brackets; logical operators "and", "or", "not".
    Translate date macro variables
    This option allows you to use date & time variables in the search string. It is useful when you have to monitor web pages that shall be updated regularly. E.g. if you provide "%mm%-%dd%-%yyyyy%" in the search string, HostMonitor will check the retrieved document for the presence of a current date and will set "Bad content" status for the documents without current date stamp. This option could be useful for testing various scripts and applications that generate web pages.
    Case sensitive
    With this option enabled search is case sensitive
    Whole words only
    Searches are for words only. With this option disabled, the search string might be found within longer words.

    Set "Bad" status when total download time is longer than NN msec
    With this option enabled HostMonitor will check total download time and mark status as "Bad" when download time is longer than specified.

    BTW: When HostMonitor cannot retrieve page at all, it marks test as "No answer" and Reply value will be empty. In case all checks passed, HostMonitor mark status as "Host is alive" and display total download time in the "Reply" field. Also "Reply" field will display total download time when any reply received from HTTP server, even if its message about error such as "Page not found" error.

    • TCP

    The TCP test provides you with the ability to monitor TCP based servers such as Whois, Finger, Telnet, Chargen, etc. Please note, that you may check SMTP, POP, IMAP, DNS, LDAP, HTTP/HTTPS, and FTP servers using dedicated SMTP, POP, IMAP, DNS, LDAP, URL, HTTP tests.
    In addition to the common test parameters, the TCP test has the following options:

    Host
    Specify the host name or IP address of the destination host that should process the TCP connection.
    Please note, a range of IP addresses (e.g. 123.123.123.1 - 123.123.123.254) rather than a single address can be specified. In this case, HostMonitor will create a separate test for each of the addresses within that range.

    Port
    Specify the port number on which the host is listening for incoming TCP packets. E.g. Telnet servers use port #23, Whois servers uses port #43, etc. For a list of conventional port numbers click the button to the right of the port number box.

    Timeout
    Enter the amount of time (in seconds) that HostMonitor should wait for a response from the server. If this value is 0 (default value), HostMonitor uses the default Windows timeout.

    The following optional parameters allow you not only to check whether the connection could be accepted by remote server but also allow to send some data to that server and check the response from it.

    Send data
    If you want to send data to the host (after TCP connection established), mark this option and enter the packet data. If you need to send binary data, use sequences formatted %XX where XX is a hexadecimal code of a character (byte). E.g. HELLO%0D%0A would send HELLO followed by a character ASCII 13 (line feed) and ASCII 10 (new line).

    Alert when
    To check the reply from the server, mark this option and choose one of the conditions to consider result of the test as "Bad":
    - no reply | HostMonitor will set "No answer" status when no reply from the server received and set test status to "Host is alive" when any reply received
- any reply | HostMonitor will set "Ok" status when no reply from the server received and set test status to "Bad" when any reply received
- reply contains | HostMonitor will set "Bad" status when reply from the server contains specified string (defined in "Compare with" field). If reply doesn't contain the specified string, HostMonitor will set "Ok" status. The program sets status to "No answer" when no reply received.
- reply doesn't contain | HostMonitor will set "Ok" status when reply from the server contains specified string (defined in "Compare with" field). If reply doesn't contain the specified string, HostMonitor will set "Bad" status. The program sets status to "No answer" when no reply received.
- reply equal to | HostMonitor will set "Bad" status when reply from the server equal to specified string (defined in "Compare with" field). If reply doesn't equal to the specified string, HostMonitor will set "Ok" status. The program sets status to "No answer" when no reply received.
- reply not equal to | HostMonitor will set "Ok" status when reply from the server equal to specified string (defined in "Compare with" field). If reply doesn't equal to the specified string, HostMonitor will set "Bad" status. The program sets status to "No answer" when no reply received.

    Compare with
    HostMonitor can compare data that was received from the server with specified string (use "Alert when" option to choose compare condition). As in "Send data" field you can use sequences formatted %XX where XX is a hexadecimal code of a character (byte). E.g. "October%00%00"

    UDP

    The UDP test provides you with the ability to monitor UDP based servers such as TFTP, SNTP, Daytime, etc. Please note, to check DNS, NTP, and RADIUS servers you can use dedicated DNS, NTP, and RADIUS tests.
    In addition to the common test parameters, the UDP test has the following options:

    Server
    Specify the host name or IP address of the destination host that should receive and process the UDP packet.

    Port
    Specify the port number on which the host is listening for incoming UDP packets. E.g. TFTP servers use port #69, SNTP servers use port #123, Daytime servers use port #13, etc

    Retries
    Set the number of times HostMonitor will resend data to the server before test fails.

    Timeout
    Enter the amount of time (in seconds) that HostMonitor should wait for a response from the server.

    Packet to send
    Enter the packet data that should be sent to the host. Because most UDP servers accept binary data, you may need to use sequences formatted %XX where XX is a hexadecimal code of a character (byte). E.g. HELLO%0D%0A would send HELLO followed by a character ASCII 13 (line feed) and ASCII 10 (new line).

    Alert when
    Choose one of the conditions to consider result of the test as "Bad":
    - no reply | HostMonitor will set "No answer" status when no reply from the server received and set test status to "Host is alive" when any reply received
- any reply | HostMonitor will set "Ok" status when no reply from the server received and set test status to "Bad" when any reply received
- reply contains | HostMonitor will set "Bad" status when reply from the server contains specified string (defined in "Compare with" field). If reply doesn't contain the specified string, HostMonitor will set "Ok" status. The program sets status to "No answer" when no reply received.
- reply doesn't contain | HostMonitor will set "Ok" status when reply from the server contains specified string (defined in "Compare with" field). If reply doesn't contain the specified string, HostMonitor will set "Bad" status. The program sets status to "No answer" when no reply received.
- reply equal to | HostMonitor will set "Bad" status when reply from the server equal to specified string (defined in "Compare with" field). If reply doesn't equal to the specified string, HostMonitor will set "Ok" status. The program sets status to "No answer" when no reply received.
- reply not equal to | HostMonitor will set "Ok" status when reply from the server equal to specified string (defined in "Compare with" field). If reply doesn't equal to the specified string, HostMonitor will set "Bad" status. The program sets status to "No answer" when no reply received.

    Compare with
    HostMonitor can compare data that was received from the server with specified string (use "Alert when" option to choose compare condition). As in "Packet to send" field you can use sequences formatted %XX where XX is a hexadecimal code of a character (byte). E.g. "October%00%00"

    Examples:

    To check your TFTP server fill up test parameters with following values:
    Server: | address of the server
Port: | 69
Alert when: | no reply
Packet to send: | %00%01filename%00%00netascii%00 where filename is the name of the file on the server. We recommend provide incorrect (fake) name of the file.

    To check SNTP server fill up test parameters with following values:
    Server: | address of the server
Port: | 123
Alert when: | no reply
Packet to send: | %0B%00%00%00%00%00%00%00%00%00%00%00%00%00%00%00 %00%00%00%00%00%00%00%00%00%00%00%00%00%00%00%00 %00%00%00%00%00%00%00%00%00%00%00%00%00%00%00%00 Yes, string must be so long because request packet must contain 48 bytes

    NTP/SNTP

    The Network Time Protocol (NTP) is widely used to synchronize computer clocks in the global Internet. Using NTP/SNTP test you can easily check you NTP/SNTP server.
    In addition to the common test parameters, the NTP test has the following options:

    Server
    Specify the host name or IP address of the destination host that should receive and process the request from HostMonitor.

    Port
    Specify the port number on which the host is listening for incoming packets. By default NTP servers using port #123.

    Retries
    Set the number of times HostMonitor will resend data to the server before test fails.

    Timeout
    Enter the amount of time (in seconds) that HostMonitor should wait for a response from the server.

    Alert when difference in time greater than XX sec
    With this option enabled HostMonitor will mark test item as "Bad" when difference in time between the server and local system greater than specified value. If this option is disabled HostMonitor will set test's status to "Host is alive" when any correct response received from the server.

    Display mode
    This parameter defines what HostMonitor will display in "Reply" field. Choose one of the following options:

  • Reply time - display time required to send request and receive reply from the server
  • Remote time - display server's system time (Coordinated Universal Time)
  • Difference in time - display difference in time between server and local system
    • SMTP

    Most Internet e-mail servers use the Simple Mail Transfer Protocol (SMTP) to transmit e-mail from server to server. HostMonitor monitors this type of server by sending an SMTP command to the server as if it were an e-mail client or another server verifying the existence of a user. By verifying the username, the program effectively tests the SMTP server`s mail database without generating unnecessary mail messages.
    In addition to the common test parameters, the SMTP test has the following options:

    Server
    This is the name or IP address of the mail server you want to test, usually in the form "mail.yourcom.com".

    Port
    The default test port is 25, but you can specify a non-standard port. For a list of conventional port numbers click the button to the right of the port number box.

    Timeout
    This is the amount of time in seconds the program will wait for a response from the server before the request fails. Set this to 0 for no timeout (not recommended).

    Perform 'VRFY' test
    When checked, the test performs will include the verify ('VRFY') command, which is a complete test of the server's user database and its ability to respond to client requests. When this field is not checked, HostMonitor will log on to the mail server and then log off, but will not issue the "VRFY" command as part of the test. Skipping this command provides nearly the same level of server monitoring, since logging on and off effectively verifies that the mail server is accepting connections.
    For mail servers that support the "VRFY" command, and have it enabled, we suggest that you use the complete test. However, some mail servers do not support the "VRFY" command, so turning this check off is required. In addition, for security reasons, the "VRFY" command is sometimes disabled on some servers, again requiring that this extra test would be turned off.

    User Name
    Enter a valid e-mail account name that exists on the server you are testing. HostMonitor will ask the server if this user exists. Most mail servers have "root" or "postmaster" accounts defined, even if the server is used only to forward outgoing mail. You can also use your own account name, assuming you have an account on that server.

    POP3

    E-mail is commonly posted and transferred between mail servers using SMTP, but access to mail is provided through POP3 (Post Office Protocol version 3). POP3 test can be used to test that your mail server's POP functions are functioning perfectly. To perform test HostMonitor login to the server and logout using specified user account. As an option HostMonitor can check number of messages and size of messages for specified user. If messages count/size exceed specified limit, the program can start alert actions.
    In addition to the common test parameters, the POP3 test has the following options:

    Server
    This is the name or IP address of the mail server you want to test, usually in the form "mail.yourcom.com".

    Port
    The default test port is 110, but you can specify a non-standard port.

    Timeout
    This is the amount of time in seconds the program will wait for a response from the server before the request fails. Set this to 0 for no timeout (not recommended).

    User Name
    HostMonitor will test the POP server by logging in to it using an existing account. In the user name field, supply the name of an account that can be used for testing. HostMonitor will log into the account and check the status of its mailbox without accessing, modifying or deleting any of the messages held in it.

    Password
    Supply the password for the user account HostMonitor will log into during the test.

    Alert when mailbox contains more then [NN] messages
    Mark this option and specify limit amount of messages in a mailbox. When this limit is reached, HostMonitor will change test status to Bad.

    Alert when total size of messages bigger than [NN] MB
    Mark this option and specify the size limit of all messages in a mailbox. When this limit is reached, HostMonitor will change test status to Bad.

    Note: Value of the 'Reply' field depends on the test's settings:

  • if test checks number of messages, HostMonitor will display number of messages
  • if test checks total size of messages, HostMonitor will display total size of messages.
  • if both these options disabled and test checks server status only (connect, login and logout), Reply value will contain the test execution time (that shows the reply speed of the server).
  • Reply value is empty when the program cannot connect or login to server
    • IMAP

    Some Internet mail servers support IMAP (Internet Message Access Protocol) for exchanging and manipulating e-mail. The IMAP test works much in the same way that POP3 test function to test IMAP compliant mail servers. The IMAP test performed by HostMonitor involves logging in to your mail server using an existing account and checking the status of the mailbox for that user. As option HostMonitor can check number of messages and size of messages for specified mailbox. If message count/size exceed specified limit, the program can start alert actions.
    In addition to the common test parameters, the IMAP test has the following options:

    Server
    This is the name or IP address of the mail server that you want to test, usually in the form "mail.yourcom.com".

    Port
    The default test port is 143, but you can specify a non-standard port.

    Timeout
    This is the amount of time in seconds the program will wait for a response from the server before the request fails. Set this to 0 for no timeout (not recommended).

    User Name
    HostMonitor will test the IMAP server by logging in to it using an existing account. In the user name field, supply the name of an account that can be used for testing. HostMonitor will log into the account and check the status of it's mailbox without accessing, modifying or deleting any of the messages held in it.

    Password
    Supply the password for the user account HostMonitor will log into during the test.

    Check mailbox
    Mark this combobox and select one of the folowing options to check the parameters of the specified mailbox.

    Mailbox
    Specify name of the mailbox to check.

    Alert when mailbox contains more then [NN] messages
    Select this option and specify the limit amount of messages in the mailbox. When this limit is reached, HostMonitor will change test status to Bad.

    Alert when total size of messages bigger than [NN] MB
    Select this option and specify the size limit of all messages in the mailbox. When this limit is reached, HostMonitor will change test status to Bad.

    Recent messages only
    With this option enabled, HostMonitor will check only recent messages. The recent messages are the messages that appear in the mailbox after the last check.

    Note: Value of the 'Reply' field depends on the test settings:

  • if test checks number of messages, HostMonitor will display number of messages.
  • if test checks total size of messages, HostMonitor will display total size of messages
  • if 'check mailbox' options disabled and test checks server status only (connect, login and logout), Reply value will contain the test execution time (that shows the reply speed of the server).
  • Reply value is empty when the program cannot connect or login to the server
    • DNS

    The DNS test acts as a low-level resolver and connects directly to the target name server to perform a query. This means that the test is completely independent of the host files, DNR cache, etc.
    In addition to the common test parameters, the DNS test has the following options:

    Server
    This is the domain name or IP address of the machine running the DNS server that you wish to monitor. Using a domain name in the DNS Address field requires that the domain name be resolved before the Domain Name Server can be tested, creating ambiguity in testing. It is better to enter the IP address of your Domain Name Server, as opposed to the domain name, so that the test will always report the correct error if the DNS fails.

    Protocol
    Select the protocol to use: TCP or UDP

    Port
    The default test port is 53, but you can specify a non-standard port. For a list of conventional port numbers click the button to the right of the port number box.

    Timeout
    This is the amount of time in seconds the program will wait for a response from the server before the request fails.

    Host name to resolve
    This is the domain name the HostMonitor will try to resolve into an IP number. You can check the intranet ability of the name server by asking it to resolve a machine name within the domain for which it is authoritative (like yourmachine.yourcompany.com). Or, you can check its Internet ability by asking it to resolve an external machine name (like www.foreign.com).

    Check result address, IP Address
    You can define the IP address that will be compared with the address returned from the DNS being tested. You can use the «Resolve» button to have HostMonitor fill in this field, or you can enter the expected IP number yourself.

    LDAP

    This test is used to check Directory Servers using the LDAP (Lightweight Directory Access Protocol). To perform this test HostMonitor connects and binds to the directory server. If the Password property has a value, it is used for authentication. As an option HostMonitor can perform Search operation using specified base object and search filter.
    In addition to the common test parameters, the LDAP test has the following options:

    Server
    This is the name or IP address of the LDAP server you want to test.

    Port
    The default test port is 389, but you can specify a non-standard port. For a list of conventional port numbers click the button to the right of the port number box.

    Timeout
    This is the amount of time in seconds the program will wait for a response from the server before the request fails.

    Password
    Specify the password used to authenticate to the LDAP server.

    Perform Search operation
    HostMonitor can perform search operation, to implement this behavior mark "Perform Search operation" option and define follow parameters:

    Base object
    The Distinguished Name used as the base for LDAP operations (in HostMonitor's case it's a base object during LDAP searches). The Distinguished Name is provided in string format as specified by RFC 1779.

    Search filter
    A string representation of the LDAP search filter used during searches. The format of the search filters is specified by RFC 1558 and is identical to the format used by most LDAP applications. The following are examples of search filters, as provided in the RFC:

  • (cn=Babs Jensen)
  • (!(cn=Tim Howes))
  • (&(objectClass=Person)(|(sn=Jensen)(cn=Babs J*)))
  • (o=univ*of*mich*)

    Results limit
    By default HostMonitor checks only result code returned by the server. If result code is 0 (success), HostMonitor sets "Host is alive" status. However if you want to check how many records server returns in response to search operation, use "Results limit" option. In this case HostMonitor will check number of records returned by the server and set "Bad contents" status when number of records below specified limit.

    • RADIUS

    RADIUS test allows you to check Remote Authentication Dial-In User Service (RADIUS). In addition to the common test parameters, the RADIUS test has the following options:

    Server
    Specify the host name or IP address of the destination host that should receive and process the request from HostMonitor. You RADIUS server must be configured to accept packets from the IP address of the machine on which HostMonitor is installed.

    Port
    Specify the port number on which the host is listening for incoming packets. By default RADIUS servers using port #1812. However some RADIUS servers are still using port 1645 even though RFC 2138 notes the conflict with "datametrics" services. You may need to change 1812 to 1645, this will depend on your RADIUS server configuration.

    Retries
    Set the number of times HostMonitor will resend data to the server before test fails.

    Timeout
    Enter the amount of time (in seconds) that HostMonitor should wait for a response from the server.

    Login
    Specify the name of the user to be authenticated. You can use invalid (fake) user name and set "Reject reply is Good" option. In this case HostMonitor will mark test as "bad" and start alert actions only when no reply received. If any reply from the server will be received, HostMonitor will mark test as "Host is alive". Please note, for security reasons some RADIUS services will quietly discard invalid request packets. To check these servers you should specify correct user name and password.

    Password
    Specify the password of the user to be authenticated.

    Secret
    Provide a "shared secret". Transactions between the client and RADIUS server are authenticated through the use of a shared secret, which is never sent over the network. User passwords are sent encrypted between the client and RADIUS server, to eliminate the possibility that someone snooping on an unsecured network could determine user's password.

    Reject reply is Good / Reject reply is Bad
    Choose one of two options:

  • "Reject" reply is Good
    with this option enabled HostMonitor will set test's status to "Host is alive" when any reply received from the server
  • "Reject" reply is Bad
    with this option enabled HostMonitor will set test's status to "Ok" when "Access-Accept" packet received from the server (that means user was successfully authenticated on server). If any other response was received, the program will set "Bad" status. If no answer received, HostMonitor set status to "No answer"
    Please note:
    1. You RADIUS server must be configured to accept packets from the IP address of the machine on which HostMonitor is installed.
    2. For some RADIUS servers you can use invalid (fake) user name and/or password and set "Reject reply is Good" option. In this case HostMonitor will mark test as "bad" and start alert actions only when no reply received. If any reply from the server will be received, HostMonitor will mark test as "Host is alive".
      However, for security reasons some RADIUS services will quietly discard invalid request packets. To check these servers you should specify correct user name and password.
    • UNC

    Check the UNC path (or local folder) for availability; for the total amount of free space; or for the amount of free space available to the current user (if the operating system implements per-user quotas, this value may be less than the total number of free bytes on the disk). For this test you have to specify the UNC path (or local folder) that you wish to be checked and select the condition for the alert:

  • when the resource is unavailable
  • when free space (for current user) is less than a specified value
  • when the total free space is less than a specified value See also common test parameters

    • Drive Free Space

    To create a task to check for low disk space, choose "Drive Free Space" as the test type, select the drive to check, and specify the minimum free space value. To check available space on a drive elsewhere on the network, use a UNC test, or map the drive to a drive letter on the local PC that is running HostMonitor. (Map a drive by locating it in the "Network Neighborhood" area of the Windows Explorer, right-click it and select "Map network drive".)

    See also common test parameters

    Folder/File Size

    HostMonitor can check folder or file size. To add this task select the test type "Folder/File Size", enter the folder name and specify a maximum size. You can manually type in the complete path to the folder that you wish to test, or click on the "Browse" button to select the folder.
    Also, select the option "Include sub-folders" and HostMonitor will calculate the size for the folder and all its sub-folders. Set "Translate macros" options if you need use special macros in filename.

    See also common test parameters

    Count Files

    This test allows you to check number of files in the specified directory. Let`s say you have a mailserver that uses a spool directory. If the mail server is running correctly, it should deliver the mail within 5 minutes to the internet. Using Count Files test HostMonitor can check the number of files in the mail server`s spool directory and warn you when number of files exceed specified limit.
    In addition to the common test parameters, the Count Files test has the following options:

    Folder
    Specify the directory in what you want to count the amount of files.

    File name mask
    Specify file name mask. Usually mask contains wildcard characters, e.g. use '*.*' mask to count all files in the folder; use '*.eml' mask to count files with .EML extension.

    Translate macros
    With this option enabled you can use special macro variables in the folder name and in the file name mask.

    Include sub-folders
    If the option is disabled, HostMonitor will count files directly in the specified folder. If the option is enabled, files in the specified folder and in all of its descending subfolders will be counted.

    Conditions to count files
    Specify additional condition to count files. Choose one of the options:

  • Count all files
  • Count files older than NN min
  • Count files newer than NN min
  • Count files bigger than NN bytes
  • Count files smaller than NN bytes
  • Count subfolders only Alert when folder contains more than NN files
    Specify limit for the file amount. When this limit is reached, HostMonitor will change test status to "Bad". If you need to start alert actions when file amount become lower than specified, use "Reverse alert" option.

    • Folder/File Availability

    HostMonitor can check for a file that MUST exist each time a test is run, or can check for a file that MUST NOT exist each time a test is run. Select "Folder/File Availability" as the test type and enter the file or folder name. You can manually type in the complete path and filename that you wish to test, or click on the "Browse" and you will be presented a dialog for selecting a file.
    Set "Translate macros" options if you need to use special macros in filename. Also you can set additional conditions and HostMonitor will start alert action only when file older (newer) than [xx] min (hours, days, etc.)

    See also common test parameters

    File Integrity

    HostMonitor can check the integrity of your files and start alert actions if someone change them. This is done by calculating the CRC (Cyclic Redundancy Check) of the file and comparing it against a previously obtained value. Select "File Integrity" as the test type and enter the file name. You can manually type in the complete path and filename that you wish to test, or click on the "Browse" button. Click the "Calculate CRC" button and the program will calculate and remember the CRC for the file.

    See also common test parameters

    Text Log

    This test is useful when you need to check log files created by another application. Unlike "Compare Files" test that warns you when any part of a file contains some specific string the Text Log test warns you only when the string is found in a NEW record. It means that if log file already has "bad' records when you started HostMonitor, you will not receive any alerts; but if any new "bad" record will be added to the log file while HostMonitor is running, you will receive a warning about the new problem. So the Text Log test works like NT Event Log test but it checks text files instead of NT Event Log Database.
    In addition to the common test parameters, the Text Log test has the following options:

    File
    Provide name (with full path specified) of the file that has to be checked. If the test will be performed on a remote system by RMA you have to enter the full name and path of the file manually. If the test will be performed by HostMonitor, you may use browse dialog to locate the file.

    Use date macros
    You may need this option if an application changes log file at regular intervals, e.g. daily or monthly. With this option enabled you may use special macro variables in the file name (e.g. %dd% represents current day as a number with a leading zero 01..31)

    Look for

  • string: with this option selected HostMonitor will check records in a log file for a specified string. If new record contains specified data, HostMonitor will change status of the test to "Bad"
  • expression: with this option selected HostMonitor will check log records using a boolean (logical) expression. Status of the test will be set to "Bad" when the text in the record satisfies the required conditions. In the expression you may use strings (must be concluded in quotes (') or double quotes (")); round brackets; logical operators "and", "or", "not".
    For example: if you define expression like ('error' or 'warning') and not '16536', then HostMonitor will mark test as "Bad" when line in the log contains string 'error' or 'warning' and does not contain string '16536'

    Options:
    Case sensitive
    With this option enabled search is case sensitive
    Whole words only
    Search for the whole words only. With this option disabled, the search string might be found as a part of a word.
    Macros
    With this option enabled you may use global (user defined) macro variables in the "look for" string/expression

    Warn of last new event
    With this option enabled HostMonitor will scan (starting from the end of the log file) all events that were added into a log file since after the previous test. When the test finds a first "Bad" new record the test receives "Bad" status and HostMonitor performs specified alert action if it was specified. For example: if HostMonitor performs test every 10 minutes and 3 "Bad" events occurred within this time interval, HostMonitor will report only about the last one (because it scans starting from the end of file). This option is useful when you check for some specific event and don't need many messages about the same recurring error.

    Warn of all new events
    In opposite to previous mode, with this option enabled HostMonitor will inform you about each event that satisfies specified requirements. This option is useful when you use one test item to check for different error events (usually you will use "Repeat: until status changes" option for appropriate alert actions).

    Note: HostMonitor changes test status to "Bad" only when it has found NEW event(s) that satisfies all specified requirements. If, after the next probe, the monitor does not find a new "Bad" event, it changes the test status to "Ok".

    Display
    Specifies which information HostMonitor will display in the reply field when the "bad" record is detected in the log file:

  • found line
  • offset of the found string in the file
  • file size

    Filter
    When you chose "found line" mode you may apply additional filter to the select part of the line to display:
  • display whole line
  • display word #N
  • display word #N counting from the end of line
  • display text from word #N1 till word #N2
  • display text from pos #N1 till pos #N2

    • Compare Files

    You can use this test to compare two files or to search a string in the file. 6 alert conditions are available:

  • alert when files are different
  • alert when files are identical
  • alert when 1st file contains 2nd (in any position)
  • alert when 1st file does not contain 2nd
  • alert when file contains a specified string
  • alert when file does not contain a specified string You can specify one or more parameters to compare files: compare time, compare size, compare contents. If you set "compare contents" option but don't set "compare size" option, HostMonitor will consider two files are identical when one file includes another one at offset 0 (one file can be smaller then another one).
    Set "Translate macros" options if you need to use special macros in filename.

    See also common test parameters

    • Process

    A process, in the simplest terms, is an executing program. HostMonitor can control specified process on local or remote computer and start alert actions if number of instances of the specified process is out of the defined range. To control processes on a remote computer you must have the rights to do that (administrator privilege on the remote computer).
    In addition to the common test parameters the Process test has the following options:

    Computer name
    Specify name of the target computer (the target computer name must be prefixed by "\\"), or select the "<local computer>" item. You can use the "Browse network" button to select a computer from the list.

    Process
    Type name of the process to check, or select a process from the drop-down list. Also select lower and/or upper limit amount of running instances of the specified process, when the limit is reached HostMonitor will mark the test status as Bad.

    Connect as
    To check process on remote system you can mark this option and provide a username and a password for a connection to the target computer.

    Note: To monitor processes on a remote Windows NT/2000/XP system, make sure you have the Remote Registry service started on the remote system (to monitor processes HostMonitor must have access to the registry). On Windows 2000 this service is installed by default, for Windows NT you can find this service in the Resource Kit.

    Service

    Microsoft Windows NT/2000/XP supports an application type known as a service. It can be started automatically at system boot, by a user through the Services control panel applet, or by an application that uses the service functions. Services can execute even when no user is logged on to the system.

    To test services, HostMonitor establishes a connection to the service control manager on the specified computer and requests the service to update immediately its current status information. If the service has not been started or the service does not answer HostMonitor will start the specified alert actions.
    Note: To test services on a remote computer you must have appropriate privileges.

    In addition to the common test parameters the Service test has the following options:

    Computer name
    Specify name of the target computer (the target computer name must be prefixed by "\\"), or select the "<local computer>" item. You can use the "Browse network" button to select a computer from the list.

    Service
    Type name of the service to check, or select a service from the drop-down list.

    Connect as
    To check service on a remote system you can mark this option and provide a username and a password for a connection to the target computer.

    NT Events Log

    Event logging in Microsoft Windows NT/2000/XP provides a standard, centralized way for applications (and the operating system) to record important software and hardware events. The event-logging service stores events from various sources in a single collection called an event log. HostMonitor can check this log and start alert actions if some specific events occur.
    In addition to the common test parameters the NT Event Log test has the following options:

    Computer
    The Universal Naming Convention (UNC) name of the server on which the event log is to be opened (the target computer name must be prefixed by "\\"). Type the UNC or select the "<local computer>" item, also you can use the "Browse network" button to select a computer from the list.

    Log
    The name of the logfile that the returned handle will refer. This can be the Application, Security, or System logfile, or a custom registered logfile.

    In the Event Log Test Properties dialog define one or more conditions to filter "Bad" events (event will be considered as "Bad" only when it match ALL specified requirements):

    Event Source
    Select the source of events (application, service, driver, subsystem). If you leave this field blank, HostMonitor will check events from all sources.

    Computer
    Match against the computer that added the entry to the log file. You can provide list of the computers and choose one of the options:
    - Any | name of the computer doesn't matter (event from any computer can be** considered as "Bad")
- Any from the following | event can be** considered as "Bad" when computer (that added the entry to the log) is specified in the list
- Any except the following | event can be** considered as "Bad" when computer (that added the entry to the log) is not specified in the list
    BTW: To add a new line to the end of the list go to the last existing line and press Down Arrow button. Press INSERT button to insert new item. Press CTRL+DEL to remove item. Press F2 to edit item.

    Event type
    Match against the event type. Just mark one or several possible event types: Error, Warning, Information, Success Audit, and Failure Audit.

    Event ID
    Match against the event ID (event ID is specific to the software that generated the event log entry). You can provide list of the ID codes and choose one of the options:
    - Any | ID doesn't matter (event with any ID can be** considered as "Bad")
- Any from the following | event can be** considered as "Bad" when ID is specified in the list
- Any except the following | event can be** considered as "Bad" when ID is not specified in the list

    Description contains
    Match against the event description. You can provide list of the text strings (phrases) and choose one of the options:
    - Any text | event description doesn't matter (event with any description can be** considered as "Bad")
- Any string from the list | event can be** considered as "Bad" when description contains ANY string from the list
- Nothing from the list | event can be** considered as "Bad" when description does not contain ANY string from the list
- All strings from the list | event can be** considered as "Bad" when description contains ALL strings from the list
    BTW: To add a new line to the end of the list go to the last existing line and press Down Arrow button. Press INSERT button to insert new item. Press CTRL+DEL to remove item. Press F2 to edit item.

    ** when we say "can be**", we mean event WILL BE considered as "Bad" WHEN IT MATCHES ALL specified requirements.

    Report about last "Bad" event
    With this option enabled HostMonitor will scan (starting from the end of the log) all new events (events those appeared after previous probe) till first (ok, 'last' because it scans from the end) "Bad" event. If new "Bad" event is detected, HostMonitor marks test as "Bad" and performs specified alert actions if necessary.
    For example: if HostMonitor performs test every 10 minutes and 3 "Bad" events occurred within this time interval, HostMonitor will report only about last one. This option is useful when you check for some specific event and don't need many messages about the same recurring error.

    Report about all "Bad" events
    In opposite to previous mode, with this option enabled HostMonitor will inform you about each event that satisfies specified requirements. This option is useful when you use one test item to check for different error events (e.g. you are checking for any event with "Failure Audit" type). BTW do not forget to use "Repeat: until status changes" option for appropriate alert actions.

    HostMonitor changes test status to "Bad" only when it has found NEW event(s) that satisfies all specified requirements. If, after the next probe, the monitor does not find a new "Bad" event, it changes the test status to "Ok".

    Connect as
    To check an Event Log on the remote system you can mark this option and provide a username and a password for a connection to the target computer.

    CPU Usage

    CPU Usage test checks the percentage of CPU utilization for the local or remote machine. This test is implemented for Microsoft Windows NT/2000/XP and Novell Netware 4.x, 5.x.
    In addition to the common test parameters the CPU Usage test has the following options:

    Computer
    Specify name of the target computer, it can be:

  • "<local computer>" or an empty string when using the test for a local machine;
  • a Universal Naming Convention (UNC) name of the computer (like "\\Server1") when using this test for remote Windows NT/2000/XP machines;
  • a server name (like "server1") or NDS tree name (like ".bigcompany.ifx.department2.sever1") when using this test for Novell Netware server. OS
    Select the type of OS on the target computer (Windows NT/2000/XP or Novell Netware).

    Alert when CPU usage more than
    HostMonitor will mark the host as "Bad" and start alert actions when the percentage of CPU usage becomes more than specified.

    Connect as
    To check CPU usage on remote Windows system you may mark this option and provide a username and password for a connection to the target computer.

    Note #1: To monitor CPU utilization on a remote Windows NT/2000/XP system, make sure you have the Remote Registry service started on the remote system (to monitor processes HostMonitor must have access to the registry). On Windows 2000 this service is installed by default, for Windows NT you can find this service in the Resource Kit.
    Also to use this test for remote Windows NT/2000/XP computers you must have the permissions to do that (administrator privilege on the remote computer).

    Note #2: To check Novell Netware servers, HostMonitor uses the functionality of the Novell Netware client. Therefore, the Novell Netware client software has to be installed on the machine where HostMonitor is running.

    • Database Server

    HostMonitor can test your SQL servers. It supports Interbase, MS SQL, MySQL, Oracle, Postgre, and Sybase servers. Servers are checked by logging into (and out) of the server. You should specify the server name (the TNS alias for Oracle), database, user name and password. For Interbase you can specify the protocol (TCP, SPX, or NetBEUI), for MySQL and for PostgreSQL you can change the default TCP port.
    To monitor Oracle servers HostMonitor uses the Oracle Call Interface (OCI.DLL), you should have the Oracle client software installed on the computer. The same is true for other SQL servers, install the client software for testing your SQL server. HostMonitor uses the following DLLs:

  • gds32.dll to monitor Interbase connections
  • ntwdblib.dll to monitor MS SQL Server
  • libmysql.dll to monitor MySQL
  • libpq.dll to monitor PostgreSQL
  • libsybdb.dll to monitor Sybase See also common test parameters

    • ODBC Query

    This test allows you to check the availability of an ODBC data source, run an SQL query, and analyze the value of a specified data field in the result set returned. To set up a test, simply pick one of the ODBC data sources defined in your system, and fill in the Login, Password and Timeout fields. Optionally, provide an SQL query and a condition to check. If no condition is specified, the two possible test status values are "Alive" and "No answer". If a condition is provided, test status can be either:

  • "Ok" - if the condition is met;
  • "Bad" - if the condition is not met;
  • "Unknown" - if the query fails, or the data field specified is not found in the result set.

    If field is unavailable, set status
    Starting from version 3.62 you can use above option to define status of the test in case SQL query was executed without errors but result data set does not contain specified field (specified by row and col parameters). Choose one of the following statuses:

  • Unknown
  • Bad
  • Ok See also common test parameters

    • SNMP

    The Simple Network Management Protocol is the Internet standard protocol for exchanging management information between management console applications and managed entities (hosts, routers, bridges, hubs). Using this powerful test HostMonitor can control many different parametrs of network devices.
    In addition to the common test parameters, the SNMP test has the following options:

    Agent address
    A string specifying either a dotted-decimal IP address or a host name that can be resolved to an IP address, an IPX address (in 8.12 notation), or an Ethernet address.

    Community
    A string specifying the SNMP community name used when communicating with the device specified in the Agent Address parameter. By default on SNMP systems this is "PUBLIC" but it can be different on your systems.

    Timeout
    This is the amount of time in seconds the program will wait for a response from the server before the request fails.

    Retries
    Specifies the communications retry count.

    OID (object identifier)
    The name that uniquely identifies the object for testing.
    For example OID "1.3.6.1.2.1.2.1" represents the number of network interfaces on which your system can send/receive IP datagrams; OID "1.3.6.1.2.1.6.9" represents the number of TCP connections for which the current state is either ESTABLISHED or CLOSE-WAIT; etc. To get a list of valid OIDs for your SNMP enabled devices you should contact the vendor of the device. They should be able to give you a MIB file that contains all the OIDs for the device.

    Condition for alert
    HostMonitor can compare values returned by the device with a specified string and start alert actions if the returned value is:

  • less/more than the specified value
  • equal to/different from the specified number or string
  • contains/doesn't contain the specified string Also HostMonitor has 9 alert conditions to check how new value changes compare to the previous test:
    "increases by" - HM sets "Bad" status when value increases by specified number or more
    "decreases by" - HM sets "Bad" status when value decreases by specified number or more
    "changes by" - HM sets "Bad" status when value changes by specified number or more
    "increases by (%)" - HM sets "Bad" status when value increases by specified (or greater) percentage
    "decreases by (%)" - HM sets "Bad" status when value decreases by specified (or greater) percentage
    "changes by (%)" - HM sets "Bad" status when value changes by specified (or greater) percentage
    "increases /sec" - HM sets "Bad" status when average increase of the counter (per second) is greater than the specified limit ((new value - old value)/elapsed time >= specified limit)
    "decreases /sec" - HM sets "Bad" status when average decrease of the counter (per second) is greater than the specified limit ((old value - new value)/elapsed time >= specified limit)
    "changes /sec" - HM sets "Bad" status when average change of the counter (per second) is greater than the specified limit (abs(new value - old value)/elapsed time >= specified limit)

    • RAS

    The RAS check type useful for monitoring remote RAS server. With this test HostMonitor tries to connect to the server using specified dial-up connection, sets status of the test ("Ok", "Bad", "No answer", or "Unknown" depending on the connection result), and disconnects from the server.
    In addition to the common test parameters, the RAS test has the following options:

    Connection
    Select from drop down list the remote access entry to establish the connection.

    User name
    Specify the user's name. This parameter is used to authenticate the user's access to the remote access server. If the user name is empty string (""), HostMonitor uses the user name of the current logon context for authentication. For a user-mode application, RAS uses the credentials of the currently logged-on interactive user. For a Win32 service process, RAS uses the credentials associated with the service.

    Password
    Specify the user's password. This parameter is used to authenticate the user's access to the remote access server. If the password is empty string (""), HostMonitor uses the password of the current logon context for authentication. For a user-mode application, RAS uses the credentials of the currently logged-on interactive user. For a Win32 service process, RAS uses the credentials associated with the service.

    Save password
    This option has sense only if Password parameter is not an empty string. Specifies whether to save the password (in the phone-book entry) for the user indicated by User Name parameter or not. If "Save password" option is disabled, the password will be removed. Disabling option is equivalent to checking the "Unsave Password" checkbox in Dial-Up Networking dialog.

    Retries
    Set the number of times the dial-up connection is automatically redialed if the first attempt to connect fails. HostMonitor does not perform second attempt in case connection failed because of the wrong user name or password. If you setup HostMonitor to check several servers using the single modem connected to your computer, it is good idea to set retries to 3 or more attempts and use Wait between retries option. In this case test that was started second (third, forth, etc) will wait for the first test to end and release modem.

    Wait between retries
    If attempt to dial fails, HostMonitor will wait specified amount of seconds before making another attempt. Of course this parameter makes sense only when Retries field set to 2 or more attempts.

    After execution of a test HostMonitor can set one of four statuses:

  • "Ok" status HM sets when connection was successfully established (physical connection modem-to-modem, and network connection as well).
  • "Bad". There can be many reason for this status, e.g. wrong user name or password, some problems with RAS server, etc.
  • "No answer". The program uses this status when modem does not receive answer from remote modem.
  • "Unknown". This status HostMonitor sets when connection was not established because of a problem on local system, e.g. modem is used by another application. You can use "Treat Unknown status as Bad" option. With this option enabled, if test results cannot be obtained, actions are triggered by HostMonitor the same way as if the test returned a "Bad" status.
    • Performance Counter

    Performance Counter test allows you to monitor specific aspects of work performed on local or remote computer by a system or a service. You can monitor a lot of important parameters of the system (that is running Windows NT 4.0, Windows 2000, or Windows XP), such as:
    Counter | Description
Processor\% Processor Time | % Processor Time is the percentage of time that the processor is executing a non-Idle thread
Processor\% Interrupt Time | % Interrupt Time is the percentage of time the processor spent receiving and servicing hardware interrupts during the sample interval
Processor\Interrupts/sec | Interrupts/sec is the average number of hardware interrupts the processor is receiving and servicing in each second
System\Processes | Processes is the number of processes in the computer at the time of data collection
TCP\Connections Established | Connections Established is the number of TCP connections for which the current state is either ESTABLISHED or CLOSE-WAIT
TCP\Segments/sec | Segments/sec is the rate at which TCP segments are sent or received using the TCP protocol
Process\% Processor Time | % Processor Time is the percentage of elapsed time that all of the threads of specified process used the processor to execute instructions
Process\Handle Count | The total number of handles currently open by specified process
Printer Queue\Jobs | Current number of jobs in a print queue
PhysicalDisk\% Disk Time | % Disk Time is the percentage of elapsed time that the selected disk drive is busy servicing read or write requests
PhysicalDisk\Current Disk Queue Length | Current Disk Queue Length is the number of requests outstanding on the disk at the time the performance data is collected
Memory\Available Bytes | Available Bytes is the amount of physical memory available to processes running on the computer, in bytes
NetworkInterface\Current Bandwidth | Current Bandwidth is an estimate of the interface's current bandwidth in bits per second (BPS)
    and much more…

    To create Performance Counter test you need to define just 3 parameters (of course in addition to the common test parameters):

    Performance Counter
    Type name of the counter to monitor or use browse button to explore all performance counters available on the system.
    Note: Each counter is uniquely identified through its name and its path, or location. In the same way that a file path includes drives, directories, subdirectories, and file names, a counter path consists of four elements: the machine, the object, the object instance, and the counter name. The syntax of a counter path is:
    \\Machine\PerfObject(ParentInstance/ObjectInstance#InstanceIndex)\Counter

    Condition for alert
    HostMonitor can compare value of the counter with a specified number and start alert actions if the returned value is:

  • less than the specified value
  • more than the specified value
  • equal to the specified number
  • different from the specified number Also HostMonitor has 9 alert conditions to check how new value changes compare to the previous test:
    "increases by" - HM sets "Bad" status when value increases by specified number or more
    "decreases by" - HM sets "Bad" status when value decreases by specified number or more
    "changes by" - HM sets "Bad" status when value changes by specified number or more
    "increases by (%)" - HM sets "Bad" status when value increases by specified (or greater) percentage
    "decreases by (%)" - HM sets "Bad" status when value decreases by specified (or greater) percentage
    "changes by (%)" - HM sets "Bad" status when value changes by specified (or greater) percentage
    "increases /sec" - HM sets "Bad" status when average increase of the counter (per second) is greater than the specified limit ((new value - old value)/elapsed time >= specified limit)
    "decreases /sec" - HM sets "Bad" status when average decrease of the counter (per second) is greater than the specified limit ((old value - new value)/elapsed time >= specified limit)
    "changes /sec" - HM sets "Bad" status when average change of the counter (per second) is greater than the specified limit (abs(new value - old value)/elapsed time >= specified limit)

    HostMonitor can set status of the test to "Unknown" in case it cannot retrieve performance counter value (e.g. unable to connect to the remote machine or the specified counter could not be found). You can use "Treat Unknown status as Bad" option. With this option enabled, if test results cannot be obtained, actions are triggered by HostMonitor the same way as if the test returned a "Bad" status.

    Display mode
    This parameter defines information display method. You can select one of the following options:
    as is - do not perform any conversion
    sec -> [days] hh:mm:ss - converts received value in seconds to a "[days] hh:mm:ss" format
    msec-> [days] hh:mm:ss - converts received value in milliseconds to a "[days] hh:mm:ss" format
    bytes -> Kb - converts received value in bytes to kilobytes
    bytes -> Mb - converts received value in bytes to megabytes
    bytes -> Gb - converts received value in bytes to gigabytes

    Important notes:

    Note #1 (permissions): The security on the following registry key dictates which users or groups can gain access to the performance data: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows_NT\CurrentVersion\Perflib. In order for to query performance data, account must have KEY_READ access to the above registry key. To change permissions to the registry key you can use the registry editor utility (Regedt32.exe).

    Note #2 (bugs): Windows implementation of performance counters has bugs. E.g., Windows 2000 (Professional, Server, and Advanced Server editions) can produce memory leak in Pdh.dll when user (application) querying performance counter that does not exist. This bug fixed in SP2. Also pdh.dll does not work correctly with multithread applications.
    That's why in HostMonitor we have implemented several different methods to work with pdh.dll:

  • MultiThread mode: HostMonitor works almost according to Microsoft documentation with some workaround to avoid most likely problems. HM loads pdh.dll at once and uses it all the time. This method fast because HM can start several tests simultaneously. If everything will work correctly on your system, use this method (by default HostMonitor uses this method).
  • OneByOne mode: Using this method HM will start Performance Counter tests one by one and reload pdh.dll every time. This method slow (when you setup Performance Counter test using Test Properties dialog program even can hang for 1-2 min) but using this method you will avoid some problems due to a buggy pdh.dll
  • Smart mode: With this method HM will try to detect when pdh.dll need to be reloaded.
    To change mode, add line "PerfWorkMode=N" to hostmon.ini file into [Misc] section and restart HostMonitor. N is number of the mode: 0 - MultiThread mode, 1 - OneByOne mode, 2 - Smart mode

    • Script

    Starting from HostMonitor version 3.40 you can create your own tests using different script languages such as Visual Basic Script or Java Script. HostMonitor uses Microsoft ActiveScripting technology to execute scripts that were written by you or somebody else. Theoretically using this type of test you can check anything what is possible to check (if its impossible to retrieve some information using script language, you can create ActiveX object (e.g. using C++) and use this object in the script). So, you are the one who can improve HostMonitor to suit all your needs. BTW you can create your own script language
    In addition to the common test parameters, the Script test has the following options:

    Run script from external file
    Set this option and specify script file name that HostMonitor will load and execute every time test is performed. This option allows you to change script any time without changing HostMonitor's settings. E.g. HostMonitor can be loaded on server machine and execute scripts located on workstations.

    Store script inside HML file
    With this option enabled HostMonitor will store script inside HML file with test settings. You can protect HostMonitor's settings by password and be sure nobody read or modify your scripts.

    Language
    The Language property determines language in which a script is written. HostMonitor can use any script engine that is installed on your system. VBScript and JScript installed by default on Windows 2000/XP. Also you can download and install additional script languages, for more information please refer to Technical requirements paragraph.

    Timeout
    The Timeout property offers a safety shield to prevent a script program from going into an infinite loop and locking up the system. It specifies the maximum number of seconds the script will run before an error will be generated.

    Alow UI
    When this option enabled the script program can display user interface (UI) elements such as a MsgBox.

    Translate macros
    With this option enabled you can use special macro variables in your script.

    Also Test Properties dialog contains Edit and Test buttons. First button opens Script Editor window that allows you to view, modify, and execute script. Test button executes script and displays result or an error message.

    Requirements to the script:
    HostMonitor has just a few requirements:
    1. | script must contain "performtest" function. HM always call function with this name
    2. | "performtest" function must not have any parameters
    3. "performtest" function must return string value. This string contains two parts separated by colon (:). First obligatory part contains test status, it can take following values:
  • "Host is alive"
  • "No answer"
  • "Unknown"
  • "Unknown host"
  • "Ok"
  • "Bad"
  • "Bad contents"
    Second optional part contains "Reply" value, HostMonitor displays this value in Reply field, writes to log files, uses to displays charts (Log Analyzer), etc.
    Several examples:
    return "Host is alive:1000 ms" | Jscript; Status: Host is alive; Reply: 1000 ms
    return "Unknown host:" | Jscript; Status: Unknown host; Reply: empty
    performtest = "Ok:300 Kb" | VBscript; Status: Ok; Reply: 300 Kb
    performtest = "Bad:90 %" | VBscript; Status: Bad; Reply: 90 %
    • 3a. If you want Log Analyzer will be able correctly process "Reply" values and displays charts, use one of the following formats for "Reply" value:
  • decimal_number (like '123', '0', '6456.45'. as decimal separator use symbol that is specified on your system, usually a dot (.) or a comma (,))
  • decimal_number + space + 'Kb' (like '512 Kb', '64 Kb')
  • decimal_number + space + 'Mb' (like '1024 Mb', '5 Mb')
  • decimal_number + space + 'Gb' (like '12 Gb', '4 Gb')
  • decimal_number + space + '%' (like '50 %', '99 %')
  • decimal_number + space + 'ms' (like '100 ms', '5400 ms')
    • That's it. Everything else is entirely up to you

    When you create new script HostMonitor provides template with constants that describe test statuses and with empty "performtest" function.
    Also you can find several simple examples of scripts in HostMonitor's directory "Examples\".
    DrivesList.vbs | - | VBScript, checks list of disk drives on local system. Set test's status to "Bad" when list of drives changes. E.g. when user map/unmap network drive.
DrivesList.js | - | JScript, analogue of DrivesList.vbs
DiskSpaces.vbs | - | VBScript, checks difference between free disk space on drive C: and drive D: Sets status to "Bad" when drive C: has less amount of free space than drive D:
DiskSpaces.js | - | JScript, analogue DiskSpaces.vbs
CheckWord.vbs | - | VBScript, statrs MS Word, opens document and returns number of characters in the document. If MS Word is not installed or document does not exist, test's status will be "Uknown"
RegRead.vbs | - | VBScript, reads registry data. Sets test's status to "Bad" when some application (or a user) changes address to a web page that Internet Explorer use as home page
RegRead.js | - | JScript, analogue RegRead.vbs

    Technical requirements:
    As we already said HostMonitor uses Microsoft ActiveScripting technology to execute scripts. Microsoft ActiveScript is basically 2 related COM objects: the scripting engine and the scripting host.
    The scripting host is responsible for the interaction between application and the scripting engine. HostMonitor uses MS Script Control as scripting host. It means MS Script Control must be installed on your system to perform script tests. Normally, this control is installed in Windows 2000, and Windows XP. If you have an old versions of Windows (Windows 98/ME/NT 4.0), you can download the MS Script Control from http://msdn.microsoft.com/downloads/default.asp?URL=/downloads/sample.asp?url=/msdn-files/027/001/733/msdncompositedoc.xml

    The scripting engine is the COM object that actually processes the scripts, e.g. VBScript, JScript, etc. These COM objects are usually provided by a third party (in the case of VBScript it's provided by Microsoft). On Windows 2000/XP VBScript and Jscript installed by default, also you can download and install additional script languages. If you have old version of Windows or if you want to use another script language, follow links can be useful for you:

  • Visual Basic Script (VBScript) and Java Script (Jscript) for Windows 98, ME, NT 4.0, 2000 are available at http://msdn.microsoft.com/scripting
  • Perl is available from www.activestate.com
  • Python is available at the same site www.activestate.com
  • Haskell is available at http://www.haskell.org/haskellscript
    Of course we don't know about all script languages available on the Internet, these are just the most popular that we know about.

    Useful links:
    There are some useful links:
    Scripting FAQ: http://www.mindspring.com/~mark_baker/toc.htm
    Microsoft Visual Basic Script documentation available at http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/vtoriVBScript.asp
    Microsoft Java Script documentation available at http://msdn.microsoft.com/library/default.asp?url=/library/en-us/script56/html/js56jsoriJScript.asp

    • External

    HostMonitor has many built-in check types, but it can not support all possible check types. That's why the program contains an External Test. With the External Test, HostMonitor uses an external application to perform a test and, based on the returned errorlevel, will flag the test entry as being up or down.
    In addition to the common test parameters, the External test has the following options:

    External program
    Specify command line to launch external application

    Condition
    Choose condition to mark test as failed (and start alert action):
    is < than | - | alert if the errorlevel returned by the program is less than a specified code.
is > than | - | alert if the errorlevel returned by the program is greater than a specified code.
is = to | - | alert if the errorlevel returned by the program is equal to a specified code.
is <> from | - | alert if the errorlevel returned by the program is different than a specified code.

    Window mode
    This parameter specifies how the application window is going to be shown. Choose one of the possible options:
    SW_SHOWNORMAL | - | displays an application window in its original size and position.
SW_HIDE | - | starts application without displaying its window.
SW_MAXIMIZE | - | displays an application window as a maximized window.
SW_MINIMIZE | - | displays an application window as a minimized window.
SW_SHOWMINNOACTIVE | - | displays an application window as a minimized window. The active window remains active.
SW_SHOWNOACTIVATE | - | displays an application window in its original size and position. The active window remains active.

    Kill application if not answer after N sec
    You may select the "Kill application after N sec" option and specify a timeout. In this case if the external application hasn't returned an error level to HostMonitor within the given timeout, HostMonitor will flag the test entry as down and "kill" the external application.

    Macros

    When you setup "Folder/File Size", "File/Folder Availability", "Count Files", "Text Log" or "Compare Files" tests you can set "Translate macros" option and use special macro variables in the file name:
    %d% | - | Current day as a number without a leading zero (1-31).
%dd% | - | Current day as a number with a leading zero (01-31).
%ddd% | - | Current day as an abbreviation (Sun-Sat) using system's regional settings.
%dddd% | - | Current day as a full name (Sunday-Saturday) using system's regional settings.
%ddddd% | - | Current date using the short date format (see Windows Regional Options).
%dddddd% | - | Current date using the long date format.
%m% | - | Current month as a number without a leading zero (1-12).
%mm% | - | Current month as a number with a leading zero (01-12).
%mmm% | - | Current month as an abbreviation (Jan-Dec) using system's regional settings.
%mmmm% | - | Current month as a full name (January-December) using system's regional settings.
%yy% | - | Current year as a two-digit number (00-99).
%yyyy% | - | Current year as a four-digit number (0000-9999).
%h% | - | Current hour without a leading zero (0-23).
%hh% | - | Current hour with a leading zero (00-23).
%n% | - | Current minute without a leading zero (0-59).
%nn% | - | Current minute with a leading zero (00-59).
%t% | - | Current time using the short time format.
%tt% | - | Current time using the long time format.
%am/pm% | - | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
%a/p% | - | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
%/% | - | Displays the date separator character given by the DateSeparator global variable.
%:% | - | Displays the time separator character given by the TimeSeparator global variable.
    Macro specifiers may be written in upper case as well as in lower case letters - both produce the same result.
    Examples:
    c:\database\archives\%DDMMYYYY%.zip
    c:\database\archives\%dd%-%mm%-%yy%.zip


HostMonitor

hmtitle3.gif (3014 bytes)
Detailed Information


TestList & Windows
TestList: Folders & Tests
Main Window
Folder Tree
Test Detail Area
Info Pane
Quick Log
Folder Bar
Status Bar
Tests
General Information
Agents List
Common test properties
Test methods
Ping
Trace
URL
HTTP
TCP
UDP
NTP
SMTP
POP3
IMAP
DNS
LDAP
RADIUS
----------------------------
UNC
Drive Free Space
Folder/File Size
Count Files
Folder/File Availability
File Integrity
Text Log
Compare Files
----------------------------
Process
Service
NT Events Log
CPU Usage
Database Server
ODBC Query
SNMP
RAS
Performance Counter
Script
External
----------------------------
Macros
Profiles
Schedules
Color schemes
Mail templates
Report profiles
Compact HTML report
Custom HTML report
Macros
Actions
General Information
Action profiles
Action properties

Actions:
Show message
Play sound
Generate reports
Execute program

Send e-mail
Message to pager
(TAP protocol)
Message to pager
(SNPP protocol)
Message to beeper
Send message to ICQ

Stop service
Start service
Restart service
Remote reboot
Local reboot

Log Event
SQL Query
Data to TCP/UDP port
Syslog
SNMP Set
SNMP Trap

Dial-up to network
Disconnect dial-up
connection

Repeat test
Change test interval
Execute HMS script

Macros
Logs & Reports
Common Log
Private Log
OBDBC Log
System Log

Log Viewer
Log Analyzer

Reports
Macros
Tools
Local Info
Trace
Telnet client
IP-Monitor
Options
Interface
Columns
Preferences
IP-Monitor
Msg Window
Behavior
Startup
Service
Access
Proxy
Log settings
Advanced Logs
HTML Colors
Log Viewers
Reports
Mailer
Pagers
Ping/Trace
RCI
Scheduler
Miscellaneous
Also
Command line
RCI & Users
- RCI -
RCI Status window
- Users -
Custom menu profiles
Operators
Login As
Installation,
Tech info,
Other
Credits
How To Install
/ Upgrade
/ Uninstall
System Requirements
Technical info
Troubleshooting
Glossary
Online forum
Log Analyzer
HML Manager
RMA
RMA Manager
Telnet Service
Web Service
Replicator


HostMonitor

HostMonitor includes 4 built-in utilities available through the Tools menu:

Local Info

Examines the local host and displays information about the local computer: processor, memory, Winsock data, etc
Trace

Traces the route to a remote host over the network. This utility allows you to see the route all packets take to go from your machine to a specific host on the Internet (Intranel, LAN). It also displays the time each hop (or each machine packets go through) takes to answer. You can specify the parameters to trace (such as the packet size, timeout, packets to send, TTL, and the maximum number of hops) on the Ping/Trace page in the Options dialog.

How Trace works?
The program determines the route taken to a destination by sending Internet Control Message Protocol (ICMP) echo packets with varying TTL (Time-To-Live) values to the destination. Each router along the path is required to decrement the TTL on a packet by at least 1 before forwarding it, so the TTL is effectively a hop count. When the TTL on a packet reaches 0, the router is supposed to send back an ICMP Time Exceeded message to the source system. Trace determines the route by sending the first echo packet with a TTL of 1 and incrementing the TTL by 1 on each subsequent transmission until the target responds or the maximum TTL is reached. The route is determined by examining the ICMP Time Exceeded messages sent back by intermediate routers. Notice that some routers silently drop packets with expired time-to-live (TTL) and are invisible to trace.
Telnet

Telnet client is a terminal emulation program for TCP/IP networks such as the Internet, which allows you to logon to the computer from a remote location. You can then enter commands through the Telnet program and the commands will be executed as if you were entering them directly on the server console. This enables you to control the server and communicate with other servers on the network.

This utility has two windows. The lower window doesn't translate ESC sequences but stores all received data and works similar to the log file. The upper window uses the telnet client's virtual terminal that translates ESC sequences.
IP Monitor

The IP-Monitor displays, in real time, graphics for counting In, Out and Error packets for TCP, UDP, and ICMP protocols.

TCP In
The total number of segments received, including those received in error. This count includes segments received on currently established connections.
TCP Out
The total number of segments sent, including those on current connections but excluding those containing only retransmitted octets.

UDP In
The total number of UDP datagrams delivered to UDP users.
UDP Out
The total number of UDP datagrams sent from this entity.
UDP Error
The total number of received UDP datagrams for which there was no application at the destination port. + The number of received UDP datagrams that could not be delivered for reasons other than the lack of an application at the destination port.

ICMP In
The total number of ICMP messages which the entity received (this counter includes all those counted by icmpInErrors).
ICMP Out
The total number of ICMP messages which this entity attempted to send (this counter includes all those counted by icmpOutErrors).
ICMP Error
The number of ICMP messages which the entity received but determined as having errors (bad ICMP checksums, bad length, etc.). + The number of ICMP messages which this entity did not send due to problems discovered within ICMP such as a lack of buffers. This value should not include errors discovered outside the ICMP layer such as the inability of IP to route the resultant datagram. In some implementations there may be no types of error, which contribute to this counter's value.
In addition to these built-in uilities, KS-Soft offers IP-Tools, a feature-rich suite integrating 17 helpful TCP/IP utilities. Please check out how IP-Tools can help you in diagnosing network problems on a LAN or WAN, detecting trojan programs on your computer, gathering information from network devices, and a lot more.


HostMonitor Report
Generated on 01.11.2002 at 10:15:41 AM

Tests with "Good" status | 261
Tests with "Bad" status | 35
Tests with "Unknown" status | 53

This report was generated by KS-Soft HostMonitor


HostMonitor Report
Generated on 01.11.2002 at 10:15:41 AM

Folder: Root\

Folder: Root\USA

Folder: Root\Asia

Tests with "Good" status | 143
Tests with "Bad" status | 27
Tests with "Unknown" status | 41

This report was generated by KS-Soft HostMonitor


HostMonitor Report
Generated on 03/12/2002 at 3:09:01 PM

Root
USA Branch
Office
Support
Asia
CPU Usage
Ping tests
ras
perf
script

Tests with "Good" status | 55
Tests with "Bad" status | 19
Tests with "Unknown" status | 6

This report was generated by KS-Soft HostMonitor


HostMonitor Report
Generated on 12/12/2002 at 5:34:30 PM

Test name | Status | Recurrences | Reply | Alive % | Dead % | Total tests | Passed tests | Failed tests | Average reply | Min reply | Max reply
Folder: Root\
HTTP: /index.htm | Host is alive | 56 | 391 ms | 79.09 | 1.33 | 904 | 715 | 12 | 664 | 241 | 36893
HTTP: /index.htm | Host is alive | 4 | 381 ms | 78.49 | 2.00 | 902 | 708 | 18 | 657 | 250 | 37504
HTTP: /index.htm | Host is alive | 15 | 1131 ms | 79.20 | 1.11 | 899 | 712 | 10 | 712 | 250 | 36873
HTTP: /index.htm | Host is alive | 15 | 1131 ms | 79.38 | 0.89 | 902 | 716 | 8 | 716 | 250 | 36873
HTTP: /index.htm | Host is alive | 15 | 1111 ms | 79.22 | 1.00 | 900 | 713 | 9 | 703 | 250 | 36853
HTTP: /index.htm | Host is alive | 52 | 1151 ms | 79.56 | 0.89 | 900 | 716 | 8 | 711 | 250 | 36843
HTTP: /index.htm | Host is alive | 52 | 1161 ms | 79.49 | 0.89 | 897 | 713 | 8 | 716 | 260 | 36853
HTTP: /index.htm | Host is alive | 52 | 351 ms | 79.26 | 1.00 | 897 | 711 | 9 | 703 | 250 | 36843
Folder summary Average Alive % Average Dead % Average Unknown % Average Reply Min Reply Max Reply | Root\ 79.03 0.69 20.28 697.89 0.00 37504.00
Folder: second\
HTTP: /login.php | Host is alive | 147 | 2604 ms | 64.01 | 18.40 | 489 | 313 | 90 | 4523 | 370 | 186218
HTTP: copy2 | Bad contents | 896 | 511 ms | 0.00 | 80.36 | 896 | 0 | 720 | 887 | 331 | 37644
HTTP: copy2 | Bad contents | 896 | 751 ms | 0.00 | 80.47 | 896 | 0 | 721 | 868 | 330 | 37584
HTTP: copy2 | Bad contents | 896 | 461 ms | 0.00 | 80.13 | 896 | 0 | 718 | 884 | 341 | 37464
HTTP: copy2 | Bad contents | 896 | 481 ms | 0.00 | 80.36 | 896 | 0 | 720 | 897 | 341 | 37534
HTTP: copy2 | Bad contents | 898 | 441 ms | 0.00 | 80.29 | 898 | 0 | 721 | 885 | 330 | 37524
HTTP: ks-soft. CRC | Host is alive | 15 | 1141 ms | 78.17 | 2.51 | 916 | 716 | 23 | 826 | 250 | 36863
HTTP: proxy-212.23.24.50 | Host is alive | 45 | 1161 ms | 74.33 | 15.89 | 900 | 669 | 143 | 2853 | 280 | 97490
Folder summary Average Alive % Average Dead % Average Unknown % Average Reply Min Reply Max Reply | Root\second\ 26.86 54.28 18.85 1577.96 0.00 186218.00

Tests with "Good" status | 11
Tests with "Bad" status | 5
Tests with "Unknown" status | 0

This report was generated by KS-Soft HostMonitor


HostMonitor Report
Generated on 12/21/2002 at 6:17:31 PM

Root | Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www1.disabled.com Updated: 15:23:10 Status: Disabled Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Unknown Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0%
Root\USA | Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www1.disabled.com Updated: 15:23:10 Status: Disabled Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Unknown Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Unknown Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Unknown Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0%
Root\Asia | Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Unknown Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Unknown Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www1.disabled.com Updated: 15:23:10 Status: Disabled Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Unknown Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0% Test: www.mailserv.com Updated: 15:23:10 Status: Alive Reply: 123 ms Alive: 90% Dead: 10% Unknown: 0%

Tests with "Good" status | 20
Tests with "Bad" status | 3
Tests with "Unknown" status | 2

This report was generated by KS-Soft HostMonitor


; ----------------------------------------------------------------------------
;    This is an example of an import file to be converted into an HML file
; ----------------------------------------------------------------------------
;
; What's new in version 3.0
;
; Discontinued test parameters:
; - DefaultAttemts
; - Attemts
; New common test parameters:
; - RelatedURL
; - ReverseAlert yes|no                                  default value: No
; - UnknownIsBad yes|no                                  default value: Yes
; - UseCommonLog yes|no                                  default value: Yes
; - PrivateLog
; New optional parameters for Ping test:
;   - DisplayMode  Time | Lost | Received                default value: Time
;   - MaxLostRatio <packet loss threshold, in percent>   default value: 100
;
; ----------------------------------------------------------------------------
;
; Comments: lines beginning with a semicolon are ignored
;
; -- Defaults --
; You may skip this section. By default the program uses empty values for
; Schedule, for Comment fields and Alert Profile names.
; The default interval is 300 sec (5 min)

DefaultSchedule =
DefaultAlertProfile =
DefaultInterval = 300
DefaultComment =

DefaultFolder =
; DefaultFolder parameter specifies the default destination folder to which tests will be added.
; If this parameter is not used or left blank ("DefaultFolder = ") then tests will be added to the current folder.
;DefaultFolder = Root\

; Use any of these parameters anywhere in the file.
; The program changes default values when it finds parameters with new values.

; --- example #1 ------------------------------------------------------
; This example defines a TCP test

; -- Common required parameters --
; These parameters must be specified for each task!
; 'Method' must be the 1st parameter in a test definition !!

Method = TCP
Title = www.yahoo.com #1

; Parameter 'Method' can take one of the following values:
; ping
; tcp
; url
; unc
; drivespace
; filesize
; fileexists
; filecontents
; process
; service
; ntlog
; cpu
; snmp
; externalprg
; interbase
; oracle
; mssql
; mysql
; postgre
; sybase
; odbc
; smtp
; pop3
; imap
; dns
; ldap
; trace
; countfiles

; -- Common optional parameters --
; These parameters apply to all test methods. If an optional parameter
; is omitted, its default value will be used

Comment  = 1st test, just for example^MSecond comment line^M3rd comment line
Schedule = 7 Days, 24 Hours
Interval = 120
Alerts   = Message, Sound

; New in ver 3.0

ReverseAlert = Yes
UnknownIsBad = No
UseCommonLog = Yes
PrivateLog   =

; New in ver 3.20

SyncCounters = Yes
SyncAlerts   = No
MasterTest-Alive           = ping yahoo
;MasterTest-AliveOrUnknown = ping yahoo
;MasterTest-DeadOrUnknown  = ping yahoo
;MasterTest-Dead           = ping yahoo

; -- Specific parameters required for TCP test --

Host = www.yahoo.com
Port = 80

; --- example #2 ----TCP-----------------------------------------------

Method = TCP
Title  = altavista
Host   = www.altavista.com
Port   = 80
RelatedURL = http://www.altavista.com

; --- example #3 ----Ping----------------------------------------------

Method  = Ping
Title   = ping yahoo
Host    = www.yahoo.com
Timeout = 3000
Retries = 4
DisplayMode  = Received
MaxLostRatio = 90

; ---------------------------------------------------------------------

; Set new default values for the following set of tests

DefaultSchedule = Monday - Friday, 24 Hours
DefaultInterval = 600

; --- example #4 ----URL-----------------------------------------------

Method = URL
Title  = Main Yahoo's page
URL    = http://www.yahoo.com/index.html
; A protocol must be specified as part of the URL (http, https, ftp, or gopher).

; Optional parameters:
Timeout = 5000
is302Ok = No
; is302Ok: 1 or 'yes' - means yes, 0 or 'no' - means no

CheckContents  = Expression
Expression     = 'Ok' or 'Good'
CaseSensitive  = 1
WholeWordsOnly = 1
; CheckContents: Expression, Contain, NotContain

; --- example #5 ----UNC-----------------------------------------------

Method = UNC
Title  = \\server1\vol1
UNC    = \\server1\vol1
MinFreeSpace = 2G
Test   = TotalFreeSpace
; Test: Availability, TotalFreeSpace, FreeSpaceForCaller
; Optional parameters
UserName = test
Password = test

Method = UNC
Title  = \\server1\vol1
UNC    = \\server1\vol1
Test   = FreeSpaceForCaller
MinFreeSpace = 12%
; free space, file size formats: 1234432, 123K, 23M, 2G, 10%

; --- example #6 ----DriveFreeSpace------------------------------------

Method = DriveSpace
Title  = drive C:\
Drive  = C
MinFreeSpace = 512M
; free space, file size formats: 1234432, 123K, 23M, 2G

; --- example #7 ----Folder/File Size----------------------------------

Method  = FileSize
Title   = size of Program Files\
File    = c:\Program Files\
MaxSize = 128M
Subfolders = 1
; subfolders: 1 or yes - mean yes, 0 or no - mean no

; MaxSize can be in bytes when less than 64K
Method  = FileSize
Title   = size of Program Files\
File    = c:\Program Files\
MaxSize = 32555
Subfolders = 1

; --- example #8 ----File/Folder Exists--------------------------------

Method = FileExists
Title  = file flag1
File   = g:\flag1.
OkIfExists = 1

; --- example #9 ----FileCRC-------------------------------------------

Method = FileCRC
Title  = CRC command.com
File   = c:\command.com

; --- example #10 ----Process------------------------------------------

Method   = Process
Title    = FAR
Process  = FAR
MinCount = 1
MaxCount = 5
; Use either MinCount or MaxCount parameter, or both.
; Optional parameters:
Computer =
UserName =
Password =

; --- example #11 -----Service-----------------------------------------

Method   = Service
Title    = EventSystem
Service  = EventSystem
; optional parameters:
Computer =
UserName =
Password =

; --- example #12 ----NTEventLog---------------------------------------

Method    = NTLog
Title     = Disk Quota
Computer    =
Log       = Application
Source    = DiskQuota
CheckComp = Any
CheckType = AnyFromList
CheckID   = AnyFromList
CheckDescr= Any
CompList  =
TypeList  = Warning
IDList    = ^M1001^M
DescrList =
ReportMode= LastEvent
Username  = administrator
Password  =

Method    = NTLog
Title     = Failure Audit
Computer  =
Log       = Security
Source    =
CheckComp = Any
CheckType = AnyFromList
CheckID   = AnyFromList
CheckDescr= Any
CompList  =
TypeList  = Failure audit
IDList    = ^M1001^M1002^M
DescrList =
ReportMode= LastEvent

; --- example #13 ----CPUUsage-----------------------------------------

Method = CPU
Title = CPU on Server1
MaxCPUUsage = 50
; optional parameters
Computer = \\Server1
OS = NT
; OS: NT, Netware
; do not specify Computer and OS parameters for local machine
UserName =
Password =

; --- example #14 ----SNMP---------------------------------------------

Method    = SNMP
Title     = TCP input packets
Agent     = 125.1.5.6
Community = public
Timeout   = 2000
Retries   = 2
OID       = 1.3.6.1.2.1.6.10.0.0
Value     = 32175
Condition = LessThan
; Possible alert conditions: LessThan, MoreThan, EqualTo, DifferentFrom, Contains, NotContain

; For local computers use an empty string as the Agent's value
Method    = SNMP
Title     = TCP input packets
Agent     =
Community = public
Timeout   = 1500
Retries   = 1
OID       = 1.3.6.1.2.1.6.10.0.0
Value     = 62175
Condition = MoreThan

; --- example #15 ----External-----------------------------------------

Method      = ExternalPrg
Title       = External 1
CommandLine = c:\errorlev.exe
ErrorLevel  = 2
Condition   = EqualTo
; Possible alert conditions: LessThan, MoreThan, EqualTo, DifferentFrom
; Optional parameter
KillAfter   = 60
; another optional parameter, implemented in version 3.20
WindowMode  = Hide
; WindowMode: ShowNormal, Hide, Maximized, Minimized, MinNoactive, NoActive

; --- example #16 ----Interbase----------------------------------------

Method   = Interbase
Title    = Interbase
Server   = 127.0.0.1
Protocol = TCP
Database = test1
User     = guest
Password =
; Protocol: TCP, SPX, NetBEUI

; --- example #17 ----MSSQL--------------------------------------------

Method   = MSSQL
Title    = MS SQL
Server   = 127.0.0.1
Database = test2
User     = guest
Password =

; --- example #18 ----MySQL--------------------------------------------

Method   = MySQL
Title    = My SQL
Server   = 127.0.0.1
Database = test3
Port     = 3306
User     = guest
Password =

; --- example #19 ----Oracle-------------------------------------------

Method   = Oracle
Title    = Oracle
Server   = test4
User     = guest
Password =

; --- example #20 ----PostgreSQL---------------------------------------

Method   = Postgre
Title    = Postgre SQL
Server   = 127.0.0.1
Database = test5
Port     = 5432
User     = guest
Password =

; --- example #21 ----SybaseSQL----------------------------------------

Method   = Sybase
Title    = Sybase SQL
Server   = 127.0.0.1
Database = test6
User     = guest
Password =

; --- example #22 ----ODBC---------------------------------------------

Method    = ODBC
Title     = dBASE test
Datasource= dBASE Files
Timeout   = 10
; Optional parameter
Login     =
Password  =
SQLQuery  = select * from test1

; --- example #23 ----SMTP---------------------------------------------

Method   = SMTP
Title    = SMTP: yahoo
Server   = smtp.mail.yahoo.com
Port     = 25
Timeout  = 20
VRFY     = no
Username =

; --- example #24 ----POP3---------------------------------------------

Method   = POP3
Title    = POP3: yahoo
Server   = pop.mail.yahoo.com
Port     = 110
Timeout  = 20
Username = xxxxxxxxxx
Password = xxxxxxxxxx
; Optional parameter
SizeLimit= 15M
MsgsLimit= 100

; --- example #25 ----IMAP---------------------------------------------

Method    = IMAP
Title     = IMAP: yahoo
Server    = pop.mail.yahoo.com
Port      = 143
Timeout   = 20
Username  = xxxxxxxx
Password  = xxxxxxxx
; Optional parameter
Mailbox   = Inbox
RecentOnly= no
SizeLimit = 15M
MsgsLimit = 100

; --- example #26 ----DNS----------------------------------------------

Method     = DNS
Title      = DNS: microsoft
Server     = 205.233.109.39
Protocol   = UDP
Port       = 53
Timeout    = 15
Hostname   = www.microsoft.com
; Optional parameter
CheckResult= 207.46.230.218

; --- example #27 ----LDAP---------------------------------------------

Method       = LDAP
Title        = LDAP: bund.de
Server       = x500.bund.de
Port         = 389
Timeout      = 20
; Optional parameter
Password     =
Search       = no
BaseObject   =
SearchFilter =

; --- example #28 ----Trace--------------------------------------------

Method       = Trace
Title        = Trace www.yahoo.com
Host         = www.yahoo.com
Timeout      = 5000
PacketSize   = 64
Retries      = 2
CheckMode    = TrafficThru
CheckValue   = 124.22.22.1
DisplayMode  = TotalTime
; CheckMode: RouteChanged, HopsDifferent, HopsMoreThan, HopsLessThan, MaxReply, TrafficThru, TrafficBypass
; DisplayMode: TotalTime, AverageTime, MaxTime, Hops, NonResponding, RouteBrief RouteFull

; --- example #29 ----CountFiles---------------------------------------

Method       = CountFiles
Title        = CountFiles (Program Files)
Folder       = C:\Program Files\
Mask         = *.*
Subfolders   = 1
UseMacros    = 0
CountMode    = OlderThan
; CountMode: AllFiles, OlderThan, NewerThan, BiggerThan, SmallerThan
CountValue   = 60
FilesLimit   = 100


HostMonitor Log

HostMonitor Log (generated by KS-Soft HostMonitor)
Logging started at 09:22:33 PM, 29/04/2002

Event time | Test | Status | Reply | Test method
29/04/2002 09:22:23 PM | LDAP: ldap.bigfoot.com | Disabled |  | LDAP test (ldap.bigfoot.com)
29/04/2002 09:22:35 PM | smtp.cadvision.com | Host is alive | 200 ms | TCP (port - 25)
29/04/2002 09:22:35 PM | DNS: 205.233.109.39 | Host is alive | 271 ms | DNS test (205.233.109.39)
29/04/2002 09:22:35 PM | DNS: 205.233.109.39 | Host is alive | 331 ms | DNS test (205.233.109.39)
29/04/2002 09:22:36 PM | LDAP: x500.bund.de | Host is alive | 1332 ms | LDAP test (x500.bund.de)
29/04/2002 09:22:36 PM | POP3: pop.cadvision.com | Host is alive | 0 | POP3 test (pop.cadvision.com)
29/04/2002 09:22:36 PM | IMAP: mail.mastak.com | Host is alive | 0 Kb | IMAP test (mail.mastak.com)
29/04/2002 09:22:36 PM | IMAP: mail.mastak.com | Host is alive | 0 | IMAP test (mail.mastak.com)
29/04/2002 09:22:36 PM | POP3: mail.addressisp.com | Host is alive | 0 Kb | POP3 test (mail.addressisp.com)
29/04/2002 09:22:36 PM | POP3: mail.ks-soft.net | Host is alive | 0 Kb | POP3 test (mail.ks-soft.net)
29/04/2002 09:22:44 PM | LDAP: www.ks-soft.net | No answer |  | LDAP test (www.ks-soft.net)
29/04/2002 09:23:01 PM | DNS: 205.233.109.39 | Host is alive | 240 ms | DNS test (205.233.109.39)
29/04/2002 09:23:01 PM | DNS: 205.233.109.39 | Host is alive | 320 ms | DNS test (205.233.109.39)
29/04/2002 09:23:02 PM | IMAP: mail.mastak.com | Host is alive | 0 | IMAP test (mail.mastak.com)
29/04/2002 09:23:02 PM | IMAP: mail.mastak.com | Host is alive | 0 Kb | IMAP test (mail.mastak.com)
29/04/2002 09:23:14 PM | smtp.cadvision.com | Host is alive | 311 ms | TCP (port - 25)
29/04/2002 09:23:15 PM | LDAP: x500.bund.de | Host is alive | 1292 ms | LDAP test (x500.bund.de)
29/04/2002 09:23:15 PM | POP3: pop.cadvision.com | Host is alive | 0 | POP3 test (pop.cadvision.com)
29/04/2002 09:23:15 PM | POP3: mail.addressisp.com | Host is alive | 0 Kb | POP3 test (mail.addressisp.com)
29/04/2002 09:23:15 PM | POP3: mail.ks-soft.net | Host is alive | 0 Kb | POP3 test (mail.ks-soft.net)
29/04/2002 09:25:17 PM | POP3: pop.cadvision.com | Host is alive | 0 | POP3 test (pop.cadvision.com)
29/04/2002 09:25:17 PM | POP3: mail.addressisp.com | Host is alive | 0 Kb | POP3 test (mail.addressisp.com)
29/04/2002 09:25:18 PM | POP3: mail.ks-soft.net | Host is alive | 0 Kb | POP3 test (mail.ks-soft.net)
29/04/2002 09:27:19 PM | POP3: pop.cadvision.com | Host is alive | 0 | POP3 test (pop.cadvision.com)
29/04/2002 09:27:20 PM | POP3: mail.addressisp.com | Host is alive | 0 Kb | POP3 test (mail.addressisp.com)
29/04/2002 09:27:20 PM | POP3: mail.ks-soft.net | Host is alive | 0 Kb | POP3 test (mail.ks-soft.net)
29/04/2002 09:29:21 PM | POP3: pop.cadvision.com | Host is alive | 0 | POP3 test (pop.cadvision.com)
29/04/2002 09:29:22 PM | POP3: mail.addressisp.com | Host is alive | 0 Kb | POP3 test (mail.addressisp.com)
29/04/2002 09:29:22 PM | POP3: mail.ks-soft.net | Host is alive | 0 Kb | POP3 test (mail.ks-soft.net)
29/04/2002 09:31:24 PM | POP3: pop.cadvision.com | Host is alive | 0 | POP3 test (pop.cadvision.com)
29/04/2002 09:31:24 PM | POP3: mail.addressisp.com | Host is alive | 0 Kb | POP3 test (mail.addressisp.com)
29/04/2002 09:31:25 PM | POP3: mail.ks-soft.net | Host is alive | 0 Kb | POP3 test (mail.ks-soft.net)
29/04/2002 09:32:54 PM | LDAP: www.ks-soft.net | No answer |  | LDAP test (www.ks-soft.net)
29/04/2002 09:33:02 PM | DNS: 205.233.109.39 | Host is alive | 240 ms | DNS test (205.233.109.39)
29/04/2002 09:33:02 PM | DNS: 205.233.109.39 | Host is alive | 280 ms | DNS test (205.233.109.39)
29/04/2002 09:33:04 PM | IMAP: mail.mastak.com | Host is alive | 0 Kb | IMAP test (mail.mastak.com)
29/04/2002 09:33:04 PM | IMAP: mail.mastak.com | Host is alive | 0 | IMAP test (mail.mastak.com)
29/04/2002 09:33:15 PM | smtp.cadvision.com | Host is alive | 200 ms | TCP (port - 25)
29/04/2002 09:33:17 PM | LDAP: x500.bund.de | Host is alive | 1262 ms | LDAP test (x500.bund.de)
29/04/2002 09:33:25 PM | POP3: pop.cadvision.com | Host is alive | 0 | POP3 test (pop.cadvision.com)
29/04/2002 09:33:27 PM | POP3: mail.ks-soft.net | Host is alive | 0 Kb | POP3 test (mail.ks-soft.net)
29/04/2002 09:33:30 PM | POP3: mail.addressisp.com | Host is alive | 0 Kb | POP3 test (mail.addressisp.com)
29/04/2002 09:35:27 PM | POP3: pop.cadvision.com | Host is alive | 0 | POP3 test (pop.cadvision.com)
29/04/2002 09:35:29 PM | POP3: mail.ks-soft.net | Host is alive | 4 Kb | POP3 test (mail.ks-soft.net)
29/04/2002 09:35:31 PM | POP3: mail.addressisp.com | Host is alive | 0 Kb | POP3 test (mail.addressisp.com)
29/04/2002 09:37:30 PM | POP3: pop.cadvision.com | Host is alive | 0 | POP3 test (pop.cadvision.com)
29/04/2002 09:37:31 PM | POP3: mail.ks-soft.net | Host is alive | 0 Kb | POP3 test (mail.ks-soft.net)
29/04/2002 09:37:34 PM | POP3: mail.addressisp.com | Host is alive | 0 Kb | POP3 test (mail.addressisp.com)


HostMonitor Report
Generated on 29/04/2002 at 10:13:10 PM

Test name | Status | Recurrences | Reply | Test method | Alive % | Dead % | Total tests | Passed tests | Failed tests | Average reply | Min reply | Max reply
Main FTP server | Host is alive | 9 | 4737 ms | URL request | 64 % | 0 % | 362 | 233 | 0 | 19811 | 0 | 3615820
Main Web server | Host is alive | 10 | 2364 ms | URL request | 65 % | 0 % | 370 | 240 | 0 | 1249 | 0 | 5408
Main router | Host is alive | 370 | 10 ms | ping (timeout - 2000 ms) | 100 % | 0 % | 370 | 370 | 0 | 0.2 | 0 | 20
192.52.233.39 | Host is alive | 10 | 411 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 369 | 239 | 130 | 399 | 0 | 1652
192.52.233.40 | Host is alive | 10 | 431 ms | ping (timeout - 2000 ms) | 64 % | 36 % | 369 | 238 | 131 | 412 | 0 | 1693
192.52.233.41 | Host is alive | 10 | 441 ms | ping (timeout - 2000 ms) | 64 % | 36 % | 369 | 238 | 131 | 416 | 0 | 1883
192.52.233.42 | Host is alive | 10 | 441 ms | ping (timeout - 2000 ms) | 64 % | 36 % | 369 | 238 | 131 | 421 | 0 | 1883
192.52.233.43 | Host is alive | 10 | 451 ms | ping (timeout - 2000 ms) | 64 % | 36 % | 369 | 238 | 131 | 424 | 0 | 1903
192.52.233.44 | Host is alive | 10 | 561 ms | ping (timeout - 2000 ms) | 64 % | 36 % | 507 | 324 | 183 | 390 | 0 | 1903
192.52.233.45 | No answer | 367 |  | ping (timeout - 2000 ms) | 0 % | 100 % | 367 | 0 | 367 | 0.0 | 0 | 0
192.52.233.46 | No answer | 368 |  | ping (timeout - 2000 ms) | 0 % | 100 % | 368 | 0 | 368 | 0.0 | 0 | 0
192.52.233.47 | Host is alive | 9 | 1702 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 369 | 239 | 130 | 437 | 0 | 1963
192.52.233.48 | Bad | 9 | 1712 ms | ping (timeout - 2000 ms) | 36 % | 64 % | 380 | 138 | 242 | 436 | 0 | 1973
Drice C:\ | Ok | 368 | 1654 Mb | Drive space | 100 % | 0 % | 368 | 368 | 0 | 1654 | 0 | 1655
Drive D:\ | Ok | 368 | 1490 Mb | Drive space | 100 % | 0 % | 368 | 368 | 0 | 1615 | 0 | 1640
Drive F:\ | Ok | 368 | 524 Mb | Drive space | 100 % | 0 % | 368 | 368 | 0 | 562 | 0 | 583
Main router | Host is alive | 448 | 0 ms | ping (timeout - 2000 ms) | 100 % | 0 % | 448 | 448 | 0 | 0.6 | 0 | 20
Main web server | Host is alive | 10 | 861 ms | URL request | 65 % | 0 % | 446 | 292 | 2 | 1435 | 0 | 9904
groups.google.com | Host is alive | 10 | 951 ms | URL request | 66 % | 0 % | 447 | 293 | 2 | 1343 | 0 | 6710
www.altavista.com | Host is alive | 10 | 1211 ms | URL request | 66 % | 0 % | 447 | 294 | 1 | 1703 | 0 | 12768
www.google.com | Host is alive | 10 | 1832 ms | URL request | 64 % | 3 % | 470 | 301 | 14 | 1943 | 0 | 12969
www.yahoo.com | Host is alive | 10 | 1212 ms | URL request | 66 % | 0 % | 446 | 294 | 0 | 1394 | 0 | 12538
192.52.233.10 | No answer | 99 |  | ping (timeout - 2000 ms) | 49 % | 51 % | 446 | 218 | 228 | 315 | 0 | 1132
192.52.233.11 | Host is alive | 10 | 521 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 291 | 156 | 329 | 0 | 1132
192.52.233.12 | Host is alive | 10 | 531 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 289 | 158 | 332 | 0 | 1202
192.52.233.13 | Host is alive | 10 | 541 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 291 | 156 | 343 | 0 | 1192
192.52.233.14 | No answer | 444 |  | ping (timeout - 2000 ms) | 0 % | 100 % | 444 | 0 | 444 | 0.0 | 0 | 0
192.52.233.15 | Host is alive | 10 | 541 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 290 | 157 | 353 | 0 | 1242
192.52.233.25 | Host is alive | 10 | 551 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 291 | 156 | 356 | 0 | 1192
192.52.233.26 | Host is alive | 10 | 561 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 290 | 157 | 361 | 0 | 1192
192.52.233.27 | No answer | 444 |  | ping (timeout - 2000 ms) | 0 % | 100 % | 444 | 0 | 444 | 0.0 | 0 | 0
192.52.233.29 | No answer | 444 |  | ping (timeout - 2000 ms) | 0 % | 100 % | 444 | 0 | 444 | 0.0 | 0 | 0
192.52.233.35 | Host is alive | 10 | 551 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 289 | 158 | 375 | 0 | 1933
192.52.233.36 | Host is alive | 10 | 561 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 290 | 157 | 374 | 0 | 1482
192.52.233.37 | Host is alive | 10 | 561 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 291 | 156 | 376 | 0 | 1492
192.52.233.38 | Host is alive | 10 | 571 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 291 | 156 | 382 | 0 | 1502
192.52.233.39 | Host is alive | 10 | 581 ms | ping (timeout - 2000 ms) | 65 % | 35 % | 447 | 290 | 157 | 397 | 0 | 1642
Main router | Host is alive | 371 | 10 ms | ping (timeout - 2000 ms) | 100 % | 0 % | 371 | 371 | 0 | 0.2 | 0 | 20
CPU (critical - 90%) | Ok | 57 | 39 % | CPU Usage | 97 % | 3 % | 366 | 354 | 12 | 14 | 0 | 100
CPU <local computer> | Ok | 3 | 43 % | CPU Usage | 93 % | 7 % | 366 | 342 | 24 | 14 | 0 | 100
\docs | Ok | 70 |  | File exists | 81 % | 19 % | 106 | 86 | 20 | 0.0 | 0 | 0
\syslog.htm | Ok | 222 |  | File exists | 9 % | 91 % | 1933 | 171 | 1762 | 0.0 | 0 | 0
192.52.233.48 | Host is alive | 20 | 791 ms | ping (timeout - 2000 ms) | 2 % | 98 % | 1894 | 39 | 1855 | 289 | 0 | 791
SNMP 1.3.6.1.2.1.1.3.0 | Ok | 21 | 333699733 | SNMP test | 98 % | 2 % | 81 | 79 | 2 | 52661517 | 0 | 333699733

This report was generated by KS-Soft HostMonitor


; ----------------------------------------------------------------------------
;  This is an example of an script file which can be executed by HostMonitor.
; ----------------------------------------------------------------------------
;
; Comments:
; The program ignores all strings with a semicolon as the 1st character.
;
; Commands: commands are case insensitive
; Parameters: parameters are case sensitive
; ----------------------------------------------------------------------------

; -- New in version version 3.0 --

SetCurrentFolder  Root
IncludeSubfolders yes

; SetCurrentFolder <name of folder>|<full path>
; - by default, HostMonitor uses the top folder
; IncludeSubfolders yes|no
; - by default, HostMonitor works with the specified folder and all descendant subfolders

; As of version 3.0, HostMonitor now supports macro variables (%TestName%,
; %Comment%, %Folder%, etc.)
; Please note:
; - if script is launched as a result of a test performance, the test's parameters
;   are used for macros;
; - if script is launched manually (using menu File->Execute Script), parameters of the
;   selected test are used for the macros (if no test is selected, macros are not translated)

; -- Command for working with test lists --

; Warning: HostMonitor doesn't save changes to test lists made by script.
; To save a list, use SaveHostList command.

NewTestList
LoadTestList    c:\list1.hml
AppendTestList  c:\list2.hml
ImportFromFile  c:\import1.txt  SkipDuplicates  WriteLog
SaveTestList    c:\list3.hml

; -- Commands for generating reports --

;HTMLReport           c:\rep01.html
;DBFReport            c:\rep02.dbf
;WMLReport_AllBig     c:\filename1.wml
;WMLReport_AllSmall   c:\filename2.wml
;WMLReport_DeadBig    c:\filename3.wml
;WMLReport_DeadSmall  c:\filename4.wml

; In version 3.0 all these commands have been replaced with a single command:

CreateReport "report profile name"  c:\fullrep.html

; -- manipulation with tests --

; when HostMonitor execute script it can modify current list but doesn't save
; changes to file until command SaveTestList

RefreshAll
DisableAllTests
EnableAllTests

; The following four commands require TestName as a parameter.
; Remember, all parameters are case sensitive

DisableTest  www.microsoft.com
EnableTest   www.altavista.com
RefreshTest  www.borland.com

; instead specific TestName you can use follow group names
; (remember, parameters are case sensitive):
; _AllPing
; _AllTCP
; _AllURL
; _AllUNC
; _AllFreeSpace
; _AllFolderSize
; _AllFileExists
; _AllFileContents
; _AllProcess
; _AllService
; _AllNTLog
; _AllCPU
; _AllInterbase
; _AllMsSQL
; _AllMySQL
; _AllOracle
; _AllPostgre
; _AllSybase
; _AllSNMP
; _AllExternalPrg
; _AllDLL
; _AllODBC
; _AllSMTP
; _AllPOP3
; _AllIMAP
; _AllDNS
; _AllLDAP
; _AllTrace
; _AllCountFiles

DisableTest  _AllTCP
EnableTest   _AllPing
RefreshTest  _AllURL

SetTestParam  _AllPing  Timeout   4000
SetTestParam  "CPU \\server1"  UserName  testuser1
SetTestParam  "CPU \\server1"  Password  my long secret password

; -- other --

StartProgram  c:\generator.exe  c:\database.dbf  c:\newtest.txt
StopMonitor
StartMonitor
;QuitMonitor

; ----------------------------------------------------------------------------


Glossary

Alias - is an alternate name used to refer to something or someone.

Anonymous FTP - FTP available to the public, using a login name of "anonymous" and your e-mail address as a password.

Default - this is the fallback value. If nothing else is specified the default value will be used. If you install a program, it generally installs with the default settings, and you can customize it afterwards with your preferences.

DHCP (Dynamic Host Configuration Protocol) - a standard method for assigning IP addresses (and some others parameters) automatically to the devices on a TCP/IP network. As a new device connects, the DHCP server assigns an IP address from a list of available addresses. The device retains this IP address for the duration of the session - once the device disconnects the IP address becomes available for use again.

Dial-Up Connection - a temporary connection between two computers via a telephone line.

DNS (Domain Name Service) - an Internet service that translates domain names into IP addresses. Because domain names are alphabetic, they're easier to remember. The Internet however, is really based on IP addresses. Every time you use a domain name, therefore, a DNS service must translate the name into the corresponding IP address. For example, the domain name www.fbi.org translate to 193.116.54.15.
The DNS system is, in fact, its own network. If one DNS server doesn't know how to translate a particular domain name, it asks another one, and so on, until the correct IP address is returned

Domain Name - a name that identifies one or more IP addresses (for example, the domain name microsoft.com represents about a doze IP addresses). Every domain name has a suffix that indicates which top-level (TLD) domain it belongs to. There are only a limited number of such domains. For example:
gov - Government agencies
edu - Educational institutions
org - Organizations (nonprofit)
mil - Military
com - commercial business
net - Network organizations
ru - Russia
ca - Canada

Echo - this term has many different uses in IT but basically it describes the action of transmitting a received signal back to the sender - a good way of testing that something has actually been received.

E-mail (Electronic Mail) - a way of sending other people messages from your PC. Widely used facility on the Internet that basically sends addressed messages over a Network.

Ethernet - a standard for LAN communications, ethernet defines the hardware and communications standard for communications over coax, twisted-pair or fiber.

FAQ (Frequently Asked Questions) - a term used to provide users with answers to those questions that we all have to ask.

File Server - a computer that stores files which can be accessed by a number of different users and provides network access to those files.

Finger - a program that takes an e-mail address as input and returns information about the user who owns that e-mail address. On some systems, finger only reports whether the user is currently logged on. Other systems return additional information, such as the user's full name, address, and telephone number. Of course, the user must first enter this information into the system.

Firewall - a combination of specialised hardware and software designed to keep unauthorised users from accessing information within a networked computer system.

FTP (File Transmission Protocol) - a standard for moving files from one computer to another use on the Internet. A computer on the Internet that specifically stores files for users to FTP to their own computers is called an FTP Server or FTP Site.

Gateway - is a device that connects different networks together. This handles the transfer of data between the networks and any conversion that is required to enable the data which has been extracted from one network to be read in the other network

Hop - an intermediate connection in a string of connections linking two network devices. On the Internet most data packets need to go through several routers before they reach their final destination. Each time the packet is forwarded to the next router, a hop occurs. The more hops, the longer it takes for data to go from source to destination. You can see how many hops it takes to get to another Internet host by using the Trace utilities.
Some Internet Service Providers (ISPs) advertise how many hops away from Internet backbone they are. Theoretically, the fewer hops it takes to get your data onto the backbone, the faster your access will be.

Host - a computer that provides a particular service to a user. This includes information or communications.

HTML (HyperText Markup Language) - the text based language used for creating documents on the World Wide Web. Included in the language are provisions for including pictures and links to other pages. Interpreted by Web Browsers. This delightful masterpiece is a collection of HTML instructions which you can see using the View HTML Source option from your Browsers menu.

HTTP (HyperText Transmission Protocol) - the way the data in an HTML document is transferred. What it really is is what tells the program looking at the data what to use it as. So, a document coming in HTTP is read as an HTML document.

Hyperlink - a hyperlink is part of the HTML language. Browsers display the hyperlink with an underlined font. When you click on a hyperlink, you will jump to another area in that document or a different document.

IAP (Internet Access Provider) - see ISP.

ICMP (Internet Control Message Protocol) - an extension to the Internet Protocol (IP) defined by RFC 792. ICMP supports packets containing error, control, and informational messages. The Ping and Trace utilites, for example, uses ICMP to test an Internet connection.

IMHO - an abbreviation which mean "In My Humble Opinion".

Internet - the Internet is a world wide computer network based on TCP/IP protocol. A network was designed around the principle of "unreliable computers" - if one was destroyed or failed the remaining computers could still function. Each computer in the network acknowledges the existence of all of the others.

InterNIC - is a group which control domain name registration and provide the following services to users of the Internet :
InterNIC Directory and Database Services - online white pages directory and directory of publicly accessible databases managed by AT&T.
Registration Services - domain name and IP address assignment managed by NSI.
Support Services - outreach, education, and information services for the Internet community managed by NSI.
Net Scout Services - online publications that summarize recent happenings of interest to Internet users (managed by NSI).

Intranet - a network based on TCP/IP protocols belonging to an organization, usually a corporation, accessible only by the organization's members, employees, or others with authorization. An intranet's Web sites look and act just like any other Web sites, but the firewall surrounding an intranet fends off unauthorized access.

IP (Internet Protocol) - this is a connectionless communications protocol that forms part of the basis for the TCP/IP protocol suite. It is a fast protocol, but it has no mechanism for sequencing or error conditions. Error packets are simply lost. IP will basically just move datagrams.

IP address - the Internet Protocol address is a unique number that is used to represent every single computer or device on a TCP/IP network. The format of an IP address is a 32-bit numeric address written as four numbers separated by periods. Each number can be zero to 255 (for example, 192.223.56.12 could be an IP address).
Within an isolated network, you can assign IP addresses at random as long as each one is unique. However, connecting a private network to the Internet requires using registered IP addresses (called Internet addresses) to avoid duplicates.
The four numbers in an IP address are used in different ways to identify a particular network and a host on that network. The InterNIC Registration Service assigns Internet addresses from the following three classes.
Class A - supports 16 million hosts on each of 127 networks
Class B - supports 65,000 hosts on each of 16,000 networks
Class C - supports 254 hosts on each of 2 million networks
The number of unassigned Internet addresses is running out, so a new classless scheme called CIDR is gradually replacing the system based on classes A, B, and C and is tied to adoption of IPv6.

ISP (Internet Service Provider) - is a company which provides access to the Internet for people. The company handles the link from your PC to the rest of the Internet. The ISP's central computer is linked to the rest of the internet so the person using this service only pays the telephone charges to connect from their home computer to the ISP's central computer

JavaScript - is a Programming Language for developing Client Internet applications. The WEB Browser interprets JavaScript statements embedded in an HTML page. LiveWire is the Server based equivalent that enables you to create applications similar to Common Gateway Interface (CGI) programs.

LAN (Local Area Network) - is a group of PC's, other computers and peripheral devices that are linked together where each device is located in close proximity to all the other devices. LANs typically consist of a number of PC's, shared printers and disks.

Link - a link or hyperlink is part of the HTML language. Browsers display the hyperlink with an underlined font. When you click on a hyperlink, you will jump to another area in that document or a different document.

MAC address - the physical address is associated with the Ethernet interface.

NetBEUI (NETwork BIOS Enhanced User Interface) - a standard protocol for Network Operating Systems introduced by IBM

Network - a network is basically a series of wires and cables that connects a number of computers. Data is exchanged between computers via these cables. The maximum speed at which the data can be transmitted is called the bandwidth.

NNTP (Network News Transport Protocol) - a standard used to send, retrieve and distribute News Group articles around the Internet.

Node - a node is any device such as a PC that is connected to a Network

Ping (Packet INternet Groper) - an utility to determine whether a specific IP address is accessible. It is used to test and debug a network by sending out a packet and waiting for a response.

POP (Post Office Protocol) - this is a standard for client/server transmission of e-mail.

Port - the TCP port number identifies a process or application inside the computer. Any application or process that uses TCP for its transport is assigned a unique identification number called a TCP port. These ports are numbered beginning with zero. Port numbers for client applications are dynamically assigned by the operating system when there is a request for service. Port numbers for server applications are preassigned by the IANA (Internet Assigned Numbers Authority) and do not change. A server application or process that uses TCP as a transport has at least one preassigned port number. For example, the preassigned port numbers for FTP server services are 20 (data) and 21 (control).

PPP (Point to Point Protocol) - an advanced serial packet protocol similar to SLIP.

Protocol - a standard process, a set of rules and conditions that perform a particular function.

Proxy Server - a server that sits between the LAN and the Internet (or between a client and a server). It may perform some of the tasks of the server itself or filter invalid requests. Reasons for this may be for security or to speed up processes.

Remote Computer - any computer that is not on the same physical site as the computer to which it is attached.

Remote Terminal - any terminal that is not on the same physical site as the computer to which it is attached.

RFC (Request For Comment) - these a broad range of notes covering a variety of topics related to the Internet. RFCs are handled by the IETF and are archived at several sites.

RIP (Router Information Protocol) - a standard mechanism for exchanging routes (paths) between routers.

Route - the path that data travels along moving from its starting point in a Network to its destination.

Router - a communications device which routes data between Networks.

Shareware - software that you can obtain for free. The author of the software does request a small fee to pay for registration, documentation etc.

Shell - software that allows users to interact with the operating system. For example, a user could develop a shell script to tell the operating system to delete all files in a given directory which have not been changed in the last 3 months. Different Operating Systems have there own shell script languages.

Shell Account - a shell account allows a user to log on to a system and use a script language to issue operating system commands (most commonly associated with Unix systems).

Site - a group of Web Pages that collectively represent a company, or individual on the WWW. A group of Web pages that have been developed together to present information on a specific subject(s) is also a Site.

SLIP (Serial Line Internet Protocol) - is a serial packet protocol used to connect a remote computer to the Internet using modems or direct connections.

SMTP (Simple Mail Transfer Protocol) - an accepted standard used extensively on the Internet for transferring E-mail messages between computers.

SNMP (Simple Network Management Protocol) - protocol used for managing the devices in a network.

SOCKS - a protocol for handling TCP traffic through a proxy server. It can be used with virtually any TCP application, including Web browsers and FTP clients. It provides a simple firewall because it checks incoming and outgoing packets and hides the IP addresses of client applications. There are two main versions of SOCKS : Version 4 and Version 5. V5 adds an authentication mechanism for additional security.

TCP (Transmission Control Protocol) - is one of the main protocols in TCP/IP networks. Whereas the IP protocol deals only with packets, TCP enables two hosts to establish a connection and exchange streams of data. TCP guarantees delivery of data and also guarantees that packets will be delivered in the same order in which they were sent.

Telnet - a terminal emulation program for TCP/IP networks such as the Internet, its purpose is to allow a user to logon to a computer from a remote location. You can then enter commands through the Telnet program and they will be executed as if you were entering them directly on the server console. This enables you to control the server and communicate with other servers on the network.

Terminal - any display unit or host used interactively. Generally used to refer to a serially connected text-only remote access device.

TFTP (Trivial File Transfer Protocol) - this is a simplified version of FTP without authentication and many other basic features. Often used for booting devices over a network.

Trace - a utility that traces a packet from your computer to any other host, showing how many hops the packet requires to reach the host and how long each hop takes. If you're visiting a Web site and pages are appearing slowly, you can use traceroute to figure out where the longest delays are occurring.
Trace utilities work by sending packets with low time-to-live (TTL) fields. The TTL value specifies how many hops the packet is allowed before it is returned. When a packet can't reach its destination because the TTL value is too low, the last host returns the packet and identifies itself. By sending a series of packets and incrementing the TTL value with each successive packet, traceroute finds out who all the intermediary hosts are.

TTL (Time to Live) - a field in the Internet Protocol (IP) that specifies how many more hops a packet can travel before being discarded or returned.

UDP (User Datagram Protocol) - a connectionless protocol that, like TCP, runs on top of IP networks. Unlike TCP/IP, UDP/IP provides very few error recovery services, offering instead a direct way to send and receive datagrams over an IP network. It's used primarily for broadcasting messages over a network.

URL (Uniform Resource Locator) - URL's are a standardized format for giving a pointer to information available from gopher, WWW and other servers.

WAN (Wide Area Network) - basically a linked Network of LANs. The Internet can be considered to be the largest WAN there has ever been.

Web Browser - an application program which interprets HTML and presents Web Pages. Examples : Internet Explorer, Netscape Navigator, Mosaic.

Web Page - an HTML document which contains information which can be seen on the Internet

Web Site - a group of Web Pages that collectively represent a company, or individual on the WWW. A group of Web pages that have been developed together to present information on a specific subject(s) is also a Web Site.

WhoIs - an utility that returns information about a domain name or IP address. For example, if you enter a domain name such as brainriver.com, whois will return the name, address, phones and other information of the domain's owner.

Workstation - a computer set up for use by one person.

WWW (World Wide Web) - the Internet facility that allows you to browse linked web pages.

see also Computing Dictionaries on Yahoo


HostMonitor

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z


Glossary

This page uses frames, but your browser doesn't support them.

Ýòà ñòðàíèöà èñïîëüçóåò ôðåéìû, à âàø áðîóçåð èõ íå ïîääåðæèâàåò :-(


HML Manager

HostMonitor's Main Page HML Manager
Version 4.04
Copyright (c) 2000-2004 KS-Soft
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

HML Manager is an auxiliary application for HostMonitor. It is included into Advanced Host Monitor package. Standard, Professional and Enterprise licenses for Advanced Host Monitor already include a license for HML Manager. Holders of a Lite license may buy an additional license for HML Manager separately.

File Selection [image] File Content [image] How to do [image] Main menu [image] System Requirements [image] Price

HML Manager is a tool which provides easy and effective manipulation with tests in HML files. HML Manager supports Drag&Drop operations, so that you may move tests from one file to another without a hassle. You may copy or delete hundreds of tests in one click. Folders may be organized and reorganized in any order. Using group operations with tests provides you with a powerful option of changing parameters for hundreds of tests in one time.

The main window of HML Manager is divided into two panels (left and right). Each panel may be shown in either of two modes: "File Selection Mode" or "File Content Mode".

File Selection mode
While in file selection mode, the panel looks almost like the Windows Explorer window. The purpose of this mode is to help in finding *.hml files (they contain HostMonitors` tests) on the drives of your computer or on the network drives. After you find an *.hml file it is then available for viewing and editing. You may also use this mode for copying, renaming and deleting files.

Files Tree
The upper part of the panel shows all drives, folders and network resources that are available on your computer. What makes it different from the Windows Explorer is that it shows *.hml files in the same tree with drives and folders. We call this pane - Files Tree pane.
When you select an *.hml file, HML Manager reads it and displays the content in the Folders Tree & Tests List panes.
Recent List
The lower part of the panel in File Selection Mode shows the list of recently edited files. By default the most recent file is always at the top and the less resent is lower and so on. An option to sort files by name is also available (you may access it through pop up menu). When you select a file in the recent files list HML Manager reads it and displays content in the Folders Tree & Tests List panes.

You may use both Files Tree and Recent List areas of the panel for manipulations with files. When you right click any item in the panel a pop up menu will appear. It contains commands, similar to those in "File" menu of the main menu bar of the HML Manager:
New | - | Creates new HML file.
Copy | - | Creates a copy of the selected file with another name (a dialog will ask you to provide a name for the copy).
Rename | - | Changes the name of the selected HML file.
Delete | - | Removes the selected HML file.
Restore from backup | - | When "Create backup files" option is enabled, HML Manager creates backup files. Using this menu item you may restore information from that backup file (undo all changes that were made to the file since HML Manager was started).

File Content mode
Using this mode of the panel you may view the list of folders and tests that are stored in selected HML file. You may create new folders and subfolders, move them to another level or another HML file, edit folders and tests properties, import tests from special text file, etc.

Folders Tree
While in File Content Mode the upper part of the panel displays the list of folders (not the folders of the hard drive, but the test folders from within an HML file). We call this pane Folders Tree.
In this panel you see a list of folders within the selected HML file displayed as a hierarchical tree. You may create new folders and subfolders, delete or move folders, edit properties of folders. To perform the desired operation you may select an appropriate item from the popup menu or click one of the buttons which are located to the right from the tree panel.
Tests List
The lower part of the Tests List panel displays a list of tests from the selected folder. When an option "Show tests in subfolders" from View menu is enabled then the tests from all descendent subfolders are also shown. You may select any number of tests and perform the following actions with them: delete, move to another folder (within the same HML file) or move into another HML file, change test parameters. Also you may import tests from a special text file or from IP-Tools' HostList. To perform an operation choose appropriate item from the main menu [Edit] or from a local popup menu.
Use [View] menu to customize the look of this panel. You may view items in the form of large icons, small icons, simple list, or a list with detailed information about each test.

Both panes support drag&drop operations. You may select several tests in Tests List pane and drag them into another folder (within the same HML file) or you may move them into another HML file. You may move an entire folder (with all subfolders and tests) from one location to another as well.

How to do

How to change the panel size:
To make the panels narrower or wider, point to the divider between the two panels. When the pointer changes to a <-->, hold down the left mouse button as you drag the divider left or right.

How to select tests:
To select consecutive tests, click the first test, press and hold down SHIFT, and then click the last test.
To select tests that are not consecutive, press and hold down CTRL, and then click each test that you want to select.

How to move tests to another folder:
Select source file using Files Tree or Recent List panes. Make sure the destination folder (in Folders Tree pane) is visible. In the Tests List pane select the test(s) you want to move. Drag the tests to the destination folder.

How to move folder (with descendant subfolder and tests) to another level:
Select source file using Files Tree or Recent List panes. Use drag and drop to move folder to any location within the same file (except you can not move a folder to its own subfolder). Folders are moved with all descendent subfolders and tests in them.

How to move tests of folders to another file:
Select source file using Files Tree or Recent List in the left panel. Click "Close file selection" button in the left panel. The button disappears and a smaller button with tree icon replaces it. Click this new button in the left panel. Now in the right panel select the destination file. Click "Close file selection" button in the right panel.
Now you can see a destination file in the left panel and the source file in the right panel. Use drag and drop to move tests or folders between the files. When you move folders, subfolders and tests in them are moved as well.

Main menu

File menu Use the File menu to create new HML file, delete or rename existing file, print information, etc. These commands are also available in popup menu (that appears when you press right mouse button) in the Files Tree pane or in the Recent List pane.
New | - | Creates new HML file.
Copy | - | Creates a copy of the selected file with another name.
Rename | - | Changes the name of the selected HML file.
Delete | - | Removes the selected HML file.
Save | - | Saves changes.
Restore from backup | - | When "Create backup files" option is enabled, HML Manager creates backup files. Using this menu item you may restore information from that backup file (this action discards all changes that were made in the file since HML Manager was started).
Print | - | Sends information from the active panel to the printer.
Exit | - | Saves settings and exits HML Manager.
Edit menu - these commands are for managing tests.
Edit | - | Opens Test Properties dialog window and allows you to edit test(s) properties.
Delete | - | Removes the selected test(s).
Select All | - | Selects all tests in active Tests List pane.
Invert Selection | - | Selects all unselected tests and unselects all selected tests.
Import from Text file | - | Imports data from the special text file and appends the tests to the current list.
Import from IP-Tools | - | Imports data from the IP-Tools' HostList.
View menu - a set of commands for Tests List pane customization.
Large Icons | - | Displays items by using large icons.
Small Icons | - | Displays items by using small icons.
List | - | Displays items as a simple list.
Details | - | Every line of a list displays one test with detailed information about it.
Disabled tests - grey | - | Displays disabled tests on grey background.
Show tests in subfolders | - | When this option is enabled then the tests from a selected folder and all descendent subfolders are shown.
Show grid lines | - | With this option enabled, HML Manager will use gridlines to separate list items
Use HostMonitor's palette | - | With this option enabled HML Manager will inherit the color palette of HostMonitor. Disable this option to use Windows standard palette.
Sort by .. | - | You may specify the field which then will be used to sort tests in the list.
Options menu
Delete to Recycle Bin | - | Enables file deletion via the Recycle Bin.
Create backup files | - | Creates backup files (with .~HML extension) prior to all modifications.
Help menu
Help | - | Starts Help system in a special window.
Home Page | - | Starts default web browser and opens home page of the HML Manager on www.ks-soft.net.
WWW Forum | - | Starts default web browser and opens web forum on www.ks-soft.net.
About | - | Shows copyright and version information for HML Manager.

Minimum system requirements

  • Windows 95 (OSR2), 98, ME, NT 4.0, Windows 2000, or XP
  • Internet Explorer 4.0 or higher
  • 3 Mb of free disk space
  • Minimum screen resolution: 800 x 600
Recommended:
  • Internet Explorer 5+
  • Screen resolution: 1024 x 768 or higher

How much does it cost?

When you purchase an Advanced Host Monitor STANDARD, PROFESSIONAL or ENTERPRISE edition you will get the license for HML Manager at no cost. Otherwise the license costs $20. You can order HML Manager using credit card, Switch and Solo debit cards, check/money order or wire transfer. If you are concerned about submitting your order and/or credit card information online, you may register the HML Manager via phone, fax or postal mail.
Details..


Log Analyzer

HostMonitor's Main Page Log Analyzer
Version 4.03
Copyright (c) 2000-2004 KS-Soft
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

Log Analyzer is an auxiliary application for HostMonitor, it is included into Advanced Host Monitor package. Professional and Enterprise licenses for Advanced Host Monitor already include a license for Log Analyzer. Holders of a Lite or Standard licenses may buy an additional license for Log Analyzer separately.

Intro [image] Menu [image] Full screen chart [image] Report Manager [image] Options [image] Scripts [image] System Requirements [image] Price

As you know HostMonitor is able to log test results into a log file. Log Analyzer is a graphical tool that visualizes the log data. It parses the contents of a log file and presents the data as a variety of charts representing different test statistics. Log Analyzer may analyze all types of log files: HTML, Text, and DBF log files. In a second, administrator can get a snap shot of the host performance over a period of days or even months.
Several examples of the reports:
Example #1
Example #2
Example #3

Features:

  • Log Analyzer allows you to check information individually for each test;
  • It allows to analyze several log files at once;
  • For each test you can view a graphical chart;
  • The highly flexible Report Manager allows you to create and customize reports to your taste in a variety of ways;
  • Scripting support allows you to create reports automatically.

Main menu:

File
Load | - | Loads and analyzes specified log file
Append | - | Appends information from specified log file into the current data set
Refresh | - | Rereads all loaded log files
Print | - | Prints information from an active pane
Exit | - | Closes Log Analyzer
Search
Find | - | Searches for specific text, and highlights the first occurrence
Search again | - | Repeats the last search (starts from current position)
Filter | - | Date filter allows you to analyze log file(s) for specified period of time
View
Toolbar | - | Shows/hides toolbar
Log pane | - | Shows/hides log pane
Chart pane | - | Shows/hides chart pane
Chart
Full screen | - | Displays full screen version of a chart
Copy image to Clipboard | - | Copies a chart as an image into the clipboard
Print | - | Brings up a Print Preview dialog that allows you to print a chart
Reports
<list of the reports> | - | Generates HTML report using selected report profile
Report Manager | - | Brings up Report Manager dialog allowing you to modify and create new report profiles
Options
Interface | - | Displays Options dialog with interface related settings
Chart | - | Displays Options dialog allowing you to modify settings of the the full screen chart
Reports | - | Displays Options dialog with the settings related to the reports
Help
Help | - | Displays Help
Home page | - | Starts default web browser, opens home page of the Log Analyzer on www.ks-soft.net
WWW Forum | - | Starts default web browser, opens web forum on www.ks-soft.net
Support | - | Allows you to send e-mail to our tech support staff
About | - | About Log analyzer
License | - | License information and registration options

Full screen chart:

To display a chart in a full screen window, choose the item "Full screen chart" from the popup menu (this menu appears when you right-click in the Log Analyzer window).

Starting from version 3.50 Log Analyzer allows zooming in and out over the selected area of a chart. To zoom in on a chart area, hold the left mouse button and drag mouse down and right. You will see a rectangle around the selected area. Release the left mouse button to zoom in. You may continue zooming again and again.
To restore (undo) the zoom, drag a rectangle in the opposite direction (up and left).

After you right click the chart you may change upper and lower limits of the vertical and horizontal axis using "Set bounds" popup menu item. In the Chart Bounds dialog use an "Interval to display" parameter to set what time period needs to be displayed on the graph (horizontal axis). Use "Bounds to display" parameter to set the limits for "Reply" value mapping onto a graph (vertical axis).

Test logged time (from-till) | - | shows the whole period of time for which records in the log are available
Interval to display (from-till) | - | specifies the period of time to display on the screen
Test "Reply" value (min-max) | - | minimum and maximum values of the "Reply" field in the log file
Bounds to display (from-till) | - | specifies the lower and upper limits of the vertical axis. The user may change them to display the "Reply" values with a different scale.

There are following commands available in the chart's popup menu:
3D | - | enable/disable 3D effects
Statistics | - | show/hide semi-transparent panel with statistical information about the test
Options | - | brings up Options dialog
Set bounds | - | brings up Chart Bounds dialog (allows you to set lower and upper limits both for vertical and horizontal axis)
Adjust | - | sets the lower and upper limit of a vertical axis so that the "Reply" values of the selected time interval are fit on the screen
Copy image to Clipboard | - | copies a chart as an image into the clipboard
Save to file | - | saves an image of the chart as a bitmap (BMP) file
Print | - | brings up Print Preview dialog
Close | - | closes full screen chart (returns to Log Analyzer main window)

To close the full screen chart and return to Log Analyzer main window, press [ESC] or [Enter] or select "Close" menu item after the right click on the chart.

Report Manager:

The highly flexible Report Manager allows you to create and customize reports in a variety of ways. Within each profile you may set the following parameters:

Filter

Display following fields
The listbox on the left in the Report Manager dialog window contains the list of fields that you may include into the report (e. g., test name, test method, average reply, downtime, etc.). Click on the check box next to a field name to mark/unmark the item. Use "Mark all" button to select all available fields, use "Unmark all" button to deselect all items, use "Invert selection" to invert selection for the list.

Include following tests
The list in middle selects the test types to include into the report (e. g., all tests except Ping and CPU Usage tests). Click on the check box next to a field name to mark/unmark the item. Use "Mark all" button to select all available fields or use "Clear all" button to deselect all items. "Invert selection" option is also available.

Skip following tests
Use the listbox on the right to exclude some specific tests from the report.

Chart

Chart settings
Log Analyzer can create chart for each test. Choose one of the following options and specify width & height of the images.

  • Do not create charts
  • Create charts, add links to the report
  • Create charts, insert images into the report
    Charts are stored as an images in GIF file format.

    File

    File
    By default Log Analyzer saves all reports into one directory (you can specify that directory in the Options dialog), and uses the name of the profile as a file name (with HTM extension). But you can specify another file name by choosing the "Put report into particular file" option and providing a path and name of the file.

    Overwrite prompt
    With this option enabled Log Analyzer will ask for confirmation if the report file that is going to be created already exists.

    Resolve macros
    If you enable this option a date macro variables may be specified in the destination file name. Log Analyzer will interpret text between the '%' in the file name as a macro variable, where 'DD' represents the day of the month, 'MM' - the month, 'YY' - the year (2 last digits), 'YYYY' - the year.
    This allows creating file names by a template such as one of these:
    C:\HostMonitor4\Reports\%DDMMYY%-rep.htm
    C:\HostMonitor4\Reports\%YYYY\DD-MM%.htm

     Templates

    Use external header
    Use external footer
    Using these options you can provide an HTML files that will be used as a header and/or footer for the report. Mark this option only if you want to change the standard header or footer of the report. In HostMonitor's directory "Examples\LAReports\" you can find an example of the header and footer (the files: footer1.htm, header1.htm).
    In the header/footer file you can use macro variables to show the current date and time. You may select different colors and so on. Below is a list of the macro variables that may be used in an external header/footer:
    Variable | Description
    %Date% | current date
    %Time% | current time
    %DateTime% | current date & time
    %BGColor% | background color
    %TextColor% | text color
    %LinkColor% | hypertext link color
    %VLinkColor% | visited link color
    %ALinkColor% | active link color

    Use template for the table
    By using this option you may provide a file with HTML code that will be used to represent each test within the report. Of course each test has unique parameters so you have to use macro variables (which represent different test parameters) in the template. For example: if you want to create the report that will display a table with an average reply value for each test, use simple template with 2 variables:
    "<tr><td>%TestName%</td><td>%AverageReply%</td></tr>" (an HTML code for the header of a table should be contained in the header file). In HostMonitor's directory "Examples\LAReports\" you will find an example of such template (file templ1.htm).
    Below is a list of the macro variables that can be used in a template:
    Variable | Description
    %TestName% | name of the test
    %TestMethod% | test method
    %Period% | represents the whole time interval of the test log
    %AverageReply% | the average value of the results obtained
    %MinReply% | the minimum value of the results obtained
    %MaxReply% | the maximum value of the results obtained
    %AliveRatio% | Percentage of "Good" test results
    %DeadRatio% | Percentage of "Bad" test results
    %UnknownRatio% | Percentage of "Unknown" test results
    %DetailedLogFile% when this variable occurs in the table template, Log Analyzer creates HTML file that contains all check results for the test. It substitutes this variable with a corresponding file name.
    So, if you want to provide detailed log file for each test, use HTML code such as "<a href="%DetailedLogFile%">".
    %ImageFile% when this variable occurs in a template Log Analyzer creates GIF image that represents the test results and inserts the file name of this image file instead of the variable.
    So, if you want to insert images into the report, use HTML code like "<img src="%ImageFile%">".
    If you want to insert links to images into the report, use code like "<a href="%ImageFile%">".

    Several examples of the reports:
    Example #1
    Example #2
    Example #3

    Create reports
    Report Manager dialog contains several buttons that allow you to generate reports right away:

  • Current profile: creates report using current profile (the one you are currently editing)
  • Selected profiles: creates reports for marked profiles
  • All profiles: creates reports for all profiles

    Options:

    Interface page

     Colors
    Offers a choice of colors for the text, background and a chart pane.

    Show Toolbar
    Shows/hides the toolbar
    Show Log pane
    Shows/hides the log pane
    Show Chart
    Shows/hides the chart pane

    Grid
    By using this option you may specify a number of vertical and horizontal lines of the grid in a chart pane. You may also enable or disable grid in the log pane.

    Use fixed date&time format
    By default Log Analyzer gets current Windows regional settings at startup and uses these parameters until you change Windows settings and restart application. You may use this option to define the date & time formats (e.g. DD/MM/YYYY h:mm:ss AMPM). In this case, Log Analyzer will use the specified formats overriding the system settings.
    BTW: Changing the date format does not affects analyzing of the DBF and HTML log files. Log Analyzer is able to analyze these log files correctly regardless of the date & time settings. However this option can be useful to analyze text log files or html log files that were created by older versions of HostMonitor.

    Chart page

     You may chose the color scheme for the full screen chart on this page.

    Reports page

     Default destination folder
    Provide a path to the default destination folder for the reports. If this parameter is empty, Log Analyzer will use the directory where it was started from. In Report Manager you may specify different destination directory for some of the reports.

    Folder for images & detailed logs
    Here you may specify a path to a separate folder where auxiliary images and detailed log files will be stored. If you specify the relative path, Log Analyzer will use "Default destination folder"+"Folder for images" as a destination path. E.g. if you have defined "C:\HostMonitor4\Reports\" as a default folder and "Images\" as folder for images, then images and detailed logs will be stored in "C:\HostMonitor4\Reports\Images\" directory.

    Use macros
    If you enable this option a date macro variables may be specified in the path. Log Analyzer will interpret the text between the '%' of the path string as a macro, where 'DD' represents the day of the month, 'MM' - the month, 'YY' - the year (2 last digits), 'YYYY' - the year.
    For example the use of such a template will create a separate folder every day:
    C:\HostMonitor4\Reports\%DD-MM-YY%\
    C:\HostMonitor4\Reports\%YYYY\DD-MM%\

     Color palette
    You may customize color scheme for the HTML reports. The following elements have customizable colors (you may change both fore- and background colors):

  • underlaying layer;
  • table header;
  • test items;
  • system messages;
  • HTML links;
  • Visited HTML links;
  • Active HTML links;
    To change the color of an element, click on an element that you want to change. Use right-click to change its background color, and left-click to change the text color.
    The colors of the chart (GIF images) may be changed on Chart page of the Options dialog.

    Scripts:

    Log Analyzer 4.0+ supports scripts. Scripts allow you to generate reports automatically by schedule (e.g. using standard NT scheduler). Log Analyzer Script file (default extension .LAS) is a simple text file that contains commands for the application. You can create and edit script file using any text editor (e.g. notepad).

    Some common rules:

  • You can put only one command in each line
  • Comments: The program ignores all strings with a semicolon (;) as the 1st character
  • Commands: commands are case insensitive (e.g. "Load" and "LOAD" means the same)
  • When you provide a log file name or a date filter you can use date macro variables. Log Analyzer will interpret the text between '%' in the parameter as a date macro variable, where 'DD' represents the day of the month, 'MM' - the month, 'YY' - the year (2 last digits), 'YYYY' - the year.

    List of the commands:
    Command | Parameter(s) | Description
    Load | <log file name> | Loads and analyzes specified log file
    Append | <log file name> | Appends information from specified log file into current data set
    Filter | <start date> <end date> | Applies filter that determines what time period Log Analyzer should include into the reports. Format of the <start date> & <end date> is: DDMMYYYY
    CreateReport | "<report profile name>" | Creates report using specified report profile
    CreateSelectedReports | Creates reports for marked profiles (those that are marked in the Report Manager dialog)
    CreateAllReports | Creates reports for all profiles

    Example of the script:
    ;------------------------------------------
    Load C:\HostMonitor4\logs\%YYYY%\log.htm
    Append C:\HostMonitor4\logs\privatelog1.htm
    Append C:\HostMonitor4\logs\privatelog2.htm
    Filter %01MMYYYY% %30MMYYYY%
    CreateReport "HTTP tests (charts)"
    CreateReport "HTTP tests (no charts)"
    Createreport "Template1"
    ;------------------------------------------

    To execute a script, you should start Log Analyzer with the following command line parameter "-script:<name of script file>". There is also an optional parameter "-log:<name of the log file>". With this optional parameter Log Analyzer will record information about script execution and about errors in the script (if any) into the specified file.
    Example: LogsMan.exe -script:reports.las -log:scriptlog.txt

    Minimum system requirements

    • Windows 95 (OSR2), 98, ME, NT 4.0, Windows 2000, or XP
    • Internet Explorer 4.0 or higher (application can work without IE but help system will not be available)
    • 2 Mb of free disk space
    • Minimum screen resolution: 800 x 600
    Recommended:
    • Internet Explorer 5+
    • Screen resolution: 1024 x 768 or higher

    How much does it cost?

    When you purchase an Advanced Host Monitor PROFFESIONAL or ENTERPRISE edition you will get the license for Log Analyzer at no cost. Otherwise the license costs $45. You can order Log Analyzer using credit card, Switch and Solo debit cards, check/money order or wire transfer. If you are concerned about submitting your order and/or credit card information online, you may register the Log Analyzer via phone, fax or postal mail.
    Details..


LogAnalyzer Report
Generated on 12/04/2003 at 6:48:41 PM

Test name | Period | Alive time | Dead time | Average reply | Min reply | Max reply
www.occidcorp.com | 7 days 19:09 | 100.00% | 0.00% | 2808 | 1071 | 6089
HTTP: /index.htm | 1 day 12:36 | 94.75% | 0.00% | 590 | 280 | 4676
HTTP: /login.php | 1 day 12:30 | 94.97% | 0.00% | 2667 | 801 | 10114
HTTP: copy2 | 1 day 12:36 | 0.00% | 94.75% | 725 | 401 | 21381
HTTP: ks-soft. CRC | 1 day 12:36 | 94.53% | 0.00% | 634 | 300 | 4516
HTTP: proxy-212.23.24.50 | 1 day 12:35 | 94.53% | 0.23% | 600 | 280 | 3756
Main FTP server | 7 days 19:09 | 100.00% | 0.00% | 1187 | 671 | 3895
Main web server | 7 days 19:09 | 100.00% | 0.00% | 582 | 130 | 3615
groups.google.com | 7 days 19:09 | 99.91% | 0.09% | 587 | 190 | 7741
www.altavista.com | 7 days 19:09 | 100.00% | 0.00% | 546 | 200 | 7851
www.yahoo.com | 7 days 19:09 | 100.00% | 0.00% | 549 | 150 | 3585

This report was generated by Advanced Host Monitor
www.ks-soft.net


LogAnalyzer Report
Generated on 12/04/2003 at 6:50:20 PM

Test name | Alive time | Dead time | Average reply | Min reply | Max reply
www.occidcorp.com | 100.00% | 0.00% | 2808 | 1071 | 6089
Main FTP server | 100.00% | 0.00% | 1187 | 671 | 3895
Main web server | 100.00% | 0.00% | 582 | 130 | 3615
groups.google.com | 99.91% | 0.09% | 587 | 190 | 7741
www.altavista.com | 100.00% | 0.00% | 546 | 200 | 7851
www.google.com | 100.00% | 0.00% | 648 | 251 | 3495
www.yahoo.com | 100.00% | 0.00% | 549 | 150 | 3585

This report was generated by Advanced Host Monitor


LogAnalyzer Report
Generated on 12/04/2003 at 6:47:24 PM

Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | www.occid.com URL request 7 days 19:09 100.00% 0.00% 2808 1071 6089
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | HTTP: /index.htm HTTP test (www.ks-soft.net) 1 day 12:36 94.75% 0.00% 590 280 4676
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | HTTP: /login.php HTTP test (www.ks-soft.net) 1 day 12:30 94.97% 0.00% 2667 801 10114
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | HTTP: copy2 HTTP test (www.ks-soft.net) 1 day 12:36 0.00% 94.75% 725 401 21381
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | HTTP: ks-soft. CRC HTTP test (www.ks-soft.net) 1 day 12:36 94.53% 0.00% 634 300 4516
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | HTTP: proxy-212.23.24.50 HTTP test (www.ks-soft.net) 1 day 12:35 94.53% 0.23% 600 280 3756
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | Main FTP server URL request 7 days 19:09 100.00% 0.00% 1187 671 3895
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | Main web server URL request 7 days 19:09 100.00% 0.00% 582 130 3615
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | groups.google.com URL request 7 days 19:09 99.91% 0.09% 587 190 7741
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | www.altavista.com URL request 7 days 19:09 100.00% 0.00% 546 200 7851
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | www.google.com URL request 7 days 19:09 100.00% 0.00% 648 251 3495
Test name: Test method: Period: Alive ratio: Dead ratio: Average reply: Minimum reply: Maximum reply: | www.yahoo.com URL request 7 days 19:09 100.00% 0.00% 549 150 3585

This report was generated by Advanced Host Monitor
www.ks-soft.net


Log qoute for test "groups.google.com

 Test: groups.google.com
Method: URL request

10/12/2002 7:20:28 PM | Host is alive | 461 ms
11/12/2002 6:30:39 PM | Host is alive | 551 ms
11/12/2002 6:40:41 PM | Host is alive | 471 ms
17/12/2002 9:51:36 PM | Host is alive | 1402 ms
17/12/2002 10:01:47 PM | Host is alive | 440 ms
18/12/2002 9:01:58 PM | Host is alive | 230 ms
18/12/2002 9:52:17 PM | Host is alive | 210 ms
19/12/2002 9:55:35 PM | Host is alive | 421 ms
19/12/2002 10:09:38 PM | Host is alive | 260 ms
19/12/2002 10:59:04 PM | Host is alive | 291 ms
20/12/2002 9:55:20 PM | Host is alive | 261 ms
20/12/2002 11:00:28 PM | Host is alive | 301 ms
20/12/2002 11:30:35 PM | Host is alive | 290 ms
25/12/2002 9:30:46 PM | Host is alive | 381 ms
25/12/2002 9:59:57 PM | Host is alive | 300 ms
25/12/2002 10:59:57 PM | Host is alive | 331 ms
26/12/2002 8:00:42 PM | Host is alive | 821 ms
26/12/2002 9:00:45 PM | Host is alive | 290 ms
26/12/2002 9:59:57 PM | Host is alive | 330 ms
26/12/2002 10:33:23 PM | Host is alive | 290 ms
26/12/2002 10:59:27 PM | Host is alive | 591 ms
26/12/2002 11:13:43 PM | Host is alive | 3294 ms
17/12/2002 10:18:13 PM | Host is alive | 7741 ms
18/12/2002 9:20:05 PM | Host is alive | 250 ms
18/12/2002 9:59:56 PM | Host is alive | 200 ms
18/12/2002 10:40:36 PM | Host is alive | 290 ms
18/12/2002 10:59:41 PM | Host is alive | 370 ms
19/12/2002 10:59:58 PM | Host is alive | 310 ms
20/12/2002 11:00:04 PM | Host is alive | 231 ms
17/01/2003 11:00:19 PM | Host is alive | 210 ms
18/01/2003 10:09:30 PM | Host is alive | 240 ms
24/01/2003 10:10:14 PM | Host is alive | 230 ms
17/02/2003 10:10:25 PM | Host is alive | 621 ms
18/02/2003 11:10:45 PM | Host is alive | 241 ms
18/03/2003 11:10:55 PM | Host is alive | 310 ms
18/04/2003 11:11:04 PM | Host is alive | 240 ms
18/06/2003 11:11:24 PM | Host is alive | 241 ms
18/07/2003 11:11:33 PM | Host is alive | 280 ms
31/08/2003 11:11:43 PM | Host is alive | 611 ms
16/09/2003 11:11:58 PM | Host is alive | 400 ms
18/09/2003 11:12:05 PM | Host is alive | 261 ms
24/10/2003 11:12:15 PM | Host is alive | 300 ms
24/12/2003 11:12:24 PM | Host is alive | 320 ms
17/12/2002 10:25:44 PM | Host is alive | 311 ms
20/12/2002 10:28:42 PM | Host is alive | 251 ms
21/12/2002 10:28:54 PM | Host is alive | 241 ms
22/12/2002 10:28:57 PM | Host is alive | 281 ms
28/12/2002 10:29:06 PM | Host is alive | 290 ms
30/12/2002 10:29:10 PM | Host is alive | 211 ms
17/12/2002 10:48:10 PM | Host is alive | 470 ms
17/12/2002 10:58:11 PM | Host is alive | 380 ms
17/12/2002 11:08:12 PM | Host is alive | 290 ms
17/12/2002 11:18:13 PM | Host is alive | 371 ms
17/12/2002 11:28:14 PM | Host is alive | 250 ms
17/12/2002 11:38:15 PM | Host is alive | 190 ms
17/12/2002 11:48:16 PM | Host is alive | 461 ms
17/12/2002 11:58:17 PM | Host is alive | 671 ms
18/12/2002 12:08:18 AM | Host is alive | 751 ms
18/12/2002 12:18:19 AM | Host is alive | 391 ms
18/12/2002 12:28:20 AM | Host is alive | 200 ms
18/12/2002 12:38:21 AM | Host is alive | 280 ms
18/12/2002 12:48:22 AM | Host is alive | 280 ms
18/12/2002 12:58:22 AM | Host is alive | 221 ms
18/12/2002 1:08:44 AM | No answer
18/12/2002 1:18:45 AM | Host is alive | 260 ms
18/12/2002 2:29:59 PM | Host is alive | 5007 ms


Log qoute for test "HTTP: copy2

 Test: HTTP: copy2
Method: HTTP test (www.ks-soft.net)

12/12/2002 1:02:34 PM | Bad contents | 691 ms
12/12/2002 1:02:34 PM | Bad contents | 721 ms
12/12/2002 1:02:34 PM | Bad contents | 721 ms
12/12/2002 1:02:34 PM | Bad contents | 721 ms
12/12/2002 1:02:34 PM | Bad contents | 751 ms
12/12/2002 1:06:14 PM | Bad contents | 731 ms
12/12/2002 1:06:17 PM | Bad contents | 3455 ms
12/12/2002 1:06:17 PM | Bad contents | 3596 ms
12/12/2002 1:06:17 PM | Bad contents | 3606 ms
12/12/2002 1:06:17 PM | Bad contents | 3606 ms
12/12/2002 1:06:23 PM | Bad contents | 581 ms
12/12/2002 1:06:23 PM | Bad contents | 591 ms
12/12/2002 1:06:23 PM | Bad contents | 681 ms
12/12/2002 1:06:23 PM | Bad contents | 691 ms
12/12/2002 1:06:23 PM | Bad contents | 761 ms
12/12/2002 1:07:34 PM | Bad contents | 460 ms
12/12/2002 1:07:34 PM | Bad contents | 601 ms
12/12/2002 1:07:34 PM | Bad contents | 651 ms
12/12/2002 1:07:34 PM | Bad contents | 621 ms
12/12/2002 1:07:34 PM | Bad contents | 621 ms
12/12/2002 1:12:40 PM | Bad contents | 3835 ms
12/12/2002 1:12:40 PM | Bad contents | 3825 ms
12/12/2002 1:12:40 PM | Bad contents | 3966 ms
12/12/2002 1:12:40 PM | Bad contents | 4016 ms
12/12/2002 1:12:40 PM | Bad contents | 4056 ms
12/12/2002 1:41:00 PM | Bad contents | 591 ms
12/12/2002 1:41:00 PM | Bad contents | 581 ms
12/12/2002 1:41:00 PM | Bad contents | 591 ms
12/12/2002 1:41:00 PM | Bad contents | 621 ms
12/12/2002 1:41:03 PM | Bad contents | 3495 ms
12/12/2002 1:46:01 PM | Bad contents | 571 ms
12/12/2002 1:46:01 PM | Bad contents | 661 ms
12/12/2002 1:46:04 PM | Bad contents | 3775 ms
12/12/2002 1:46:04 PM | Bad contents | 3775 ms
12/12/2002 1:46:04 PM | Bad contents | 951 ms
12/12/2002 1:51:01 PM | Bad contents | 461 ms
12/12/2002 1:51:01 PM | Bad contents | 451 ms
12/12/2002 1:51:05 PM | Bad contents | 501 ms
12/12/2002 1:51:05 PM | Bad contents | 581 ms
12/12/2002 1:51:05 PM | Bad contents | 651 ms
12/12/2002 1:56:02 PM | Bad contents | 501 ms
12/12/2002 1:56:02 PM | Bad contents | 531 ms
12/12/2002 1:56:06 PM | Bad contents | 631 ms
12/12/2002 1:56:06 PM | Bad contents | 631 ms
12/12/2002 1:56:06 PM | Bad contents | 731 ms
12/12/2002 2:01:03 PM | Bad contents | 581 ms
12/12/2002 2:01:03 PM | Bad contents | 611 ms
12/12/2002 2:01:08 PM | Bad contents | 451 ms
12/12/2002 2:01:08 PM | Bad contents | 461 ms
12/12/2002 2:01:08 PM | Bad contents | 491 ms
12/12/2002 2:06:05 PM | Bad contents | 1322 ms
12/12/2002 2:06:05 PM | Bad contents | 1332 ms
12/12/2002 2:06:09 PM | Bad contents | 451 ms
12/12/2002 2:06:09 PM | Bad contents | 481 ms
12/12/2002 2:06:09 PM | Bad contents | 471 ms
12/12/2002 2:11:06 PM | Bad contents | 530 ms
12/12/2002 2:11:06 PM | Bad contents | 561 ms
12/12/2002 2:11:10 PM | Bad contents | 520 ms
12/12/2002 2:11:10 PM | Bad contents | 520 ms
12/12/2002 2:11:10 PM | Bad contents | 520 ms
12/12/2002 2:16:07 PM | Bad contents | 471 ms
12/12/2002 2:16:07 PM | Bad contents | 461 ms
12/12/2002 2:16:11 PM | Bad contents | 451 ms
12/12/2002 2:16:11 PM | Bad contents | 461 ms
12/12/2002 2:16:11 PM | Bad contents | 501 ms
12/12/2002 2:21:08 PM | Bad contents | 440 ms
12/12/2002 2:21:08 PM | Bad contents | 450 ms
12/12/2002 2:21:12 PM | Bad contents | 600 ms
12/12/2002 2:21:12 PM | Bad contents | 721 ms
12/12/2002 2:21:12 PM | Bad contents | 741 ms
12/12/2002 2:26:09 PM | Bad contents | 481 ms
12/12/2002 2:26:09 PM | Bad contents | 541 ms
12/12/2002 2:26:13 PM | Bad contents | 761 ms
12/12/2002 2:26:13 PM | Bad contents | 791 ms
12/12/2002 2:26:13 PM | Bad contents | 882 ms
12/12/2002 2:31:09 PM | Bad contents | 621 ms
12/12/2002 2:31:09 PM | Bad contents | 631 ms
12/12/2002 2:31:14 PM | Bad contents | 591 ms
12/12/2002 2:31:14 PM | Bad contents | 591 ms
12/12/2002 2:31:14 PM | Bad contents | 601 ms
12/12/2002 2:36:11 PM | Bad contents | 681 ms
12/12/2002 2:36:11 PM | Bad contents | 681 ms
12/12/2002 2:36:16 PM | Bad contents | 782 ms
12/12/2002 2:36:16 PM | Bad contents | 782 ms
12/12/2002 2:36:16 PM | Bad contents | 792 ms
12/12/2002 2:41:12 PM | Bad contents | 541 ms
12/12/2002 2:41:12 PM | Bad contents | 551 ms
12/12/2002 2:41:17 PM | Bad contents | 481 ms
12/12/2002 2:41:17 PM | Bad contents | 491 ms
12/12/2002 2:41:17 PM | Bad contents | 491 ms
12/12/2002 2:46:14 PM | Bad contents | 761 ms
12/12/2002 2:46:14 PM | Bad contents | 781 ms
12/12/2002 2:46:19 PM | Bad contents | 501 ms
12/12/2002 2:46:19 PM | Bad contents | 501 ms
12/12/2002 2:46:19 PM | Bad contents | 511 ms
12/12/2002 2:51:14 PM | Bad contents | 441 ms
12/12/2002 2:51:15 PM | Bad contents | 461 ms
12/12/2002 2:51:20 PM | Bad contents | 541 ms
12/12/2002 2:51:20 PM | Bad contents | 541 ms
12/12/2002 2:51:20 PM | Bad contents | 541 ms
12/12/2002 2:56:15 PM | Bad contents | 701 ms
12/12/2002 2:56:15 PM | Bad contents | 711 ms
12/12/2002 2:56:21 PM | Bad contents | 1442 ms
12/12/2002 2:56:21 PM | Bad contents | 1463 ms
12/12/2002 2:56:21 PM | Bad contents | 1503 ms
12/12/2002 3:01:17 PM | Bad contents | 510 ms
12/12/2002 3:01:20 PM | Bad contents | 3565 ms
12/12/2002 3:01:23 PM | Bad contents | 701 ms
12/12/2002 3:01:23 PM | Bad contents | 701 ms
12/12/2002 3:01:23 PM | Bad contents | 701 ms
12/12/2002 3:06:18 PM | Bad contents | 521 ms
12/12/2002 3:06:21 PM | Bad contents | 401 ms
12/12/2002 3:06:24 PM | Bad contents | 661 ms
12/12/2002 3:06:24 PM | Bad contents | 661 ms
12/12/2002 3:06:24 PM | Bad contents | 681 ms
12/12/2002 3:11:19 PM | Bad contents | 420 ms
12/12/2002 3:11:22 PM | Bad contents | 481 ms
12/12/2002 3:11:25 PM | Bad contents | 521 ms
12/12/2002 3:11:25 PM | Bad contents | 521 ms
12/12/2002 3:11:25 PM | Bad contents | 521 ms
12/12/2002 3:16:19 PM | Bad contents | 520 ms
12/12/2002 3:16:23 PM | Bad contents | 501 ms
12/12/2002 3:16:26 PM | Bad contents | 561 ms
12/12/2002 3:16:26 PM | Bad contents | 561 ms
12/12/2002 3:16:26 PM | Bad contents | 561 ms
12/12/2002 4:13:28 PM | Bad contents | 701 ms
12/12/2002 4:13:28 PM | Bad contents | 741 ms
12/12/2002 4:13:28 PM | Bad contents | 721 ms
12/12/2002 4:13:28 PM | Bad contents | 721 ms
12/12/2002 4:13:31 PM | Bad contents | 3625 ms
12/12/2002 4:18:30 PM | Bad contents | 1252 ms
12/12/2002 4:18:30 PM | Bad contents | 1252 ms
12/12/2002 4:18:30 PM | Bad contents | 1252 ms
12/12/2002 4:18:30 PM | Bad contents | 1382 ms
12/12/2002 4:18:33 PM | Bad contents | 651 ms
12/12/2002 4:23:32 PM | Bad contents | 551 ms
12/12/2002 4:23:32 PM | Bad contents | 551 ms
12/12/2002 4:23:32 PM | Bad contents | 571 ms
12/12/2002 4:23:32 PM | Bad contents | 571 ms
12/12/2002 4:23:34 PM | Bad contents | 501 ms
12/12/2002 4:28:33 PM | Bad contents | 551 ms
12/12/2002 4:28:33 PM | Bad contents | 551 ms
12/12/2002 4:28:33 PM | Bad contents | 551 ms
12/12/2002 4:28:33 PM | Bad contents | 571 ms
12/12/2002 4:28:36 PM | Bad contents | 882 ms
12/12/2002 4:33:35 PM | Bad contents | 811 ms
12/12/2002 4:33:35 PM | Bad contents | 821 ms
12/12/2002 4:33:35 PM | Bad contents | 821 ms
12/12/2002 4:33:35 PM | Bad contents | 831 ms
12/12/2002 4:33:37 PM | Bad contents | 1302 ms
12/12/2002 4:38:36 PM | Bad contents | 641 ms
12/12/2002 4:38:36 PM | Bad contents | 742 ms
12/12/2002 4:38:36 PM | Bad contents | 772 ms
12/12/2002 4:38:36 PM | Bad contents | 842 ms
12/12/2002 4:38:38 PM | Bad contents | 681 ms
12/12/2002 4:43:38 PM | Bad contents | 631 ms
12/12/2002 4:43:38 PM | Bad contents | 621 ms
12/12/2002 4:43:38 PM | Bad contents | 631 ms
12/12/2002 4:43:38 PM | Bad contents | 631 ms
12/12/2002 4:43:40 PM | Bad contents | 881 ms
12/12/2002 4:48:39 PM | Bad contents | 541 ms
12/12/2002 4:48:39 PM | Bad contents | 541 ms
12/12/2002 4:48:39 PM | Bad contents | 541 ms
12/12/2002 4:48:39 PM | Bad contents | 551 ms
12/12/2002 4:48:41 PM | Bad contents | 521 ms
12/12/2002 4:53:41 PM | Bad contents | 561 ms
12/12/2002 4:53:41 PM | Bad contents | 571 ms
12/12/2002 4:53:41 PM | Bad contents | 571 ms
12/12/2002 4:53:41 PM | Bad contents | 571 ms
12/12/2002 4:53:42 PM | Bad contents | 420 ms
12/12/2002 4:58:41 PM | Bad contents | 461 ms
12/12/2002 4:58:41 PM | Bad contents | 471 ms
12/12/2002 4:58:41 PM | Bad contents | 471 ms
12/12/2002 4:58:41 PM | Bad contents | 471 ms
12/12/2002 4:58:43 PM | Bad contents | 591 ms
12/12/2002 5:03:42 PM | Bad contents | 711 ms
12/12/2002 5:03:42 PM | Bad contents | 731 ms
12/12/2002 5:03:43 PM | Bad contents | 611 ms
12/12/2002 5:03:43 PM | Bad contents | 621 ms
12/12/2002 5:03:45 PM | Bad contents | 570 ms
12/12/2002 5:08:43 PM | Bad contents | 521 ms
12/12/2002 5:08:43 PM | Bad contents | 521 ms
12/12/2002 5:08:44 PM | Bad contents | 621 ms
12/12/2002 5:08:44 PM | Bad contents | 621 ms
12/12/2002 5:08:46 PM | Bad contents | 541 ms
12/12/2002 5:14:02 PM | Bad contents | 671 ms
12/12/2002 5:14:05 PM | Bad contents | 3636 ms
12/12/2002 5:14:05 PM | Bad contents | 3636 ms
12/12/2002 5:14:05 PM | Bad contents | 3656 ms
12/12/2002 5:14:05 PM | Bad contents | 3656 ms
12/12/2002 5:19:03 PM | Bad contents | 531 ms
12/12/2002 5:19:06 PM | Bad contents | 601 ms
12/12/2002 5:19:06 PM | Bad contents | 570 ms
12/12/2002 5:19:06 PM | Bad contents | 661 ms
12/12/2002 5:19:06 PM | Bad contents | 651 ms
12/12/2002 5:24:04 PM | Bad contents | 691 ms
12/12/2002 5:24:07 PM | Bad contents | 651 ms
12/12/2002 5:24:07 PM | Bad contents | 650 ms
12/12/2002 5:24:07 PM | Bad contents | 731 ms
12/12/2002 5:24:07 PM | Bad contents | 731 ms
12/12/2002 5:29:05 PM | Bad contents | 561 ms
12/12/2002 5:29:08 PM | Bad contents | 550 ms
12/12/2002 5:29:08 PM | Bad contents | 570 ms
12/12/2002 5:29:09 PM | Bad contents | 711 ms
12/12/2002 5:29:09 PM | Bad contents | 741 ms
12/12/2002 5:34:07 PM | Bad contents | 751 ms
12/12/2002 5:34:10 PM | Bad contents | 441 ms
12/12/2002 5:34:10 PM | Bad contents | 461 ms
12/12/2002 5:34:10 PM | Bad contents | 481 ms
12/12/2002 5:34:10 PM | Bad contents | 511 ms
12/12/2002 5:39:09 PM | Bad contents | 701 ms
12/12/2002 5:39:11 PM | Bad contents | 590 ms
12/12/2002 5:39:11 PM | Bad contents | 621 ms
12/12/2002 5:39:11 PM | Bad contents | 691 ms
12/12/2002 5:39:11 PM | Bad contents | 712 ms
12/12/2002 5:44:11 PM | Bad contents | 842 ms
12/12/2002 5:44:12 PM | Bad contents | 821 ms
12/12/2002 5:44:12 PM | Bad contents | 911 ms
12/12/2002 5:44:12 PM | Bad contents | 911 ms
12/12/2002 5:44:13 PM | Bad contents | 1072 ms
12/12/2002 5:49:12 PM | Bad contents | 962 ms
12/12/2002 5:49:12 PM | Bad contents | 480 ms
12/12/2002 5:49:14 PM | Bad contents | 1322 ms
12/12/2002 5:49:14 PM | Bad contents | 1342 ms
12/12/2002 5:49:14 PM | Bad contents | 580 ms
12/12/2002 5:54:13 PM | Bad contents | 521 ms
12/12/2002 5:54:13 PM | Bad contents | 521 ms
12/12/2002 5:54:15 PM | Bad contents | 511 ms
12/12/2002 5:54:15 PM | Bad contents | 551 ms
12/12/2002 5:54:15 PM | Bad contents | 551 ms
12/12/2002 5:59:14 PM | Bad contents | 551 ms
12/12/2002 5:59:14 PM | Bad contents | 591 ms
12/12/2002 5:59:16 PM | Bad contents | 500 ms
12/12/2002 5:59:16 PM | Bad contents | 511 ms
12/12/2002 5:59:16 PM | Bad contents | 521 ms
12/12/2002 6:04:15 PM | Bad contents | 511 ms
12/12/2002 6:04:15 PM | Bad contents | 440 ms
12/12/2002 6:04:16 PM | Bad contents | 461 ms
12/12/2002 6:04:16 PM | Bad contents | 481 ms
12/12/2002 6:04:16 PM | Bad contents | 481 ms
12/12/2002 6:09:15 PM | Bad contents | 601 ms
12/12/2002 6:09:16 PM | Bad contents | 661 ms
12/12/2002 6:09:17 PM | Bad contents | 521 ms
12/12/2002 6:09:17 PM | Bad contents | 521 ms
12/12/2002 6:09:17 PM | Bad contents | 541 ms
12/12/2002 6:14:17 PM | Bad contents | 531 ms
12/12/2002 6:14:18 PM | Bad contents | 521 ms
12/12/2002 6:14:19 PM | Bad contents | 561 ms
12/12/2002 6:14:19 PM | Bad contents | 561 ms
12/12/2002 6:14:19 PM | Bad contents | 571 ms
12/12/2002 6:19:18 PM | Bad contents | 521 ms
12/12/2002 6:19:19 PM | Bad contents | 561 ms
12/12/2002 6:19:20 PM | Bad contents | 491 ms
12/12/2002 6:19:20 PM | Bad contents | 511 ms
12/12/2002 6:19:20 PM | Bad contents | 521 ms
12/12/2002 6:24:20 PM | Bad contents | 621 ms
12/12/2002 6:24:21 PM | Bad contents | 521 ms
12/12/2002 6:24:22 PM | Bad contents | 581 ms
12/12/2002 6:24:22 PM | Bad contents | 581 ms
12/12/2002 6:24:22 PM | Bad contents | 591 ms
12/12/2002 6:29:20 PM | Bad contents | 581 ms
12/12/2002 6:29:21 PM | Bad contents | 561 ms
12/12/2002 6:29:22 PM | Bad contents | 501 ms
12/12/2002 6:29:22 PM | Bad contents | 501 ms
12/12/2002 6:29:22 PM | Bad contents | 511 ms
12/12/2002 6:34:22 PM | Bad contents | 621 ms
12/12/2002 6:34:23 PM | Bad contents | 641 ms
12/12/2002 6:34:24 PM | Bad contents | 681 ms
12/12/2002 6:34:24 PM | Bad contents | 681 ms
12/12/2002 6:34:24 PM | Bad contents | 691 ms
12/12/2002 6:39:23 PM | Bad contents | 621 ms
12/12/2002 6:39:24 PM | Bad contents | 581 ms
12/12/2002 6:39:24 PM | Bad contents | 481 ms
12/12/2002 6:39:24 PM | Bad contents | 481 ms
12/12/2002 6:39:26 PM | Bad contents | 661 ms
12/12/2002 6:44:24 PM | Bad contents | 1122 ms
12/12/2002 6:44:25 PM | Bad contents | 490 ms
12/12/2002 6:44:26 PM | Bad contents | 521 ms
12/12/2002 6:44:26 PM | Bad contents | 521 ms
12/12/2002 6:44:27 PM | Bad contents | 551 ms
12/12/2002 6:49:27 PM | Bad contents | 2563 ms
12/12/2002 6:49:27 PM | Bad contents | 1803 ms
12/12/2002 6:49:27 PM | Bad contents | 952 ms
12/12/2002 6:49:27 PM | Bad contents | 962 ms
12/12/2002 6:49:28 PM | Bad contents | 481 ms
12/12/2002 6:54:29 PM | Bad contents | 571 ms
12/12/2002 6:54:29 PM | Bad contents | 571 ms
12/12/2002 6:54:29 PM | Bad contents | 581 ms
12/12/2002 6:54:29 PM | Bad contents | 581 ms
12/12/2002 6:54:30 PM | Bad contents | 641 ms
12/12/2002 7:04:15 PM | Bad contents | 651 ms
12/12/2002 7:04:15 PM | Bad contents | 621 ms
12/12/2002 7:04:15 PM | Bad contents | 681 ms
12/12/2002 7:04:16 PM | Bad contents | 731 ms
12/12/2002 7:04:16 PM | Bad contents | 731 ms
12/12/2002 7:09:17 PM | Bad contents | 551 ms
12/12/2002 7:09:17 PM | Bad contents | 581 ms
12/12/2002 7:09:17 PM | Bad contents | 611 ms
12/12/2002 7:09:17 PM | Bad contents | 701 ms
12/12/2002 7:09:17 PM | Bad contents | 711 ms
12/12/2002 7:14:18 PM | Bad contents | 661 ms
12/12/2002 7:14:18 PM | Bad contents | 661 ms
12/12/2002 7:14:19 PM | Bad contents | 811 ms
12/12/2002 7:14:19 PM | Bad contents | 811 ms
12/12/2002 7:14:19 PM | Bad contents | 831 ms
12/12/2002 7:19:20 PM | Bad contents | 581 ms
12/12/2002 7:19:20 PM | Bad contents | 601 ms
12/12/2002 7:19:20 PM | Bad contents | 681 ms
12/12/2002 7:19:20 PM | Bad contents | 681 ms
12/12/2002 7:19:20 PM | Bad contents | 681 ms
12/12/2002 8:21:34 PM | Bad contents | 4697 ms
12/12/2002 8:21:34 PM | Bad contents | 4667 ms
12/12/2002 8:21:35 PM | Bad contents | 5779 ms
12/12/2002 8:21:35 PM | Bad contents | 5739 ms
12/12/2002 8:21:35 PM | Bad contents | 5799 ms
12/12/2002 8:26:35 PM | Bad contents | 521 ms
12/12/2002 8:26:35 PM | Bad contents | 521 ms
12/12/2002 8:26:36 PM | Bad contents | 520 ms
12/12/2002 8:26:36 PM | Bad contents | 530 ms
12/12/2002 8:26:36 PM | Bad contents | 540 ms
12/12/2002 8:31:37 PM | Bad contents | 600 ms
12/12/2002 8:31:37 PM | Bad contents | 600 ms
12/12/2002 8:31:37 PM | Bad contents | 561 ms
12/12/2002 8:31:38 PM | Bad contents | 561 ms
12/12/2002 8:31:38 PM | Bad contents | 571 ms
12/12/2002 8:36:37 PM | Bad contents | 581 ms
12/12/2002 8:36:37 PM | Bad contents | 691 ms
12/12/2002 8:36:38 PM | Bad contents | 731 ms
12/12/2002 8:36:38 PM | Bad contents | 731 ms
12/12/2002 8:36:38 PM | Bad contents | 741 ms
12/12/2002 8:41:38 PM | Bad contents | 681 ms
12/12/2002 8:41:40 PM | Bad contents | 1382 ms
12/12/2002 8:41:40 PM | Bad contents | 471 ms
12/12/2002 8:41:40 PM | Bad contents | 561 ms
12/12/2002 8:41:40 PM | Bad contents | 561 ms
12/12/2002 8:46:39 PM | Bad contents | 540 ms
12/12/2002 8:46:40 PM | Bad contents | 701 ms
12/12/2002 8:46:40 PM | Bad contents | 701 ms
12/12/2002 8:46:41 PM | Bad contents | 520 ms
12/12/2002 8:46:41 PM | Bad contents | 520 ms
12/12/2002 8:51:41 PM | Bad contents | 561 ms
12/12/2002 8:51:42 PM | Bad contents | 620 ms
12/12/2002 8:51:42 PM | Bad contents | 631 ms
12/12/2002 8:51:43 PM | Bad contents | 581 ms
12/12/2002 8:51:43 PM | Bad contents | 581 ms
12/12/2002 8:56:43 PM | Bad contents | 901 ms
12/12/2002 8:56:43 PM | Bad contents | 591 ms
12/12/2002 8:56:43 PM | Bad contents | 591 ms
12/12/2002 8:56:44 PM | Bad contents | 742 ms
12/12/2002 8:56:44 PM | Bad contents | 742 ms
12/12/2002 9:01:44 PM | Bad contents | 621 ms
12/12/2002 9:01:45 PM | Bad contents | 461 ms
12/12/2002 9:01:45 PM | Bad contents | 501 ms
12/12/2002 9:01:46 PM | Bad contents | 781 ms
12/12/2002 9:01:46 PM | Bad contents | 781 ms
12/12/2002 9:06:45 PM | Bad contents | 501 ms
12/12/2002 9:06:46 PM | Bad contents | 581 ms
12/12/2002 9:06:46 PM | Bad contents | 601 ms
12/12/2002 9:06:47 PM | Bad contents | 541 ms
12/12/2002 9:06:47 PM | Bad contents | 541 ms
12/12/2002 9:11:47 PM | Bad contents | 2183 ms
12/12/2002 9:11:48 PM | Bad contents | 611 ms
12/12/2002 9:11:48 PM | Bad contents | 631 ms
12/12/2002 9:11:49 PM | Bad contents | 521 ms
12/12/2002 9:11:49 PM | Bad contents | 521 ms
12/12/2002 9:16:48 PM | Bad contents | 480 ms
12/12/2002 9:16:49 PM | Bad contents | 521 ms
12/12/2002 9:16:49 PM | Bad contents | 521 ms
12/12/2002 9:16:49 PM | Bad contents | 521 ms
12/12/2002 9:16:49 PM | Bad contents | 551 ms
12/12/2002 9:21:50 PM | Bad contents | 621 ms
12/12/2002 9:21:51 PM | Bad contents | 600 ms
12/12/2002 9:21:51 PM | Bad contents | 600 ms
12/12/2002 9:21:51 PM | Bad contents | 600 ms
12/12/2002 9:21:51 PM | Bad contents | 610 ms
12/12/2002 9:26:51 PM | Bad contents | 440 ms
12/12/2002 9:26:52 PM | Bad contents | 441 ms
12/12/2002 9:26:52 PM | Bad contents | 461 ms
12/12/2002 9:26:52 PM | Bad contents | 461 ms
12/12/2002 9:26:52 PM | Bad contents | 461 ms
12/12/2002 9:31:52 PM | Bad contents | 441 ms
12/12/2002 9:31:53 PM | Bad contents | 431 ms
12/12/2002 9:31:53 PM | Bad contents | 461 ms
12/12/2002 9:31:53 PM | Bad contents | 461 ms
12/12/2002 9:31:53 PM | Bad contents | 461 ms
12/12/2002 9:36:54 PM | Bad contents | 521 ms
12/12/2002 9:36:54 PM | Bad contents | 521 ms
12/12/2002 9:36:55 PM | Bad contents | 621 ms
12/12/2002 9:36:55 PM | Bad contents | 621 ms
12/12/2002 9:36:55 PM | Bad contents | 621 ms
12/12/2002 9:41:55 PM | Bad contents | 621 ms
12/12/2002 9:41:55 PM | Bad contents | 621 ms
12/12/2002 9:41:56 PM | Bad contents | 601 ms
12/12/2002 9:41:56 PM | Bad contents | 601 ms
12/12/2002 9:41:56 PM | Bad contents | 601 ms
12/12/2002 9:46:57 PM | Bad contents | 561 ms
12/12/2002 9:46:57 PM | Bad contents | 561 ms
12/12/2002 9:46:58 PM | Bad contents | 561 ms
12/12/2002 9:46:58 PM | Bad contents | 561 ms
12/12/2002 9:46:58 PM | Bad contents | 561 ms
12/12/2002 9:51:58 PM | Bad contents | 581 ms
12/12/2002 9:51:58 PM | Bad contents | 581 ms
12/12/2002 9:51:59 PM | Bad contents | 541 ms
12/12/2002 9:51:59 PM | Bad contents | 541 ms
12/12/2002 9:51:59 PM | Bad contents | 561 ms
12/12/2002 9:57:00 PM | Bad contents | 621 ms
12/12/2002 9:57:00 PM | Bad contents | 641 ms
12/12/2002 9:57:01 PM | Bad contents | 681 ms
12/12/2002 9:57:01 PM | Bad contents | 681 ms
12/12/2002 9:57:01 PM | Bad contents | 711 ms
12/12/2002 10:02:01 PM | Bad contents | 500 ms
12/12/2002 10:02:01 PM | Bad contents | 500 ms
12/12/2002 10:02:02 PM | Bad contents | 481 ms
12/12/2002 10:02:02 PM | Bad contents | 541 ms
12/12/2002 10:02:02 PM | Bad contents | 541 ms
12/12/2002 10:07:02 PM | Bad contents | 561 ms
12/12/2002 10:07:02 PM | Bad contents | 561 ms
12/12/2002 10:07:03 PM | Bad contents | 480 ms
12/12/2002 10:07:03 PM | Bad contents | 480 ms
12/12/2002 10:07:03 PM | Bad contents | 480 ms
12/12/2002 10:12:04 PM | Bad contents | 540 ms
12/12/2002 10:12:04 PM | Bad contents | 560 ms
12/12/2002 10:12:05 PM | Bad contents | 421 ms
12/12/2002 10:12:05 PM | Bad contents | 461 ms
12/12/2002 10:12:05 PM | Bad contents | 461 ms
12/12/2002 10:17:05 PM | Bad contents | 601 ms
12/12/2002 10:17:05 PM | Bad contents | 601 ms
12/12/2002 10:17:06 PM | Bad contents | 460 ms
12/12/2002 10:17:06 PM | Bad contents | 480 ms
12/12/2002 10:17:08 PM | Bad contents | 3445 ms
12/12/2002 10:22:07 PM | Bad contents | 500 ms
12/12/2002 10:22:07 PM | Bad contents | 500 ms
12/12/2002 10:22:08 PM | Bad contents | 561 ms
12/12/2002 10:22:08 PM | Bad contents | 561 ms
12/12/2002 10:22:09 PM | Bad contents | 461 ms
12/12/2002 10:27:08 PM | Bad contents | 541 ms
12/12/2002 10:27:08 PM | Bad contents | 541 ms
12/12/2002 10:27:09 PM | Bad contents | 501 ms
12/12/2002 10:27:09 PM | Bad contents | 501 ms
12/12/2002 10:27:10 PM | Bad contents | 541 ms
12/12/2002 10:32:10 PM | Bad contents | 561 ms
12/12/2002 10:32:10 PM | Bad contents | 561 ms
12/12/2002 10:32:11 PM | Bad contents | 681 ms
12/12/2002 10:32:11 PM | Bad contents | 681 ms
12/12/2002 10:32:12 PM | Bad contents | 521 ms
12/12/2002 10:37:11 PM | Bad contents | 561 ms
12/12/2002 10:37:11 PM | Bad contents | 561 ms
12/12/2002 10:37:13 PM | Bad contents | 1102 ms
12/12/2002 10:37:13 PM | Bad contents | 1102 ms
12/12/2002 10:37:13 PM | Bad contents | 511 ms
12/12/2002 10:42:13 PM | Bad contents | 461 ms
12/12/2002 10:42:13 PM | Bad contents | 561 ms
12/12/2002 10:42:14 PM | Bad contents | 480 ms
12/12/2002 10:42:14 PM | Bad contents | 501 ms
12/12/2002 10:42:15 PM | Bad contents | 501 ms
12/12/2002 10:47:14 PM | Bad contents | 480 ms
12/12/2002 10:47:14 PM | Bad contents | 480 ms
12/12/2002 10:47:15 PM | Bad contents | 521 ms
12/12/2002 10:47:15 PM | Bad contents | 521 ms
12/12/2002 10:47:16 PM | Bad contents | 581 ms
12/12/2002 10:52:15 PM | Bad contents | 541 ms
12/12/2002 10:52:15 PM | Bad contents | 541 ms
12/12/2002 10:52:16 PM | Bad contents | 520 ms
12/12/2002 10:52:16 PM | Bad contents | 520 ms
12/12/2002 10:52:17 PM | Bad contents | 561 ms
12/12/2002 10:57:17 PM | Bad contents | 781 ms
12/12/2002 10:57:17 PM | Bad contents | 781 ms
12/12/2002 10:57:18 PM | Bad contents | 601 ms
12/12/2002 10:57:18 PM | Bad contents | 601 ms
12/12/2002 10:57:19 PM | Bad contents | 520 ms
12/12/2002 11:02:18 PM | Bad contents | 541 ms
12/12/2002 11:02:18 PM | Bad contents | 541 ms
12/12/2002 11:02:19 PM | Bad contents | 560 ms
12/12/2002 11:02:19 PM | Bad contents | 560 ms
12/12/2002 11:02:20 PM | Bad contents | 541 ms
12/12/2002 11:07:20 PM | Bad contents | 701 ms
12/12/2002 11:07:20 PM | Bad contents | 701 ms
12/12/2002 11:07:21 PM | Bad contents | 561 ms
12/12/2002 11:07:21 PM | Bad contents | 581 ms
12/12/2002 11:07:22 PM | Bad contents | 501 ms
12/12/2002 11:12:21 PM | Bad contents | 521 ms
12/12/2002 11:12:21 PM | Bad contents | 521 ms
12/12/2002 11:12:22 PM | Bad contents | 541 ms
12/12/2002 11:12:22 PM | Bad contents | 541 ms
12/12/2002 11:12:23 PM | Bad contents | 521 ms
12/12/2002 11:17:23 PM | Bad contents | 822 ms
12/12/2002 11:17:23 PM | Bad contents | 822 ms
12/12/2002 11:17:24 PM | Bad contents | 481 ms
12/12/2002 11:17:24 PM | Bad contents | 481 ms
12/12/2002 11:17:25 PM | Bad contents | 501 ms
12/12/2002 11:22:24 PM | Bad contents | 581 ms
12/12/2002 11:22:24 PM | Bad contents | 621 ms
12/12/2002 11:22:25 PM | Bad contents | 581 ms
12/12/2002 11:22:25 PM | Bad contents | 601 ms
12/12/2002 11:22:26 PM | Bad contents | 521 ms
12/12/2002 11:27:26 PM | Bad contents | 561 ms
12/12/2002 11:27:26 PM | Bad contents | 561 ms
12/12/2002 11:27:27 PM | Bad contents | 621 ms
12/12/2002 11:27:27 PM | Bad contents | 681 ms
12/12/2002 11:27:28 PM | Bad contents | 621 ms
12/12/2002 11:32:27 PM | Bad contents | 500 ms
12/12/2002 11:32:27 PM | Bad contents | 500 ms
12/12/2002 11:32:28 PM | Bad contents | 561 ms
12/12/2002 11:32:28 PM | Bad contents | 561 ms
12/12/2002 11:32:29 PM | Bad contents | 601 ms
12/12/2002 11:37:28 PM | Bad contents | 541 ms
12/12/2002 11:37:28 PM | Bad contents | 541 ms
12/12/2002 11:37:29 PM | Bad contents | 520 ms
12/12/2002 11:37:29 PM | Bad contents | 540 ms
12/12/2002 11:37:31 PM | Bad contents | 781 ms
12/12/2002 11:42:30 PM | Bad contents | 540 ms
12/12/2002 11:42:30 PM | Bad contents | 741 ms
12/12/2002 11:42:31 PM | Bad contents | 1062 ms
12/12/2002 11:42:31 PM | Bad contents | 1062 ms
12/12/2002 11:42:32 PM | Bad contents | 540 ms
12/12/2002 11:47:31 PM | Bad contents | 701 ms
12/12/2002 11:47:31 PM | Bad contents | 701 ms
12/12/2002 11:47:32 PM | Bad contents | 480 ms
12/12/2002 11:47:32 PM | Bad contents | 480 ms
12/12/2002 11:47:33 PM | Bad contents | 601 ms
12/12/2002 11:52:33 PM | Bad contents | 480 ms
12/12/2002 11:52:33 PM | Bad contents | 480 ms
12/12/2002 11:52:34 PM | Bad contents | 441 ms
12/12/2002 11:52:34 PM | Bad contents | 461 ms
12/12/2002 11:52:35 PM | Bad contents | 601 ms
12/12/2002 11:57:34 PM | Bad contents | 481 ms
12/12/2002 11:57:34 PM | Bad contents | 481 ms
12/12/2002 11:57:35 PM | Bad contents | 461 ms
12/12/2002 11:57:35 PM | Bad contents | 481 ms
12/12/2002 11:57:36 PM | Bad contents | 481 ms
13/12/2002 12:02:36 AM | Bad contents | 551 ms
13/12/2002 12:02:36 AM | Bad contents | 491 ms
13/12/2002 12:02:36 AM | Bad contents | 491 ms
13/12/2002 12:02:38 AM | Bad contents | 581 ms
13/12/2002 12:02:56 AM | Bad contents | 21381 ms
13/12/2002 12:49:46 PM | Bad contents | 571 ms
13/12/2002 12:49:49 PM | Bad contents | 3605 ms
13/12/2002 12:49:49 PM | Bad contents | 3625 ms
13/12/2002 12:49:49 PM | Bad contents | 3635 ms
13/12/2002 12:49:49 PM | Bad contents | 3635 ms
13/12/2002 12:54:47 PM | Bad contents | 1041 ms
13/12/2002 12:54:50 PM | Bad contents | 651 ms
13/12/2002 12:54:50 PM | Bad contents | 761 ms
13/12/2002 12:54:50 PM | Bad contents | 781 ms
13/12/2002 12:54:50 PM | Bad contents | 841 ms
13/12/2002 12:59:48 PM | Bad contents | 501 ms
13/12/2002 12:59:51 PM | Bad contents | 711 ms
13/12/2002 12:59:52 PM | Bad contents | 711 ms
13/12/2002 12:59:52 PM | Bad contents | 911 ms
13/12/2002 12:59:52 PM | Bad contents | 931 ms
13/12/2002 1:04:50 PM | Bad contents | 440 ms
13/12/2002 1:04:53 PM | Bad contents | 451 ms
13/12/2002 1:04:53 PM | Bad contents | 551 ms
13/12/2002 1:04:53 PM | Bad contents | 561 ms
13/12/2002 1:04:53 PM | Bad contents | 631 ms
13/12/2002 1:09:51 PM | Bad contents | 1022 ms
13/12/2002 1:09:54 PM | Bad contents | 520 ms
13/12/2002 1:09:54 PM | Bad contents | 590 ms
13/12/2002 1:09:54 PM | Bad contents | 621 ms
13/12/2002 1:09:54 PM | Bad contents | 641 ms
13/12/2002 1:14:52 PM | Bad contents | 461 ms
13/12/2002 1:14:55 PM | Bad contents | 481 ms
13/12/2002 1:14:55 PM | Bad contents | 481 ms
13/12/2002 1:14:55 PM | Bad contents | 481 ms
13/12/2002 1:14:55 PM | Bad contents | 491 ms
13/12/2002 1:19:53 PM | Bad contents | 721 ms
13/12/2002 1:19:57 PM | Bad contents | 591 ms
13/12/2002 1:19:57 PM | Bad contents | 601 ms
13/12/2002 1:19:57 PM | Bad contents | 601 ms
13/12/2002 1:19:57 PM | Bad contents | 611 ms
13/12/2002 1:24:54 PM | Bad contents | 541 ms
13/12/2002 1:24:58 PM | Bad contents | 731 ms
13/12/2002 1:24:58 PM | Bad contents | 731 ms
13/12/2002 1:24:58 PM | Bad contents | 741 ms
13/12/2002 1:24:58 PM | Bad contents | 761 ms
13/12/2002 1:29:55 PM | Bad contents | 561 ms
13/12/2002 1:29:59 PM | Bad contents | 541 ms
13/12/2002 1:29:59 PM | Bad contents | 561 ms
13/12/2002 1:29:59 PM | Bad contents | 571 ms
13/12/2002 1:29:59 PM | Bad contents | 561 ms
13/12/2002 1:34:56 PM | Bad contents | 621 ms
13/12/2002 1:35:00 PM | Bad contents | 441 ms
13/12/2002 1:35:00 PM | Bad contents | 441 ms
13/12/2002 1:35:00 PM | Bad contents | 481 ms
13/12/2002 1:35:00 PM | Bad contents | 571 ms
13/12/2002 1:39:58 PM | Bad contents | 651 ms
13/12/2002 1:40:01 PM | Bad contents | 661 ms
13/12/2002 1:40:01 PM | Bad contents | 661 ms
13/12/2002 1:40:01 PM | Bad contents | 661 ms
13/12/2002 1:40:02 PM | Bad contents | 561 ms
13/12/2002 1:44:59 PM | Bad contents | 480 ms
13/12/2002 1:45:02 PM | Bad contents | 461 ms
13/12/2002 1:45:02 PM | Bad contents | 531 ms
13/12/2002 1:45:02 PM | Bad contents | 551 ms
13/12/2002 1:45:03 PM | Bad contents | 580 ms
13/12/2002 1:50:00 PM | Bad contents | 481 ms
13/12/2002 1:50:03 PM | Bad contents | 721 ms
13/12/2002 1:50:03 PM | Bad contents | 721 ms
13/12/2002 1:50:03 PM | Bad contents | 731 ms
13/12/2002 1:50:04 PM | Bad contents | 560 ms
13/12/2002 1:55:02 PM | Bad contents | 721 ms
13/12/2002 1:55:04 PM | Bad contents | 470 ms
13/12/2002 1:55:05 PM | Bad contents | 641 ms
13/12/2002 1:55:05 PM | Bad contents | 661 ms
13/12/2002 1:55:06 PM | Bad contents | 661 ms
13/12/2002 2:00:02 PM | Bad contents | 561 ms
13/12/2002 2:00:05 PM | Bad contents | 591 ms
13/12/2002 2:00:05 PM | Bad contents | 581 ms
13/12/2002 2:00:05 PM | Bad contents | 601 ms
13/12/2002 2:00:07 PM | Bad contents | 801 ms
13/12/2002 2:05:03 PM | Bad contents | 591 ms
13/12/2002 2:05:07 PM | Bad contents | 491 ms
13/12/2002 2:05:07 PM | Bad contents | 641 ms
13/12/2002 2:05:07 PM | Bad contents | 641 ms
13/12/2002 2:05:08 PM | Bad contents | 591 ms
13/12/2002 2:10:04 PM | Bad contents | 881 ms
13/12/2002 2:10:08 PM | Bad contents | 801 ms
13/12/2002 2:10:08 PM | Bad contents | 832 ms
13/12/2002 2:10:08 PM | Bad contents | 881 ms
13/12/2002 2:10:09 PM | Bad contents | 641 ms
13/12/2002 2:15:05 PM | Bad contents | 480 ms
13/12/2002 2:15:10 PM | Bad contents | 1242 ms
13/12/2002 2:15:10 PM | Bad contents | 1242 ms
13/12/2002 2:15:11 PM | Bad contents | 1983 ms
13/12/2002 2:15:11 PM | Bad contents | 1993 ms
13/12/2002 2:20:06 PM | Bad contents | 501 ms
13/12/2002 2:20:12 PM | Bad contents | 952 ms
13/12/2002 2:20:12 PM | Bad contents | 962 ms
13/12/2002 2:20:12 PM | Bad contents | 531 ms
13/12/2002 2:20:12 PM | Bad contents | 531 ms
13/12/2002 2:25:07 PM | Bad contents | 581 ms
13/12/2002 2:25:13 PM | Bad contents | 1192 ms
13/12/2002 2:25:13 PM | Bad contents | 1212 ms
13/12/2002 2:25:14 PM | Bad contents | 621 ms
13/12/2002 2:25:14 PM | Bad contents | 641 ms
13/12/2002 2:30:08 PM | Bad contents | 541 ms
13/12/2002 2:30:14 PM | Bad contents | 500 ms
13/12/2002 2:30:14 PM | Bad contents | 500 ms
13/12/2002 2:30:14 PM | Bad contents | 510 ms
13/12/2002 2:30:14 PM | Bad contents | 520 ms
13/12/2002 2:35:09 PM | Unknown host | Error #1003
13/12/2002 2:35:15 PM | Unknown host | Error #1003
13/12/2002 2:35:15 PM | Unknown host | Error #1003
13/12/2002 2:35:15 PM | Unknown host | Error #1003
13/12/2002 2:35:15 PM | Unknown host | Error #1003
13/12/2002 2:40:10 PM | Unknown host | Error #1003
13/12/2002 2:40:16 PM | Unknown host | Error #1003
13/12/2002 2:40:16 PM | Unknown host | Error #1003
13/12/2002 2:40:16 PM | Unknown host | Error #1003
13/12/2002 2:40:16 PM | Unknown host | Error #1003
13/12/2002 2:45:10 PM | Unknown host | Error #1003
13/12/2002 2:45:16 PM | Unknown host | Error #1003
13/12/2002 2:45:16 PM | Unknown host | Error #1003
13/12/2002 2:45:16 PM | Unknown host | Error #1003
13/12/2002 2:45:16 PM | Unknown host | Error #1003
13/12/2002 2:50:11 PM | Unknown host | Error #1003
13/12/2002 2:50:17 PM | Unknown host | Error #1003
13/12/2002 2:50:17 PM | Unknown host | Error #1003
13/12/2002 2:50:17 PM | Unknown host | Error #1003
13/12/2002 2:50:17 PM | Unknown host | Error #1003
13/12/2002 2:55:11 PM | Unknown host | Error #1003
13/12/2002 2:55:17 PM | Unknown host | Error #1003
13/12/2002 2:55:17 PM | Unknown host | Error #1003
13/12/2002 2:55:17 PM | Unknown host | Error #1003
13/12/2002 2:55:17 PM | Unknown host | Error #1003
13/12/2002 3:00:11 PM | Unknown host | Error #1003
13/12/2002 3:00:17 PM | Unknown host | Error #1003
13/12/2002 3:00:17 PM | Unknown host | Error #1003
13/12/2002 3:00:17 PM | Unknown host | Error #1003
13/12/2002 3:00:17 PM | Unknown host | Error #1003
13/12/2002 3:05:12 PM | Unknown host | Error #1003
13/12/2002 3:05:18 PM | Unknown host | Error #1003
13/12/2002 3:05:18 PM | Unknown host | Error #1003
13/12/2002 3:05:18 PM | Unknown host | Error #1003
13/12/2002 3:05:18 PM | Unknown host | Error #1003
13/12/2002 3:10:12 PM | Unknown host | Error #1003
13/12/2002 3:10:18 PM | Unknown host | Error #1003
13/12/2002 3:10:18 PM | Unknown host | Error #1003
13/12/2002 3:10:18 PM | Unknown host | Error #1003
13/12/2002 3:10:18 PM | Unknown host | Error #1003
13/12/2002 3:15:13 PM | Unknown host | Error #1003
13/12/2002 3:15:19 PM | Unknown host | Error #1003
13/12/2002 3:15:19 PM | Unknown host | Error #1003
13/12/2002 3:15:19 PM | Unknown host | Error #1003
13/12/2002 3:15:19 PM | Unknown host | Error #1003
13/12/2002 3:20:13 PM | Unknown host | Error #1003
13/12/2002 3:20:19 PM | Unknown host | Error #1003
13/12/2002 3:20:19 PM | Unknown host | Error #1003
13/12/2002 3:20:19 PM | Unknown host | Error #1003
13/12/2002 3:20:19 PM | Unknown host | Error #1003
13/12/2002 3:25:14 PM | Unknown host | Error #1003
13/12/2002 3:25:20 PM | Unknown host | Error #1003
13/12/2002 3:25:20 PM | Unknown host | Error #1003
13/12/2002 3:25:20 PM | Unknown host | Error #1003
13/12/2002 3:25:20 PM | Unknown host | Error #1003
13/12/2002 3:30:14 PM | Unknown host | Error #1003
13/12/2002 3:30:20 PM | Unknown host | Error #1003
13/12/2002 3:30:20 PM | Unknown host | Error #1003
13/12/2002 3:30:20 PM | Unknown host | Error #1003
13/12/2002 3:30:20 PM | Unknown host | Error #1003
13/12/2002 3:35:14 PM | Unknown host | Error #1003
13/12/2002 3:35:20 PM | Unknown host | Error #1003
13/12/2002 3:35:20 PM | Unknown host | Error #1003
13/12/2002 3:35:20 PM | Unknown host | Error #1003
13/12/2002 3:35:21 PM | Unknown host | Error #1003
13/12/2002 3:40:15 PM | Unknown host | Error #1003
13/12/2002 3:40:21 PM | Unknown host | Error #1003
13/12/2002 3:40:21 PM | Unknown host | Error #1003
13/12/2002 3:40:21 PM | Unknown host | Error #1003
13/12/2002 3:40:21 PM | Unknown host | Error #1003
13/12/2002 3:45:15 PM | Unknown host | Error #1003
13/12/2002 3:45:21 PM | Unknown host | Error #1003
13/12/2002 3:45:21 PM | Unknown host | Error #1003
13/12/2002 3:45:21 PM | Unknown host | Error #1003
13/12/2002 3:45:21 PM | Unknown host | Error #1003
13/12/2002 3:50:16 PM | Unknown host | Error #1003
13/12/2002 3:50:22 PM | Unknown host | Error #1003
13/12/2002 3:50:22 PM | Unknown host | Error #1003
13/12/2002 3:50:22 PM | Unknown host | Error #1003
13/12/2002 3:50:22 PM | Unknown host | Error #1003
13/12/2002 3:55:16 PM | Unknown host | Error #1003
13/12/2002 3:55:22 PM | Unknown host | Error #1003
13/12/2002 3:55:22 PM | Unknown host | Error #1003
13/12/2002 3:55:22 PM | Unknown host | Error #1003
13/12/2002 3:55:22 PM | Unknown host | Error #1003
13/12/2002 4:00:17 PM | Unknown host | Error #1003
13/12/2002 4:00:23 PM | Unknown host | Error #1003
13/12/2002 4:00:23 PM | Unknown host | Error #1003
13/12/2002 4:00:23 PM | Unknown host | Error #1003
13/12/2002 4:00:23 PM | Unknown host | Error #1003
13/12/2002 4:05:17 PM | Unknown host | Error #1003
13/12/2002 4:05:23 PM | Unknown host | Error #1003
13/12/2002 4:05:23 PM | Unknown host | Error #1003
13/12/2002 4:05:23 PM | Unknown host | Error #1003
13/12/2002 4:05:23 PM | Unknown host | Error #1003
13/12/2002 4:10:17 PM | Unknown host | Error #1003
13/12/2002 4:10:23 PM | Unknown host | Error #1003
13/12/2002 4:10:23 PM | Unknown host | Error #1003
13/12/2002 4:10:24 PM | Unknown host | Error #1003
13/12/2002 4:10:24 PM | Unknown host | Error #1003
13/12/2002 4:15:18 PM | Unknown host | Error #1003
13/12/2002 4:15:24 PM | Unknown host | Error #1003
13/12/2002 4:15:24 PM | Unknown host | Error #1003
13/12/2002 4:15:24 PM | Unknown host | Error #1003
13/12/2002 4:15:24 PM | Unknown host | Error #1003
13/12/2002 4:20:18 PM | Unknown host | Error #1003
13/12/2002 4:20:24 PM | Unknown host | Error #1003
13/12/2002 4:20:24 PM | Unknown host | Error #1003
13/12/2002 4:20:24 PM | Unknown host | Error #1003
13/12/2002 4:20:24 PM | Unknown host | Error #1003
13/12/2002 4:25:19 PM | Unknown host | Error #1003
13/12/2002 4:25:25 PM | Unknown host | Error #1003
13/12/2002 4:25:25 PM | Unknown host | Error #1003
13/12/2002 4:25:25 PM | Unknown host | Error #1003
13/12/2002 4:25:25 PM | Unknown host | Error #1003
13/12/2002 4:30:20 PM | Bad contents | 461 ms
13/12/2002 4:30:26 PM | Bad contents | 581 ms
13/12/2002 4:30:26 PM | Bad contents | 581 ms
13/12/2002 4:30:26 PM | Bad contents | 591 ms
13/12/2002 4:30:26 PM | Bad contents | 581 ms
13/12/2002 4:35:21 PM | Bad contents | 601 ms
13/12/2002 4:35:27 PM | Bad contents | 531 ms
13/12/2002 4:35:27 PM | Bad contents | 651 ms
13/12/2002 4:35:27 PM | Bad contents | 661 ms
13/12/2002 4:35:27 PM | Bad contents | 671 ms
13/12/2002 4:40:22 PM | Bad contents | 1091 ms
13/12/2002 4:40:27 PM | Bad contents | 561 ms
13/12/2002 4:40:27 PM | Bad contents | 561 ms
13/12/2002 4:40:27 PM | Bad contents | 561 ms
13/12/2002 4:40:27 PM | Bad contents | 591 ms
13/12/2002 4:45:23 PM | Bad contents | 461 ms
13/12/2002 4:45:28 PM | Bad contents | 561 ms
13/12/2002 4:45:28 PM | Bad contents | 560 ms
13/12/2002 4:45:28 PM | Bad contents | 560 ms
13/12/2002 4:45:28 PM | Bad contents | 570 ms
13/12/2002 4:50:25 PM | Bad contents | 1582 ms
13/12/2002 4:50:29 PM | Bad contents | 581 ms
13/12/2002 4:50:29 PM | Bad contents | 581 ms
13/12/2002 4:50:29 PM | Bad contents | 621 ms
13/12/2002 4:50:29 PM | Bad contents | 631 ms
13/12/2002 4:55:26 PM | Bad contents | 501 ms
13/12/2002 4:55:30 PM | Bad contents | 541 ms
13/12/2002 4:55:30 PM | Bad contents | 541 ms
13/12/2002 4:55:30 PM | Bad contents | 541 ms
13/12/2002 4:55:30 PM | Bad contents | 561 ms
13/12/2002 5:00:27 PM | Bad contents | 641 ms
13/12/2002 5:00:31 PM | Bad contents | 561 ms
13/12/2002 5:00:31 PM | Bad contents | 611 ms
13/12/2002 5:00:31 PM | Bad contents | 621 ms
13/12/2002 5:00:31 PM | Bad contents | 621 ms
13/12/2002 5:05:29 PM | Bad contents | 561 ms
13/12/2002 5:05:32 PM | Bad contents | 671 ms
13/12/2002 5:05:32 PM | Bad contents | 671 ms
13/12/2002 5:05:32 PM | Bad contents | 671 ms
13/12/2002 5:05:33 PM | Bad contents | 581 ms
13/12/2002 5:10:30 PM | Bad contents | 520 ms
13/12/2002 5:10:33 PM | Bad contents | 621 ms
13/12/2002 5:10:33 PM | Bad contents | 621 ms
13/12/2002 5:10:33 PM | Bad contents | 621 ms
13/12/2002 5:10:33 PM | Bad contents | 501 ms
13/12/2002 5:15:31 PM | Bad contents | 701 ms
13/12/2002 5:15:34 PM | Bad contents | 501 ms
13/12/2002 5:15:34 PM | Bad contents | 501 ms
13/12/2002 5:15:34 PM | Bad contents | 511 ms
13/12/2002 5:15:35 PM | Bad contents | 501 ms
13/12/2002 5:20:32 PM | Bad contents | 581 ms
13/12/2002 5:20:35 PM | Bad contents | 902 ms
13/12/2002 5:20:35 PM | Bad contents | 922 ms
13/12/2002 5:20:35 PM | Bad contents | 922 ms
13/12/2002 5:20:36 PM | Bad contents | 1001 ms
13/12/2002 5:25:33 PM | Bad contents | 541 ms
13/12/2002 5:25:36 PM | Bad contents | 661 ms
13/12/2002 5:25:36 PM | Bad contents | 661 ms
13/12/2002 5:25:36 PM | Bad contents | 671 ms
13/12/2002 5:25:37 PM | Bad contents | 540 ms
13/12/2002 5:30:34 PM | Bad contents | 461 ms
13/12/2002 5:30:37 PM | Bad contents | 441 ms
13/12/2002 5:30:37 PM | Bad contents | 461 ms
13/12/2002 5:30:37 PM | Bad contents | 481 ms
13/12/2002 5:30:38 PM | Bad contents | 480 ms
13/12/2002 5:35:35 PM | Bad contents | 681 ms
13/12/2002 5:35:38 PM | Bad contents | 571 ms
13/12/2002 5:35:38 PM | Bad contents | 581 ms
13/12/2002 5:35:38 PM | Bad contents | 581 ms
13/12/2002 5:35:39 PM | Bad contents | 621 ms
13/12/2002 5:40:36 PM | Bad contents | 540 ms
13/12/2002 5:40:39 PM | Bad contents | 451 ms
13/12/2002 5:40:39 PM | Bad contents | 461 ms
13/12/2002 5:40:39 PM | Bad contents | 461 ms
13/12/2002 5:40:40 PM | Bad contents | 501 ms
13/12/2002 5:45:38 PM | Bad contents | 541 ms
13/12/2002 5:45:41 PM | Bad contents | 591 ms
13/12/2002 5:45:41 PM | Bad contents | 591 ms
13/12/2002 5:45:41 PM | Bad contents | 601 ms
13/12/2002 5:45:42 PM | Bad contents | 541 ms
13/12/2002 5:50:39 PM | Bad contents | 480 ms
13/12/2002 5:50:42 PM | Bad contents | 621 ms
13/12/2002 5:50:42 PM | Bad contents | 621 ms
13/12/2002 5:50:42 PM | Bad contents | 651 ms
13/12/2002 5:50:43 PM | Bad contents | 521 ms
13/12/2002 5:55:40 PM | Bad contents | 501 ms
13/12/2002 5:55:43 PM | Bad contents | 481 ms
13/12/2002 5:55:43 PM | Bad contents | 481 ms
13/12/2002 5:55:43 PM | Bad contents | 501 ms
13/12/2002 5:55:44 PM | Bad contents | 501 ms
13/12/2002 6:00:41 PM | Bad contents | 441 ms
13/12/2002 6:00:44 PM | Bad contents | 500 ms
13/12/2002 6:00:44 PM | Bad contents | 500 ms
13/12/2002 6:00:44 PM | Bad contents | 510 ms
13/12/2002 6:00:45 PM | Bad contents | 561 ms
13/12/2002 6:05:42 PM | Bad contents | 521 ms
13/12/2002 6:05:45 PM | Bad contents | 701 ms
13/12/2002 6:05:45 PM | Bad contents | 731 ms
13/12/2002 6:05:45 PM | Bad contents | 732 ms
13/12/2002 6:05:46 PM | Bad contents | 481 ms
13/12/2002 6:10:43 PM | Bad contents | 620 ms
13/12/2002 6:10:46 PM | Bad contents | 541 ms
13/12/2002 6:10:46 PM | Bad contents | 541 ms
13/12/2002 6:10:46 PM | Bad contents | 561 ms
13/12/2002 6:10:47 PM | Bad contents | 581 ms
13/12/2002 6:15:44 PM | Bad contents | 461 ms
13/12/2002 6:15:51 PM | Bad contents | 2884 ms
13/12/2002 6:15:51 PM | Bad contents | 3906 ms
13/12/2002 6:15:51 PM | Bad contents | 3926 ms
13/12/2002 6:15:51 PM | Bad contents | 3936 ms
13/12/2002 6:20:46 PM | Bad contents | 481 ms
13/12/2002 6:20:52 PM | Bad contents | 581 ms
13/12/2002 6:20:52 PM | Bad contents | 581 ms
13/12/2002 6:20:52 PM | Bad contents | 591 ms
13/12/2002 6:20:52 PM | Bad contents | 701 ms
13/12/2002 6:25:47 PM | Bad contents | 481 ms
13/12/2002 6:25:53 PM | Bad contents | 470 ms
13/12/2002 6:25:53 PM | Bad contents | 460 ms
13/12/2002 6:25:53 PM | Bad contents | 480 ms
13/12/2002 6:25:53 PM | Bad contents | 480 ms
13/12/2002 6:30:49 PM | Bad contents | 481 ms
13/12/2002 6:30:55 PM | Bad contents | 481 ms
13/12/2002 6:30:55 PM | Bad contents | 491 ms
13/12/2002 6:30:55 PM | Bad contents | 481 ms
13/12/2002 6:30:55 PM | Bad contents | 501 ms
13/12/2002 6:35:50 PM | Bad contents | 500 ms
13/12/2002 6:35:56 PM | Bad contents | 431 ms
13/12/2002 6:35:56 PM | Bad contents | 481 ms
13/12/2002 6:35:56 PM | Bad contents | 481 ms
13/12/2002 6:35:56 PM | Bad contents | 491 ms
13/12/2002 6:40:52 PM | Bad contents | 721 ms
13/12/2002 6:40:57 PM | Bad contents | 661 ms
13/12/2002 6:40:58 PM | Bad contents | 541 ms
13/12/2002 6:40:58 PM | Bad contents | 541 ms
13/12/2002 6:40:58 PM | Bad contents | 551 ms
13/12/2002 6:45:53 PM | Bad contents | 480 ms
13/12/2002 6:45:58 PM | Bad contents | 481 ms
13/12/2002 6:45:59 PM | Bad contents | 601 ms
13/12/2002 6:45:59 PM | Bad contents | 601 ms
13/12/2002 6:45:59 PM | Bad contents | 601 ms
13/12/2002 6:50:54 PM | Bad contents | 481 ms
13/12/2002 6:50:59 PM | Bad contents | 501 ms
13/12/2002 6:51:00 PM | Bad contents | 551 ms
13/12/2002 6:51:00 PM | Bad contents | 541 ms
13/12/2002 6:51:00 PM | Bad contents | 541 ms
13/12/2002 6:55:55 PM | Bad contents | 1281 ms
13/12/2002 6:56:00 PM | Bad contents | 500 ms
13/12/2002 6:56:01 PM | Bad contents | 460 ms
13/12/2002 6:56:01 PM | Bad contents | 460 ms
13/12/2002 6:56:02 PM | Bad contents | 540 ms
13/12/2002 7:00:56 PM | Bad contents | 481 ms
13/12/2002 7:01:01 PM | Bad contents | 461 ms
13/12/2002 7:01:03 PM | Bad contents | 521 ms
13/12/2002 7:01:03 PM | Bad contents | 521 ms
13/12/2002 7:01:03 PM | Bad contents | 521 ms
13/12/2002 7:05:57 PM | Bad contents | 541 ms
13/12/2002 7:06:02 PM | Bad contents | 480 ms
13/12/2002 7:06:04 PM | Bad contents | 501 ms
13/12/2002 7:06:04 PM | Bad contents | 501 ms
13/12/2002 7:06:04 PM | Bad contents | 501 ms
13/12/2002 7:10:59 PM | Bad contents | 481 ms
13/12/2002 7:11:04 PM | Bad contents | 561 ms
13/12/2002 7:11:06 PM | Bad contents | 541 ms
13/12/2002 7:11:06 PM | Bad contents | 551 ms
13/12/2002 7:11:06 PM | Bad contents | 561 ms
13/12/2002 7:16:01 PM | Bad contents | 781 ms
13/12/2002 7:16:06 PM | Bad contents | 842 ms
13/12/2002 7:16:07 PM | Bad contents | 541 ms
13/12/2002 7:16:07 PM | Bad contents | 561 ms
13/12/2002 7:16:07 PM | Bad contents | 641 ms
13/12/2002 7:21:02 PM | Bad contents | 501 ms
13/12/2002 7:21:07 PM | Bad contents | 681 ms
13/12/2002 7:21:08 PM | Bad contents | 601 ms
13/12/2002 7:21:08 PM | Bad contents | 601 ms
13/12/2002 7:21:08 PM | Bad contents | 601 ms
13/12/2002 7:26:03 PM | Bad contents | 661 ms
13/12/2002 7:26:08 PM | Bad contents | 460 ms
13/12/2002 7:26:09 PM | Bad contents | 581 ms
13/12/2002 7:26:09 PM | Bad contents | 581 ms
13/12/2002 7:26:09 PM | Bad contents | 581 ms
13/12/2002 7:31:04 PM | Bad contents | 581 ms
13/12/2002 7:31:09 PM | Bad contents | 561 ms
13/12/2002 7:31:10 PM | Bad contents | 580 ms
13/12/2002 7:31:10 PM | Bad contents | 580 ms
13/12/2002 7:31:10 PM | Bad contents | 590 ms
13/12/2002 7:36:06 PM | Bad contents | 521 ms
13/12/2002 7:36:11 PM | Bad contents | 520 ms
13/12/2002 7:36:12 PM | Bad contents | 581 ms
13/12/2002 7:36:12 PM | Bad contents | 581 ms
13/12/2002 7:36:12 PM | Bad contents | 591 ms
13/12/2002 7:41:06 PM | Bad contents | 561 ms
13/12/2002 7:41:11 PM | Bad contents | 561 ms
13/12/2002 7:41:12 PM | Bad contents | 570 ms
13/12/2002 7:41:12 PM | Bad contents | 560 ms
13/12/2002 7:41:12 PM | Bad contents | 570 ms
13/12/2002 7:46:08 PM | Bad contents | 461 ms
13/12/2002 7:46:13 PM | Bad contents | 520 ms
13/12/2002 7:46:14 PM | Bad contents | 581 ms
13/12/2002 7:46:14 PM | Bad contents | 581 ms
13/12/2002 7:46:14 PM | Bad contents | 581 ms
13/12/2002 7:51:09 PM | Bad contents | 480 ms
13/12/2002 7:51:15 PM | Bad contents | 1021 ms
13/12/2002 7:51:15 PM | Bad contents | 441 ms
13/12/2002 7:51:15 PM | Bad contents | 441 ms
13/12/2002 7:51:15 PM | Bad contents | 471 ms
13/12/2002 7:56:11 PM | Bad contents | 621 ms
13/12/2002 7:56:16 PM | Bad contents | 601 ms
13/12/2002 7:56:17 PM | Bad contents | 581 ms
13/12/2002 7:56:17 PM | Bad contents | 581 ms
13/12/2002 7:56:17 PM | Bad contents | 591 ms
13/12/2002 8:01:12 PM | Bad contents | 641 ms
13/12/2002 8:01:17 PM | Bad contents | 721 ms
13/12/2002 8:01:18 PM | Bad contents | 521 ms
13/12/2002 8:01:18 PM | Bad contents | 561 ms
13/12/2002 8:01:18 PM | Bad contents | 601 ms
13/12/2002 8:06:13 PM | Bad contents | 421 ms
13/12/2002 8:06:18 PM | Bad contents | 441 ms
13/12/2002 8:06:19 PM | Bad contents | 460 ms
13/12/2002 8:06:19 PM | Bad contents | 460 ms
13/12/2002 8:06:19 PM | Bad contents | 470 ms
13/12/2002 8:11:14 PM | Bad contents | 621 ms
13/12/2002 8:11:19 PM | Bad contents | 541 ms
13/12/2002 8:11:21 PM | Bad contents | 601 ms
13/12/2002 8:11:21 PM | Bad contents | 601 ms
13/12/2002 8:11:21 PM | Bad contents | 671 ms
13/12/2002 8:16:15 PM | Bad contents | 520 ms
13/12/2002 8:16:20 PM | Bad contents | 440 ms
13/12/2002 8:16:22 PM | Bad contents | 761 ms
13/12/2002 8:16:22 PM | Bad contents | 781 ms
13/12/2002 8:16:22 PM | Bad contents | 781 ms
13/12/2002 8:21:16 PM | Bad contents | 481 ms
13/12/2002 8:21:21 PM | Bad contents | 481 ms
13/12/2002 8:21:23 PM | Bad contents | 561 ms
13/12/2002 8:21:23 PM | Bad contents | 561 ms
13/12/2002 8:21:23 PM | Bad contents | 571 ms
13/12/2002 8:26:18 PM | Bad contents | 1241 ms
13/12/2002 8:26:22 PM | Bad contents | 581 ms
13/12/2002 8:26:24 PM | Bad contents | 721 ms
13/12/2002 8:26:24 PM | Bad contents | 751 ms
13/12/2002 8:26:24 PM | Bad contents | 751 ms
13/12/2002 8:31:18 PM | Bad contents | 521 ms
13/12/2002 8:31:23 PM | Bad contents | 541 ms
13/12/2002 8:31:25 PM | Bad contents | 581 ms
13/12/2002 8:31:25 PM | Bad contents | 601 ms
13/12/2002 8:31:26 PM | Bad contents | 621 ms
13/12/2002 8:36:20 PM | Bad contents | 521 ms
13/12/2002 8:36:25 PM | Bad contents | 480 ms
13/12/2002 8:36:27 PM | Bad contents | 701 ms
13/12/2002 8:36:27 PM | Bad contents | 701 ms
13/12/2002 8:36:27 PM | Bad contents | 711 ms
13/12/2002 8:41:21 PM | Bad contents | 471 ms
13/12/2002 8:41:25 PM | Bad contents | 561 ms
13/12/2002 8:41:28 PM | Bad contents | 551 ms
13/12/2002 8:41:28 PM | Bad contents | 651 ms
13/12/2002 8:41:29 PM | Bad contents | 741 ms
13/12/2002 8:46:22 PM | Bad contents | 902 ms
13/12/2002 8:46:26 PM | Bad contents | 481 ms
13/12/2002 8:46:29 PM | Bad contents | 561 ms
13/12/2002 8:46:30 PM | Bad contents | 460 ms
13/12/2002 8:46:30 PM | Bad contents | 460 ms
13/12/2002 8:51:24 PM | Bad contents | 621 ms
13/12/2002 8:51:27 PM | Bad contents | 621 ms
13/12/2002 8:51:30 PM | Bad contents | 521 ms
13/12/2002 8:51:30 PM | Bad contents | 531 ms
13/12/2002 8:51:30 PM | Bad contents | 541 ms
13/12/2002 8:56:25 PM | Bad contents | 441 ms
13/12/2002 8:56:28 PM | Bad contents | 621 ms
13/12/2002 8:56:31 PM | Bad contents | 621 ms
13/12/2002 8:56:31 PM | Bad contents | 641 ms
13/12/2002 8:56:31 PM | Bad contents | 651 ms
13/12/2002 9:01:26 PM | Bad contents | 541 ms
13/12/2002 9:01:29 PM | Bad contents | 541 ms
13/12/2002 9:01:32 PM | Bad contents | 761 ms
13/12/2002 9:01:32 PM | Bad contents | 761 ms
13/12/2002 9:01:32 PM | Bad contents | 761 ms
13/12/2002 9:06:27 PM | Bad contents | 561 ms
13/12/2002 9:06:30 PM | Bad contents | 681 ms
13/12/2002 9:06:33 PM | Bad contents | 501 ms
13/12/2002 9:06:33 PM | Bad contents | 501 ms
13/12/2002 9:06:33 PM | Bad contents | 511 ms
13/12/2002 9:11:29 PM | Bad contents | 1683 ms
13/12/2002 9:11:31 PM | Bad contents | 641 ms
13/12/2002 9:11:35 PM | Bad contents | 881 ms
13/12/2002 9:11:35 PM | Bad contents | 881 ms
13/12/2002 9:11:35 PM | Bad contents | 891 ms
13/12/2002 9:16:30 PM | Bad contents | 762 ms
13/12/2002 9:16:32 PM | Bad contents | 481 ms
13/12/2002 9:16:36 PM | Bad contents | 501 ms
13/12/2002 9:16:36 PM | Bad contents | 541 ms
13/12/2002 9:16:36 PM | Bad contents | 551 ms
13/12/2002 9:21:31 PM | Bad contents | 701 ms
13/12/2002 9:21:33 PM | Bad contents | 531 ms
13/12/2002 9:21:37 PM | Bad contents | 471 ms
13/12/2002 9:21:37 PM | Bad contents | 461 ms
13/12/2002 9:21:37 PM | Bad contents | 541 ms
13/12/2002 9:26:32 PM | Bad contents | 701 ms
13/12/2002 9:26:34 PM | Bad contents | 480 ms
13/12/2002 9:26:38 PM | Bad contents | 581 ms
13/12/2002 9:26:38 PM | Bad contents | 581 ms
13/12/2002 9:26:38 PM | Bad contents | 591 ms
13/12/2002 9:31:34 PM | Bad contents | 1342 ms
13/12/2002 9:31:35 PM | Bad contents | 541 ms
13/12/2002 9:31:40 PM | Bad contents | 721 ms
13/12/2002 9:31:40 PM | Bad contents | 721 ms
13/12/2002 9:31:40 PM | Bad contents | 721 ms
13/12/2002 9:36:35 PM | Bad contents | 621 ms
13/12/2002 9:36:37 PM | Bad contents | 660 ms
13/12/2002 9:36:41 PM | Bad contents | 561 ms
13/12/2002 9:36:41 PM | Bad contents | 561 ms
13/12/2002 9:36:41 PM | Bad contents | 571 ms
13/12/2002 9:41:36 PM | Bad contents | 521 ms
13/12/2002 9:41:39 PM | Bad contents | 581 ms
13/12/2002 9:41:42 PM | Bad contents | 620 ms
13/12/2002 9:41:42 PM | Bad contents | 620 ms
13/12/2002 9:41:42 PM | Bad contents | 620 ms
13/12/2002 9:46:37 PM | Bad contents | 561 ms
13/12/2002 9:46:40 PM | Bad contents | 480 ms
13/12/2002 9:46:43 PM | Bad contents | 471 ms
13/12/2002 9:46:43 PM | Bad contents | 461 ms
13/12/2002 9:46:43 PM | Bad contents | 481 ms
13/12/2002 9:51:39 PM | Bad contents | 841 ms
13/12/2002 9:51:41 PM | Bad contents | 601 ms
13/12/2002 9:51:45 PM | Bad contents | 621 ms
13/12/2002 9:51:45 PM | Bad contents | 631 ms
13/12/2002 9:51:45 PM | Bad contents | 620 ms
13/12/2002 9:56:40 PM | Bad contents | 541 ms
13/12/2002 9:56:43 PM | Bad contents | 580 ms
13/12/2002 9:56:46 PM | Bad contents | 551 ms
13/12/2002 9:56:46 PM | Bad contents | 541 ms
13/12/2002 9:56:46 PM | Bad contents | 581 ms
13/12/2002 10:01:41 PM | Bad contents | 501 ms
13/12/2002 10:01:44 PM | Bad contents | 481 ms
13/12/2002 10:01:47 PM | Bad contents | 521 ms
13/12/2002 10:01:47 PM | Bad contents | 521 ms
13/12/2002 10:01:47 PM | Bad contents | 521 ms
13/12/2002 10:06:43 PM | Bad contents | 481 ms
13/12/2002 10:06:46 PM | Bad contents | 520 ms
13/12/2002 10:06:49 PM | Bad contents | 681 ms
13/12/2002 10:06:49 PM | Bad contents | 681 ms
13/12/2002 10:06:49 PM | Bad contents | 691 ms
13/12/2002 10:11:44 PM | Bad contents | 1041 ms
13/12/2002 10:11:47 PM | Bad contents | 621 ms
13/12/2002 10:11:49 PM | Bad contents | 441 ms
13/12/2002 10:11:49 PM | Bad contents | 461 ms
13/12/2002 10:11:49 PM | Bad contents | 461 ms
13/12/2002 10:16:45 PM | Bad contents | 561 ms
13/12/2002 10:16:48 PM | Bad contents | 480 ms
13/12/2002 10:16:52 PM | Bad contents | 2284 ms
13/12/2002 10:16:52 PM | Bad contents | 2444 ms
13/12/2002 10:16:52 PM | Bad contents | 2544 ms
13/12/2002 10:21:46 PM | Bad contents | 501 ms
13/12/2002 10:21:49 PM | Bad contents | 561 ms
13/12/2002 10:21:53 PM | Bad contents | 701 ms
13/12/2002 10:21:53 PM | Bad contents | 701 ms
13/12/2002 10:21:56 PM | Bad contents | 3485 ms
13/12/2002 10:26:47 PM | Bad contents | 541 ms
13/12/2002 10:26:50 PM | Bad contents | 521 ms
13/12/2002 10:26:54 PM | Bad contents | 561 ms
13/12/2002 10:26:54 PM | Bad contents | 561 ms
13/12/2002 10:26:57 PM | Bad contents | 681 ms
13/12/2002 10:31:49 PM | Bad contents | 541 ms
13/12/2002 10:31:52 PM | Bad contents | 581 ms
13/12/2002 10:31:56 PM | Bad contents | 621 ms
13/12/2002 10:31:56 PM | Bad contents | 621 ms
13/12/2002 10:31:59 PM | Bad contents | 681 ms
13/12/2002 10:36:52 PM | Bad contents | 2123 ms
13/12/2002 10:36:54 PM | Bad contents | 1482 ms
13/12/2002 10:36:57 PM | Bad contents | 601 ms
13/12/2002 10:36:57 PM | Bad contents | 621 ms
13/12/2002 10:36:59 PM | Bad contents | 521 ms
13/12/2002 10:41:53 PM | Bad contents | 481 ms
13/12/2002 10:41:55 PM | Bad contents | 581 ms
13/12/2002 10:41:58 PM | Bad contents | 561 ms
13/12/2002 10:41:58 PM | Bad contents | 561 ms
13/12/2002 10:42:01 PM | Bad contents | 521 ms
13/12/2002 10:46:54 PM | Bad contents | 621 ms
13/12/2002 10:46:56 PM | Bad contents | 600 ms
13/12/2002 10:46:59 PM | Bad contents | 681 ms
13/12/2002 10:46:59 PM | Bad contents | 681 ms
13/12/2002 10:47:03 PM | Bad contents | 882 ms
13/12/2002 10:51:56 PM | Bad contents | 521 ms
13/12/2002 10:51:58 PM | Bad contents | 561 ms
13/12/2002 10:52:01 PM | Bad contents | 501 ms
13/12/2002 10:52:01 PM | Bad contents | 501 ms
13/12/2002 10:52:04 PM | Bad contents | 500 ms
13/12/2002 10:56:57 PM | Bad contents | 460 ms
13/12/2002 10:56:59 PM | Bad contents | 521 ms
13/12/2002 10:57:02 PM | Bad contents | 480 ms
13/12/2002 10:57:02 PM | Bad contents | 501 ms
13/12/2002 10:57:05 PM | Bad contents | 561 ms
13/12/2002 11:01:59 PM | Bad contents | 641 ms
13/12/2002 11:02:00 PM | Bad contents | 461 ms
13/12/2002 11:02:04 PM | Bad contents | 561 ms
13/12/2002 11:02:04 PM | Bad contents | 561 ms
13/12/2002 11:02:06 PM | Bad contents | 440 ms
13/12/2002 11:07:00 PM | Bad contents | 561 ms
13/12/2002 11:07:02 PM | Bad contents | 461 ms
13/12/2002 11:07:05 PM | Bad contents | 460 ms
13/12/2002 11:07:05 PM | Bad contents | 480 ms
13/12/2002 11:07:08 PM | Bad contents | 441 ms
13/12/2002 11:12:01 PM | Bad contents | 541 ms
13/12/2002 11:12:03 PM | Bad contents | 541 ms
13/12/2002 11:12:06 PM | Bad contents | 501 ms
13/12/2002 11:12:06 PM | Bad contents | 501 ms
13/12/2002 11:12:09 PM | Bad contents | 541 ms
13/12/2002 11:17:03 PM | Bad contents | 581 ms
13/12/2002 11:17:05 PM | Bad contents | 601 ms
13/12/2002 11:17:08 PM | Bad contents | 540 ms
13/12/2002 11:17:08 PM | Bad contents | 540 ms
13/12/2002 11:17:11 PM | Bad contents | 521 ms
13/12/2002 11:22:04 PM | Bad contents | 721 ms
13/12/2002 11:22:06 PM | Bad contents | 540 ms
13/12/2002 11:22:09 PM | Bad contents | 461 ms
13/12/2002 11:22:09 PM | Bad contents | 481 ms
13/12/2002 11:22:12 PM | Bad contents | 541 ms
13/12/2002 11:27:06 PM | Bad contents | 481 ms
13/12/2002 11:27:08 PM | Bad contents | 501 ms
13/12/2002 11:27:11 PM | Bad contents | 461 ms
13/12/2002 11:27:11 PM | Bad contents | 461 ms
13/12/2002 11:27:14 PM | Bad contents | 440 ms
13/12/2002 11:32:07 PM | Bad contents | 440 ms
13/12/2002 11:32:09 PM | Bad contents | 440 ms
13/12/2002 11:32:12 PM | Bad contents | 441 ms
13/12/2002 11:32:15 PM | Bad contents | 421 ms
13/12/2002 11:32:33 PM | No answer | Error #1005
13/12/2002 11:37:08 PM | Bad contents | 481 ms
13/12/2002 11:37:10 PM | Bad contents | 461 ms
13/12/2002 11:37:14 PM | Bad contents | 541 ms
13/12/2002 11:37:15 PM | Bad contents | 461 ms
13/12/2002 11:37:34 PM | Bad contents | 501 ms
13/12/2002 11:42:10 PM | Bad contents | 540 ms
13/12/2002 11:42:12 PM | Bad contents | 762 ms
13/12/2002 11:42:15 PM | Bad contents | 500 ms
13/12/2002 11:42:17 PM | Bad contents | 621 ms
13/12/2002 11:42:35 PM | Bad contents | 460 ms
13/12/2002 11:47:11 PM | Bad contents | 621 ms
13/12/2002 11:47:13 PM | Bad contents | 481 ms
13/12/2002 11:47:16 PM | Bad contents | 521 ms
13/12/2002 11:47:19 PM | Bad contents | 621 ms
13/12/2002 11:47:36 PM | Bad contents | 521 ms
13/12/2002 11:52:13 PM | Bad contents | 501 ms
13/12/2002 11:52:15 PM | Bad contents | 461 ms
13/12/2002 11:52:18 PM | Bad contents | 560 ms
13/12/2002 11:52:20 PM | Bad contents | 500 ms
13/12/2002 11:52:38 PM | Bad contents | 661 ms
13/12/2002 11:57:15 PM | Bad contents | 761 ms
13/12/2002 11:57:16 PM | Bad contents | 541 ms
13/12/2002 11:57:19 PM | Bad contents | 601 ms
13/12/2002 11:57:21 PM | Bad contents | 521 ms
13/12/2002 11:57:39 PM | Bad contents | 481 ms
14/12/2002 12:02:16 AM | Bad contents | 561 ms
14/12/2002 12:02:18 AM | Bad contents | 501 ms
14/12/2002 12:02:21 AM | Bad contents | 440 ms
14/12/2002 12:02:23 AM | Bad contents | 461 ms
14/12/2002 12:02:41 AM | Bad contents | 561 ms
14/12/2002 12:07:17 AM | Bad contents | 480 ms
14/12/2002 12:07:19 AM | Bad contents | 540 ms
14/12/2002 12:07:22 AM | Bad contents | 541 ms
14/12/2002 12:07:24 AM | Bad contents | 541 ms
14/12/2002 12:07:42 AM | Bad contents | 581 ms
14/12/2002 12:12:19 AM | Bad contents | 521 ms
14/12/2002 12:12:21 AM | Bad contents | 541 ms
14/12/2002 12:12:24 AM | Bad contents | 561 ms
14/12/2002 12:12:26 AM | Bad contents | 561 ms
14/12/2002 12:12:44 AM | Bad contents | 581 ms
14/12/2002 12:17:20 AM | Bad contents | 520 ms
14/12/2002 12:17:22 AM | Bad contents | 560 ms
14/12/2002 12:17:25 AM | Bad contents | 561 ms
14/12/2002 12:17:27 AM | Bad contents | 540 ms
14/12/2002 12:17:45 AM | Bad contents | 580 ms
14/12/2002 12:22:21 AM | Bad contents | 521 ms
14/12/2002 12:22:23 AM | Bad contents | 481 ms
14/12/2002 12:22:27 AM | Bad contents | 701 ms
14/12/2002 12:22:28 AM | Bad contents | 561 ms
14/12/2002 12:22:46 AM | Bad contents | 501 ms
14/12/2002 12:27:23 AM | Bad contents | 480 ms
14/12/2002 12:27:25 AM | Bad contents | 521 ms
14/12/2002 12:27:28 AM | Bad contents | 500 ms
14/12/2002 12:27:30 AM | Bad contents | 480 ms
14/12/2002 12:27:48 AM | Bad contents | 600 ms
14/12/2002 12:32:24 AM | Bad contents | 501 ms
14/12/2002 12:32:26 AM | Bad contents | 621 ms
14/12/2002 12:32:29 AM | Bad contents | 501 ms
14/12/2002 12:32:31 AM | Bad contents | 521 ms
14/12/2002 12:32:49 AM | Bad contents | 461 ms
14/12/2002 12:37:26 AM | Bad contents | 461 ms
14/12/2002 12:37:28 AM | Bad contents | 541 ms
14/12/2002 12:37:31 AM | Bad contents | 460 ms
14/12/2002 12:37:33 AM | Bad contents | 441 ms
14/12/2002 12:37:51 AM | Bad contents | 521 ms
14/12/2002 12:42:27 AM | Bad contents | 481 ms
14/12/2002 12:42:29 AM | Bad contents | 621 ms
14/12/2002 12:42:32 AM | Bad contents | 541 ms
14/12/2002 12:42:34 AM | Bad contents | 501 ms
14/12/2002 12:42:52 AM | Bad contents | 521 ms
14/12/2002 12:47:29 AM | Bad contents | 541 ms
14/12/2002 12:47:31 AM | Bad contents | 481 ms
14/12/2002 12:47:34 AM | Bad contents | 541 ms
14/12/2002 12:47:36 AM | Bad contents | 521 ms
14/12/2002 12:47:54 AM | Bad contents | 641 ms
14/12/2002 12:52:30 AM | Bad contents | 460 ms
14/12/2002 12:52:32 AM | Bad contents | 540 ms
14/12/2002 12:52:35 AM | Bad contents | 481 ms
14/12/2002 12:52:38 AM | Bad contents | 1462 ms
14/12/2002 12:52:55 AM | Bad contents | 540 ms
14/12/2002 12:57:31 AM | Bad contents | 441 ms
14/12/2002 12:57:33 AM | Bad contents | 441 ms
14/12/2002 12:57:36 AM | Bad contents | 441 ms
14/12/2002 12:57:39 AM | Bad contents | 500 ms
14/12/2002 12:57:56 AM | Bad contents | 481 ms
14/12/2002 1:02:32 AM | Bad contents | 521 ms
14/12/2002 1:02:34 AM | Bad contents | 501 ms
14/12/2002 1:02:37 AM | Bad contents | 500 ms
14/12/2002 1:02:40 AM | Bad contents | 561 ms
14/12/2002 1:02:57 AM | Bad contents | 561 ms
14/12/2002 1:07:33 AM | Bad contents | 561 ms
14/12/2002 1:07:35 AM | Bad contents | 560 ms
14/12/2002 1:07:38 AM | Bad contents | 581 ms
14/12/2002 1:07:41 AM | Bad contents | 481 ms
14/12/2002 1:07:58 AM | Bad contents | 581 ms
14/12/2002 1:12:34 AM | Bad contents | 501 ms
14/12/2002 1:12:36 AM | Bad contents | 621 ms
14/12/2002 1:12:39 AM | Bad contents | 401 ms
14/12/2002 1:12:42 AM | Bad contents | 440 ms
14/12/2002 1:12:59 AM | Bad contents | 521 ms
14/12/2002 1:17:36 AM | Bad contents | 480 ms
14/12/2002 1:17:38 AM | Bad contents | 520 ms
14/12/2002 1:17:40 AM | Bad contents | 441 ms
14/12/2002 1:17:44 AM | Bad contents | 481 ms
14/12/2002 1:18:01 AM | Bad contents | 560 ms
14/12/2002 1:22:37 AM | Bad contents | 521 ms
14/12/2002 1:22:39 AM | Bad contents | 461 ms
14/12/2002 1:22:41 AM | Bad contents | 440 ms
14/12/2002 1:22:45 AM | Bad contents | 460 ms
14/12/2002 1:23:03 AM | Bad contents | 1322 ms
14/12/2002 1:27:38 AM | Bad contents | 480 ms
14/12/2002 1:27:41 AM | Bad contents | 561 ms
14/12/2002 1:27:41 AM | Bad contents | 461 ms
14/12/2002 1:27:47 AM | Bad contents | 521 ms
14/12/2002 1:28:04 AM | Bad contents | 580 ms
14/12/2002 1:32:40 AM | Bad contents | 501 ms
14/12/2002 1:32:42 AM | Bad contents | 501 ms
14/12/2002 1:32:43 AM | Bad contents | 421 ms
14/12/2002 1:32:48 AM | Bad contents | 510 ms
14/12/2002 1:33:05 AM | Bad contents | 541 ms
14/12/2002 1:38:32 AM | Bad contents | 732 ms
14/12/2002 1:38:32 AM | Bad contents | 732 ms
14/12/2002 1:38:32 AM | Bad contents | 742 ms
14/12/2002 1:38:34 AM | Bad contents | 3546 ms
14/12/2002 1:38:34 AM | Bad contents | 3566 ms


Log qoute for test "HTTP: /index.htm

 Test: HTTP: /index.htm
Method: HTTP test (www.ks-soft.net)

12/12/2002 1:02:33 PM | Host is alive | 390 ms
12/12/2002 1:02:33 PM | Host is alive | 420 ms
12/12/2002 1:02:33 PM | Host is alive | 420 ms
12/12/2002 1:02:33 PM | Host is alive | 441 ms
12/12/2002 1:02:33 PM | Host is alive | 461 ms
12/12/2002 1:02:33 PM | Host is alive | 461 ms
12/12/2002 1:02:33 PM | Host is alive | 481 ms
12/12/2002 1:02:33 PM | Host is alive | 511 ms
12/12/2002 1:06:14 PM | Host is alive | 571 ms
12/12/2002 1:06:17 PM | No answer | Error #1006
12/12/2002 1:06:17 PM | Host is alive | 3335 ms
12/12/2002 1:06:17 PM | Host is alive | 3355 ms
12/12/2002 1:06:17 PM | Host is alive | 3425 ms
12/12/2002 1:06:17 PM | Host is alive | 3435 ms
12/12/2002 1:06:17 PM | Host is alive | 3445 ms
12/12/2002 1:06:17 PM | Host is alive | 3515 ms
12/12/2002 1:06:23 PM | Host is alive | 451 ms
12/12/2002 1:06:23 PM | Host is alive | 461 ms
12/12/2002 1:06:23 PM | Host is alive | 451 ms
12/12/2002 1:06:23 PM | Host is alive | 481 ms
12/12/2002 1:06:23 PM | Host is alive | 461 ms
12/12/2002 1:06:23 PM | Host is alive | 481 ms
12/12/2002 1:06:23 PM | Host is alive | 521 ms
12/12/2002 1:06:23 PM | Host is alive | 511 ms
12/12/2002 1:07:34 PM | Host is alive | 370 ms
12/12/2002 1:07:34 PM | Host is alive | 380 ms
12/12/2002 1:07:34 PM | Host is alive | 430 ms
12/12/2002 1:07:34 PM | Host is alive | 430 ms
12/12/2002 1:07:34 PM | Host is alive | 441 ms
12/12/2002 1:07:34 PM | Host is alive | 461 ms
12/12/2002 1:07:34 PM | Host is alive | 471 ms
12/12/2002 1:07:34 PM | Host is alive | 461 ms
12/12/2002 1:12:36 PM | Host is alive | 581 ms
12/12/2002 1:12:36 PM | Host is alive | 661 ms
12/12/2002 1:12:38 PM | No answer | Error #1006
12/12/2002 1:12:40 PM | Host is alive | 3475 ms
12/12/2002 1:12:40 PM | Host is alive | 3565 ms
12/12/2002 1:12:40 PM | Host is alive | 3585 ms
12/12/2002 1:12:40 PM | Host is alive | 3655 ms
12/12/2002 1:12:40 PM | Host is alive | 3725 ms
12/12/2002 1:41:00 PM | Host is alive | 461 ms
12/12/2002 1:41:02 PM | No answer | Error #1006
12/12/2002 1:41:02 PM | Host is alive | 3355 ms
12/12/2002 1:41:02 PM | Host is alive | 3365 ms
12/12/2002 1:41:02 PM | Host is alive | 3365 ms
12/12/2002 1:41:02 PM | Host is alive | 3375 ms
12/12/2002 1:41:02 PM | Host is alive | 3385 ms
12/12/2002 1:41:02 PM | Host is alive | 3405 ms
12/12/2002 1:46:04 PM | Host is alive | 3645 ms
12/12/2002 1:46:04 PM | Host is alive | 711 ms
12/12/2002 1:46:04 PM | Host is alive | 731 ms
12/12/2002 1:46:04 PM | Host is alive | 811 ms
12/12/2002 1:46:04 PM | Host is alive | 821 ms
12/12/2002 1:46:04 PM | Host is alive | 831 ms
12/12/2002 1:46:04 PM | Host is alive | 831 ms
12/12/2002 1:46:04 PM | Host is alive | 861 ms
12/12/2002 1:51:04 PM | Host is alive | 441 ms
12/12/2002 1:51:05 PM | Host is alive | 360 ms
12/12/2002 1:51:05 PM | Host is alive | 400 ms
12/12/2002 1:51:05 PM | Host is alive | 400 ms
12/12/2002 1:51:05 PM | Host is alive | 400 ms
12/12/2002 1:51:05 PM | Host is alive | 501 ms
12/12/2002 1:51:05 PM | Host is alive | 521 ms
12/12/2002 1:51:05 PM | Host is alive | 541 ms
12/12/2002 1:56:05 PM | Host is alive | 961 ms
12/12/2002 1:56:06 PM | Host is alive | 371 ms
12/12/2002 1:56:06 PM | Host is alive | 381 ms
12/12/2002 1:56:06 PM | Host is alive | 401 ms
12/12/2002 1:56:06 PM | Host is alive | 421 ms
12/12/2002 1:56:06 PM | Host is alive | 451 ms
12/12/2002 1:56:06 PM | Host is alive | 531 ms
12/12/2002 1:56:06 PM | Host is alive | 511 ms
12/12/2002 2:01:06 PM | Host is alive | 280 ms
12/12/2002 2:01:06 PM | Host is alive | 300 ms
12/12/2002 2:01:06 PM | Host is alive | 300 ms
12/12/2002 2:01:06 PM | Host is alive | 300 ms
12/12/2002 2:01:06 PM | Host is alive | 290 ms
12/12/2002 2:01:06 PM | Host is alive | 340 ms
12/12/2002 2:01:06 PM | Host is alive | 340 ms
12/12/2002 2:01:06 PM | Host is alive | 340 ms
12/12/2002 2:06:08 PM | Host is alive | 490 ms
12/12/2002 2:06:08 PM | Host is alive | 460 ms
12/12/2002 2:06:08 PM | Host is alive | 500 ms
12/12/2002 2:06:08 PM | Host is alive | 481 ms
12/12/2002 2:06:08 PM | Host is alive | 521 ms
12/12/2002 2:06:08 PM | Host is alive | 551 ms
12/12/2002 2:06:08 PM | Host is alive | 551 ms
12/12/2002 2:06:08 PM | Host is alive | 551 ms
12/12/2002 2:11:09 PM | Host is alive | 361 ms
12/12/2002 2:11:09 PM | Host is alive | 371 ms
12/12/2002 2:11:09 PM | Host is alive | 361 ms
12/12/2002 2:11:09 PM | Host is alive | 391 ms
12/12/2002 2:11:09 PM | Host is alive | 401 ms
12/12/2002 2:11:09 PM | Host is alive | 391 ms
12/12/2002 2:11:09 PM | Host is alive | 451 ms
12/12/2002 2:11:09 PM | Host is alive | 481 ms
12/12/2002 2:16:10 PM | Host is alive | 771 ms
12/12/2002 2:16:10 PM | Host is alive | 781 ms
12/12/2002 2:16:10 PM | Host is alive | 791 ms
12/12/2002 2:16:10 PM | Host is alive | 801 ms
12/12/2002 2:16:10 PM | Host is alive | 811 ms
12/12/2002 2:16:10 PM | Host is alive | 801 ms
12/12/2002 2:16:10 PM | Host is alive | 811 ms
12/12/2002 2:16:10 PM | Host is alive | 821 ms
12/12/2002 2:21:12 PM | Host is alive | 370 ms
12/12/2002 2:21:12 PM | Host is alive | 380 ms
12/12/2002 2:21:12 PM | Host is alive | 390 ms
12/12/2002 2:21:12 PM | Host is alive | 410 ms
12/12/2002 2:21:12 PM | Host is alive | 400 ms
12/12/2002 2:21:12 PM | Host is alive | 410 ms
12/12/2002 2:21:12 PM | Host is alive | 410 ms
12/12/2002 2:21:12 PM | Host is alive | 620 ms
12/12/2002 2:26:13 PM | Host is alive | 401 ms
12/12/2002 2:26:13 PM | Host is alive | 391 ms
12/12/2002 2:26:13 PM | Host is alive | 401 ms
12/12/2002 2:26:13 PM | Host is alive | 431 ms
12/12/2002 2:26:13 PM | Host is alive | 561 ms
12/12/2002 2:26:13 PM | Host is alive | 571 ms
12/12/2002 2:26:13 PM | Host is alive | 561 ms
12/12/2002 2:26:13 PM | Host is alive | 731 ms
12/12/2002 2:31:13 PM | Host is alive | 341 ms
12/12/2002 2:31:13 PM | Host is alive | 341 ms
12/12/2002 2:31:13 PM | Host is alive | 341 ms
12/12/2002 2:31:13 PM | Host is alive | 361 ms
12/12/2002 2:31:14 PM | Host is alive | 461 ms
12/12/2002 2:31:14 PM | Host is alive | 461 ms
12/12/2002 2:31:14 PM | Host is alive | 481 ms
12/12/2002 2:31:14 PM | Host is alive | 481 ms
12/12/2002 2:36:14 PM | Host is alive | 340 ms
12/12/2002 2:36:14 PM | Host is alive | 360 ms
12/12/2002 2:36:14 PM | Host is alive | 380 ms
12/12/2002 2:36:14 PM | Host is alive | 440 ms
12/12/2002 2:36:15 PM | Host is alive | 451 ms
12/12/2002 2:36:15 PM | Host is alive | 441 ms
12/12/2002 2:36:15 PM | Host is alive | 471 ms
12/12/2002 2:36:15 PM | Host is alive | 471 ms
12/12/2002 2:41:14 PM | Host is alive | 380 ms
12/12/2002 2:41:14 PM | Host is alive | 380 ms
12/12/2002 2:41:14 PM | Host is alive | 380 ms
12/12/2002 2:41:14 PM | Host is alive | 380 ms
12/12/2002 2:41:15 PM | Host is alive | 321 ms
12/12/2002 2:41:15 PM | Host is alive | 331 ms
12/12/2002 2:41:16 PM | Host is alive | 341 ms
12/12/2002 2:41:16 PM | Host is alive | 341 ms
12/12/2002 2:46:15 PM | Host is alive | 460 ms
12/12/2002 2:46:15 PM | Host is alive | 651 ms
12/12/2002 2:46:15 PM | Host is alive | 661 ms
12/12/2002 2:46:15 PM | Host is alive | 661 ms
12/12/2002 2:46:16 PM | Host is alive | 331 ms
12/12/2002 2:46:16 PM | Host is alive | 421 ms
12/12/2002 2:46:17 PM | Host is alive | 360 ms
12/12/2002 2:46:17 PM | Host is alive | 360 ms
12/12/2002 2:51:15 PM | Host is alive | 381 ms
12/12/2002 2:51:15 PM | Host is alive | 401 ms
12/12/2002 2:51:15 PM | Host is alive | 411 ms
12/12/2002 2:51:15 PM | Host is alive | 421 ms
12/12/2002 2:51:17 PM | Host is alive | 470 ms
12/12/2002 2:51:17 PM | Host is alive | 490 ms
12/12/2002 2:51:17 PM | Host is alive | 391 ms
12/12/2002 2:51:17 PM | Host is alive | 401 ms
12/12/2002 2:56:16 PM | Host is alive | 420 ms
12/12/2002 2:56:16 PM | Host is alive | 420 ms
12/12/2002 2:56:16 PM | Host is alive | 420 ms
12/12/2002 2:56:16 PM | Host is alive | 430 ms
12/12/2002 2:56:17 PM | Host is alive | 411 ms
12/12/2002 2:56:17 PM | Host is alive | 411 ms
12/12/2002 2:56:18 PM | Host is alive | 340 ms
12/12/2002 2:56:18 PM | Host is alive | 340 ms
12/12/2002 3:01:16 PM | Host is alive | 360 ms
12/12/2002 3:01:18 PM | Host is alive | 441 ms
12/12/2002 3:01:18 PM | Host is alive | 461 ms
12/12/2002 3:01:18 PM | Host is alive | 320 ms
12/12/2002 3:01:18 PM | Host is alive | 340 ms
12/12/2002 3:01:19 PM | No answer | Error #1006
12/12/2002 3:01:19 PM | Host is alive | 3304 ms
12/12/2002 3:01:19 PM | Host is alive | 3324 ms
12/12/2002 3:06:17 PM | Host is alive | 580 ms
12/12/2002 3:06:19 PM | Host is alive | 300 ms
12/12/2002 3:06:19 PM | Host is alive | 310 ms
12/12/2002 3:06:19 PM | Host is alive | 360 ms
12/12/2002 3:06:19 PM | Host is alive | 380 ms
12/12/2002 3:06:20 PM | Host is alive | 300 ms
12/12/2002 3:06:20 PM | Host is alive | 300 ms
12/12/2002 3:06:20 PM | Host is alive | 310 ms
12/12/2002 3:11:18 PM | Host is alive | 441 ms
12/12/2002 3:11:20 PM | Host is alive | 351 ms
12/12/2002 3:11:20 PM | Host is alive | 341 ms
12/12/2002 3:11:20 PM | Host is alive | 471 ms
12/12/2002 3:11:20 PM | Host is alive | 531 ms
12/12/2002 3:11:21 PM | Host is alive | 340 ms
12/12/2002 3:11:21 PM | Host is alive | 360 ms
12/12/2002 3:11:21 PM | Host is alive | 360 ms
12/12/2002 3:16:19 PM | Host is alive | 360 ms
12/12/2002 3:16:20 PM | Host is alive | 441 ms
12/12/2002 3:16:20 PM | Host is alive | 451 ms
12/12/2002 3:16:21 PM | Host is alive | 410 ms
12/12/2002 3:16:21 PM | Host is alive | 420 ms
12/12/2002 3:16:21 PM | Host is alive | 420 ms
12/12/2002 3:16:21 PM | Host is alive | 430 ms
12/12/2002 3:16:21 PM | Host is alive | 430 ms
12/12/2002 4:13:28 PM | Host is alive | 490 ms
12/12/2002 4:13:28 PM | Host is alive | 501 ms
12/12/2002 4:13:28 PM | Host is alive | 501 ms
12/12/2002 4:13:28 PM | Host is alive | 561 ms
12/12/2002 4:13:30 PM | No answer | Error #1006
12/12/2002 4:13:31 PM | Host is alive | 3465 ms
12/12/2002 4:13:31 PM | Host is alive | 3475 ms
12/12/2002 4:13:31 PM | Host is alive | 3485 ms
12/12/2002 4:18:29 PM | Host is alive | 781 ms
12/12/2002 4:18:29 PM | Host is alive | 781 ms
12/12/2002 4:18:29 PM | Host is alive | 791 ms
12/12/2002 4:18:29 PM | Host is alive | 811 ms
12/12/2002 4:18:31 PM | Unknown
12/12/2002 4:18:31 PM | Unknown
12/12/2002 4:18:31 PM | Unknown
12/12/2002 4:18:31 PM | Host is alive | 461 ms
12/12/2002 4:23:30 PM | Host is alive | 431 ms
12/12/2002 4:23:30 PM | Host is alive | 421 ms
12/12/2002 4:23:32 PM | Host is alive | 361 ms
12/12/2002 4:23:32 PM | Host is alive | 361 ms
12/12/2002 4:23:32 PM | Host is alive | 371 ms
12/12/2002 4:23:33 PM | Host is alive | 3315 ms
12/12/2002 4:23:33 PM | Host is alive | 331 ms
12/12/2002 4:23:33 PM | Host is alive | 3335 ms
12/12/2002 4:28:30 PM | Host is alive | 521 ms
12/12/2002 4:28:30 PM | Host is alive | 531 ms
12/12/2002 4:28:32 PM | Host is alive | 421 ms
12/12/2002 4:28:32 PM | Host is alive | 471 ms
12/12/2002 4:28:32 PM | Host is alive | 481 ms
12/12/2002 4:28:33 PM | Host is alive | 391 ms
12/12/2002 4:28:33 PM | Host is alive | 391 ms
12/12/2002 4:28:33 PM | Host is alive | 401 ms
12/12/2002 4:33:32 PM | Host is alive | 640 ms
12/12/2002 4:33:32 PM | Host is alive | 741 ms
12/12/2002 4:33:32 PM | Host is alive | 381 ms
12/12/2002 4:33:34 PM | Host is alive | 721 ms
12/12/2002 4:33:34 PM | Host is alive | 721 ms
12/12/2002 4:33:34 PM | Host is alive | 732 ms
12/12/2002 4:33:34 PM | Host is alive | 972 ms
12/12/2002 4:33:34 PM | Host is alive | 982 ms
12/12/2002 4:38:33 PM | Host is alive | 501 ms
12/12/2002 4:38:34 PM | Host is alive | 521 ms
12/12/2002 4:38:34 PM | Host is alive | 531 ms
12/12/2002 4:38:35 PM | Host is alive | 391 ms
12/12/2002 4:38:35 PM | Host is alive | 381 ms
12/12/2002 4:38:35 PM | Host is alive | 391 ms
12/12/2002 4:38:35 PM | Host is alive | 391 ms
12/12/2002 4:38:35 PM | Host is alive | 391 ms
12/12/2002 4:43:34 PM | Host is alive | 380 ms
12/12/2002 4:43:34 PM | Host is alive | 380 ms
12/12/2002 4:43:34 PM | Host is alive | 400 ms
12/12/2002 4:43:36 PM | Host is alive | 481 ms
12/12/2002 4:43:36 PM | Host is alive | 481 ms
12/12/2002 4:43:36 PM | Host is alive | 491 ms
12/12/2002 4:43:36 PM | Host is alive | 501 ms
12/12/2002 4:43:36 PM | Host is alive | 501 ms
12/12/2002 4:48:35 PM | Host is alive | 300 ms
12/12/2002 4:48:35 PM | Host is alive | 320 ms
12/12/2002 4:48:35 PM | Host is alive | 320 ms
12/12/2002 4:48:37 PM | Host is alive | 311 ms
12/12/2002 4:48:37 PM | Host is alive | 300 ms
12/12/2002 4:48:37 PM | Host is alive | 340 ms
12/12/2002 4:48:37 PM | Host is alive | 340 ms
12/12/2002 4:48:37 PM | Host is alive | 400 ms
12/12/2002 4:53:35 PM | Host is alive | 360 ms
12/12/2002 4:53:35 PM | Host is alive | 400 ms
12/12/2002 4:53:38 PM | Host is alive | 801 ms
12/12/2002 4:53:38 PM | Host is alive | 822 ms
12/12/2002 4:53:38 PM | Host is alive | 831 ms
12/12/2002 4:53:38 PM | Host is alive | 851 ms
12/12/2002 4:53:38 PM | Host is alive | 871 ms
12/12/2002 4:53:38 PM | Host is alive | 3374 ms
12/12/2002 4:58:36 PM | Host is alive | 531 ms
12/12/2002 4:58:36 PM | Host is alive | 541 ms
12/12/2002 4:58:39 PM | Host is alive | 601 ms
12/12/2002 4:58:39 PM | Host is alive | 641 ms
12/12/2002 4:58:39 PM | Host is alive | 641 ms
12/12/2002 4:58:39 PM | Host is alive | 671 ms
12/12/2002 4:58:39 PM | Host is alive | 671 ms
12/12/2002 4:58:39 PM | Host is alive | 661 ms
12/12/2002 5:03:38 PM | Host is alive | 411 ms
12/12/2002 5:03:38 PM | Host is alive | 400 ms
12/12/2002 5:03:40 PM | Host is alive | 370 ms
12/12/2002 5:03:40 PM | Host is alive | 370 ms
12/12/2002 5:03:41 PM | Host is alive | 390 ms
12/12/2002 5:03:41 PM | Host is alive | 521 ms
12/12/2002 5:03:41 PM | Host is alive | 541 ms
12/12/2002 5:03:41 PM | Host is alive | 541 ms
12/12/2002 5:08:38 PM | Host is alive | 520 ms
12/12/2002 5:08:38 PM | Host is alive | 530 ms
12/12/2002 5:08:41 PM | Host is alive | 431 ms
12/12/2002 5:08:41 PM | Host is alive | 421 ms
12/12/2002 5:08:41 PM | Host is alive | 431 ms
12/12/2002 5:08:42 PM | Host is alive | 331 ms
12/12/2002 5:08:42 PM | Host is alive | 341 ms
12/12/2002 5:08:42 PM | Host is alive | 341 ms
12/12/2002 5:14:02 PM | Host is alive | 501 ms
12/12/2002 5:14:04 PM | No answer | Error #1006
12/12/2002 5:14:05 PM | Host is alive | 3485 ms
12/12/2002 5:14:05 PM | Host is alive | 3515 ms
12/12/2002 5:14:05 PM | Host is alive | 3535 ms
12/12/2002 5:14:05 PM | Host is alive | 3535 ms
12/12/2002 5:14:05 PM | Host is alive | 3555 ms
12/12/2002 5:14:05 PM | Host is alive | 3555 ms
12/12/2002 5:19:03 PM | Host is alive | 381 ms
12/12/2002 5:19:05 PM | Host is alive | 511 ms
12/12/2002 5:19:06 PM | Host is alive | 471 ms
12/12/2002 5:19:06 PM | Host is alive | 460 ms
12/12/2002 5:19:06 PM | Host is alive | 500 ms
12/12/2002 5:19:06 PM | Host is alive | 490 ms
12/12/2002 5:19:06 PM | Host is alive | 510 ms
12/12/2002 5:19:06 PM | Host is alive | 490 ms
12/12/2002 5:24:04 PM | Host is alive | 511 ms
12/12/2002 5:24:06 PM | Host is alive | 411 ms
12/12/2002 5:24:07 PM | Host is alive | 470 ms
12/12/2002 5:24:07 PM | Host is alive | 501 ms
12/12/2002 5:24:07 PM | Host is alive | 490 ms
12/12/2002 5:24:07 PM | Host is alive | 520 ms
12/12/2002 5:24:07 PM | Host is alive | 541 ms
12/12/2002 5:24:07 PM | Host is alive | 540 ms
12/12/2002 5:29:05 PM | Host is alive | 431 ms
12/12/2002 5:29:07 PM | Host is alive | 401 ms
12/12/2002 5:29:08 PM | Host is alive | 430 ms
12/12/2002 5:29:08 PM | Host is alive | 440 ms
12/12/2002 5:29:08 PM | Host is alive | 430 ms
12/12/2002 5:29:08 PM | Host is alive | 480 ms
12/12/2002 5:29:08 PM | Host is alive | 490 ms
12/12/2002 5:29:08 PM | Host is alive | 560 ms
12/12/2002 5:34:06 PM | Host is alive | 391 ms
12/12/2002 5:34:08 PM | Host is alive | 381 ms
12/12/2002 5:34:09 PM | Host is alive | 1111 ms
12/12/2002 5:34:09 PM | Host is alive | 1131 ms
12/12/2002 5:34:10 PM | Host is alive | 1131 ms
12/12/2002 5:34:10 PM | Host is alive | 1151 ms
12/12/2002 5:34:10 PM | Host is alive | 1161 ms
12/12/2002 5:34:10 PM | Host is alive | 351 ms
12/12/2002 5:39:06 PM | Host is alive | 310 ms
12/12/2002 5:39:09 PM | Host is alive | 540 ms
12/12/2002 5:39:10 PM | Host is alive | 411 ms
12/12/2002 5:39:10 PM | Host is alive | 431 ms
12/12/2002 5:39:11 PM | Host is alive | 461 ms
12/12/2002 5:39:11 PM | Host is alive | 461 ms
12/12/2002 5:39:11 PM | Host is alive | 481 ms
12/12/2002 5:39:11 PM | Host is alive | 480 ms
12/12/2002 5:44:07 PM | Host is alive | 521 ms
12/12/2002 5:44:09 PM | Host is alive | 481 ms
12/12/2002 5:44:11 PM | Host is alive | 551 ms
12/12/2002 5:44:11 PM | Host is alive | 641 ms
12/12/2002 5:44:11 PM | Host is alive | 651 ms
12/12/2002 5:44:11 PM | Host is alive | 571 ms
12/12/2002 5:44:11 PM | Host is alive | 681 ms
12/12/2002 5:44:11 PM | Host is alive | 681 ms
12/12/2002 5:49:08 PM | Host is alive | 481 ms
12/12/2002 5:49:10 PM | Host is alive | 480 ms
12/12/2002 5:49:12 PM | Host is alive | 380 ms
12/12/2002 5:49:12 PM | Host is alive | 380 ms
12/12/2002 5:49:12 PM | Host is alive | 430 ms
12/12/2002 5:49:12 PM | Host is alive | 470 ms
12/12/2002 5:49:12 PM | Host is alive | 480 ms
12/12/2002 5:49:12 PM | Host is alive | 500 ms
12/12/2002 5:54:09 PM | Host is alive | 441 ms
12/12/2002 5:54:11 PM | Host is alive | 411 ms
12/12/2002 5:54:13 PM | Host is alive | 361 ms
12/12/2002 5:54:13 PM | Host is alive | 351 ms
12/12/2002 5:54:13 PM | Host is alive | 391 ms
12/12/2002 5:54:13 PM | Host is alive | 471 ms
12/12/2002 5:54:13 PM | Host is alive | 471 ms
12/12/2002 5:54:13 PM | Host is alive | 481 ms
12/12/2002 5:59:10 PM | Host is alive | 681 ms
12/12/2002 5:59:12 PM | Host is alive | 461 ms
12/12/2002 5:59:14 PM | Host is alive | 390 ms
12/12/2002 5:59:14 PM | Host is alive | 420 ms
12/12/2002 5:59:14 PM | Host is alive | 420 ms
12/12/2002 5:59:14 PM | Host is alive | 441 ms
12/12/2002 5:59:14 PM | Host is alive | 521 ms
12/12/2002 5:59:14 PM | Host is alive | 541 ms
12/12/2002 6:04:12 PM | Host is alive | 661 ms
12/12/2002 6:04:12 PM | Host is alive | 321 ms
12/12/2002 6:04:14 PM | Host is alive | 391 ms
12/12/2002 6:04:14 PM | Host is alive | 391 ms
12/12/2002 6:04:14 PM | Host is alive | 391 ms
12/12/2002 6:04:14 PM | Host is alive | 401 ms
12/12/2002 6:04:14 PM | Host is alive | 421 ms
12/12/2002 6:04:14 PM | Host is alive | 421 ms
12/12/2002 6:09:12 PM | Host is alive | 501 ms
12/12/2002 6:09:14 PM | Host is alive | 821 ms
12/12/2002 6:09:15 PM | Host is alive | 450 ms
12/12/2002 6:09:15 PM | Host is alive | 460 ms
12/12/2002 6:09:15 PM | Host is alive | 460 ms
12/12/2002 6:09:15 PM | Host is alive | 591 ms
12/12/2002 6:09:15 PM | Host is alive | 590 ms
12/12/2002 6:09:15 PM | Host is alive | 611 ms
12/12/2002 6:14:14 PM | Host is alive | 460 ms
12/12/2002 6:14:15 PM | Host is alive | 371 ms
12/12/2002 6:14:17 PM | Host is alive | 411 ms
12/12/2002 6:14:17 PM | Host is alive | 421 ms
12/12/2002 6:14:17 PM | Host is alive | 411 ms
12/12/2002 6:14:17 PM | Host is alive | 421 ms
12/12/2002 6:14:17 PM | Host is alive | 421 ms
12/12/2002 6:14:17 PM | Host is alive | 441 ms
12/12/2002 6:19:15 PM | Host is alive | 381 ms
12/12/2002 6:19:15 PM | Host is alive | 401 ms
12/12/2002 6:19:17 PM | Host is alive | 391 ms
12/12/2002 6:19:17 PM | Host is alive | 411 ms
12/12/2002 6:19:17 PM | Host is alive | 401 ms
12/12/2002 6:19:17 PM | Host is alive | 401 ms
12/12/2002 6:19:17 PM | Host is alive | 411 ms
12/12/2002 6:19:18 PM | Host is alive | 401 ms
12/12/2002 6:24:15 PM | Host is alive | 421 ms
12/12/2002 6:24:16 PM | Host is alive | 471 ms
12/12/2002 6:24:17 PM | Host is alive | 441 ms
12/12/2002 6:24:17 PM | Host is alive | 441 ms
12/12/2002 6:24:18 PM | Host is alive | 481 ms
12/12/2002 6:24:18 PM | Host is alive | 491 ms
12/12/2002 6:24:18 PM | Host is alive | 501 ms
12/12/2002 6:24:18 PM | Host is alive | 381 ms
12/12/2002 6:29:16 PM | Host is alive | 470 ms
12/12/2002 6:29:16 PM | Host is alive | 480 ms
12/12/2002 6:29:18 PM | Host is alive | 380 ms
12/12/2002 6:29:18 PM | Host is alive | 400 ms
12/12/2002 6:29:18 PM | Host is alive | 400 ms
12/12/2002 6:29:18 PM | Host is alive | 410 ms
12/12/2002 6:29:18 PM | Host is alive | 491 ms
12/12/2002 6:29:19 PM | Host is alive | 380 ms
12/12/2002 6:34:17 PM | Host is alive | 801 ms
12/12/2002 6:34:17 PM | Host is alive | 801 ms
12/12/2002 6:34:19 PM | Host is alive | 500 ms
12/12/2002 6:34:19 PM | Host is alive | 500 ms
12/12/2002 6:34:19 PM | Host is alive | 540 ms
12/12/2002 6:34:19 PM | Host is alive | 520 ms
12/12/2002 6:34:20 PM | Host is alive | 611 ms
12/12/2002 6:34:20 PM | Host is alive | 631 ms
12/12/2002 6:39:18 PM | Host is alive | 391 ms
12/12/2002 6:39:18 PM | Host is alive | 381 ms
12/12/2002 6:39:20 PM | Host is alive | 1122 ms
12/12/2002 6:39:20 PM | Host is alive | 1132 ms
12/12/2002 6:39:20 PM | Host is alive | 1132 ms
12/12/2002 6:39:20 PM | Host is alive | 1142 ms
12/12/2002 6:39:20 PM | Host is alive | 461 ms
12/12/2002 6:39:20 PM | Host is alive | 461 ms
12/12/2002 6:44:20 PM | Host is alive | 481 ms
12/12/2002 6:44:20 PM | Host is alive | 481 ms
12/12/2002 6:44:22 PM | Host is alive | 541 ms
12/12/2002 6:44:22 PM | Host is alive | 541 ms
12/12/2002 6:44:22 PM | Host is alive | 551 ms
12/12/2002 6:44:22 PM | Host is alive | 561 ms
12/12/2002 6:44:22 PM | Host is alive | 571 ms
12/12/2002 6:44:22 PM | Host is alive | 551 ms
12/12/2002 6:49:21 PM | Host is alive | 641 ms
12/12/2002 6:49:21 PM | Host is alive | 641 ms
12/12/2002 6:49:23 PM | Host is alive | 430 ms
12/12/2002 6:49:23 PM | Host is alive | 430 ms
12/12/2002 6:49:27 PM | Host is alive | 4386 ms
12/12/2002 6:49:27 PM | Host is alive | 4466 ms
12/12/2002 6:49:27 PM | Host is alive | 4506 ms
12/12/2002 6:49:27 PM | Host is alive | 4676 ms
12/12/2002 6:54:23 PM | Host is alive | 581 ms
12/12/2002 6:54:23 PM | Host is alive | 591 ms
12/12/2002 6:54:24 PM | Host is alive | 661 ms
12/12/2002 6:54:24 PM | Host is alive | 661 ms
12/12/2002 6:54:28 PM | Host is alive | 581 ms
12/12/2002 6:54:28 PM | Host is alive | 421 ms
12/12/2002 6:54:28 PM | Host is alive | 481 ms
12/12/2002 6:54:28 PM | Host is alive | 471 ms
12/12/2002 7:04:15 PM | Host is alive | 400 ms
12/12/2002 7:04:15 PM | Host is alive | 490 ms
12/12/2002 7:04:15 PM | Host is alive | 510 ms
12/12/2002 7:04:15 PM | Host is alive | 530 ms
12/12/2002 7:04:15 PM | Host is alive | 510 ms
12/12/2002 7:04:15 PM | Host is alive | 621 ms
12/12/2002 7:04:15 PM | Host is alive | 581 ms
12/12/2002 7:04:15 PM | Host is alive | 651 ms
12/12/2002 7:09:16 PM | Host is alive | 641 ms
12/12/2002 7:09:17 PM | Host is alive | 431 ms
12/12/2002 7:09:17 PM | Host is alive | 461 ms
12/12/2002 7:09:17 PM | Host is alive | 471 ms
12/12/2002 7:09:17 PM | Host is alive | 481 ms
12/12/2002 7:09:17 PM | Host is alive | 491 ms
12/12/2002 7:09:17 PM | Host is alive | 511 ms
12/12/2002 7:09:17 PM | Host is alive | 511 ms
12/12/2002 7:14:17 PM | Host is alive | 431 ms
12/12/2002 7:14:17 PM | Host is alive | 431 ms
12/12/2002 7:14:17 PM | Host is alive | 431 ms
12/12/2002 7:14:17 PM | Host is alive | 441 ms
12/12/2002 7:14:17 PM | Host is alive | 461 ms
12/12/2002 7:14:17 PM | Host is alive | 471 ms
12/12/2002 7:14:17 PM | Host is alive | 481 ms
12/12/2002 7:14:17 PM | Host is alive | 481 ms
12/12/2002 7:19:18 PM | Host is alive | 441 ms
12/12/2002 7:19:18 PM | Host is alive | 441 ms
12/12/2002 7:19:18 PM | Host is alive | 451 ms
12/12/2002 7:19:19 PM | Host is alive | 631 ms
12/12/2002 7:19:19 PM | Host is alive | 641 ms
12/12/2002 7:19:19 PM | Host is alive | 651 ms
12/12/2002 7:19:19 PM | Host is alive | 651 ms
12/12/2002 7:19:19 PM | Host is alive | 671 ms
12/12/2002 8:21:30 PM | Host is alive | 731 ms
12/12/2002 8:21:30 PM | Host is alive | 761 ms
12/12/2002 8:21:33 PM | Host is alive | 3585 ms
12/12/2002 8:21:33 PM | Host is alive | 3575 ms
12/12/2002 8:21:33 PM | Host is alive | 3595 ms
12/12/2002 8:21:33 PM | Host is alive | 3616 ms
12/12/2002 8:21:33 PM | Host is alive | 3726 ms
12/12/2002 8:21:33 PM | Host is alive | 3786 ms
12/12/2002 8:26:31 PM | Host is alive | 351 ms
12/12/2002 8:26:31 PM | Host is alive | 341 ms
12/12/2002 8:26:34 PM | Host is alive | 310 ms
12/12/2002 8:26:34 PM | Host is alive | 410 ms
12/12/2002 8:26:34 PM | Host is alive | 420 ms
12/12/2002 8:26:34 PM | Host is alive | 420 ms
12/12/2002 8:26:34 PM | Host is alive | 430 ms
12/12/2002 8:26:34 PM | Host is alive | 510 ms
12/12/2002 8:31:31 PM | Host is alive | 401 ms
12/12/2002 8:31:31 PM | Host is alive | 411 ms
12/12/2002 8:31:34 PM | Host is alive | 450 ms
12/12/2002 8:31:34 PM | Host is alive | 440 ms
12/12/2002 8:31:34 PM | Host is alive | 490 ms
12/12/2002 8:31:34 PM | Host is alive | 500 ms
12/12/2002 8:31:35 PM | Host is alive | 521 ms
12/12/2002 8:31:35 PM | Host is alive | 521 ms
12/12/2002 8:36:32 PM | Host is alive | 440 ms
12/12/2002 8:36:32 PM | Host is alive | 450 ms
12/12/2002 8:36:35 PM | Host is alive | 781 ms
12/12/2002 8:36:35 PM | Host is alive | 891 ms
12/12/2002 8:36:35 PM | Host is alive | 891 ms
12/12/2002 8:36:35 PM | Host is alive | 891 ms
12/12/2002 8:36:36 PM | Host is alive | 341 ms
12/12/2002 8:36:36 PM | Host is alive | 401 ms
12/12/2002 8:41:34 PM | Host is alive | 671 ms
12/12/2002 8:41:34 PM | Host is alive | 701 ms
12/12/2002 8:41:36 PM | Host is alive | 461 ms
12/12/2002 8:41:36 PM | Host is alive | 471 ms
12/12/2002 8:41:36 PM | Host is alive | 481 ms
12/12/2002 8:41:37 PM | Host is alive | 752 ms
12/12/2002 8:41:37 PM | Host is alive | 752 ms
12/12/2002 8:41:37 PM | Host is alive | 762 ms
12/12/2002 8:46:34 PM | Host is alive | 471 ms
12/12/2002 8:46:34 PM | Host is alive | 471 ms
12/12/2002 8:46:37 PM | Host is alive | 410 ms
12/12/2002 8:46:37 PM | Host is alive | 400 ms
12/12/2002 8:46:37 PM | Host is alive | 410 ms
12/12/2002 8:46:38 PM | Host is alive | 491 ms
12/12/2002 8:46:38 PM | Host is alive | 511 ms
12/12/2002 8:46:38 PM | Host is alive | 501 ms
12/12/2002 8:51:36 PM | Host is alive | 541 ms
12/12/2002 8:51:36 PM | Host is alive | 541 ms
12/12/2002 8:51:38 PM | Host is alive | 651 ms
12/12/2002 8:51:38 PM | Host is alive | 651 ms
12/12/2002 8:51:38 PM | Host is alive | 651 ms
12/12/2002 8:51:40 PM | Host is alive | 551 ms
12/12/2002 8:51:40 PM | Host is alive | 541 ms
12/12/2002 8:51:40 PM | Host is alive | 551 ms
12/12/2002 8:56:37 PM | Host is alive | 401 ms
12/12/2002 8:56:37 PM | Host is alive | 411 ms
12/12/2002 8:56:39 PM | Host is alive | 391 ms
12/12/2002 8:56:39 PM | Host is alive | 411 ms
12/12/2002 8:56:39 PM | Host is alive | 421 ms
12/12/2002 8:56:41 PM | Host is alive | 331 ms
12/12/2002 8:56:41 PM | Host is alive | 341 ms
12/12/2002 8:56:41 PM | Host is alive | 381 ms
12/12/2002 9:01:37 PM | Host is alive | 421 ms
12/12/2002 9:01:37 PM | Host is alive | 441 ms
12/12/2002 9:01:39 PM | Host is alive | 421 ms
12/12/2002 9:01:39 PM | Host is alive | 431 ms
12/12/2002 9:01:39 PM | Host is alive | 431 ms
12/12/2002 9:01:41 PM | Host is alive | 401 ms
12/12/2002 9:01:41 PM | Host is alive | 411 ms
12/12/2002 9:01:41 PM | Host is alive | 411 ms
12/12/2002 9:06:38 PM | Host is alive | 601 ms
12/12/2002 9:06:39 PM | Host is alive | 360 ms
12/12/2002 9:06:40 PM | Host is alive | 351 ms
12/12/2002 9:06:40 PM | Host is alive | 361 ms
12/12/2002 9:06:40 PM | Host is alive | 381 ms
12/12/2002 9:06:42 PM | Host is alive | 401 ms
12/12/2002 9:06:42 PM | Host is alive | 421 ms
12/12/2002 9:06:42 PM | Host is alive | 441 ms
12/12/2002 9:11:42 PM | Host is alive | 2824 ms
12/12/2002 9:11:42 PM | Host is alive | 2844 ms
12/12/2002 9:11:42 PM | Host is alive | 1883 ms
12/12/2002 9:11:42 PM | Host is alive | 1883 ms
12/12/2002 9:11:42 PM | Host is alive | 1893 ms
12/12/2002 9:11:43 PM | Host is alive | 841 ms
12/12/2002 9:11:43 PM | Host is alive | 891 ms
12/12/2002 9:11:44 PM | Host is alive | 601 ms
12/12/2002 9:16:43 PM | Host is alive | 441 ms
12/12/2002 9:16:43 PM | Host is alive | 451 ms
12/12/2002 9:16:44 PM | Host is alive | 461 ms
12/12/2002 9:16:44 PM | Host is alive | 461 ms
12/12/2002 9:16:45 PM | Host is alive | 441 ms
12/12/2002 9:16:46 PM | Host is alive | 3325 ms
12/12/2002 9:16:46 PM | Host is alive | 3345 ms
12/12/2002 9:16:46 PM | Host is alive | 3345 ms
12/12/2002 9:21:44 PM | Host is alive | 360 ms
12/12/2002 9:21:44 PM | Host is alive | 360 ms
12/12/2002 9:21:46 PM | Host is alive | 822 ms
12/12/2002 9:21:46 PM | Host is alive | 842 ms
12/12/2002 9:21:46 PM | Host is alive | 320 ms
12/12/2002 9:21:46 PM | Host is alive | 330 ms
12/12/2002 9:21:46 PM | Host is alive | 370 ms
12/12/2002 9:21:46 PM | Host is alive | 370 ms
12/12/2002 9:26:45 PM | Host is alive | 340 ms
12/12/2002 9:26:45 PM | Host is alive | 360 ms
12/12/2002 9:26:47 PM | Host is alive | 330 ms
12/12/2002 9:26:47 PM | Host is alive | 320 ms
12/12/2002 9:26:47 PM | Host is alive | 330 ms
12/12/2002 9:26:47 PM | Host is alive | 340 ms
12/12/2002 9:26:47 PM | Host is alive | 350 ms
12/12/2002 9:26:47 PM | Host is alive | 370 ms
12/12/2002 9:31:45 PM | Host is alive | 320 ms
12/12/2002 9:31:45 PM | Host is alive | 320 ms
12/12/2002 9:31:47 PM | Host is alive | 320 ms
12/12/2002 9:31:47 PM | Host is alive | 320 ms
12/12/2002 9:31:47 PM | Host is alive | 320 ms
12/12/2002 9:31:47 PM | Host is alive | 320 ms
12/12/2002 9:31:47 PM | Host is alive | 330 ms
12/12/2002 9:31:47 PM | Host is alive | 330 ms
12/12/2002 9:36:46 PM | Host is alive | 481 ms
12/12/2002 9:36:46 PM | Host is alive | 481 ms
12/12/2002 9:36:48 PM | Host is alive | 440 ms
12/12/2002 9:36:48 PM | Host is alive | 460 ms
12/12/2002 9:36:48 PM | Host is alive | 470 ms
12/12/2002 9:36:48 PM | Host is alive | 460 ms
12/12/2002 9:36:48 PM | Host is alive | 460 ms
12/12/2002 9:36:48 PM | Host is alive | 470 ms
12/12/2002 9:41:47 PM | Host is alive | 541 ms
12/12/2002 9:41:49 PM | Host is alive | 431 ms
12/12/2002 9:41:49 PM | Host is alive | 451 ms
12/12/2002 9:41:49 PM | Host is alive | 461 ms
12/12/2002 9:41:49 PM | Host is alive | 461 ms
12/12/2002 9:41:49 PM | Host is alive | 471 ms
12/12/2002 9:41:49 PM | Host is alive | 481 ms
12/12/2002 9:41:50 PM | Host is alive | 3415 ms
12/12/2002 9:46:49 PM | Host is alive | 400 ms
12/12/2002 9:46:51 PM | Host is alive | 360 ms
12/12/2002 9:46:51 PM | Host is alive | 380 ms
12/12/2002 9:46:51 PM | Host is alive | 380 ms
12/12/2002 9:46:51 PM | Host is alive | 390 ms
12/12/2002 9:46:51 PM | Host is alive | 390 ms
12/12/2002 9:46:51 PM | Host is alive | 410 ms
12/12/2002 9:46:51 PM | Host is alive | 420 ms
12/12/2002 9:51:49 PM | Host is alive | 340 ms
12/12/2002 9:51:51 PM | Host is alive | 450 ms
12/12/2002 9:51:51 PM | Host is alive | 470 ms
12/12/2002 9:51:51 PM | Host is alive | 470 ms
12/12/2002 9:51:51 PM | Host is alive | 500 ms
12/12/2002 9:51:51 PM | Host is alive | 500 ms
12/12/2002 9:51:51 PM | Host is alive | 500 ms
12/12/2002 9:51:51 PM | Host is alive | 520 ms
12/12/2002 9:56:50 PM | Host is alive | 641 ms
12/12/2002 9:56:53 PM | Host is alive | 471 ms
12/12/2002 9:56:53 PM | Host is alive | 481 ms
12/12/2002 9:56:53 PM | Host is alive | 481 ms
12/12/2002 9:56:53 PM | Host is alive | 601 ms
12/12/2002 9:56:53 PM | Host is alive | 601 ms
12/12/2002 9:56:53 PM | Host is alive | 611 ms
12/12/2002 9:56:53 PM | Host is alive | 611 ms
12/12/2002 10:01:51 PM | Host is alive | 701 ms
12/12/2002 10:01:54 PM | Host is alive | 370 ms
12/12/2002 10:01:54 PM | Host is alive | 420 ms
12/12/2002 10:01:54 PM | Host is alive | 420 ms
12/12/2002 10:01:54 PM | Host is alive | 480 ms
12/12/2002 10:01:54 PM | Host is alive | 500 ms
12/12/2002 10:01:54 PM | Host is alive | 510 ms
12/12/2002 10:01:54 PM | Host is alive | 520 ms
12/12/2002 10:06:52 PM | Host is alive | 521 ms
12/12/2002 10:06:54 PM | Host is alive | 440 ms
12/12/2002 10:06:54 PM | Host is alive | 440 ms
12/12/2002 10:06:55 PM | Host is alive | 351 ms
12/12/2002 10:06:55 PM | Host is alive | 441 ms
12/12/2002 10:06:55 PM | Host is alive | 441 ms
12/12/2002 10:06:55 PM | Host is alive | 441 ms
12/12/2002 10:06:55 PM | Host is alive | 461 ms
12/12/2002 10:11:54 PM | Host is alive | 321 ms
12/12/2002 10:11:56 PM | Host is alive | 981 ms
12/12/2002 10:11:56 PM | Host is alive | 981 ms
12/12/2002 10:11:56 PM | Host is alive | 991 ms
12/12/2002 10:11:57 PM | Host is alive | 340 ms
12/12/2002 10:11:57 PM | Host is alive | 350 ms
12/12/2002 10:11:57 PM | Host is alive | 340 ms
12/12/2002 10:11:57 PM | Host is alive | 350 ms
12/12/2002 10:16:54 PM | Host is alive | 381 ms
12/12/2002 10:16:57 PM | Host is alive | 490 ms
12/12/2002 10:16:57 PM | Host is alive | 490 ms
12/12/2002 10:16:57 PM | Host is alive | 510 ms
12/12/2002 10:16:57 PM | Host is alive | 530 ms
12/12/2002 10:16:57 PM | Host is alive | 530 ms
12/12/2002 10:16:57 PM | Host is alive | 540 ms
12/12/2002 10:16:57 PM | Host is alive | 681 ms
12/12/2002 10:21:55 PM | Host is alive | 381 ms
12/12/2002 10:21:59 PM | Host is alive | 511 ms
12/12/2002 10:21:59 PM | Host is alive | 511 ms
12/12/2002 10:21:59 PM | Host is alive | 521 ms
12/12/2002 10:21:59 PM | Host is alive | 531 ms
12/12/2002 10:21:59 PM | Host is alive | 531 ms
12/12/2002 10:21:59 PM | Host is alive | 541 ms
12/12/2002 10:21:59 PM | Host is alive | 541 ms
12/12/2002 10:26:55 PM | Host is alive | 361 ms
12/12/2002 10:27:00 PM | Host is alive | 681 ms
12/12/2002 10:27:00 PM | Host is alive | 701 ms
12/12/2002 10:27:00 PM | Host is alive | 701 ms
12/12/2002 10:27:00 PM | Host is alive | 711 ms
12/12/2002 10:27:00 PM | Host is alive | 722 ms
12/12/2002 10:27:00 PM | Host is alive | 742 ms
12/12/2002 10:27:00 PM | Host is alive | 752 ms
12/12/2002 10:31:56 PM | Host is alive | 401 ms
12/12/2002 10:32:02 PM | Host is alive | 581 ms
12/12/2002 10:32:02 PM | Host is alive | 711 ms
12/12/2002 10:32:02 PM | Host is alive | 721 ms
12/12/2002 10:32:02 PM | Host is alive | 801 ms
12/12/2002 10:32:02 PM | Host is alive | 881 ms
12/12/2002 10:32:02 PM | Host is alive | 901 ms
12/12/2002 10:32:02 PM | Host is alive | 911 ms
12/12/2002 10:36:56 PM | Host is alive | 341 ms
12/12/2002 10:37:03 PM | Host is alive | 321 ms
12/12/2002 10:37:03 PM | Host is alive | 381 ms
12/12/2002 10:37:03 PM | Host is alive | 381 ms
12/12/2002 10:37:03 PM | Host is alive | 391 ms
12/12/2002 10:37:03 PM | Host is alive | 401 ms
12/12/2002 10:37:03 PM | Host is alive | 411 ms
12/12/2002 10:37:03 PM | Host is alive | 411 ms
12/12/2002 10:41:56 PM | Host is alive | 341 ms
12/12/2002 10:42:03 PM | Host is alive | 381 ms
12/12/2002 10:42:03 PM | Host is alive | 451 ms
12/12/2002 10:42:04 PM | Host is alive | 461 ms
12/12/2002 10:42:04 PM | Host is alive | 471 ms
12/12/2002 10:42:04 PM | Host is alive | 471 ms
12/12/2002 10:42:04 PM | Host is alive | 481 ms
12/12/2002 10:42:04 PM | Host is alive | 481 ms
12/12/2002 10:46:57 PM | Host is alive | 461 ms
12/12/2002 10:47:04 PM | Host is alive | 361 ms
12/12/2002 10:47:05 PM | Host is alive | 430 ms
12/12/2002 10:47:05 PM | Host is alive | 420 ms
12/12/2002 10:47:05 PM | Host is alive | 430 ms
12/12/2002 10:47:05 PM | Host is alive | 440 ms
12/12/2002 10:47:05 PM | Host is alive | 451 ms
12/12/2002 10:47:05 PM | Host is alive | 451 ms
12/12/2002 10:51:58 PM | Host is alive | 360 ms
12/12/2002 10:52:04 PM | Host is alive | 341 ms
12/12/2002 10:52:05 PM | Host is alive | 400 ms
12/12/2002 10:52:05 PM | Host is alive | 400 ms
12/12/2002 10:52:06 PM | Host is alive | 341 ms
12/12/2002 10:52:06 PM | Host is alive | 341 ms
12/12/2002 10:52:06 PM | Host is alive | 341 ms
12/12/2002 10:52:06 PM | Host is alive | 341 ms
12/12/2002 10:56:59 PM | Host is alive | 601 ms
12/12/2002 10:57:05 PM | Host is alive | 581 ms
12/12/2002 10:57:06 PM | Host is alive | 340 ms
12/12/2002 10:57:06 PM | Host is alive | 360 ms
12/12/2002 10:57:07 PM | Host is alive | 351 ms
12/12/2002 10:57:07 PM | Host is alive | 341 ms
12/12/2002 10:57:07 PM | Host is alive | 341 ms
12/12/2002 10:57:07 PM | Host is alive | 361 ms
12/12/2002 11:02:00 PM | Host is alive | 361 ms
12/12/2002 11:02:06 PM | Host is alive | 300 ms
12/12/2002 11:02:06 PM | Host is alive | 310 ms
12/12/2002 11:02:06 PM | Host is alive | 360 ms
12/12/2002 11:02:07 PM | Host is alive | 381 ms
12/12/2002 11:02:07 PM | Host is alive | 391 ms
12/12/2002 11:02:07 PM | Host is alive | 401 ms
12/12/2002 11:02:07 PM | Host is alive | 391 ms
12/12/2002 11:07:01 PM | Host is alive | 401 ms
12/12/2002 11:07:07 PM | Host is alive | 400 ms
12/12/2002 11:07:07 PM | Host is alive | 400 ms
12/12/2002 11:07:07 PM | Host is alive | 410 ms
12/12/2002 11:07:08 PM | Host is alive | 381 ms
12/12/2002 11:07:08 PM | Host is alive | 391 ms
12/12/2002 11:07:08 PM | Host is alive | 391 ms
12/12/2002 11:07:08 PM | Host is alive | 391 ms
12/12/2002 11:12:01 PM | Host is alive | 601 ms
12/12/2002 11:12:07 PM | Host is alive | 481 ms
12/12/2002 11:12:07 PM | Host is alive | 501 ms
12/12/2002 11:12:07 PM | Host is alive | 501 ms
12/12/2002 11:12:08 PM | Host is alive | 471 ms
12/12/2002 11:12:08 PM | Host is alive | 471 ms
12/12/2002 11:12:08 PM | Host is alive | 461 ms
12/12/2002 11:12:08 PM | Host is alive | 481 ms
12/12/2002 11:17:02 PM | Host is alive | 380 ms
12/12/2002 11:17:08 PM | Host is alive | 381 ms
12/12/2002 11:17:08 PM | Host is alive | 401 ms
12/12/2002 11:17:08 PM | Host is alive | 401 ms
12/12/2002 11:17:09 PM | Host is alive | 400 ms
12/12/2002 11:17:10 PM | Host is alive | 500 ms
12/12/2002 11:17:10 PM | Host is alive | 510 ms
12/12/2002 11:17:10 PM | Host is alive | 500 ms
12/12/2002 11:22:03 PM | Host is alive | 601 ms
12/12/2002 11:22:09 PM | Host is alive | 361 ms
12/12/2002 11:22:09 PM | Host is alive | 361 ms
12/12/2002 11:22:09 PM | Host is alive | 361 ms
12/12/2002 11:22:10 PM | Host is alive | 721 ms
12/12/2002 11:22:11 PM | Host is alive | 631 ms
12/12/2002 11:22:11 PM | Host is alive | 641 ms
12/12/2002 11:22:11 PM | Host is alive | 641 ms
12/12/2002 11:27:04 PM | Host is alive | 481 ms
12/12/2002 11:27:09 PM | Host is alive | 541 ms
12/12/2002 11:27:09 PM | Host is alive | 541 ms
12/12/2002 11:27:11 PM | Host is alive | 341 ms
12/12/2002 11:27:12 PM | Host is alive | 400 ms
12/12/2002 11:27:12 PM | Host is alive | 430 ms
12/12/2002 11:27:12 PM | Host is alive | 3435 ms
12/12/2002 11:27:12 PM | Host is alive | 430 ms
12/12/2002 11:32:06 PM | Host is alive | 500 ms
12/12/2002 11:32:11 PM | Host is alive | 400 ms
12/12/2002 11:32:11 PM | Host is alive | 400 ms
12/12/2002 11:32:12 PM | Host is alive | 381 ms
12/12/2002 11:32:13 PM | Host is alive | 390 ms
12/12/2002 11:32:13 PM | Host is alive | 400 ms
12/12/2002 11:32:13 PM | Host is alive | 410 ms
12/12/2002 11:32:14 PM | Host is alive | 441 ms
12/12/2002 11:37:07 PM | Host is alive | 360 ms
12/12/2002 11:37:11 PM | Host is alive | 420 ms
12/12/2002 11:37:11 PM | Host is alive | 420 ms
12/12/2002 11:37:12 PM | Host is alive | 621 ms
12/12/2002 11:37:13 PM | Host is alive | 540 ms
12/12/2002 11:37:13 PM | Host is alive | 550 ms
12/12/2002 11:37:13 PM | Host is alive | 560 ms
12/12/2002 11:37:15 PM | Host is alive | 441 ms
12/12/2002 11:42:08 PM | Host is alive | 501 ms
12/12/2002 11:42:12 PM | Host is alive | 420 ms
12/12/2002 11:42:12 PM | Host is alive | 420 ms
12/12/2002 11:42:14 PM | Host is alive | 380 ms
12/12/2002 11:42:15 PM | Host is alive | 651 ms
12/12/2002 11:42:15 PM | Host is alive | 661 ms
12/12/2002 11:42:15 PM | Host is alive | 671 ms
12/12/2002 11:42:17 PM | Host is alive | 421 ms
12/12/2002 11:47:09 PM | Host is alive | 321 ms
12/12/2002 11:47:12 PM | Host is alive | 420 ms
12/12/2002 11:47:12 PM | Host is alive | 420 ms
12/12/2002 11:47:14 PM | Host is alive | 320 ms
12/12/2002 11:47:16 PM | Host is alive | 331 ms
12/12/2002 11:47:16 PM | Host is alive | 361 ms
12/12/2002 11:47:16 PM | Host is alive | 371 ms
12/12/2002 11:47:17 PM | Host is alive | 400 ms
12/12/2002 11:52:09 PM | Host is alive | 361 ms
12/12/2002 11:52:12 PM | Host is alive | 380 ms
12/12/2002 11:52:12 PM | Host is alive | 380 ms
12/12/2002 11:52:15 PM | Host is alive | 420 ms
12/12/2002 11:52:16 PM | Host is alive | 381 ms
12/12/2002 11:52:17 PM | Host is alive | 431 ms
12/12/2002 11:52:17 PM | Host is alive | 441 ms
12/12/2002 11:52:18 PM | Host is alive | 421 ms
12/12/2002 11:57:10 PM | Host is alive | 401 ms
12/12/2002 11:57:13 PM | Host is alive | 360 ms
12/12/2002 11:57:13 PM | Host is alive | 380 ms
12/12/2002 11:57:15 PM | Host is alive | 400 ms
12/12/2002 11:57:17 PM | Host is alive | 361 ms
12/12/2002 11:57:17 PM | Host is alive | 361 ms
12/12/2002 11:57:18 PM | Host is alive | 701 ms
12/12/2002 11:57:18 PM | Host is alive | 711 ms
13/12/2002 12:02:10 AM | Host is alive | 361 ms
13/12/2002 12:02:13 AM | Host is alive | 340 ms
13/12/2002 12:02:13 AM | Host is alive | 340 ms
13/12/2002 12:02:15 AM | Host is alive | 480 ms
13/12/2002 12:02:17 AM | Host is alive | 361 ms
13/12/2002 12:02:17 AM | Host is alive | 421 ms
13/12/2002 12:02:19 AM | Host is alive | 341 ms
13/12/2002 12:02:19 AM | Host is alive | 361 ms
13/12/2002 12:49:46 PM | Host is alive | 431 ms
13/12/2002 12:49:49 PM | No answer | Error #1006
13/12/2002 12:49:49 PM | Host is alive | 3475 ms
13/12/2002 12:49:49 PM | Host is alive | 3485 ms
13/12/2002 12:49:49 PM | Host is alive | 3495 ms
13/12/2002 12:49:49 PM | Host is alive | 3505 ms
13/12/2002 12:49:49 PM | Host is alive | 3515 ms
13/12/2002 12:49:49 PM | Host is alive | 3535 ms
13/12/2002 12:54:47 PM | Host is alive | 1051 ms
13/12/2002 12:54:50 PM | Host is alive | 461 ms
13/12/2002 12:54:50 PM | Host is alive | 461 ms
13/12/2002 12:54:50 PM | Host is alive | 601 ms
13/12/2002 12:54:50 PM | Host is alive | 601 ms
13/12/2002 12:54:50 PM | Host is alive | 611 ms
13/12/2002 12:54:50 PM | Host is alive | 631 ms
13/12/2002 12:54:50 PM | Host is alive | 631 ms
13/12/2002 12:59:48 PM | Host is alive | 401 ms
13/12/2002 12:59:50 PM | Host is alive | 351 ms
13/12/2002 12:59:50 PM | Host is alive | 351 ms
13/12/2002 12:59:51 PM | Host is alive | 561 ms
13/12/2002 12:59:51 PM | Host is alive | 581 ms
13/12/2002 12:59:51 PM | Host is alive | 581 ms
13/12/2002 12:59:51 PM | Host is alive | 591 ms
13/12/2002 12:59:51 PM | Host is alive | 601 ms
13/12/2002 1:04:49 PM | Host is alive | 461 ms
13/12/2002 1:04:51 PM | Host is alive | 461 ms
13/12/2002 1:04:51 PM | Host is alive | 461 ms
13/12/2002 1:04:53 PM | Host is alive | 371 ms
13/12/2002 1:04:53 PM | Host is alive | 371 ms
13/12/2002 1:04:53 PM | Host is alive | 391 ms
13/12/2002 1:04:53 PM | Host is alive | 451 ms
13/12/2002 1:04:53 PM | Host is alive | 421 ms
13/12/2002 1:09:50 PM | Host is alive | 681 ms
13/12/2002 1:09:51 PM | Host is alive | 460 ms
13/12/2002 1:09:51 PM | Host is alive | 470 ms
13/12/2002 1:09:53 PM | Host is alive | 390 ms
13/12/2002 1:09:53 PM | Host is alive | 440 ms
13/12/2002 1:09:53 PM | Host is alive | 450 ms
13/12/2002 1:09:53 PM | Host is alive | 410 ms
13/12/2002 1:09:53 PM | Host is alive | 480 ms
13/12/2002 1:14:51 PM | Host is alive | 341 ms
13/12/2002 1:14:52 PM | Host is alive | 320 ms
13/12/2002 1:14:52 PM | Host is alive | 320 ms
13/12/2002 1:14:54 PM | Host is alive | 420 ms
13/12/2002 1:14:54 PM | Host is alive | 440 ms
13/12/2002 1:14:54 PM | Host is alive | 430 ms
13/12/2002 1:14:54 PM | Host is alive | 440 ms
13/12/2002 1:14:54 PM | Host is alive | 440 ms
13/12/2002 1:19:51 PM | Host is alive | 401 ms
13/12/2002 1:19:52 PM | Host is alive | 481 ms
13/12/2002 1:19:52 PM | Host is alive | 491 ms
13/12/2002 1:19:54 PM | Host is alive | 440 ms
13/12/2002 1:19:55 PM | Host is alive | 521 ms
13/12/2002 1:19:55 PM | Host is alive | 531 ms
13/12/2002 1:19:55 PM | Host is alive | 531 ms
13/12/2002 1:19:55 PM | Host is alive | 561 ms
13/12/2002 1:24:52 PM | Host is alive | 451 ms
13/12/2002 1:24:54 PM | Host is alive | 421 ms
13/12/2002 1:24:54 PM | Host is alive | 421 ms
13/12/2002 1:24:56 PM | Host is alive | 431 ms
13/12/2002 1:24:56 PM | Host is alive | 441 ms
13/12/2002 1:24:56 PM | Host is alive | 451 ms
13/12/2002 1:24:56 PM | Host is alive | 461 ms
13/12/2002 1:24:56 PM | Host is alive | 491 ms
13/12/2002 1:29:53 PM | Host is alive | 481 ms
13/12/2002 1:29:55 PM | Host is alive | 381 ms
13/12/2002 1:29:55 PM | Host is alive | 381 ms
13/12/2002 1:29:57 PM | Host is alive | 361 ms
13/12/2002 1:29:57 PM | Host is alive | 541 ms
13/12/2002 1:29:57 PM | Host is alive | 611 ms
13/12/2002 1:29:57 PM | Host is alive | 671 ms
13/12/2002 1:29:57 PM | Host is alive | 681 ms
13/12/2002 1:34:54 PM | Host is alive | 440 ms
13/12/2002 1:34:55 PM | Host is alive | 441 ms
13/12/2002 1:34:55 PM | Host is alive | 441 ms
13/12/2002 1:34:57 PM | Host is alive | 441 ms
13/12/2002 1:34:58 PM | Host is alive | 380 ms
13/12/2002 1:34:58 PM | Host is alive | 400 ms
13/12/2002 1:34:58 PM | Host is alive | 400 ms
13/12/2002 1:34:58 PM | Host is alive | 410 ms
13/12/2002 1:39:55 PM | Host is alive | 861 ms
13/12/2002 1:39:56 PM | Host is alive | 381 ms
13/12/2002 1:39:56 PM | Host is alive | 381 ms
13/12/2002 1:39:58 PM | Host is alive | 491 ms
13/12/2002 1:39:59 PM | Host is alive | 420 ms
13/12/2002 1:39:59 PM | Host is alive | 420 ms
13/12/2002 1:39:59 PM | Host is alive | 420 ms
13/12/2002 1:39:59 PM | Host is alive | 440 ms
13/12/2002 1:44:57 PM | Host is alive | 350 ms
13/12/2002 1:44:57 PM | Host is alive | 340 ms
13/12/2002 1:44:57 PM | Host is alive | 441 ms
13/12/2002 1:44:59 PM | Host is alive | 340 ms
13/12/2002 1:45:00 PM | Host is alive | 331 ms
13/12/2002 1:45:00 PM | Host is alive | 321 ms
13/12/2002 1:45:00 PM | Host is alive | 351 ms
13/12/2002 1:45:00 PM | Host is alive | 351 ms
13/12/2002 1:49:58 PM | Host is alive | 341 ms
13/12/2002 1:49:58 PM | Host is alive | 341 ms
13/12/2002 1:49:58 PM | Host is alive | 361 ms
13/12/2002 1:50:00 PM | Host is alive | 320 ms
13/12/2002 1:50:01 PM | Host is alive | 401 ms
13/12/2002 1:50:01 PM | Host is alive | 401 ms
13/12/2002 1:50:01 PM | Host is alive | 411 ms
13/12/2002 1:50:01 PM | Host is alive | 401 ms
13/12/2002 1:54:58 PM | Host is alive | 521 ms
13/12/2002 1:54:58 PM | Host is alive | 531 ms
13/12/2002 1:55:00 PM | Host is alive | 380 ms
13/12/2002 1:55:01 PM | Host is alive | 541 ms
13/12/2002 1:55:01 PM | Host is alive | 561 ms
13/12/2002 1:55:01 PM | Host is alive | 561 ms
13/12/2002 1:55:01 PM | Host is alive | 3625 ms
13/12/2002 1:55:02 PM | Host is alive | 631 ms
13/12/2002 1:59:59 PM | Host is alive | 541 ms
13/12/2002 1:59:59 PM | Host is alive | 541 ms
13/12/2002 2:00:01 PM | Host is alive | 431 ms
13/12/2002 2:00:02 PM | Host is alive | 410 ms
13/12/2002 2:00:02 PM | Host is alive | 420 ms
13/12/2002 2:00:02 PM | Host is alive | 440 ms
13/12/2002 2:00:02 PM | Host is alive | 450 ms
13/12/2002 2:00:02 PM | Host is alive | 440 ms
13/12/2002 2:05:01 PM | Host is alive | 1732 ms
13/12/2002 2:05:01 PM | Host is alive | 1742 ms
13/12/2002 2:05:02 PM | Host is alive | 420 ms
13/12/2002 2:05:03 PM | Host is alive | 441 ms
13/12/2002 2:05:03 PM | Host is alive | 441 ms
13/12/2002 2:05:03 PM | Host is alive | 461 ms
13/12/2002 2:05:03 PM | Host is alive | 461 ms
13/12/2002 2:05:03 PM | Host is alive | 471 ms
13/12/2002 2:10:02 PM | Host is alive | 461 ms
13/12/2002 2:10:02 PM | Host is alive | 461 ms
13/12/2002 2:10:03 PM | Host is alive | 461 ms
13/12/2002 2:10:04 PM | Host is alive | 490 ms
13/12/2002 2:10:04 PM | Host is alive | 490 ms
13/12/2002 2:10:04 PM | Host is alive | 500 ms
13/12/2002 2:10:04 PM | Host is alive | 510 ms
13/12/2002 2:10:04 PM | Host is alive | 520 ms
13/12/2002 2:15:02 PM | Host is alive | 321 ms
13/12/2002 2:15:02 PM | Host is alive | 321 ms
13/12/2002 2:15:03 PM | Host is alive | 390 ms
13/12/2002 2:15:04 PM | Host is alive | 381 ms
13/12/2002 2:15:04 PM | Host is alive | 411 ms
13/12/2002 2:15:04 PM | Host is alive | 401 ms
13/12/2002 2:15:04 PM | Host is alive | 411 ms
13/12/2002 2:15:04 PM | Host is alive | 421 ms
13/12/2002 2:20:03 PM | Host is alive | 531 ms
13/12/2002 2:20:03 PM | Host is alive | 531 ms
13/12/2002 2:20:04 PM | Host is alive | 391 ms
13/12/2002 2:20:05 PM | Host is alive | 440 ms
13/12/2002 2:20:05 PM | Host is alive | 430 ms
13/12/2002 2:20:05 PM | Host is alive | 450 ms
13/12/2002 2:20:05 PM | Host is alive | 450 ms
13/12/2002 2:20:05 PM | Host is alive | 551 ms
13/12/2002 2:25:05 PM | Host is alive | 861 ms
13/12/2002 2:25:05 PM | Host is alive | 861 ms
13/12/2002 2:25:05 PM | Host is alive | 361 ms
13/12/2002 2:25:06 PM | Host is alive | 440 ms
13/12/2002 2:25:06 PM | Host is alive | 450 ms
13/12/2002 2:25:06 PM | Host is alive | 461 ms
13/12/2002 2:25:06 PM | Host is alive | 461 ms
13/12/2002 2:25:06 PM | Host is alive | 481 ms
13/12/2002 2:30:06 PM | Host is alive | 581 ms
13/12/2002 2:30:06 PM | Host is alive | 581 ms
13/12/2002 2:30:07 PM | Host is alive | 471 ms
13/12/2002 2:30:07 PM | Host is alive | 461 ms
13/12/2002 2:30:07 PM | Host is alive | 461 ms
13/12/2002 2:30:07 PM | Host is alive | 461 ms
13/12/2002 2:30:07 PM | Host is alive | 471 ms
13/12/2002 2:30:09 PM | Host is alive | 3515 ms
13/12/2002 2:35:08 PM | Unknown host | Error #1003
13/12/2002 2:35:08 PM | Unknown host | Error #1003
13/12/2002 2:35:08 PM | Unknown host | Error #1003
13/12/2002 2:35:08 PM | Unknown host | Error #1003
13/12/2002 2:35:08 PM | Unknown host | Error #1003
13/12/2002 2:35:08 PM | Unknown host | Error #1003
13/12/2002 2:35:08 PM | Unknown host | Error #1003
13/12/2002 2:35:10 PM | Unknown host | Error #1003
13/12/2002 2:40:09 PM | Unknown host | Error #1003
13/12/2002 2:40:09 PM | Unknown host | Error #1003
13/12/2002 2:40:09 PM | Unknown host | Error #1003
13/12/2002 2:40:09 PM | Unknown host | Error #1003
13/12/2002 2:40:09 PM | Unknown host | Error #1003
13/12/2002 2:40:09 PM | Unknown host | Error #1003
13/12/2002 2:40:09 PM | Unknown host | Error #1003
13/12/2002 2:40:11 PM | Unknown host | Error #1003
13/12/2002 2:45:09 PM | Unknown host | Error #1003
13/12/2002 2:45:09 PM | Unknown host | Error #1003
13/12/2002 2:45:09 PM | Unknown host | Error #1003
13/12/2002 2:45:09 PM | Unknown host | Error #1003
13/12/2002 2:45:09 PM | Unknown host | Error #1003
13/12/2002 2:45:09 PM | Unknown host | Error #1003
13/12/2002 2:45:10 PM | Unknown host | Error #1003
13/12/2002 2:45:11 PM | Unknown host | Error #1003
13/12/2002 2:50:10 PM | Unknown host | Error #1003
13/12/2002 2:50:10 PM | Unknown host | Error #1003
13/12/2002 2:50:10 PM | Unknown host | Error #1003
13/12/2002 2:50:10 PM | Unknown host | Error #1003
13/12/2002 2:50:10 PM | Unknown host | Error #1003
13/12/2002 2:50:10 PM | Unknown host | Error #1003
13/12/2002 2:50:10 PM | Unknown host | Error #1003
13/12/2002 2:50:12 PM | Unknown host | Error #1003
13/12/2002 2:55:10 PM | Unknown host | Error #1003
13/12/2002 2:55:10 PM | Unknown host | Error #1003
13/12/2002 2:55:10 PM | Unknown host | Error #1003
13/12/2002 2:55:10 PM | Unknown host | Error #1003
13/12/2002 2:55:10 PM | Unknown host | Error #1003
13/12/2002 2:55:10 PM | Unknown host | Error #1003
13/12/2002 2:55:11 PM | Unknown host | Error #1003
13/12/2002 2:55:12 PM | Unknown host | Error #1003
13/12/2002 3:00:10 PM | Unknown host | Error #1003
13/12/2002 3:00:10 PM | Unknown host | Error #1003
13/12/2002 3:00:10 PM | Unknown host | Error #1003
13/12/2002 3:00:10 PM | Unknown host | Error #1003
13/12/2002 3:00:11 PM | Unknown host | Error #1003
13/12/2002 3:00:11 PM | Unknown host | Error #1003
13/12/2002 3:00:11 PM | Unknown host | Error #1003
13/12/2002 3:00:12 PM | Unknown host | Error #1003
13/12/2002 3:05:11 PM | Unknown host | Error #1003
13/12/2002 3:05:11 PM | Unknown host | Error #1003
13/12/2002 3:05:11 PM | Unknown host | Error #1003
13/12/2002 3:05:11 PM | Unknown host | Error #1003
13/12/2002 3:05:11 PM | Unknown host | Error #1003
13/12/2002 3:05:11 PM | Unknown host | Error #1003
13/12/2002 3:05:11 PM | Unknown host | Error #1003
13/12/2002 3:05:13 PM | Unknown host | Error #1003
13/12/2002 3:10:11 PM | Unknown host | Error #1003
13/12/2002 3:10:11 PM | Unknown host | Error #1003
13/12/2002 3:10:11 PM | Unknown host | Error #1003
13/12/2002 3:10:11 PM | Unknown host | Error #1003
13/12/2002 3:10:11 PM | Unknown host | Error #1003
13/12/2002 3:10:11 PM | Unknown host | Error #1003
13/12/2002 3:10:11 PM | Unknown host | Error #1003
13/12/2002 3:10:13 PM | Unknown host | Error #1003
13/12/2002 3:15:12 PM | Unknown host | Error #1003
13/12/2002 3:15:12 PM | Unknown host | Error #1003
13/12/2002 3:15:12 PM | Unknown host | Error #1003
13/12/2002 3:15:12 PM | Unknown host | Error #1003
13/12/2002 3:15:12 PM | Unknown host | Error #1003
13/12/2002 3:15:12 PM | Unknown host | Error #1003
13/12/2002 3:15:12 PM | Unknown host | Error #1003
13/12/2002 3:15:14 PM | Unknown host | Error #1003
13/12/2002 3:20:12 PM | Unknown host | Error #1003
13/12/2002 3:20:12 PM | Unknown host | Error #1003
13/12/2002 3:20:12 PM | Unknown host | Error #1003
13/12/2002 3:20:12 PM | Unknown host | Error #1003
13/12/2002 3:20:12 PM | Unknown host | Error #1003
13/12/2002 3:20:12 PM | Unknown host | Error #1003
13/12/2002 3:20:13 PM | Unknown host | Error #1003
13/12/2002 3:20:14 PM | Unknown host | Error #1003
13/12/2002 3:25:13 PM | Unknown host | Error #1003
13/12/2002 3:25:13 PM | Unknown host | Error #1003
13/12/2002 3:25:13 PM | Unknown host | Error #1003
13/12/2002 3:25:13 PM | Unknown host | Error #1003
13/12/2002 3:25:13 PM | Unknown host | Error #1003
13/12/2002 3:25:13 PM | Unknown host | Error #1003
13/12/2002 3:25:13 PM | Unknown host | Error #1003
13/12/2002 3:25:15 PM | Unknown host | Error #1003
13/12/2002 3:30:13 PM | Unknown host | Error #1003
13/12/2002 3:30:13 PM | Unknown host | Error #1003
13/12/2002 3:30:13 PM | Unknown host | Error #1003
13/12/2002 3:30:13 PM | Unknown host | Error #1003
13/12/2002 3:30:13 PM | Unknown host | Error #1003
13/12/2002 3:30:13 PM | Unknown host | Error #1003
13/12/2002 3:30:14 PM | Unknown host | Error #1003
13/12/2002 3:30:15 PM | Unknown host | Error #1003
13/12/2002 3:35:13 PM | Unknown host | Error #1003
13/12/2002 3:35:13 PM | Unknown host | Error #1003
13/12/2002 3:35:13 PM | Unknown host | Error #1003
13/12/2002 3:35:14 PM | Unknown host | Error #1003
13/12/2002 3:35:14 PM | Unknown host | Error #1003
13/12/2002 3:35:14 PM | Unknown host | Error #1003
13/12/2002 3:35:14 PM | Unknown host | Error #1003
13/12/2002 3:35:15 PM | Unknown host | Error #1003
13/12/2002 3:40:14 PM | Unknown host | Error #1003
13/12/2002 3:40:14 PM | Unknown host | Error #1003
13/12/2002 3:40:14 PM | Unknown host | Error #1003
13/12/2002 3:40:14 PM | Unknown host | Error #1003
13/12/2002 3:40:14 PM | Unknown host | Error #1003
13/12/2002 3:40:14 PM | Unknown host | Error #1003
13/12/2002 3:40:14 PM | Unknown host | Error #1003
13/12/2002 3:40:16 PM | Unknown host | Error #1003
13/12/2002 3:45:14 PM | Unknown host | Error #1003
13/12/2002 3:45:14 PM | Unknown host | Error #1003
13/12/2002 3:45:14 PM | Unknown host | Error #1003
13/12/2002 3:45:14 PM | Unknown host | Error #1003
13/12/2002 3:45:14 PM | Unknown host | Error #1003
13/12/2002 3:45:14 PM | Unknown host | Error #1003
13/12/2002 3:45:15 PM | Unknown host | Error #1003
13/12/2002 3:45:16 PM | Unknown host | Error #1003
13/12/2002 3:50:15 PM | Unknown host | Error #1003
13/12/2002 3:50:15 PM | Unknown host | Error #1003
13/12/2002 3:50:15 PM | Unknown host | Error #1003
13/12/2002 3:50:15 PM | Unknown host | Error #1003
13/12/2002 3:50:15 PM | Unknown host | Error #1003
13/12/2002 3:50:15 PM | Unknown host | Error #1003
13/12/2002 3:50:15 PM | Unknown host | Error #1003
13/12/2002 3:50:17 PM | Unknown host | Error #1003
13/12/2002 3:55:15 PM | Unknown host | Error #1003
13/12/2002 3:55:15 PM | Unknown host | Error #1003
13/12/2002 3:55:15 PM | Unknown host | Error #1003
13/12/2002 3:55:15 PM | Unknown host | Error #1003
13/12/2002 3:55:15 PM | Unknown host | Error #1003
13/12/2002 3:55:15 PM | Unknown host | Error #1003
13/12/2002 3:55:16 PM | Unknown host | Error #1003
13/12/2002 3:55:17 PM | Unknown host | Error #1003
13/12/2002 4:00:16 PM | Unknown host | Error #1003
13/12/2002 4:00:16 PM | Unknown host | Error #1003
13/12/2002 4:00:16 PM | Unknown host | Error #1003
13/12/2002 4:00:16 PM | Unknown host | Error #1003
13/12/2002 4:00:16 PM | Unknown host | Error #1003
13/12/2002 4:00:16 PM | Unknown host | Error #1003
13/12/2002 4:00:16 PM | Unknown host | Error #1003
13/12/2002 4:00:18 PM | Unknown host | Error #1003
13/12/2002 4:05:16 PM | Unknown host | Error #1003
13/12/2002 4:05:16 PM | Unknown host | Error #1003
13/12/2002 4:05:16 PM | Unknown host | Error #1003
13/12/2002 4:05:16 PM | Unknown host | Error #1003
13/12/2002 4:05:16 PM | Unknown host | Error #1003
13/12/2002 4:05:16 PM | Unknown host | Error #1003
13/12/2002 4:05:17 PM | Unknown host | Error #1003
13/12/2002 4:05:18 PM | Unknown host | Error #1003
13/12/2002 4:10:16 PM | Unknown host | Error #1003
13/12/2002 4:10:16 PM | Unknown host | Error #1003
13/12/2002 4:10:17 PM | Unknown host | Error #1003
13/12/2002 4:10:17 PM | Unknown host | Error #1003
13/12/2002 4:10:17 PM | Unknown host | Error #1003
13/12/2002 4:10:17 PM | Unknown host | Error #1003
13/12/2002 4:10:17 PM | Unknown host | Error #1003
13/12/2002 4:10:18 PM | Unknown host | Error #1003
13/12/2002 4:15:17 PM | Unknown host | Error #1003
13/12/2002 4:15:17 PM | Unknown host | Error #1003
13/12/2002 4:15:17 PM | Unknown host | Error #1003
13/12/2002 4:15:17 PM | Unknown host | Error #1003
13/12/2002 4:15:17 PM | Unknown host | Error #1003
13/12/2002 4:15:17 PM | Unknown host | Error #1003
13/12/2002 4:15:17 PM | Unknown host | Error #1003
13/12/2002 4:15:19 PM | Unknown host | Error #1003
13/12/2002 4:20:17 PM | Unknown host | Error #1003
13/12/2002 4:20:17 PM | Unknown host | Error #1003
13/12/2002 4:20:17 PM | Unknown host | Error #1003
13/12/2002 4:20:17 PM | Unknown host | Error #1003
13/12/2002 4:20:17 PM | Unknown host | Error #1003
13/12/2002 4:20:17 PM | Unknown host | Error #1003
13/12/2002 4:20:18 PM | Unknown host | Error #1003
13/12/2002 4:20:19 PM | Unknown host | Error #1003
13/12/2002 4:25:18 PM | Unknown host | Error #1003
13/12/2002 4:25:18 PM | Unknown host | Error #1003
13/12/2002 4:25:18 PM | Unknown host | Error #1003
13/12/2002 4:25:18 PM | Unknown host | Error #1003
13/12/2002 4:25:18 PM | Unknown host | Error #1003
13/12/2002 4:25:18 PM | Unknown host | Error #1003
13/12/2002 4:25:18 PM | Unknown host | Error #1003
13/12/2002 4:25:20 PM | Unknown host | Error #1003
13/12/2002 4:30:19 PM | Host is alive | 571 ms
13/12/2002 4:30:19 PM | Host is alive | 821 ms
13/12/2002 4:30:19 PM | Host is alive | 831 ms
13/12/2002 4:30:19 PM | Host is alive | 831 ms
13/12/2002 4:30:19 PM | Host is alive | 831 ms
13/12/2002 4:30:19 PM | Host is alive | 841 ms
13/12/2002 4:30:19 PM | Host is alive | 841 ms
13/12/2002 4:30:20 PM | Host is alive | 360 ms
13/12/2002 4:35:20 PM | Host is alive | 450 ms
13/12/2002 4:35:20 PM | Host is alive | 450 ms
13/12/2002 4:35:20 PM | Host is alive | 460 ms
13/12/2002 4:35:20 PM | Host is alive | 480 ms
13/12/2002 4:35:20 PM | Host is alive | 490 ms
13/12/2002 4:35:20 PM | Host is alive | 490 ms
13/12/2002 4:35:20 PM | Host is alive | 490 ms
13/12/2002 4:35:22 PM | Host is alive | 400 ms
13/12/2002 4:40:20 PM | Host is alive | 401 ms
13/12/2002 4:40:20 PM | Host is alive | 401 ms
13/12/2002 4:40:20 PM | Host is alive | 421 ms
13/12/2002 4:40:20 PM | Host is alive | 421 ms
13/12/2002 4:40:20 PM | Host is alive | 431 ms
13/12/2002 4:40:20 PM | Host is alive | 461 ms
13/12/2002 4:40:20 PM | Host is alive | 451 ms
13/12/2002 4:40:22 PM | Host is alive | 581 ms
13/12/2002 4:45:21 PM | Host is alive | 421 ms
13/12/2002 4:45:21 PM | Host is alive | 421 ms
13/12/2002 4:45:21 PM | Host is alive | 451 ms
13/12/2002 4:45:21 PM | Host is alive | 451 ms
13/12/2002 4:45:21 PM | Host is alive | 451 ms
13/12/2002 4:45:21 PM | Host is alive | 541 ms
13/12/2002 4:45:21 PM | Host is alive | 541 ms
13/12/2002 4:45:23 PM | Host is alive | 341 ms
13/12/2002 4:50:22 PM | Host is alive | 581 ms
13/12/2002 4:50:22 PM | Host is alive | 571 ms
13/12/2002 4:50:25 PM | Host is alive | 3435 ms
13/12/2002 4:50:25 PM | Host is alive | 1462 ms
13/12/2002 4:50:25 PM | Host is alive | 3515 ms
13/12/2002 4:50:25 PM | Host is alive | 3555 ms
13/12/2002 4:50:25 PM | Host is alive | 3675 ms
13/12/2002 4:50:25 PM | Host is alive | 3675 ms
13/12/2002 4:55:23 PM | Host is alive | 440 ms
13/12/2002 4:55:23 PM | Host is alive | 440 ms
13/12/2002 4:55:26 PM | Host is alive | 981 ms
13/12/2002 4:55:26 PM | Host is alive | 991 ms
13/12/2002 4:55:26 PM | Host is alive | 1001 ms
13/12/2002 4:55:26 PM | Host is alive | 391 ms
13/12/2002 4:55:26 PM | Host is alive | 431 ms
13/12/2002 4:55:26 PM | Host is alive | 431 ms
13/12/2002 5:00:24 PM | Host is alive | 461 ms
13/12/2002 5:00:24 PM | Host is alive | 531 ms
13/12/2002 5:00:27 PM | Host is alive | 431 ms
13/12/2002 5:00:27 PM | Host is alive | 461 ms
13/12/2002 5:00:27 PM | Host is alive | 461 ms
13/12/2002 5:00:27 PM | Host is alive | 461 ms
13/12/2002 5:00:27 PM | Host is alive | 471 ms
13/12/2002 5:00:27 PM | Host is alive | 471 ms
13/12/2002 5:05:25 PM | Host is alive | 421 ms
13/12/2002 5:05:25 PM | Host is alive | 421 ms
13/12/2002 5:05:28 PM | Host is alive | 621 ms
13/12/2002 5:05:28 PM | Host is alive | 651 ms
13/12/2002 5:05:28 PM | Host is alive | 641 ms
13/12/2002 5:05:28 PM | Host is alive | 661 ms
13/12/2002 5:05:28 PM | Host is alive | 671 ms
13/12/2002 5:05:28 PM | Host is alive | 671 ms
13/12/2002 5:10:25 PM | Host is alive | 400 ms
13/12/2002 5:10:25 PM | Host is alive | 420 ms
13/12/2002 5:10:28 PM | Host is alive | 361 ms
13/12/2002 5:10:28 PM | Host is alive | 381 ms
13/12/2002 5:10:28 PM | Host is alive | 391 ms
13/12/2002 5:10:28 PM | Host is alive | 391 ms
13/12/2002 5:10:28 PM | Host is alive | 391 ms
13/12/2002 5:10:28 PM | Host is alive | 421 ms
13/12/2002 5:15:27 PM | Host is alive | 460 ms
13/12/2002 5:15:27 PM | Host is alive | 460 ms
13/12/2002 5:15:29 PM | Host is alive | 391 ms
13/12/2002 5:15:30 PM | Host is alive | 381 ms
13/12/2002 5:15:30 PM | Host is alive | 391 ms
13/12/2002 5:15:30 PM | Host is alive | 401 ms
13/12/2002 5:15:30 PM | Host is alive | 401 ms
13/12/2002 5:15:30 PM | Host is alive | 421 ms
13/12/2002 5:20:27 PM | Host is alive | 561 ms
13/12/2002 5:20:27 PM | Host is alive | 601 ms
13/12/2002 5:20:30 PM | Host is alive | 350 ms
13/12/2002 5:20:30 PM | Host is alive | 401 ms
13/12/2002 5:20:30 PM | Host is alive | 441 ms
13/12/2002 5:20:30 PM | Host is alive | 440 ms
13/12/2002 5:20:30 PM | Host is alive | 451 ms
13/12/2002 5:20:30 PM | Host is alive | 450 ms
13/12/2002 5:25:28 PM | Host is alive | 300 ms
13/12/2002 5:25:28 PM | Host is alive | 300 ms
13/12/2002 5:25:31 PM | Host is alive | 371 ms
13/12/2002 5:25:31 PM | Host is alive | 361 ms
13/12/2002 5:25:31 PM | Host is alive | 361 ms
13/12/2002 5:25:31 PM | Host is alive | 361 ms
13/12/2002 5:25:31 PM | Host is alive | 371 ms
13/12/2002 5:25:31 PM | Host is alive | 371 ms
13/12/2002 5:30:29 PM | Host is alive | 300 ms
13/12/2002 5:30:29 PM | Host is alive | 310 ms
13/12/2002 5:30:32 PM | Host is alive | 320 ms
13/12/2002 5:30:32 PM | Host is alive | 320 ms
13/12/2002 5:30:32 PM | Host is alive | 330 ms
13/12/2002 5:30:32 PM | Host is alive | 340 ms
13/12/2002 5:30:32 PM | Host is alive | 360 ms
13/12/2002 5:30:32 PM | Host is alive | 340 ms
13/12/2002 5:35:30 PM | Host is alive | 661 ms
13/12/2002 5:35:30 PM | Host is alive | 661 ms
13/12/2002 5:35:33 PM | Host is alive | 381 ms
13/12/2002 5:35:33 PM | Host is alive | 381 ms
13/12/2002 5:35:33 PM | Host is alive | 391 ms
13/12/2002 5:35:33 PM | Host is alive | 411 ms
13/12/2002 5:35:33 PM | Host is alive | 411 ms
13/12/2002 5:35:33 PM | Host is alive | 411 ms
13/12/2002 5:40:31 PM | Host is alive | 441 ms
13/12/2002 5:40:31 PM | Host is alive | 451 ms
13/12/2002 5:40:33 PM | Host is alive | 381 ms
13/12/2002 5:40:33 PM | Host is alive | 431 ms
13/12/2002 5:40:33 PM | Host is alive | 441 ms
13/12/2002 5:40:33 PM | Host is alive | 441 ms
13/12/2002 5:40:33 PM | Host is alive | 441 ms
13/12/2002 5:40:33 PM | Host is alive | 461 ms
13/12/2002 5:45:32 PM | Host is alive | 421 ms
13/12/2002 5:45:33 PM | Host is alive | 370 ms
13/12/2002 5:45:34 PM | Host is alive | 441 ms
13/12/2002 5:45:34 PM | Host is alive | 451 ms
13/12/2002 5:45:35 PM | Host is alive | 400 ms
13/12/2002 5:45:35 PM | Host is alive | 400 ms
13/12/2002 5:45:35 PM | Host is alive | 400 ms
13/12/2002 5:45:35 PM | Host is alive | 420 ms
13/12/2002 5:50:32 PM | Host is alive | 381 ms
13/12/2002 5:50:34 PM | Host is alive | 892 ms
13/12/2002 5:50:35 PM | Host is alive | 761 ms
13/12/2002 5:50:35 PM | Host is alive | 761 ms
13/12/2002 5:50:36 PM | Host is alive | 461 ms
13/12/2002 5:50:36 PM | Host is alive | 461 ms
13/12/2002 5:50:36 PM | Host is alive | 491 ms
13/12/2002 5:50:36 PM | Host is alive | 491 ms
13/12/2002 5:55:33 PM | Host is alive | 401 ms
13/12/2002 5:55:35 PM | Host is alive | 420 ms
13/12/2002 5:55:36 PM | Host is alive | 361 ms
13/12/2002 5:55:36 PM | Host is alive | 361 ms
13/12/2002 5:55:37 PM | Host is alive | 380 ms
13/12/2002 5:55:37 PM | Host is alive | 390 ms
13/12/2002 5:55:37 PM | Host is alive | 390 ms
13/12/2002 5:55:37 PM | Host is alive | 400 ms
13/12/2002 6:00:33 PM | Host is alive | 341 ms
13/12/2002 6:00:36 PM | Host is alive | 381 ms
13/12/2002 6:00:37 PM | Host is alive | 580 ms
13/12/2002 6:00:37 PM | Host is alive | 580 ms
13/12/2002 6:00:38 PM | Host is alive | 591 ms
13/12/2002 6:00:38 PM | Host is alive | 691 ms
13/12/2002 6:00:38 PM | Host is alive | 691 ms
13/12/2002 6:00:38 PM | Host is alive | 691 ms
13/12/2002 6:05:34 PM | Host is alive | 351 ms
13/12/2002 6:05:36 PM | Host is alive | 360 ms
13/12/2002 6:05:37 PM | Host is alive | 421 ms
13/12/2002 6:05:38 PM | Host is alive | 421 ms
13/12/2002 6:05:38 PM | Host is alive | 320 ms
13/12/2002 6:05:38 PM | Host is alive | 350 ms
13/12/2002 6:05:38 PM | Host is alive | 350 ms
13/12/2002 6:05:38 PM | Host is alive | 380 ms
13/12/2002 6:10:35 PM | Host is alive | 461 ms
13/12/2002 6:10:37 PM | Host is alive | 481 ms
13/12/2002 6:10:38 PM | Host is alive | 641 ms
13/12/2002 6:10:38 PM | Host is alive | 651 ms
13/12/2002 6:10:39 PM | Host is alive | 591 ms
13/12/2002 6:10:39 PM | Host is alive | 581 ms
13/12/2002 6:10:39 PM | Host is alive | 581 ms
13/12/2002 6:10:39 PM | Host is alive | 601 ms
13/12/2002 6:15:36 PM | Host is alive | 421 ms
13/12/2002 6:15:39 PM | Host is alive | 661 ms
13/12/2002 6:15:40 PM | Host is alive | 701 ms
13/12/2002 6:15:40 PM | Host is alive | 701 ms
13/12/2002 6:15:40 PM | Host is alive | 461 ms
13/12/2002 6:15:40 PM | Host is alive | 451 ms
13/12/2002 6:15:40 PM | Host is alive | 481 ms
13/12/2002 6:15:40 PM | Host is alive | 481 ms
13/12/2002 6:20:37 PM | Host is alive | 722 ms
13/12/2002 6:20:40 PM | Host is alive | 320 ms
13/12/2002 6:20:41 PM | Host is alive | 361 ms
13/12/2002 6:20:41 PM | Host is alive | 421 ms
13/12/2002 6:20:42 PM | Host is alive | 400 ms
13/12/2002 6:20:42 PM | Host is alive | 420 ms
13/12/2002 6:20:42 PM | Host is alive | 420 ms
13/12/2002 6:20:42 PM | Host is alive | 430 ms
13/12/2002 6:25:38 PM | Host is alive | 370 ms
13/12/2002 6:25:40 PM | Host is alive | 400 ms
13/12/2002 6:25:41 PM | Host is alive | 381 ms
13/12/2002 6:25:41 PM | Host is alive | 391 ms
13/12/2002 6:25:42 PM | Host is alive | 420 ms
13/12/2002 6:25:42 PM | Host is alive | 420 ms
13/12/2002 6:25:42 PM | Host is alive | 450 ms
13/12/2002 6:25:42 PM | Host is alive | 470 ms
13/12/2002 6:30:39 PM | Host is alive | 400 ms
13/12/2002 6:30:41 PM | Host is alive | 400 ms
13/12/2002 6:30:42 PM | Host is alive | 331 ms
13/12/2002 6:30:42 PM | Host is alive | 341 ms
13/12/2002 6:30:43 PM | Host is alive | 320 ms
13/12/2002 6:30:43 PM | Host is alive | 340 ms
13/12/2002 6:30:44 PM | Host is alive | 321 ms
13/12/2002 6:30:44 PM | Host is alive | 341 ms
13/12/2002 6:35:39 PM | Host is alive | 320 ms
13/12/2002 6:35:41 PM | Host is alive | 360 ms
13/12/2002 6:35:42 PM | Host is alive | 381 ms
13/12/2002 6:35:42 PM | Host is alive | 391 ms
13/12/2002 6:35:43 PM | Host is alive | 300 ms
13/12/2002 6:35:43 PM | Host is alive | 300 ms
13/12/2002 6:35:44 PM | Host is alive | 401 ms
13/12/2002 6:35:44 PM | Host is alive | 401 ms
13/12/2002 6:40:39 PM | Host is alive | 340 ms
13/12/2002 6:40:41 PM | Host is alive | 320 ms
13/12/2002 6:40:43 PM | Host is alive | 601 ms
13/12/2002 6:40:43 PM | Host is alive | 902 ms
13/12/2002 6:40:43 PM | Host is alive | 360 ms
13/12/2002 6:40:43 PM | Host is alive | 360 ms
13/12/2002 6:40:44 PM | Host is alive | 341 ms
13/12/2002 6:40:44 PM | Host is alive | 341 ms
13/12/2002 6:45:40 PM | Host is alive | 360 ms
13/12/2002 6:45:42 PM | Host is alive | 561 ms
13/12/2002 6:45:44 PM | Host is alive | 440 ms
13/12/2002 6:45:44 PM | Host is alive | 440 ms
13/12/2002 6:45:44 PM | Host is alive | 460 ms
13/12/2002 6:45:44 PM | Host is alive | 460 ms
13/12/2002 6:45:45 PM | Host is alive | 321 ms
13/12/2002 6:45:45 PM | Host is alive | 321 ms
13/12/2002 6:50:40 PM | Host is alive | 401 ms
13/12/2002 6:50:43 PM | Host is alive | 301 ms
13/12/2002 6:50:45 PM | Host is alive | 381 ms
13/12/2002 6:50:45 PM | Host is alive | 381 ms
13/12/2002 6:50:45 PM | Host is alive | 391 ms
13/12/2002 6:50:45 PM | Host is alive | 381 ms
13/12/2002 6:50:46 PM | Host is alive | 380 ms
13/12/2002 6:50:46 PM | Host is alive | 380 ms
13/12/2002 6:55:41 PM | Host is alive | 400 ms
13/12/2002 6:55:43 PM | Host is alive | 340 ms
13/12/2002 6:55:45 PM | Host is alive | 380 ms
13/12/2002 6:55:45 PM | Host is alive | 390 ms
13/12/2002 6:55:45 PM | Host is alive | 380 ms
13/12/2002 6:55:45 PM | Host is alive | 390 ms
13/12/2002 6:55:46 PM | Host is alive | 381 ms
13/12/2002 6:55:46 PM | Host is alive | 381 ms
13/12/2002 7:00:42 PM | Host is alive | 440 ms
13/12/2002 7:00:44 PM | Host is alive | 300 ms
13/12/2002 7:00:46 PM | Host is alive | 390 ms
13/12/2002 7:00:46 PM | Host is alive | 380 ms
13/12/2002 7:00:46 PM | Host is alive | 400 ms
13/12/2002 7:00:46 PM | Host is alive | 410 ms
13/12/2002 7:00:47 PM | Host is alive | 300 ms
13/12/2002 7:00:47 PM | Host is alive | 300 ms
13/12/2002 7:05:43 PM | Host is alive | 341 ms
13/12/2002 7:05:44 PM | Host is alive | 340 ms
13/12/2002 7:05:46 PM | Host is alive | 460 ms
13/12/2002 7:05:46 PM | Host is alive | 470 ms
13/12/2002 7:05:46 PM | Host is alive | 480 ms
13/12/2002 7:05:46 PM | Host is alive | 480 ms
13/12/2002 7:05:47 PM | Host is alive | 340 ms
13/12/2002 7:05:47 PM | Host is alive | 361 ms
13/12/2002 7:10:44 PM | Host is alive | 481 ms
13/12/2002 7:10:45 PM | Host is alive | 360 ms
13/12/2002 7:10:48 PM | Host is alive | 340 ms
13/12/2002 7:10:48 PM | Host is alive | 330 ms
13/12/2002 7:10:48 PM | Host is alive | 350 ms
13/12/2002 7:10:48 PM | Host is alive | 381 ms
13/12/2002 7:10:48 PM | Host is alive | 391 ms
13/12/2002 7:10:48 PM | Host is alive | 401 ms
13/12/2002 7:15:45 PM | Host is alive | 480 ms
13/12/2002 7:15:45 PM | Host is alive | 480 ms
13/12/2002 7:15:48 PM | Host is alive | 381 ms
13/12/2002 7:15:48 PM | Host is alive | 381 ms
13/12/2002 7:15:48 PM | Host is alive | 381 ms
13/12/2002 7:15:48 PM | Host is alive | 391 ms
13/12/2002 7:15:48 PM | Host is alive | 411 ms
13/12/2002 7:15:48 PM | Host is alive | 411 ms
13/12/2002 7:20:46 PM | Host is alive | 481 ms
13/12/2002 7:20:46 PM | Host is alive | 481 ms
13/12/2002 7:20:49 PM | Host is alive | 401 ms
13/12/2002 7:20:49 PM | Host is alive | 401 ms
13/12/2002 7:20:49 PM | Host is alive | 411 ms
13/12/2002 7:20:49 PM | Host is alive | 421 ms
13/12/2002 7:20:49 PM | Host is alive | 441 ms
13/12/2002 7:20:49 PM | Host is alive | 431 ms
13/12/2002 7:25:46 PM | Host is alive | 361 ms
13/12/2002 7:25:46 PM | Host is alive | 361 ms
13/12/2002 7:25:50 PM | Host is alive | 390 ms
13/12/2002 7:25:50 PM | Host is alive | 390 ms
13/12/2002 7:25:50 PM | Host is alive | 400 ms
13/12/2002 7:25:50 PM | Host is alive | 410 ms
13/12/2002 7:25:50 PM | Host is alive | 410 ms
13/12/2002 7:25:50 PM | Host is alive | 410 ms
13/12/2002 7:30:47 PM | Host is alive | 381 ms
13/12/2002 7:30:47 PM | Host is alive | 481 ms
13/12/2002 7:30:50 PM | Host is alive | 450 ms
13/12/2002 7:30:50 PM | Host is alive | 460 ms
13/12/2002 7:30:50 PM | Host is alive | 470 ms
13/12/2002 7:30:50 PM | Host is alive | 470 ms
13/12/2002 7:30:50 PM | Host is alive | 490 ms
13/12/2002 7:30:50 PM | Host is alive | 490 ms
13/12/2002 7:35:47 PM | Host is alive | 481 ms
13/12/2002 7:35:48 PM | Host is alive | 420 ms
13/12/2002 7:35:51 PM | Host is alive | 351 ms
13/12/2002 7:35:51 PM | Host is alive | 341 ms
13/12/2002 7:35:51 PM | Host is alive | 341 ms
13/12/2002 7:35:51 PM | Host is alive | 341 ms
13/12/2002 7:35:51 PM | Host is alive | 351 ms
13/12/2002 7:35:51 PM | Host is alive | 351 ms
13/12/2002 7:40:48 PM | Host is alive | 360 ms
13/12/2002 7:40:49 PM | Host is alive | 461 ms
13/12/2002 7:40:52 PM | Host is alive | 331 ms
13/12/2002 7:40:52 PM | Host is alive | 341 ms
13/12/2002 7:40:52 PM | Host is alive | 351 ms
13/12/2002 7:40:52 PM | Host is alive | 361 ms
13/12/2002 7:40:52 PM | Host is alive | 371 ms
13/12/2002 7:40:52 PM | Host is alive | 381 ms
13/12/2002 7:45:49 PM | Host is alive | 380 ms
13/12/2002 7:45:50 PM | Host is alive | 441 ms
13/12/2002 7:45:53 PM | Host is alive | 360 ms
13/12/2002 7:45:53 PM | Host is alive | 350 ms
13/12/2002 7:45:53 PM | Host is alive | 360 ms
13/12/2002 7:45:53 PM | Host is alive | 370 ms
13/12/2002 7:45:53 PM | Host is alive | 390 ms
13/12/2002 7:45:53 PM | Host is alive | 530 ms
13/12/2002 7:50:49 PM | Host is alive | 380 ms
13/12/2002 7:50:51 PM | Host is alive | 400 ms
13/12/2002 7:50:53 PM | Host is alive | 380 ms
13/12/2002 7:50:53 PM | Host is alive | 410 ms
13/12/2002 7:50:53 PM | Host is alive | 400 ms
13/12/2002 7:50:53 PM | Host is alive | 400 ms
13/12/2002 7:50:53 PM | Host is alive | 410 ms
13/12/2002 7:50:54 PM | Host is alive | 461 ms
13/12/2002 7:55:49 PM | Host is alive | 320 ms
13/12/2002 7:55:51 PM | Host is alive | 420 ms
13/12/2002 7:55:53 PM | Host is alive | 310 ms
13/12/2002 7:55:53 PM | Host is alive | 320 ms
13/12/2002 7:55:54 PM | Host is alive | 510 ms
13/12/2002 7:55:54 PM | Host is alive | 520 ms
13/12/2002 7:55:54 PM | Host is alive | 701 ms
13/12/2002 7:55:55 PM | Host is alive | 340 ms
13/12/2002 8:00:50 PM | Host is alive | 461 ms
13/12/2002 8:00:52 PM | Host is alive | 360 ms
13/12/2002 8:00:54 PM | Host is alive | 440 ms
13/12/2002 8:00:54 PM | Host is alive | 561 ms
13/12/2002 8:00:55 PM | Host is alive | 401 ms
13/12/2002 8:00:55 PM | Host is alive | 401 ms
13/12/2002 8:00:55 PM | Host is alive | 421 ms
13/12/2002 8:00:56 PM | Host is alive | 360 ms
13/12/2002 8:05:51 PM | Host is alive | 501 ms
13/12/2002 8:05:52 PM | Host is alive | 440 ms
13/12/2002 8:05:55 PM | Host is alive | 361 ms
13/12/2002 8:05:55 PM | Host is alive | 361 ms
13/12/2002 8:05:55 PM | Host is alive | 371 ms
13/12/2002 8:05:55 PM | Host is alive | 381 ms
13/12/2002 8:05:55 PM | Host is alive | 401 ms
13/12/2002 8:05:56 PM | Host is alive | 380 ms
13/12/2002 8:10:53 PM | Host is alive | 320 ms
13/12/2002 8:10:53 PM | Host is alive | 320 ms
13/12/2002 8:10:56 PM | Host is alive | 421 ms
13/12/2002 8:10:56 PM | Host is alive | 421 ms
13/12/2002 8:10:56 PM | Host is alive | 421 ms
13/12/2002 8:10:56 PM | Host is alive | 651 ms
13/12/2002 8:10:56 PM | Host is alive | 651 ms
13/12/2002 8:10:57 PM | Host is alive | 380 ms
13/12/2002 8:15:54 PM | Host is alive | 381 ms
13/12/2002 8:15:54 PM | Host is alive | 381 ms
13/12/2002 8:15:56 PM | Host is alive | 310 ms
13/12/2002 8:15:56 PM | Host is alive | 300 ms
13/12/2002 8:15:57 PM | Host is alive | 360 ms
13/12/2002 8:15:57 PM | Host is alive | 390 ms
13/12/2002 8:15:57 PM | Host is alive | 380 ms
13/12/2002 8:15:58 PM | Host is alive | 361 ms
13/12/2002 8:20:54 PM | Host is alive | 421 ms
13/12/2002 8:20:54 PM | Host is alive | 421 ms
13/12/2002 8:20:57 PM | Host is alive | 420 ms
13/12/2002 8:20:57 PM | Host is alive | 430 ms
13/12/2002 8:20:57 PM | Host is alive | 611 ms
13/12/2002 8:20:57 PM | Host is alive | 621 ms
13/12/2002 8:20:57 PM | Host is alive | 711 ms
13/12/2002 8:20:58 PM | Host is alive | 341 ms
13/12/2002 8:25:55 PM | Host is alive | 360 ms
13/12/2002 8:25:55 PM | Host is alive | 370 ms
13/12/2002 8:25:58 PM | Host is alive | 301 ms
13/12/2002 8:25:58 PM | Host is alive | 321 ms
13/12/2002 8:25:58 PM | Host is alive | 341 ms
13/12/2002 8:25:58 PM | Host is alive | 331 ms
13/12/2002 8:25:58 PM | Host is alive | 351 ms
13/12/2002 8:25:59 PM | Host is alive | 320 ms
13/12/2002 8:30:55 PM | Host is alive | 461 ms
13/12/2002 8:30:55 PM | Host is alive | 461 ms
13/12/2002 8:30:58 PM | Host is alive | 521 ms
13/12/2002 8:30:58 PM | Host is alive | 531 ms
13/12/2002 8:30:58 PM | Host is alive | 541 ms
13/12/2002 8:30:58 PM | Host is alive | 541 ms
13/12/2002 8:30:58 PM | Host is alive | 561 ms
13/12/2002 8:30:59 PM | Host is alive | 420 ms
13/12/2002 8:35:57 PM | Host is alive | 311 ms
13/12/2002 8:35:57 PM | Host is alive | 321 ms
13/12/2002 8:36:00 PM | Host is alive | 380 ms
13/12/2002 8:36:00 PM | Host is alive | 400 ms
13/12/2002 8:36:00 PM | Host is alive | 410 ms
13/12/2002 8:36:00 PM | Host is alive | 410 ms
13/12/2002 8:36:00 PM | Host is alive | 410 ms
13/12/2002 8:36:00 PM | Host is alive | 420 ms
13/12/2002 8:40:57 PM | Host is alive | 421 ms
13/12/2002 8:40:57 PM | Host is alive | 421 ms
13/12/2002 8:41:00 PM | Host is alive | 340 ms
13/12/2002 8:41:00 PM | Host is alive | 390 ms
13/12/2002 8:41:00 PM | Host is alive | 390 ms
13/12/2002 8:41:00 PM | Host is alive | 390 ms
13/12/2002 8:41:00 PM | Host is alive | 420 ms
13/12/2002 8:41:00 PM | Host is alive | 420 ms
13/12/2002 8:45:58 PM | Host is alive | 400 ms
13/12/2002 8:45:58 PM | Host is alive | 400 ms
13/12/2002 8:46:01 PM | Host is alive | 331 ms
13/12/2002 8:46:01 PM | Host is alive | 351 ms
13/12/2002 8:46:01 PM | Host is alive | 341 ms
13/12/2002 8:46:01 PM | Host is alive | 351 ms
13/12/2002 8:46:01 PM | Host is alive | 371 ms
13/12/2002 8:46:01 PM | Host is alive | 381 ms
13/12/2002 8:50:59 PM | Host is alive | 781 ms
13/12/2002 8:50:59 PM | Host is alive | 801 ms
13/12/2002 8:51:01 PM | Host is alive | 331 ms
13/12/2002 8:51:01 PM | Host is alive | 331 ms
13/12/2002 8:51:01 PM | Host is alive | 341 ms
13/12/2002 8:51:01 PM | Host is alive | 351 ms
13/12/2002 8:51:01 PM | Host is alive | 341 ms
13/12/2002 8:51:01 PM | Host is alive | 361 ms
13/12/2002 8:56:00 PM | Host is alive | 381 ms
13/12/2002 8:56:00 PM | Host is alive | 381 ms
13/12/2002 8:56:02 PM | Host is alive | 381 ms
13/12/2002 8:56:02 PM | Host is alive | 391 ms
13/12/2002 8:56:02 PM | Host is alive | 391 ms
13/12/2002 8:56:02 PM | Host is alive | 401 ms
13/12/2002 8:56:02 PM | Host is alive | 601 ms
13/12/2002 8:56:02 PM | Host is alive | 621 ms
13/12/2002 9:01:01 PM | Host is alive | 340 ms
13/12/2002 9:01:01 PM | Host is alive | 340 ms
13/12/2002 9:01:03 PM | Host is alive | 490 ms
13/12/2002 9:01:03 PM | Host is alive | 510 ms
13/12/2002 9:01:03 PM | Host is alive | 510 ms
13/12/2002 9:01:03 PM | Host is alive | 520 ms
13/12/2002 9:01:03 PM | Host is alive | 530 ms
13/12/2002 9:01:03 PM | Host is alive | 541 ms
13/12/2002 9:06:01 PM | Host is alive | 361 ms
13/12/2002 9:06:01 PM | Host is alive | 361 ms
13/12/2002 9:06:03 PM | Host is alive | 461 ms
13/12/2002 9:06:03 PM | Host is alive | 471 ms
13/12/2002 9:06:03 PM | Host is alive | 471 ms
13/12/2002 9:06:03 PM | Host is alive | 491 ms
13/12/2002 9:06:03 PM | Host is alive | 481 ms
13/12/2002 9:06:03 PM | Host is alive | 481 ms
13/12/2002 9:11:02 PM | Host is alive | 361 ms
13/12/2002 9:11:02 PM | Host is alive | 361 ms
13/12/2002 9:11:04 PM | Host is alive | 411 ms
13/12/2002 9:11:04 PM | Host is alive | 401 ms
13/12/2002 9:11:04 PM | Host is alive | 411 ms
13/12/2002 9:11:04 PM | Host is alive | 411 ms
13/12/2002 9:11:04 PM | Host is alive | 441 ms
13/12/2002 9:11:04 PM | Host is alive | 431 ms
13/12/2002 9:16:03 PM | Host is alive | 420 ms
13/12/2002 9:16:03 PM | Host is alive | 420 ms
13/12/2002 9:16:05 PM | Host is alive | 431 ms
13/12/2002 9:16:05 PM | Host is alive | 451 ms
13/12/2002 9:16:05 PM | Host is alive | 451 ms
13/12/2002 9:16:05 PM | Host is alive | 471 ms
13/12/2002 9:16:05 PM | Host is alive | 491 ms
13/12/2002 9:16:05 PM | Host is alive | 491 ms
13/12/2002 9:21:04 PM | Host is alive | 381 ms
13/12/2002 9:21:04 PM | Host is alive | 391 ms
13/12/2002 9:21:06 PM | Host is alive | 351 ms
13/12/2002 9:21:06 PM | Host is alive | 411 ms
13/12/2002 9:21:06 PM | Host is alive | 411 ms
13/12/2002 9:21:06 PM | Host is alive | 411 ms
13/12/2002 9:21:06 PM | Host is alive | 421 ms
13/12/2002 9:21:06 PM | Host is alive | 431 ms
13/12/2002 9:26:06 PM | Host is alive | 1332 ms
13/12/2002 9:26:06 PM | Host is alive | 1342 ms
13/12/2002 9:26:07 PM | Host is alive | 390 ms
13/12/2002 9:26:07 PM | Host is alive | 390 ms
13/12/2002 9:26:07 PM | Host is alive | 410 ms
13/12/2002 9:26:07 PM | Host is alive | 400 ms
13/12/2002 9:26:07 PM | Host is alive | 470 ms
13/12/2002 9:26:07 PM | Host is alive | 470 ms
13/12/2002 9:31:06 PM | Host is alive | 381 ms
13/12/2002 9:31:06 PM | Host is alive | 381 ms
13/12/2002 9:31:07 PM | Host is alive | 380 ms
13/12/2002 9:31:07 PM | Host is alive | 380 ms
13/12/2002 9:31:07 PM | Host is alive | 400 ms
13/12/2002 9:31:07 PM | Host is alive | 400 ms
13/12/2002 9:31:08 PM | Host is alive | 421 ms
13/12/2002 9:31:08 PM | Host is alive | 421 ms
13/12/2002 9:36:07 PM | Host is alive | 341 ms
13/12/2002 9:36:07 PM | Host is alive | 341 ms
13/12/2002 9:36:09 PM | Host is alive | 511 ms
13/12/2002 9:36:09 PM | Host is alive | 501 ms
13/12/2002 9:36:09 PM | Host is alive | 511 ms
13/12/2002 9:36:09 PM | Host is alive | 511 ms
13/12/2002 9:36:09 PM | Host is alive | 521 ms
13/12/2002 9:36:09 PM | Host is alive | 531 ms
13/12/2002 9:41:07 PM | Host is alive | 380 ms
13/12/2002 9:41:07 PM | Host is alive | 380 ms
13/12/2002 9:41:09 PM | Host is alive | 520 ms
13/12/2002 9:41:09 PM | Host is alive | 531 ms
13/12/2002 9:41:10 PM | Host is alive | 540 ms
13/12/2002 9:41:10 PM | Host is alive | 540 ms
13/12/2002 9:41:10 PM | Host is alive | 550 ms
13/12/2002 9:41:10 PM | Host is alive | 550 ms
13/12/2002 9:46:08 PM | Host is alive | 340 ms
13/12/2002 9:46:08 PM | Host is alive | 350 ms
13/12/2002 9:46:11 PM | Host is alive | 381 ms
13/12/2002 9:46:11 PM | Host is alive | 391 ms
13/12/2002 9:46:14 PM | Host is alive | 3515 ms
13/12/2002 9:46:14 PM | Host is alive | 3545 ms
13/12/2002 9:46:14 PM | Host is alive | 3545 ms
13/12/2002 9:46:14 PM | Host is alive | 3555 ms
13/12/2002 9:51:09 PM | Host is alive | 761 ms
13/12/2002 9:51:09 PM | Host is alive | 781 ms
13/12/2002 9:51:11 PM | Host is alive | 481 ms
13/12/2002 9:51:11 PM | Host is alive | 481 ms
13/12/2002 9:51:15 PM | Host is alive | 360 ms
13/12/2002 9:51:15 PM | Host is alive | 360 ms
13/12/2002 9:51:15 PM | Host is alive | 390 ms
13/12/2002 9:51:15 PM | Host is alive | 390 ms
13/12/2002 9:56:10 PM | Host is alive | 321 ms
13/12/2002 9:56:10 PM | Host is alive | 321 ms
13/12/2002 9:56:13 PM | Host is alive | 381 ms
13/12/2002 9:56:13 PM | Host is alive | 501 ms
13/12/2002 9:56:16 PM | Host is alive | 390 ms
13/12/2002 9:56:16 PM | Host is alive | 400 ms
13/12/2002 9:56:16 PM | Host is alive | 400 ms
13/12/2002 9:56:16 PM | Host is alive | 410 ms
13/12/2002 10:01:10 PM | Host is alive | 481 ms
13/12/2002 10:01:10 PM | Host is alive | 481 ms
13/12/2002 10:01:13 PM | Host is alive | 441 ms
13/12/2002 10:01:14 PM | Host is alive | 421 ms
13/12/2002 10:01:16 PM | Host is alive | 400 ms
13/12/2002 10:01:16 PM | Host is alive | 420 ms
13/12/2002 10:01:16 PM | Host is alive | 420 ms
13/12/2002 10:01:16 PM | Host is alive | 430 ms
13/12/2002 10:06:12 PM | Host is alive | 380 ms
13/12/2002 10:06:12 PM | Host is alive | 380 ms
13/12/2002 10:06:15 PM | Host is alive | 320 ms
13/12/2002 10:06:15 PM | Host is alive | 400 ms
13/12/2002 10:06:17 PM | Host is alive | 340 ms
13/12/2002 10:06:17 PM | Host is alive | 340 ms
13/12/2002 10:06:17 PM | Host is alive | 350 ms
13/12/2002 10:06:18 PM | Host is alive | 391 ms
13/12/2002 10:11:12 PM | Host is alive | 361 ms
13/12/2002 10:11:12 PM | Host is alive | 381 ms
13/12/2002 10:11:15 PM | Host is alive | 401 ms
13/12/2002 10:11:15 PM | Host is alive | 401 ms
13/12/2002 10:11:17 PM | Host is alive | 481 ms
13/12/2002 10:11:17 PM | Host is alive | 541 ms
13/12/2002 10:11:17 PM | Host is alive | 541 ms
13/12/2002 10:11:18 PM | Host is alive | 320 ms
13/12/2002 10:16:13 PM | Host is alive | 351 ms
13/12/2002 10:16:13 PM | Host is alive | 381 ms
13/12/2002 10:16:16 PM | Host is alive | 441 ms
13/12/2002 10:16:16 PM | Host is alive | 451 ms
13/12/2002 10:16:18 PM | Host is alive | 541 ms
13/12/2002 10:16:19 PM | Host is alive | 420 ms
13/12/2002 10:16:19 PM | Host is alive | 420 ms
13/12/2002 10:16:19 PM | Host is alive | 440 ms
13/12/2002 10:21:14 PM | Host is alive | 461 ms
13/12/2002 10:21:14 PM | Host is alive | 461 ms
13/12/2002 10:21:17 PM | Host is alive | 460 ms
13/12/2002 10:21:17 PM | Host is alive | 460 ms
13/12/2002 10:21:19 PM | Host is alive | 560 ms
13/12/2002 10:21:20 PM | Host is alive | 601 ms
13/12/2002 10:21:20 PM | Host is alive | 601 ms
13/12/2002 10:21:20 PM | Host is alive | 601 ms
13/12/2002 10:26:15 PM | Host is alive | 821 ms
13/12/2002 10:26:15 PM | Host is alive | 821 ms
13/12/2002 10:26:18 PM | Host is alive | 341 ms
13/12/2002 10:26:18 PM | Host is alive | 341 ms
13/12/2002 10:26:20 PM | Host is alive | 401 ms
13/12/2002 10:26:21 PM | Host is alive | 381 ms
13/12/2002 10:26:21 PM | Host is alive | 381 ms
13/12/2002 10:26:21 PM | Host is alive | 391 ms
13/12/2002 10:31:16 PM | Host is alive | 311 ms
13/12/2002 10:31:16 PM | Host is alive | 401 ms
13/12/2002 10:31:18 PM | Host is alive | 401 ms
13/12/2002 10:31:18 PM | Host is alive | 401 ms
13/12/2002 10:31:20 PM | Host is alive | 501 ms
13/12/2002 10:31:21 PM | Host is alive | 480 ms
13/12/2002 10:31:21 PM | Host is alive | 480 ms
13/12/2002 10:31:21 PM | Host is alive | 490 ms
13/12/2002 10:36:17 PM | Host is alive | 401 ms
13/12/2002 10:36:17 PM | Host is alive | 421 ms
13/12/2002 10:36:19 PM | Host is alive | 361 ms
13/12/2002 10:36:19 PM | Host is alive | 361 ms
13/12/2002 10:36:22 PM | Host is alive | 340 ms
13/12/2002 10:36:23 PM | Host is alive | 421 ms
13/12/2002 10:36:23 PM | Host is alive | 421 ms
13/12/2002 10:36:23 PM | Host is alive | 461 ms
13/12/2002 10:41:18 PM | Host is alive | 741 ms
13/12/2002 10:41:20 PM | Host is alive | 460 ms
13/12/2002 10:41:20 PM | Host is alive | 460 ms
13/12/2002 10:41:20 PM | Host is alive | 3285 ms
13/12/2002 10:41:23 PM | Host is alive | 541 ms
13/12/2002 10:41:24 PM | Host is alive | 440 ms
13/12/2002 10:41:24 PM | Host is alive | 440 ms
13/12/2002 10:41:24 PM | Host is alive | 450 ms
13/12/2002 10:46:19 PM | Host is alive | 481 ms
13/12/2002 10:46:21 PM | Host is alive | 381 ms
13/12/2002 10:46:21 PM | Host is alive | 381 ms
13/12/2002 10:46:21 PM | Host is alive | 411 ms
13/12/2002 10:46:24 PM | Host is alive | 540 ms
13/12/2002 10:46:25 PM | Host is alive | 421 ms
13/12/2002 10:46:25 PM | Host is alive | 421 ms
13/12/2002 10:46:25 PM | Host is alive | 431 ms
13/12/2002 10:51:21 PM | Host is alive | 500 ms
13/12/2002 10:51:21 PM | Host is alive | 321 ms
13/12/2002 10:51:21 PM | Host is alive | 341 ms
13/12/2002 10:51:21 PM | Host is alive | 341 ms
13/12/2002 10:51:25 PM | Host is alive | 391 ms
13/12/2002 10:51:25 PM | Host is alive | 421 ms
13/12/2002 10:51:25 PM | Host is alive | 421 ms
13/12/2002 10:51:25 PM | Host is alive | 431 ms
13/12/2002 10:56:22 PM | Host is alive | 341 ms
13/12/2002 10:56:22 PM | Host is alive | 351 ms
13/12/2002 10:56:25 PM | Host is alive | 3315 ms
13/12/2002 10:56:25 PM | Host is alive | 3315 ms
13/12/2002 10:56:26 PM | Host is alive | 370 ms
13/12/2002 10:56:26 PM | Host is alive | 370 ms
13/12/2002 10:56:26 PM | Host is alive | 381 ms
13/12/2002 10:56:26 PM | Host is alive | 391 ms
13/12/2002 11:01:22 PM | Host is alive | 381 ms
13/12/2002 11:01:22 PM | Host is alive | 401 ms
13/12/2002 11:01:25 PM | Host is alive | 300 ms
13/12/2002 11:01:25 PM | Host is alive | 320 ms
13/12/2002 11:01:26 PM | Host is alive | 300 ms
13/12/2002 11:01:26 PM | Host is alive | 320 ms
13/12/2002 11:01:26 PM | Host is alive | 461 ms
13/12/2002 11:01:26 PM | Host is alive | 461 ms
13/12/2002 11:06:23 PM | Host is alive | 401 ms
13/12/2002 11:06:23 PM | Host is alive | 401 ms
13/12/2002 11:06:26 PM | Host is alive | 320 ms
13/12/2002 11:06:26 PM | Host is alive | 320 ms
13/12/2002 11:06:27 PM | Host is alive | 381 ms
13/12/2002 11:06:27 PM | Host is alive | 401 ms
13/12/2002 11:06:28 PM | Host is alive | 421 ms
13/12/2002 11:06:28 PM | Host is alive | 421 ms
13/12/2002 11:11:23 PM | Host is alive | 361 ms
13/12/2002 11:11:23 PM | Host is alive | 361 ms
13/12/2002 11:11:26 PM | Host is alive | 360 ms
13/12/2002 11:11:26 PM | Host is alive | 360 ms
13/12/2002 11:11:27 PM | Host is alive | 360 ms
13/12/2002 11:11:27 PM | Host is alive | 381 ms
13/12/2002 11:11:28 PM | Host is alive | 481 ms
13/12/2002 11:11:28 PM | Host is alive | 481 ms
13/12/2002 11:16:24 PM | Host is alive | 441 ms
13/12/2002 11:16:24 PM | Host is alive | 441 ms
13/12/2002 11:16:27 PM | Host is alive | 400 ms
13/12/2002 11:16:27 PM | Host is alive | 400 ms
13/12/2002 11:16:28 PM | Host is alive | 360 ms
13/12/2002 11:16:28 PM | Host is alive | 360 ms
13/12/2002 11:16:30 PM | Host is alive | 521 ms
13/12/2002 11:16:30 PM | Host is alive | 521 ms
13/12/2002 11:21:25 PM | Host is alive | 500 ms
13/12/2002 11:21:25 PM | Host is alive | 500 ms
13/12/2002 11:21:27 PM | Host is alive | 420 ms
13/12/2002 11:21:27 PM | Host is alive | 420 ms
13/12/2002 11:21:28 PM | Host is alive | 421 ms
13/12/2002 11:21:28 PM | Host is alive | 441 ms
13/12/2002 11:21:31 PM | Host is alive | 391 ms
13/12/2002 11:21:31 PM | Host is alive | 631 ms
13/12/2002 11:26:27 PM | Host is alive | 421 ms
13/12/2002 11:26:27 PM | Host is alive | 421 ms
13/12/2002 11:26:27 PM | Host is alive | 380 ms
13/12/2002 11:26:27 PM | Host is alive | 400 ms
13/12/2002 11:26:28 PM | Host is alive | 320 ms
13/12/2002 11:26:29 PM | Host is alive | 401 ms
13/12/2002 11:26:32 PM | Host is alive | 431 ms
13/12/2002 11:26:32 PM | Host is alive | 380 ms
13/12/2002 11:31:27 PM | Host is alive | 441 ms
13/12/2002 11:31:27 PM | Host is alive | 441 ms
13/12/2002 11:31:28 PM | Host is alive | 320 ms
13/12/2002 11:31:28 PM | Host is alive | 320 ms
13/12/2002 11:31:29 PM | Host is alive | 320 ms
13/12/2002 11:31:30 PM | Host is alive | 321 ms
13/12/2002 11:31:32 PM | Host is alive | 281 ms
13/12/2002 11:31:33 PM | Host is alive | 280 ms
13/12/2002 11:36:28 PM | Host is alive | 520 ms
13/12/2002 11:36:28 PM | Host is alive | 520 ms
13/12/2002 11:36:29 PM | Host is alive | 650 ms
13/12/2002 11:36:29 PM | Host is alive | 751 ms
13/12/2002 11:36:29 PM | Host is alive | 381 ms
13/12/2002 11:36:30 PM | Host is alive | 381 ms
13/12/2002 11:36:32 PM | Host is alive | 331 ms
13/12/2002 11:36:33 PM | Host is alive | 400 ms
13/12/2002 11:41:30 PM | Host is alive | 340 ms
13/12/2002 11:41:30 PM | Host is alive | 340 ms
13/12/2002 11:41:31 PM | Host is alive | 721 ms
13/12/2002 11:41:33 PM | Host is alive | 3325 ms
13/12/2002 11:41:33 PM | Host is alive | 3335 ms
13/12/2002 11:41:33 PM | Host is alive | 3345 ms
13/12/2002 11:41:33 PM | Host is alive | 521 ms
13/12/2002 11:41:34 PM | Host is alive | 360 ms
13/12/2002 11:46:30 PM | Host is alive | 381 ms
13/12/2002 11:46:30 PM | Host is alive | 381 ms
13/12/2002 11:46:32 PM | Host is alive | 320 ms
13/12/2002 11:46:33 PM | Host is alive | 401 ms
13/12/2002 11:46:33 PM | Host is alive | 401 ms
13/12/2002 11:46:33 PM | Host is alive | 411 ms
13/12/2002 11:46:34 PM | Host is alive | 360 ms
13/12/2002 11:46:34 PM | Host is alive | 370 ms
13/12/2002 11:51:31 PM | Host is alive | 481 ms
13/12/2002 11:51:31 PM | Host is alive | 481 ms
13/12/2002 11:51:33 PM | Host is alive | 320 ms
13/12/2002 11:51:34 PM | Host is alive | 461 ms
13/12/2002 11:51:34 PM | Host is alive | 461 ms
13/12/2002 11:51:34 PM | Host is alive | 471 ms
13/12/2002 11:51:35 PM | Host is alive | 500 ms
13/12/2002 11:51:35 PM | Host is alive | 510 ms
13/12/2002 11:56:32 PM | Host is alive | 341 ms
13/12/2002 11:56:32 PM | Host is alive | 341 ms
13/12/2002 11:56:33 PM | Host is alive | 320 ms
13/12/2002 11:56:35 PM | Host is alive | 320 ms
13/12/2002 11:56:35 PM | Host is alive | 340 ms
13/12/2002 11:56:35 PM | Host is alive | 350 ms
13/12/2002 11:56:36 PM | Host is alive | 361 ms
13/12/2002 11:56:36 PM | Host is alive | 371 ms
14/12/2002 12:01:33 AM | Host is alive | 782 ms
14/12/2002 12:01:33 AM | Host is alive | 882 ms
14/12/2002 12:01:33 AM | Host is alive | 360 ms
14/12/2002 12:01:36 AM | Host is alive | 440 ms
14/12/2002 12:01:36 AM | Host is alive | 440 ms
14/12/2002 12:01:36 AM | Host is alive | 641 ms
14/12/2002 12:01:37 AM | Host is alive | 1002 ms
14/12/2002 12:01:37 AM | Host is alive | 1002 ms
14/12/2002 12:06:34 AM | Host is alive | 320 ms
14/12/2002 12:06:34 AM | Host is alive | 320 ms
14/12/2002 12:06:34 AM | Host is alive | 330 ms
14/12/2002 12:06:37 AM | Host is alive | 501 ms
14/12/2002 12:06:37 AM | Host is alive | 501 ms
14/12/2002 12:06:37 AM | Host is alive | 511 ms
14/12/2002 12:06:38 AM | Host is alive | 360 ms
14/12/2002 12:06:38 AM | Host is alive | 370 ms
14/12/2002 12:11:34 AM | Host is alive | 430 ms
14/12/2002 12:11:34 AM | Host is alive | 440 ms
14/12/2002 12:11:37 AM | Host is alive | 3305 ms
14/12/2002 12:11:38 AM | Host is alive | 410 ms
14/12/2002 12:11:38 AM | Host is alive | 430 ms
14/12/2002 12:11:38 AM | Host is alive | 430 ms
14/12/2002 12:11:38 AM | Host is alive | 440 ms
14/12/2002 12:11:38 AM | Host is alive | 460 ms
14/12/2002 12:16:35 AM | Host is alive | 300 ms
14/12/2002 12:16:36 AM | Host is alive | 361 ms
14/12/2002 12:16:38 AM | Host is alive | 361 ms
14/12/2002 12:16:39 AM | Host is alive | 400 ms
14/12/2002 12:16:40 AM | Host is alive | 451 ms
14/12/2002 12:16:40 AM | Host is alive | 461 ms
14/12/2002 12:16:40 AM | Host is alive | 471 ms
14/12/2002 12:16:40 AM | Host is alive | 481 ms
14/12/2002 12:21:35 AM | Host is alive | 360 ms
14/12/2002 12:21:36 AM | Host is alive | 581 ms
14/12/2002 12:21:38 AM | Host is alive | 421 ms
14/12/2002 12:21:39 AM | Host is alive | 440 ms
14/12/2002 12:21:41 AM | Host is alive | 341 ms
14/12/2002 12:21:41 AM | Host is alive | 341 ms
14/12/2002 12:21:41 AM | Host is alive | 361 ms
14/12/2002 12:21:41 AM | Host is alive | 371 ms
14/12/2002 12:26:36 AM | Host is alive | 420 ms
14/12/2002 12:26:38 AM | Host is alive | 440 ms
14/12/2002 12:26:39 AM | Host is alive | 401 ms
14/12/2002 12:26:41 AM | Host is alive | 381 ms
14/12/2002 12:26:42 AM | Host is alive | 401 ms
14/12/2002 12:26:42 AM | Host is alive | 401 ms
14/12/2002 12:26:42 AM | Host is alive | 411 ms
14/12/2002 12:26:42 AM | Host is alive | 401 ms
14/12/2002 12:31:36 AM | Host is alive | 360 ms
14/12/2002 12:31:39 AM | Host is alive | 381 ms
14/12/2002 12:31:39 AM | Host is alive | 381 ms
14/12/2002 12:31:41 AM | Host is alive | 331 ms
14/12/2002 12:31:42 AM | Host is alive | 431 ms
14/12/2002 12:31:42 AM | Host is alive | 441 ms
14/12/2002 12:31:42 AM | Host is alive | 441 ms
14/12/2002 12:31:42 AM | Host is alive | 451 ms
14/12/2002 12:36:36 AM | Host is alive | 320 ms
14/12/2002 12:36:40 AM | Host is alive | 361 ms
14/12/2002 12:36:40 AM | Host is alive | 361 ms
14/12/2002 12:36:41 AM | Host is alive | 321 ms
14/12/2002 12:36:42 AM | Host is alive | 301 ms
14/12/2002 12:36:43 AM | Host is alive | 340 ms
14/12/2002 12:36:44 AM | Host is alive | 360 ms
14/12/2002 12:36:44 AM | Host is alive | 360 ms
14/12/2002 12:41:37 AM | Host is alive | 400 ms
14/12/2002 12:41:40 AM | Host is alive | 401 ms
14/12/2002 12:41:40 AM | Host is alive | 421 ms
14/12/2002 12:41:42 AM | Host is alive | 401 ms
14/12/2002 12:41:43 AM | Host is alive | 401 ms
14/12/2002 12:41:44 AM | Host is alive | 601 ms
14/12/2002 12:41:44 AM | Host is alive | 601 ms
14/12/2002 12:41:44 AM | Host is alive | 681 ms
14/12/2002 12:46:37 AM | Host is alive | 460 ms
14/12/2002 12:46:40 AM | Host is alive | 341 ms
14/12/2002 12:46:40 AM | Host is alive | 341 ms
14/12/2002 12:46:42 AM | Host is alive | 421 ms
14/12/2002 12:46:43 AM | Host is alive | 361 ms
14/12/2002 12:46:45 AM | Host is alive | 421 ms
14/12/2002 12:46:45 AM | Host is alive | 461 ms
14/12/2002 12:46:45 AM | Host is alive | 461 ms
14/12/2002 12:51:39 AM | Host is alive | 441 ms
14/12/2002 12:51:41 AM | Host is alive | 381 ms
14/12/2002 12:51:41 AM | Host is alive | 381 ms
14/12/2002 12:51:43 AM | Host is alive | 461 ms
14/12/2002 12:51:44 AM | Host is alive | 391 ms
14/12/2002 12:51:46 AM | Host is alive | 401 ms
14/12/2002 12:51:47 AM | Host is alive | 320 ms
14/12/2002 12:51:47 AM | Host is alive | 320 ms
14/12/2002 12:56:40 AM | Host is alive | 400 ms
14/12/2002 12:56:41 AM | Host is alive | 441 ms
14/12/2002 12:56:41 AM | Host is alive | 461 ms
14/12/2002 12:56:44 AM | Host is alive | 601 ms
14/12/2002 12:56:44 AM | Host is alive | 621 ms
14/12/2002 12:56:46 AM | Host is alive | 361 ms
14/12/2002 12:56:47 AM | Host is alive | 360 ms
14/12/2002 12:56:47 AM | Host is alive | 360 ms
14/12/2002 1:01:41 AM | Host is alive | 621 ms
14/12/2002 1:01:42 AM | Host is alive | 321 ms
14/12/2002 1:01:42 AM | Host is alive | 321 ms
14/12/2002 1:01:45 AM | Host is alive | 440 ms
14/12/2002 1:01:45 AM | Host is alive | 460 ms
14/12/2002 1:01:47 AM | Host is alive | 460 ms
14/12/2002 1:01:48 AM | Host is alive | 321 ms
14/12/2002 1:01:48 AM | Host is alive | 321 ms
14/12/2002 1:06:43 AM | Host is alive | 802 ms
14/12/2002 1:06:44 AM | Host is alive | 1803 ms
14/12/2002 1:06:45 AM | Host is alive | 2644 ms
14/12/2002 1:06:46 AM | Host is alive | 401 ms
14/12/2002 1:06:46 AM | Host is alive | 401 ms
14/12/2002 1:06:48 AM | Host is alive | 441 ms
14/12/2002 1:06:48 AM | Host is alive | 441 ms
14/12/2002 1:06:48 AM | Host is alive | 441 ms
14/12/2002 1:11:44 AM | Host is alive | 381 ms
14/12/2002 1:11:45 AM | Host is alive | 340 ms
14/12/2002 1:11:45 AM | Host is alive | 340 ms
14/12/2002 1:11:47 AM | Host is alive | 360 ms
14/12/2002 1:11:47 AM | Host is alive | 360 ms
14/12/2002 1:11:49 AM | Host is alive | 441 ms
14/12/2002 1:11:49 AM | Host is alive | 441 ms
14/12/2002 1:11:49 AM | Host is alive | 461 ms
14/12/2002 1:16:45 AM | Host is alive | 621 ms
14/12/2002 1:16:45 AM | Host is alive | 400 ms
14/12/2002 1:16:45 AM | Host is alive | 400 ms
14/12/2002 1:16:47 AM | Host is alive | 370 ms
14/12/2002 1:16:47 AM | Host is alive | 380 ms
14/12/2002 1:16:50 AM | Host is alive | 430 ms
14/12/2002 1:16:51 AM | Host is alive | 521 ms
14/12/2002 1:16:51 AM | Host is alive | 541 ms
14/12/2002 1:21:46 AM | Host is alive | 400 ms
14/12/2002 1:21:46 AM | Host is alive | 400 ms
14/12/2002 1:21:46 AM | Host is alive | 410 ms
14/12/2002 1:21:48 AM | Host is alive | 480 ms
14/12/2002 1:21:48 AM | Host is alive | 510 ms
14/12/2002 1:21:51 AM | Host is alive | 360 ms
14/12/2002 1:21:52 AM | Host is alive | 361 ms
14/12/2002 1:21:52 AM | Host is alive | 401 ms
14/12/2002 1:26:46 AM | Host is alive | 320 ms
14/12/2002 1:26:46 AM | Host is alive | 370 ms
14/12/2002 1:26:49 AM | Host is alive | 3304 ms
14/12/2002 1:26:49 AM | Host is alive | 421 ms
14/12/2002 1:26:49 AM | Host is alive | 421 ms
14/12/2002 1:26:51 AM | Host is alive | 390 ms
14/12/2002 1:26:52 AM | Host is alive | 321 ms
14/12/2002 1:26:52 AM | Host is alive | 321 ms
14/12/2002 1:31:47 AM | Host is alive | 340 ms
14/12/2002 1:31:47 AM | Host is alive | 360 ms
14/12/2002 1:31:50 AM | Host is alive | 340 ms
14/12/2002 1:31:50 AM | Host is alive | 340 ms
14/12/2002 1:31:50 AM | Host is alive | 401 ms
14/12/2002 1:31:52 AM | Host is alive | 360 ms
14/12/2002 1:31:53 AM | Host is alive | 401 ms
14/12/2002 1:31:53 AM | Host is alive | 401 ms
14/12/2002 1:38:31 AM | Host is alive | 551 ms
14/12/2002 1:38:32 AM | Host is alive | 551 ms
14/12/2002 1:38:32 AM | Host is alive | 571 ms
14/12/2002 1:38:34 AM | No answer | Error #1006
14/12/2002 1:38:34 AM | Host is alive | 3395 ms
14/12/2002 1:38:34 AM | Host is alive | 3415 ms
14/12/2002 1:38:34 AM | Host is alive | 3455 ms
14/12/2002 1:38:34 AM | Host is alive | 3465 ms


Log qoute for test "HTTP: ks-soft. CRC

 Test: HTTP: ks-soft. CRC
Method: HTTP test (www.ks-soft.net)

12/12/2002 1:02:33 PM | Host is alive | 471 ms
12/12/2002 1:06:17 PM | Host is alive | 3365 ms
12/12/2002 1:06:23 PM | Host is alive | 441 ms
12/12/2002 1:07:34 PM | Host is alive | 450 ms
12/12/2002 1:12:40 PM | Host is alive | 3745 ms
12/12/2002 1:41:02 PM | Host is alive | 3395 ms
12/12/2002 1:46:04 PM | Host is alive | 861 ms
12/12/2002 1:51:05 PM | Host is alive | 410 ms
12/12/2002 1:56:06 PM | Host is alive | 411 ms
12/12/2002 2:01:06 PM | Host is alive | 330 ms
12/12/2002 2:06:08 PM | Host is alive | 501 ms
12/12/2002 2:11:09 PM | Host is alive | 481 ms
12/12/2002 2:16:10 PM | Host is alive | 831 ms
12/12/2002 2:21:12 PM | Host is alive | 420 ms
12/12/2002 2:26:13 PM | Host is alive | 441 ms
12/12/2002 2:31:13 PM | Host is alive | 351 ms
12/12/2002 2:36:14 PM | Host is alive | 630 ms
12/12/2002 2:41:15 PM | Host is alive | 341 ms
12/12/2002 2:46:16 PM | Host is alive | 661 ms
12/12/2002 2:51:17 PM | Host is alive | 500 ms
12/12/2002 2:56:17 PM | Host is alive | 461 ms
12/12/2002 3:01:18 PM | Host is alive | 340 ms
12/12/2002 3:06:19 PM | Host is alive | 400 ms
12/12/2002 3:11:20 PM | Host is alive | 361 ms
12/12/2002 3:16:20 PM | Host is alive | 461 ms
12/12/2002 4:13:31 PM | Host is alive | 3485 ms
12/12/2002 4:18:31 PM | Unknown
12/12/2002 4:23:32 PM | Host is alive | 381 ms
12/12/2002 4:28:32 PM | Host is alive | 501 ms
12/12/2002 4:33:34 PM | Host is alive | 721 ms
12/12/2002 4:38:35 PM | Host is alive | 411 ms
12/12/2002 4:43:36 PM | Host is alive | 901 ms
12/12/2002 4:48:37 PM | Host is alive | 410 ms
12/12/2002 4:53:38 PM | Host is alive | 821 ms
12/12/2002 4:58:39 PM | Host is alive | 641 ms
12/12/2002 5:03:41 PM | Host is alive | 521 ms
12/12/2002 5:08:42 PM | Host is alive | 341 ms
12/12/2002 5:14:05 PM | Host is alive | 3575 ms
12/12/2002 5:19:06 PM | Host is alive | 540 ms
12/12/2002 5:24:07 PM | Host is alive | 511 ms
12/12/2002 5:29:08 PM | Host is alive | 480 ms
12/12/2002 5:34:10 PM | Host is alive | 1141 ms
12/12/2002 5:39:10 PM | Host is alive | 451 ms
12/12/2002 5:44:11 PM | Host is alive | 671 ms
12/12/2002 5:49:12 PM | Host is alive | 430 ms
12/12/2002 5:54:13 PM | Host is alive | 501 ms
12/12/2002 5:59:14 PM | Host is alive | 471 ms
12/12/2002 6:04:15 PM | Host is alive | 561 ms
12/12/2002 6:09:15 PM | Host is alive | 600 ms
12/12/2002 6:14:17 PM | Host is alive | 441 ms
12/12/2002 6:19:18 PM | Host is alive | 411 ms
12/12/2002 6:24:18 PM | Host is alive | 401 ms
12/12/2002 6:29:19 PM | Host is alive | 380 ms
12/12/2002 6:34:20 PM | Host is alive | 621 ms
12/12/2002 6:39:21 PM | Host is alive | 491 ms
12/12/2002 6:44:22 PM | Host is alive | 561 ms
12/12/2002 6:49:27 PM | Host is alive | 4516 ms
12/12/2002 6:54:28 PM | Host is alive | 471 ms
12/12/2002 7:04:15 PM | Host is alive | 611 ms
12/12/2002 7:09:17 PM | Host is alive | 481 ms
12/12/2002 7:14:17 PM | Host is alive | 461 ms
12/12/2002 7:19:19 PM | Host is alive | 681 ms
12/12/2002 8:21:33 PM | Host is alive | 3636 ms
12/12/2002 8:26:34 PM | Host is alive | 420 ms
12/12/2002 8:31:34 PM | Host is alive | 490 ms
12/12/2002 8:36:36 PM | Host is alive | 1522 ms
12/12/2002 8:41:38 PM | Host is alive | 461 ms
12/12/2002 8:46:38 PM | Host is alive | 521 ms
12/12/2002 8:51:40 PM | Host is alive | 581 ms
12/12/2002 8:56:41 PM | Host is alive | 341 ms
12/12/2002 9:01:41 PM | Host is alive | 401 ms
12/12/2002 9:06:42 PM | Host is alive | 431 ms
12/12/2002 9:11:44 PM | Host is alive | 611 ms
12/12/2002 9:16:45 PM | Host is alive | 441 ms
12/12/2002 9:21:46 PM | Host is alive | 340 ms
12/12/2002 9:26:47 PM | Host is alive | 340 ms
12/12/2002 9:31:47 PM | Host is alive | 300 ms
12/12/2002 9:36:48 PM | Host is alive | 460 ms
12/12/2002 9:41:49 PM | Host is alive | 481 ms
12/12/2002 9:46:51 PM | Host is alive | 410 ms
12/12/2002 9:51:51 PM | Host is alive | 490 ms
12/12/2002 9:56:53 PM | Host is alive | 471 ms
12/12/2002 10:01:54 PM | Host is alive | 510 ms
12/12/2002 10:06:55 PM | Host is alive | 441 ms
12/12/2002 10:11:57 PM | Host is alive | 360 ms
12/12/2002 10:16:57 PM | Host is alive | 500 ms
12/12/2002 10:21:59 PM | Host is alive | 551 ms
12/12/2002 10:27:00 PM | Host is alive | 732 ms
12/12/2002 10:32:02 PM | Host is alive | 711 ms
12/12/2002 10:37:03 PM | Host is alive | 381 ms
12/12/2002 10:42:04 PM | Host is alive | 451 ms
12/12/2002 10:47:05 PM | Host is alive | 430 ms
12/12/2002 10:52:06 PM | Host is alive | 341 ms
12/12/2002 10:57:07 PM | Host is alive | 361 ms
12/12/2002 11:02:07 PM | Host is alive | 411 ms
12/12/2002 11:07:08 PM | Host is alive | 381 ms
12/12/2002 11:12:08 PM | Host is alive | 491 ms
12/12/2002 11:17:10 PM | Host is alive | 500 ms
12/12/2002 11:22:11 PM | Host is alive | 841 ms
12/12/2002 11:27:12 PM | Host is alive | 420 ms
12/12/2002 11:32:13 PM | Host is alive | 400 ms
12/12/2002 11:37:13 PM | Host is alive | 570 ms
12/12/2002 11:42:15 PM | Host is alive | 661 ms
12/12/2002 11:47:16 PM | Host is alive | 361 ms
12/12/2002 11:52:17 PM | Host is alive | 451 ms
12/12/2002 11:57:18 PM | Host is alive | 701 ms
13/12/2002 12:02:20 AM | Host is alive | 551 ms
13/12/2002 12:49:49 PM | Host is alive | 3475 ms
13/12/2002 12:54:50 PM | Host is alive | 611 ms
13/12/2002 12:59:51 PM | Host is alive | 591 ms
13/12/2002 1:04:53 PM | Host is alive | 411 ms
13/12/2002 1:09:53 PM | Host is alive | 430 ms
13/12/2002 1:14:54 PM | Host is alive | 450 ms
13/12/2002 1:19:55 PM | Host is alive | 521 ms
13/12/2002 1:24:56 PM | Host is alive | 481 ms
13/12/2002 1:29:57 PM | Host is alive | 431 ms
13/12/2002 1:34:57 PM | Host is alive | 421 ms
13/12/2002 1:39:58 PM | Host is alive | 481 ms
13/12/2002 1:44:59 PM | Host is alive | 370 ms
13/12/2002 1:50:00 PM | Host is alive | 350 ms
13/12/2002 1:55:01 PM | Host is alive | 641 ms
13/12/2002 2:00:01 PM | Host is alive | 441 ms
13/12/2002 2:05:02 PM | Host is alive | 410 ms
13/12/2002 2:10:03 PM | Host is alive | 471 ms
13/12/2002 2:15:03 PM | Host is alive | 400 ms
13/12/2002 2:20:04 PM | Host is alive | 381 ms
13/12/2002 2:25:05 PM | Host is alive | 371 ms
13/12/2002 2:30:09 PM | Host is alive | 3495 ms
13/12/2002 2:35:10 PM | Unknown host | Error #1003
13/12/2002 2:40:11 PM | Unknown host | Error #1003
13/12/2002 2:45:11 PM | Unknown host | Error #1003
13/12/2002 2:50:12 PM | Unknown host | Error #1003
13/12/2002 2:55:12 PM | Unknown host | Error #1003
13/12/2002 3:00:12 PM | Unknown host | Error #1003
13/12/2002 3:05:13 PM | Unknown host | Error #1003
13/12/2002 3:10:13 PM | Unknown host | Error #1003
13/12/2002 3:15:14 PM | Unknown host | Error #1003
13/12/2002 3:20:14 PM | Unknown host | Error #1003
13/12/2002 3:25:15 PM | Unknown host | Error #1003
13/12/2002 3:30:15 PM | Unknown host | Error #1003
13/12/2002 3:35:15 PM | Unknown host | Error #1003
13/12/2002 3:40:16 PM | Unknown host | Error #1003
13/12/2002 3:45:16 PM | Unknown host | Error #1003
13/12/2002 3:50:17 PM | Unknown host | Error #1003
13/12/2002 3:55:17 PM | Unknown host | Error #1003
13/12/2002 4:00:18 PM | Unknown host | Error #1003
13/12/2002 4:05:18 PM | Unknown host | Error #1003
13/12/2002 4:10:18 PM | Unknown host | Error #1003
13/12/2002 4:15:19 PM | Unknown host | Error #1003
13/12/2002 4:20:19 PM | Unknown host | Error #1003
13/12/2002 4:25:20 PM | Unknown host | Error #1003
13/12/2002 4:30:20 PM | Host is alive | 360 ms
13/12/2002 4:35:22 PM | Host is alive | 400 ms
13/12/2002 4:40:22 PM | Host is alive | 591 ms
13/12/2002 4:45:23 PM | Host is alive | 441 ms
13/12/2002 4:50:25 PM | Host is alive | 1472 ms
13/12/2002 4:55:26 PM | Host is alive | 991 ms
13/12/2002 5:00:27 PM | Host is alive | 481 ms
13/12/2002 5:05:28 PM | Host is alive | 651 ms
13/12/2002 5:10:28 PM | Host is alive | 391 ms
13/12/2002 5:15:29 PM | Host is alive | 391 ms
13/12/2002 5:20:30 PM | Host is alive | 461 ms
13/12/2002 5:25:31 PM | Host is alive | 391 ms
13/12/2002 5:30:32 PM | Host is alive | 350 ms
13/12/2002 5:35:33 PM | Host is alive | 371 ms
13/12/2002 5:40:33 PM | Host is alive | 461 ms
13/12/2002 5:45:35 PM | Host is alive | 420 ms
13/12/2002 5:50:36 PM | Host is alive | 491 ms
13/12/2002 5:55:37 PM | Host is alive | 370 ms
13/12/2002 6:00:38 PM | Host is alive | 581 ms
13/12/2002 6:05:38 PM | Host is alive | 380 ms
13/12/2002 6:10:39 PM | Host is alive | 611 ms
13/12/2002 6:15:40 PM | Host is alive | 401 ms
13/12/2002 6:20:41 PM | Host is alive | 421 ms
13/12/2002 6:25:41 PM | Host is alive | 381 ms
13/12/2002 6:30:42 PM | Host is alive | 321 ms
13/12/2002 6:35:42 PM | Host is alive | 381 ms
13/12/2002 6:40:43 PM | Host is alive | 671 ms
13/12/2002 6:45:44 PM | Host is alive | 470 ms
13/12/2002 6:50:45 PM | Host is alive | 441 ms
13/12/2002 6:55:45 PM | Host is alive | 380 ms
13/12/2002 7:00:46 PM | Host is alive | 400 ms
13/12/2002 7:05:46 PM | Host is alive | 460 ms
13/12/2002 7:10:48 PM | Host is alive | 391 ms
13/12/2002 7:15:48 PM | Host is alive | 361 ms
13/12/2002 7:20:49 PM | Host is alive | 421 ms
13/12/2002 7:25:50 PM | Host is alive | 410 ms
13/12/2002 7:30:50 PM | Host is alive | 460 ms
13/12/2002 7:35:51 PM | Host is alive | 371 ms
13/12/2002 7:40:52 PM | Host is alive | 341 ms
13/12/2002 7:45:53 PM | Host is alive | 370 ms
13/12/2002 7:50:53 PM | Host is alive | 390 ms
13/12/2002 7:55:53 PM | Host is alive | 320 ms
13/12/2002 8:00:54 PM | Host is alive | 571 ms
13/12/2002 8:05:55 PM | Host is alive | 361 ms
13/12/2002 8:10:56 PM | Host is alive | 431 ms
13/12/2002 8:15:57 PM | Host is alive | 350 ms
13/12/2002 8:20:57 PM | Host is alive | 480 ms
13/12/2002 8:25:58 PM | Host is alive | 331 ms
13/12/2002 8:30:58 PM | Host is alive | 551 ms
13/12/2002 8:36:00 PM | Host is alive | 430 ms
13/12/2002 8:41:00 PM | Host is alive | 370 ms
13/12/2002 8:46:01 PM | Host is alive | 371 ms
13/12/2002 8:51:01 PM | Host is alive | 331 ms
13/12/2002 8:56:02 PM | Host is alive | 391 ms
13/12/2002 9:01:03 PM | Host is alive | 480 ms
13/12/2002 9:06:03 PM | Host is alive | 441 ms
13/12/2002 9:11:05 PM | Host is alive | 581 ms
13/12/2002 9:16:05 PM | Host is alive | 471 ms
13/12/2002 9:21:06 PM | Host is alive | 431 ms
13/12/2002 9:26:07 PM | Host is alive | 410 ms
13/12/2002 9:31:07 PM | Host is alive | 380 ms
13/12/2002 9:36:08 PM | Host is alive | 641 ms
13/12/2002 9:41:09 PM | Host is alive | 530 ms
13/12/2002 9:46:14 PM | Host is alive | 3535 ms
13/12/2002 9:51:15 PM | Host is alive | 380 ms
13/12/2002 9:56:16 PM | Host is alive | 400 ms
13/12/2002 10:01:16 PM | Host is alive | 450 ms
13/12/2002 10:06:18 PM | Host is alive | 381 ms
13/12/2002 10:11:21 PM | Host is alive | 3495 ms
13/12/2002 10:16:22 PM | Host is alive | 381 ms
13/12/2002 10:21:22 PM | Host is alive | 381 ms
13/12/2002 10:26:23 PM | Host is alive | 361 ms
13/12/2002 10:31:23 PM | Host is alive | 461 ms
13/12/2002 10:36:25 PM | Host is alive | 360 ms
13/12/2002 10:41:26 PM | Host is alive | 341 ms
13/12/2002 10:46:26 PM | Host is alive | 361 ms
13/12/2002 10:51:27 PM | Host is alive | 461 ms
13/12/2002 10:56:28 PM | Host is alive | 400 ms
13/12/2002 11:01:28 PM | Host is alive | 320 ms
13/12/2002 11:06:29 PM | Host is alive | 380 ms
13/12/2002 11:11:29 PM | Host is alive | 501 ms
13/12/2002 11:16:31 PM | Host is alive | 381 ms
13/12/2002 11:21:31 PM | Host is alive | 381 ms
13/12/2002 11:26:32 PM | Host is alive | 421 ms
13/12/2002 11:31:32 PM | Host is alive | 301 ms
13/12/2002 11:36:32 PM | Host is alive | 321 ms
13/12/2002 11:41:33 PM | Host is alive | 521 ms
13/12/2002 11:46:34 PM | Host is alive | 360 ms
13/12/2002 11:51:35 PM | Host is alive | 500 ms
13/12/2002 11:56:36 PM | Host is alive | 361 ms
14/12/2002 12:01:37 AM | Host is alive | 982 ms
14/12/2002 12:06:38 AM | Host is alive | 360 ms
14/12/2002 12:11:38 AM | Host is alive | 420 ms
14/12/2002 12:16:39 AM | Host is alive | 400 ms
14/12/2002 12:21:39 AM | Host is alive | 420 ms
14/12/2002 12:26:40 AM | Host is alive | 320 ms
14/12/2002 12:31:40 AM | Host is alive | 380 ms
14/12/2002 12:36:41 AM | Host is alive | 1001 ms
14/12/2002 12:41:42 AM | Host is alive | 401 ms
14/12/2002 12:46:42 AM | Host is alive | 441 ms
14/12/2002 12:51:44 AM | Host is alive | 381 ms
14/12/2002 12:56:45 AM | Host is alive | 701 ms
14/12/2002 1:01:46 AM | Host is alive | 441 ms
14/12/2002 1:06:47 AM | Host is alive | 380 ms
14/12/2002 1:11:48 AM | Host is alive | 441 ms
14/12/2002 1:16:49 AM | Host is alive | 341 ms
14/12/2002 1:21:50 AM | Host is alive | 581 ms
14/12/2002 1:26:51 AM | Host is alive | 380 ms
14/12/2002 1:31:52 AM | Host is alive | 360 ms
14/12/2002 1:38:34 AM | Host is alive | 3415 ms


Log qoute for test "HTTP: /login.php

 Test: HTTP: /login.php
Method: HTTP test (www.ks-soft.net)

12/12/2002 1:02:38 PM | Host is alive | 5127 ms
12/12/2002 1:06:18 PM | Host is alive | 4337 ms
12/12/2002 1:06:29 PM | Host is alive | 6159 ms
12/12/2002 1:07:35 PM | Host is alive | 1943 ms
12/12/2002 1:41:01 PM | Host is alive | 1682 ms
12/12/2002 1:51:06 PM | Host is alive | 4045 ms
12/12/2002 2:01:07 PM | Host is alive | 1382 ms
12/12/2002 2:11:12 PM | Host is alive | 4476 ms
12/12/2002 2:21:18 PM | Host is alive | 6009 ms
12/12/2002 2:31:21 PM | Host is alive | 2664 ms
12/12/2002 2:41:23 PM | Host is alive | 1542 ms
12/12/2002 2:51:29 PM | Host is alive | 4727 ms
12/12/2002 3:01:32 PM | Host is alive | 3265 ms
12/12/2002 3:11:34 PM | Host is alive | 1602 ms
12/12/2002 4:13:34 PM | Host is alive | 6509 ms
12/12/2002 4:23:36 PM | Host is alive | 1683 ms
12/12/2002 4:33:39 PM | Host is alive | 3224 ms
12/12/2002 4:43:42 PM | Host is alive | 1623 ms
12/12/2002 4:53:44 PM | Host is alive | 1602 ms
12/12/2002 5:03:48 PM | Host is alive | 3855 ms
12/12/2002 5:14:08 PM | Host is alive | 6390 ms
12/12/2002 5:24:11 PM | Host is alive | 2144 ms
12/12/2002 5:34:14 PM | Host is alive | 2604 ms
12/12/2002 5:44:17 PM | Host is alive | 1983 ms
12/12/2002 5:54:20 PM | Host is alive | 2764 ms
12/12/2002 6:04:22 PM | Host is alive | 1182 ms
12/12/2002 6:14:29 PM | Host is alive | 5548 ms
12/12/2002 6:24:32 PM | Host is alive | 2514 ms
12/12/2002 6:34:37 PM | Host is alive | 4576 ms
12/12/2002 6:44:40 PM | Host is alive | 2995 ms
12/12/2002 6:54:51 PM | Host is alive | 10114 ms
12/12/2002 7:04:53 PM | Host is alive | 1522 ms
12/12/2002 7:14:59 PM | Host is alive | 5177 ms
12/12/2002 8:21:37 PM | Host is alive | 7281 ms
12/12/2002 8:31:38 PM | Host is alive | 1402 ms
12/12/2002 8:41:41 PM | Host is alive | 2043 ms
12/12/2002 8:51:48 PM | Host is alive | 6169 ms
12/12/2002 9:01:51 PM | Host is alive | 1842 ms
12/12/2002 9:11:54 PM | Host is alive | 3285 ms
12/12/2002 9:22:01 PM | Host is alive | 5608 ms
12/12/2002 9:32:08 PM | Host is alive | 7170 ms
12/12/2002 9:42:12 PM | Host is alive | 3285 ms
12/12/2002 9:52:16 PM | Host is alive | 2965 ms
12/12/2002 10:02:18 PM | Host is alive | 1121 ms
12/12/2002 10:12:20 PM | Host is alive | 1823 ms
12/12/2002 10:22:23 PM | Host is alive | 2343 ms
12/12/2002 10:32:25 PM | Host is alive | 1962 ms
12/12/2002 10:42:28 PM | Host is alive | 2313 ms
12/12/2002 10:52:31 PM | Host is alive | 1563 ms
12/12/2002 11:02:32 PM | Host is alive | 1121 ms
12/12/2002 11:12:34 PM | Host is alive | 1763 ms
12/12/2002 11:22:36 PM | Host is alive | 1482 ms
12/12/2002 11:32:38 PM | Host is alive | 1703 ms
12/12/2002 11:42:40 PM | Host is alive | 1742 ms
12/12/2002 11:52:42 PM | Host is alive | 1863 ms
13/12/2002 12:02:43 AM | Host is alive | 1423 ms
13/12/2002 12:49:51 PM | Host is alive | 5218 ms
13/12/2002 12:59:54 PM | Host is alive | 2894 ms
13/12/2002 1:09:55 PM | Host is alive | 1502 ms
13/12/2002 1:19:58 PM | Host is alive | 2213 ms
13/12/2002 1:30:01 PM | Host is alive | 3014 ms
13/12/2002 1:40:03 PM | Host is alive | 1462 ms
13/12/2002 1:50:05 PM | Host is alive | 1121 ms
13/12/2002 2:00:08 PM | Host is alive | 2965 ms
13/12/2002 2:10:11 PM | Host is alive | 2904 ms
13/12/2002 2:20:14 PM | Host is alive | 2453 ms
13/12/2002 2:30:17 PM | Host is alive | 2293 ms
13/12/2002 2:40:18 PM | Unknown host | Error #1003
13/12/2002 2:50:19 PM | Unknown host | Error #1003
13/12/2002 3:00:19 PM | Unknown host | Error #1003
13/12/2002 3:10:20 PM | Unknown host | Error #1003
13/12/2002 3:20:21 PM | Unknown host | Error #1003
13/12/2002 3:30:22 PM | Unknown host | Error #1003
13/12/2002 3:40:23 PM | Unknown host | Error #1003
13/12/2002 3:50:24 PM | Unknown host | Error #1003
13/12/2002 4:00:25 PM | Unknown host | Error #1003
13/12/2002 4:10:25 PM | Unknown host | Error #1003
13/12/2002 4:20:26 PM | Unknown host | Error #1003
13/12/2002 4:30:30 PM | Host is alive | 3044 ms
13/12/2002 4:40:35 PM | Host is alive | 3765 ms
13/12/2002 4:50:42 PM | Host is alive | 6449 ms
13/12/2002 5:00:45 PM | Host is alive | 2804 ms
13/12/2002 5:10:48 PM | Host is alive | 1803 ms
13/12/2002 5:20:52 PM | Host is alive | 3825 ms
13/12/2002 5:30:55 PM | Host is alive | 1873 ms
13/12/2002 5:40:56 PM | Host is alive | 1522 ms
13/12/2002 5:51:00 PM | Host is alive | 3425 ms
13/12/2002 6:01:02 PM | Host is alive | 1001 ms
13/12/2002 6:11:04 PM | Host is alive | 1302 ms
13/12/2002 6:21:06 PM | Host is alive | 1121 ms
13/12/2002 6:31:08 PM | Host is alive | 1943 ms
13/12/2002 6:41:10 PM | Host is alive | 1062 ms
13/12/2002 6:51:12 PM | Host is alive | 1142 ms
13/12/2002 7:01:14 PM | Host is alive | 1342 ms
13/12/2002 7:11:17 PM | Host is alive | 2243 ms
13/12/2002 7:21:25 PM | Host is alive | 7311 ms
13/12/2002 7:31:29 PM | Host is alive | 3004 ms
13/12/2002 7:41:30 PM | Host is alive | 1582 ms
13/12/2002 7:51:36 PM | Host is alive | 5168 ms
13/12/2002 8:01:42 PM | Host is alive | 5848 ms
13/12/2002 8:11:44 PM | Host is alive | 2023 ms
13/12/2002 8:21:46 PM | Host is alive | 1031 ms
13/12/2002 8:31:47 PM | Host is alive | 1282 ms
13/12/2002 8:41:52 PM | Host is alive | 3926 ms
13/12/2002 8:51:53 PM | Host is alive | 1382 ms
13/12/2002 9:01:56 PM | Host is alive | 1882 ms
13/12/2002 9:11:58 PM | Host is alive | 1242 ms
13/12/2002 9:22:00 PM | Host is alive | 2043 ms
13/12/2002 9:32:05 PM | Host is alive | 3625 ms
13/12/2002 9:42:07 PM | Host is alive | 1983 ms
13/12/2002 9:52:09 PM | Host is alive | 1282 ms
13/12/2002 10:02:11 PM | Host is alive | 1522 ms
13/12/2002 10:12:13 PM | Host is alive | 1221 ms
13/12/2002 10:22:15 PM | Host is alive | 1222 ms
13/12/2002 10:32:17 PM | Host is alive | 1302 ms
13/12/2002 10:42:20 PM | Host is alive | 1402 ms
13/12/2002 10:52:21 PM | Host is alive | 801 ms
13/12/2002 11:02:22 PM | Host is alive | 1242 ms
13/12/2002 11:12:24 PM | Host is alive | 1061 ms
13/12/2002 11:22:26 PM | Host is alive | 1102 ms
13/12/2002 11:32:28 PM | Host is alive | 1783 ms
13/12/2002 11:42:29 PM | Host is alive | 1021 ms
13/12/2002 11:52:33 PM | Host is alive | 3105 ms
14/12/2002 12:02:35 AM | Host is alive | 921 ms
14/12/2002 12:12:37 AM | Host is alive | 1242 ms
14/12/2002 12:22:39 AM | Host is alive | 1061 ms
14/12/2002 12:32:44 AM | Host is alive | 3986 ms
14/12/2002 12:42:46 AM | Host is alive | 1161 ms
14/12/2002 12:52:49 AM | Host is alive | 2263 ms
14/12/2002 1:02:52 AM | Host is alive | 2163 ms
14/12/2002 1:12:54 AM | Host is alive | 1261 ms
14/12/2002 1:22:56 AM | Host is alive | 1182 ms
14/12/2002 1:32:57 AM | Host is alive | 842 ms


Log qoute for test "HTTP: proxy-212.23.24.50

 Test: HTTP: proxy-212.23.24.50
Method: HTTP test (www.ks-soft.net)

12/12/2002 1:02:33 PM | Host is alive | 621 ms
12/12/2002 1:06:17 PM | Host is alive | 3465 ms
12/12/2002 1:06:23 PM | Host is alive | 611 ms
12/12/2002 1:07:34 PM | Host is alive | 451 ms
12/12/2002 1:12:40 PM | Host is alive | 3585 ms
12/12/2002 1:41:00 PM | Host is alive | 491 ms
12/12/2002 1:46:04 PM | Host is alive | 3655 ms
12/12/2002 1:51:05 PM | Host is alive | 571 ms
12/12/2002 1:56:06 PM | Host is alive | 481 ms
12/12/2002 2:01:06 PM | Host is alive | 310 ms
12/12/2002 2:06:08 PM | Host is alive | 531 ms
12/12/2002 2:11:09 PM | Host is alive | 371 ms
12/12/2002 2:16:10 PM | Host is alive | 801 ms
12/12/2002 2:21:12 PM | Host is alive | 430 ms
12/12/2002 2:26:13 PM | Host is alive | 691 ms
12/12/2002 2:31:14 PM | Host is alive | 471 ms
12/12/2002 2:36:15 PM | Host is alive | 441 ms
12/12/2002 2:41:15 PM | Host is alive | 321 ms
12/12/2002 2:46:15 PM | Host is alive | 331 ms
12/12/2002 2:51:17 PM | Host is alive | 480 ms
12/12/2002 2:56:17 PM | Host is alive | 421 ms
12/12/2002 3:01:18 PM | Host is alive | 471 ms
12/12/2002 3:06:19 PM | Host is alive | 380 ms
12/12/2002 3:11:20 PM | Host is alive | 551 ms
12/12/2002 3:16:21 PM | Host is alive | 440 ms
12/12/2002 4:13:28 PM | Host is alive | 460 ms
12/12/2002 4:18:29 PM | Host is alive | 791 ms
12/12/2002 4:23:33 PM | Host is alive | 3315 ms
12/12/2002 4:28:33 PM | Host is alive | 401 ms
12/12/2002 4:33:34 PM | Host is alive | 972 ms
12/12/2002 4:38:35 PM | Host is alive | 791 ms
12/12/2002 4:43:36 PM | Host is alive | 421 ms
12/12/2002 4:48:37 PM | Host is alive | 350 ms
12/12/2002 4:53:38 PM | Host is alive | 831 ms
12/12/2002 4:58:39 PM | Host is alive | 641 ms
12/12/2002 5:03:41 PM | Host is alive | 581 ms
12/12/2002 5:08:42 PM | Host is alive | 351 ms
12/12/2002 5:14:05 PM | Host is alive | 3485 ms
12/12/2002 5:19:06 PM | Host is alive | 450 ms
12/12/2002 5:24:07 PM | Host is alive | 400 ms
12/12/2002 5:29:08 PM | Host is alive | 420 ms
12/12/2002 5:34:10 PM | Host is alive | 1161 ms
12/12/2002 5:39:11 PM | Host is alive | 470 ms
12/12/2002 5:44:11 PM | Host is alive | 581 ms
12/12/2002 5:49:12 PM | Host is alive | 480 ms
12/12/2002 5:54:13 PM | Host is alive | 481 ms
12/12/2002 5:59:14 PM | Host is alive | 421 ms
12/12/2002 6:04:14 PM | Host is alive | 401 ms
12/12/2002 6:09:15 PM | Host is alive | 570 ms
12/12/2002 6:14:17 PM | Host is alive | 431 ms
12/12/2002 6:19:18 PM | Host is alive | 411 ms
12/12/2002 6:24:18 PM | Host is alive | 431 ms
12/12/2002 6:29:19 PM | Host is alive | 390 ms
12/12/2002 6:34:20 PM | Host is alive | 621 ms
12/12/2002 6:39:20 PM | Host is alive | 451 ms
12/12/2002 6:44:22 PM | Host is alive | 561 ms
12/12/2002 6:49:27 PM | No answer | Error #1006
12/12/2002 6:54:28 PM | Host is alive | 581 ms
12/12/2002 7:04:15 PM | Host is alive | 601 ms
12/12/2002 7:09:17 PM | Host is alive | 491 ms
12/12/2002 7:14:17 PM | Host is alive | 481 ms
12/12/2002 7:19:19 PM | Host is alive | 601 ms
12/12/2002 8:21:33 PM | Host is alive | 3756 ms
12/12/2002 8:26:34 PM | Host is alive | 380 ms
12/12/2002 8:31:34 PM | Host is alive | 450 ms
12/12/2002 8:36:36 PM | Host is alive | 931 ms
12/12/2002 8:41:37 PM | Host is alive | 641 ms
12/12/2002 8:46:37 PM | Host is alive | 410 ms
12/12/2002 8:51:38 PM | Host is alive | 641 ms
12/12/2002 8:56:39 PM | Host is alive | 391 ms
12/12/2002 9:01:39 PM | Host is alive | 441 ms
12/12/2002 9:06:41 PM | Host is alive | 380 ms
12/12/2002 9:11:42 PM | Host is alive | 1141 ms
12/12/2002 9:16:46 PM | Host is alive | 3325 ms
12/12/2002 9:21:46 PM | Host is alive | 370 ms
12/12/2002 9:26:47 PM | Host is alive | 531 ms
12/12/2002 9:31:48 PM | Host is alive | 321 ms
12/12/2002 9:36:49 PM | Host is alive | 341 ms
12/12/2002 9:41:49 PM | Host is alive | 451 ms
12/12/2002 9:46:51 PM | Host is alive | 530 ms
12/12/2002 9:51:52 PM | Host is alive | 401 ms
12/12/2002 9:56:53 PM | Host is alive | 581 ms
12/12/2002 10:01:54 PM | Host is alive | 500 ms
12/12/2002 10:06:55 PM | Host is alive | 451 ms
12/12/2002 10:11:57 PM | Host is alive | 330 ms
12/12/2002 10:16:57 PM | Host is alive | 670 ms
12/12/2002 10:21:59 PM | Host is alive | 521 ms
12/12/2002 10:27:00 PM | Host is alive | 722 ms
12/12/2002 10:32:02 PM | Host is alive | 891 ms
12/12/2002 10:37:03 PM | Host is alive | 411 ms
12/12/2002 10:42:03 PM | Host is alive | 371 ms
12/12/2002 10:47:04 PM | Host is alive | 361 ms
12/12/2002 10:52:04 PM | Host is alive | 341 ms
12/12/2002 10:57:05 PM | Host is alive | 581 ms
12/12/2002 11:02:06 PM | Host is alive | 380 ms
12/12/2002 11:07:07 PM | Host is alive | 410 ms
12/12/2002 11:12:07 PM | Host is alive | 481 ms
12/12/2002 11:17:08 PM | Host is alive | 411 ms
12/12/2002 11:22:09 PM | Host is alive | 351 ms
12/12/2002 11:27:12 PM | Host is alive | 3445 ms
12/12/2002 11:32:14 PM | Host is alive | 421 ms
12/12/2002 11:37:14 PM | Host is alive | 541 ms
12/12/2002 11:42:16 PM | Host is alive | 361 ms
12/12/2002 11:47:16 PM | Host is alive | 371 ms
12/12/2002 11:52:16 PM | Host is alive | 381 ms
12/12/2002 11:57:17 PM | Host is alive | 371 ms
13/12/2002 12:02:17 AM | Host is alive | 421 ms
13/12/2002 12:49:49 PM | Host is alive | 3395 ms
13/12/2002 12:54:50 PM | Host is alive | 601 ms
13/12/2002 12:59:51 PM | Host is alive | 591 ms
13/12/2002 1:04:53 PM | Host is alive | 401 ms
13/12/2002 1:09:54 PM | Host is alive | 500 ms
13/12/2002 1:14:55 PM | Host is alive | 321 ms
13/12/2002 1:19:55 PM | Host is alive | 421 ms
13/12/2002 1:24:56 PM | Host is alive | 441 ms
13/12/2002 1:29:57 PM | Host is alive | 661 ms
13/12/2002 1:34:58 PM | Host is alive | 410 ms
13/12/2002 1:39:59 PM | Host is alive | 410 ms
13/12/2002 1:45:00 PM | Host is alive | 341 ms
13/12/2002 1:50:01 PM | Host is alive | 411 ms
13/12/2002 1:55:02 PM | Host is alive | 631 ms
13/12/2002 2:00:02 PM | Host is alive | 420 ms
13/12/2002 2:05:03 PM | Host is alive | 441 ms
13/12/2002 2:10:04 PM | Host is alive | 500 ms
13/12/2002 2:15:04 PM | Host is alive | 401 ms
13/12/2002 2:20:05 PM | Host is alive | 460 ms
13/12/2002 2:25:06 PM | Host is alive | 481 ms
13/12/2002 2:30:07 PM | Host is alive | 461 ms
13/12/2002 2:35:08 PM | Unknown host | Error #1003
13/12/2002 2:40:09 PM | Unknown host | Error #1003
13/12/2002 2:45:10 PM | Unknown host | Error #1003
13/12/2002 2:50:11 PM | Unknown host | Error #1003
13/12/2002 2:55:11 PM | Unknown host | Error #1003
13/12/2002 3:00:11 PM | Unknown host | Error #1003
13/12/2002 3:05:12 PM | Unknown host | Error #1003
13/12/2002 3:10:12 PM | Unknown host | Error #1003
13/12/2002 3:15:13 PM | Unknown host | Error #1003
13/12/2002 3:20:13 PM | Unknown host | Error #1003
13/12/2002 3:25:14 PM | Unknown host | Error #1003
13/12/2002 3:30:14 PM | Unknown host | Error #1003
13/12/2002 3:35:14 PM | Unknown host | Error #1003
13/12/2002 3:40:15 PM | Unknown host | Error #1003
13/12/2002 3:45:15 PM | Unknown host | Error #1003
13/12/2002 3:50:16 PM | Unknown host | Error #1003
13/12/2002 3:55:16 PM | Unknown host | Error #1003
13/12/2002 4:00:17 PM | Unknown host | Error #1003
13/12/2002 4:05:17 PM | Unknown host | Error #1003
13/12/2002 4:10:17 PM | Unknown host | Error #1003
13/12/2002 4:15:18 PM | Unknown host | Error #1003
13/12/2002 4:20:18 PM | Unknown host | Error #1003
13/12/2002 4:25:19 PM | Unknown host | Error #1003
13/12/2002 4:30:20 PM | Host is alive | 341 ms
13/12/2002 4:35:21 PM | Host is alive | 521 ms
13/12/2002 4:40:21 PM | Host is alive | 480 ms
13/12/2002 4:45:22 PM | Host is alive | 481 ms
13/12/2002 4:50:23 PM | Host is alive | 661 ms
13/12/2002 4:55:24 PM | Host is alive | 441 ms
13/12/2002 5:00:25 PM | Host is alive | 481 ms
13/12/2002 5:05:26 PM | Host is alive | 440 ms
13/12/2002 5:10:27 PM | Host is alive | 601 ms
13/12/2002 5:15:28 PM | Host is alive | 481 ms
13/12/2002 5:20:28 PM | Host is alive | 360 ms
13/12/2002 5:25:29 PM | Host is alive | 361 ms
13/12/2002 5:30:30 PM | Host is alive | 280 ms
13/12/2002 5:35:31 PM | Host is alive | 531 ms
13/12/2002 5:40:34 PM | Host is alive | 3355 ms
13/12/2002 5:45:35 PM | Host is alive | 410 ms
13/12/2002 5:50:36 PM | Host is alive | 471 ms
13/12/2002 5:55:37 PM | Host is alive | 410 ms
13/12/2002 6:00:38 PM | Host is alive | 701 ms
13/12/2002 6:05:38 PM | Host is alive | 360 ms
13/12/2002 6:10:39 PM | Host is alive | 591 ms
13/12/2002 6:15:40 PM | Host is alive | 491 ms
13/12/2002 6:20:42 PM | Host is alive | 420 ms
13/12/2002 6:25:42 PM | Host is alive | 430 ms
13/12/2002 6:30:44 PM | Host is alive | 321 ms
13/12/2002 6:35:44 PM | Host is alive | 411 ms
13/12/2002 6:40:44 PM | Host is alive | 351 ms
13/12/2002 6:45:45 PM | Host is alive | 331 ms
13/12/2002 6:50:46 PM | Host is alive | 380 ms
13/12/2002 6:55:46 PM | Host is alive | 391 ms
13/12/2002 7:00:47 PM | Host is alive | 361 ms
13/12/2002 7:05:47 PM | Host is alive | 441 ms
13/12/2002 7:10:49 PM | Host is alive | 421 ms
13/12/2002 7:15:49 PM | Host is alive | 341 ms
13/12/2002 7:20:50 PM | Host is alive | 440 ms
13/12/2002 7:25:51 PM | Host is alive | 561 ms
13/12/2002 7:30:52 PM | Host is alive | 480 ms
13/12/2002 7:35:53 PM | Host is alive | 421 ms
13/12/2002 7:40:54 PM | Host is alive | 401 ms
13/12/2002 7:45:55 PM | Host is alive | 480 ms
13/12/2002 7:50:56 PM | Host is alive | 401 ms
13/12/2002 7:55:56 PM | Host is alive | 381 ms
13/12/2002 8:00:57 PM | Host is alive | 361 ms
13/12/2002 8:05:57 PM | Host is alive | 441 ms
13/12/2002 8:10:58 PM | Host is alive | 361 ms
13/12/2002 8:15:59 PM | Host is alive | 781 ms
13/12/2002 8:21:00 PM | Host is alive | 421 ms
13/12/2002 8:26:01 PM | Host is alive | 680 ms
13/12/2002 8:31:02 PM | Host is alive | 300 ms
13/12/2002 8:36:03 PM | Host is alive | 401 ms
13/12/2002 8:41:03 PM | Host is alive | 421 ms
13/12/2002 8:46:04 PM | Host is alive | 321 ms
13/12/2002 8:51:04 PM | Host is alive | 441 ms
13/12/2002 8:56:05 PM | Host is alive | 921 ms
13/12/2002 9:01:07 PM | Host is alive | 421 ms
13/12/2002 9:06:07 PM | Host is alive | 401 ms
13/12/2002 9:11:08 PM | Host is alive | 360 ms
13/12/2002 9:16:09 PM | Host is alive | 561 ms
13/12/2002 9:21:10 PM | Host is alive | 421 ms
13/12/2002 9:26:11 PM | Host is alive | 881 ms
13/12/2002 9:31:12 PM | Host is alive | 421 ms
13/12/2002 9:36:13 PM | Host is alive | 421 ms
13/12/2002 9:41:13 PM | Host is alive | 481 ms
13/12/2002 9:46:15 PM | Host is alive | 320 ms
13/12/2002 9:51:15 PM | Host is alive | 390 ms
13/12/2002 9:56:16 PM | Host is alive | 420 ms
13/12/2002 10:01:16 PM | Host is alive | 440 ms
13/12/2002 10:06:18 PM | Host is alive | 391 ms
13/12/2002 10:11:18 PM | Host is alive | 320 ms
13/12/2002 10:16:19 PM | Host is alive | 430 ms
13/12/2002 10:21:20 PM | Host is alive | 581 ms
13/12/2002 10:26:21 PM | Host is alive | 380 ms
13/12/2002 10:31:21 PM | Host is alive | 480 ms
13/12/2002 10:36:23 PM | Host is alive | 451 ms
13/12/2002 10:41:24 PM | Host is alive | 430 ms
13/12/2002 10:46:24 PM | Host is alive | 540 ms
13/12/2002 10:51:25 PM | Host is alive | 381 ms
13/12/2002 10:56:26 PM | Host is alive | 371 ms
13/12/2002 11:01:26 PM | Host is alive | 300 ms
13/12/2002 11:06:27 PM | Host is alive | 521 ms
13/12/2002 11:11:28 PM | Host is alive | 491 ms
13/12/2002 11:16:30 PM | Host is alive | 531 ms
13/12/2002 11:21:31 PM | Host is alive | 631 ms
13/12/2002 11:26:32 PM | Host is alive | 380 ms
13/12/2002 11:31:33 PM | Host is alive | 300 ms
13/12/2002 11:36:33 PM | Host is alive | 400 ms
13/12/2002 11:41:34 PM | Host is alive | 360 ms
13/12/2002 11:46:34 PM | Host is alive | 370 ms
13/12/2002 11:51:35 PM | Host is alive | 520 ms
13/12/2002 11:56:36 PM | Host is alive | 371 ms
14/12/2002 12:01:37 AM | Host is alive | 1012 ms
14/12/2002 12:06:38 AM | Host is alive | 380 ms
14/12/2002 12:11:38 AM | Host is alive | 460 ms
14/12/2002 12:16:40 AM | Host is alive | 441 ms
14/12/2002 12:21:41 AM | Host is alive | 361 ms
14/12/2002 12:26:42 AM | Host is alive | 411 ms
14/12/2002 12:31:42 AM | Host is alive | 421 ms
14/12/2002 12:36:42 AM | Host is alive | 301 ms
14/12/2002 12:41:43 AM | Host is alive | 401 ms
14/12/2002 12:46:43 AM | Host is alive | 361 ms
14/12/2002 12:51:44 AM | Host is alive | 361 ms
14/12/2002 12:56:45 AM | Host is alive | 631 ms
14/12/2002 1:01:45 AM | Host is alive | 440 ms
14/12/2002 1:06:46 AM | Host is alive | 411 ms
14/12/2002 1:11:47 AM | Host is alive | 360 ms
14/12/2002 1:16:47 AM | Host is alive | 360 ms
14/12/2002 1:21:48 AM | Host is alive | 480 ms
14/12/2002 1:26:49 AM | Host is alive | 431 ms
14/12/2002 1:31:50 AM | Host is alive | 351 ms
14/12/2002 1:38:32 AM | Host is alive | 530 ms


Log qoute for test "Main FTP server

 Test: Main FTP server
Method: URL request

10/12/2002 7:20:29 PM | Host is alive | 1943 ms
11/12/2002 6:30:40 PM | Host is alive | 1302 ms
11/12/2002 6:40:41 PM | Host is alive | 1182 ms
17/12/2002 9:51:36 PM | Host is alive | 1842 ms
17/12/2002 10:01:47 PM | Host is alive | 751 ms
18/12/2002 9:01:58 PM | Host is alive | 951 ms
18/12/2002 9:52:18 PM | Host is alive | 1051 ms
19/12/2002 9:55:35 PM | Host is alive | 721 ms
19/12/2002 10:09:41 PM | Host is alive | 3865 ms
19/12/2002 10:59:04 PM | Host is alive | 1392 ms
20/12/2002 9:55:21 PM | Host is alive | 841 ms
20/12/2002 11:00:29 PM | Host is alive | 1002 ms
20/12/2002 11:30:35 PM | Host is alive | 961 ms
25/12/2002 9:30:46 PM | Host is alive | 981 ms
25/12/2002 9:59:58 PM | Host is alive | 861 ms
25/12/2002 10:59:57 PM | Host is alive | 772 ms
26/12/2002 8:00:43 PM | Host is alive | 1372 ms
26/12/2002 9:00:46 PM | Host is alive | 1031 ms
26/12/2002 9:59:57 PM | Host is alive | 911 ms
26/12/2002 10:33:24 PM | Host is alive | 991 ms
26/12/2002 10:59:27 PM | Host is alive | 1252 ms
26/12/2002 11:13:43 PM | Host is alive | 3895 ms
17/12/2002 10:18:07 PM | Host is alive | 1231 ms
18/12/2002 9:20:05 PM | Host is alive | 961 ms
18/12/2002 9:59:59 PM | Host is alive | 3745 ms
18/12/2002 10:40:37 PM | Host is alive | 881 ms
18/12/2002 10:59:42 PM | Host is alive | 1171 ms
19/12/2002 10:59:58 PM | Host is alive | 961 ms
20/12/2002 11:00:05 PM | Host is alive | 851 ms
17/01/2003 11:00:19 PM | Host is alive | 891 ms
18/01/2003 10:09:31 PM | Host is alive | 891 ms
24/01/2003 10:10:14 PM | Host is alive | 881 ms
17/02/2003 10:10:26 PM | Host is alive | 1312 ms
18/02/2003 11:10:46 PM | Host is alive | 891 ms
18/03/2003 11:10:56 PM | Host is alive | 961 ms
18/04/2003 11:11:05 PM | Host is alive | 821 ms
18/06/2003 11:11:25 PM | Host is alive | 832 ms
18/07/2003 11:11:34 PM | Host is alive | 891 ms
31/08/2003 11:11:44 PM | Host is alive | 1281 ms
16/09/2003 11:11:59 PM | Host is alive | 1402 ms
18/09/2003 11:12:06 PM | Host is alive | 782 ms
24/10/2003 11:12:15 PM | Host is alive | 841 ms
24/12/2003 11:12:24 PM | Host is alive | 831 ms
17/12/2002 10:25:45 PM | Host is alive | 922 ms
20/12/2002 10:28:46 PM | Host is alive | 3756 ms
21/12/2002 10:28:55 PM | Host is alive | 831 ms
22/12/2002 10:28:58 PM | Host is alive | 1132 ms
28/12/2002 10:29:07 PM | Host is alive | 851 ms
30/12/2002 10:29:11 PM | Host is alive | 1062 ms
17/12/2002 10:48:11 PM | Host is alive | 1872 ms
17/12/2002 10:58:13 PM | Host is alive | 1082 ms
17/12/2002 11:08:14 PM | Host is alive | 772 ms
17/12/2002 11:18:15 PM | Host is alive | 751 ms
17/12/2002 11:28:16 PM | Host is alive | 851 ms
17/12/2002 11:38:17 PM | Host is alive | 801 ms
17/12/2002 11:48:19 PM | Host is alive | 671 ms
17/12/2002 11:58:20 PM | Host is alive | 1122 ms
18/12/2002 12:08:21 AM | Host is alive | 862 ms
18/12/2002 12:18:22 AM | Host is alive | 741 ms
18/12/2002 12:28:23 AM | Host is alive | 1061 ms
18/12/2002 12:38:25 AM | Host is alive | 962 ms
18/12/2002 12:48:27 AM | Host is alive | 1552 ms
18/12/2002 12:58:29 AM | Host is alive | 961 ms
18/12/2002 1:08:30 AM | Host is alive | 801 ms
18/12/2002 1:18:31 AM | Host is alive | 792 ms
18/12/2002 2:29:55 PM | Host is alive | 961 ms


Log qoute for test "Main web server

 Test: Main web server
Method: URL request

10/12/2002 7:20:28 PM | Host is alive | 441 ms
11/12/2002 6:30:39 PM | Host is alive | 631 ms
11/12/2002 6:40:40 PM | Host is alive | 370 ms
17/12/2002 9:51:38 PM | Host is alive | 3455 ms
17/12/2002 10:01:47 PM | Host is alive | 340 ms
18/12/2002 9:01:58 PM | Host is alive | 340 ms
18/12/2002 9:52:17 PM | Host is alive | 430 ms
19/12/2002 9:55:35 PM | Host is alive | 431 ms
19/12/2002 10:09:38 PM | Host is alive | 410 ms
19/12/2002 10:59:04 PM | Host is alive | 431 ms
20/12/2002 9:55:20 PM | Host is alive | 411 ms
20/12/2002 11:00:29 PM | Host is alive | 481 ms
20/12/2002 11:30:35 PM | Host is alive | 471 ms
25/12/2002 9:30:46 PM | Host is alive | 441 ms
25/12/2002 9:59:57 PM | Host is alive | 421 ms
25/12/2002 10:59:57 PM | Host is alive | 441 ms
26/12/2002 8:00:42 PM | Host is alive | 821 ms
26/12/2002 9:00:45 PM | Host is alive | 430 ms
26/12/2002 9:59:57 PM | Host is alive | 421 ms
26/12/2002 10:33:23 PM | Host is alive | 380 ms
26/12/2002 10:59:27 PM | Host is alive | 651 ms
26/12/2002 11:13:43 PM | Host is alive | 3355 ms
17/12/2002 10:18:06 PM | Host is alive | 400 ms
18/12/2002 9:20:05 PM | Host is alive | 400 ms
18/12/2002 9:59:56 PM | Host is alive | 370 ms
18/12/2002 10:40:39 PM | Host is alive | 3615 ms
18/12/2002 10:59:41 PM | Host is alive | 550 ms
19/12/2002 10:59:58 PM | Host is alive | 470 ms
20/12/2002 11:00:04 PM | Host is alive | 401 ms
17/01/2003 11:00:19 PM | Host is alive | 410 ms
18/01/2003 10:09:30 PM | Host is alive | 451 ms
24/01/2003 10:10:14 PM | Host is alive | 401 ms
17/02/2003 10:10:25 PM | Host is alive | 791 ms
18/02/2003 11:10:45 PM | Host is alive | 431 ms
18/03/2003 11:10:55 PM | Host is alive | 410 ms
18/04/2003 11:11:04 PM | Host is alive | 391 ms
18/06/2003 11:11:25 PM | Host is alive | 441 ms
18/07/2003 11:11:33 PM | Host is alive | 561 ms
31/08/2003 11:11:43 PM | Host is alive | 801 ms
16/09/2003 11:11:58 PM | Host is alive | 581 ms
18/09/2003 11:12:06 PM | Host is alive | 441 ms
24/10/2003 11:12:15 PM | Host is alive | 421 ms
24/12/2003 11:12:24 PM | Host is alive | 390 ms
17/12/2002 10:25:44 PM | Host is alive | 411 ms
20/12/2002 10:28:43 PM | Host is alive | 351 ms
21/12/2002 10:28:55 PM | Host is alive | 471 ms
22/12/2002 10:28:58 PM | Host is alive | 440 ms
28/12/2002 10:29:06 PM | Host is alive | 481 ms
30/12/2002 10:29:10 PM | Host is alive | 211 ms
17/12/2002 10:48:10 PM | Host is alive | 250 ms
17/12/2002 10:58:10 PM | Host is alive | 150 ms
17/12/2002 11:08:11 PM | Host is alive | 691 ms
17/12/2002 11:18:12 PM | Host is alive | 270 ms
17/12/2002 11:28:13 PM | Host is alive | 271 ms
17/12/2002 11:38:17 PM | Host is alive | 3164 ms
17/12/2002 11:48:18 PM | Host is alive | 200 ms
17/12/2002 11:58:18 PM | Host is alive | 200 ms
18/12/2002 12:08:19 AM | Host is alive | 130 ms
18/12/2002 12:18:21 AM | Host is alive | 201 ms
18/12/2002 12:28:21 AM | Host is alive | 140 ms
18/12/2002 12:38:22 AM | Host is alive | 230 ms
18/12/2002 12:48:24 AM | Host is alive | 180 ms
18/12/2002 12:58:24 AM | Host is alive | 201 ms
18/12/2002 1:08:25 AM | Host is alive | 170 ms
18/12/2002 1:18:26 AM | Host is alive | 270 ms
18/12/2002 2:29:54 PM | Host is alive | 250 ms


Log qoute for test "www.altavista.com

 Test: www.altavista.com
Method: URL request

10/12/2002 7:20:28 PM | Host is alive | 471 ms
11/12/2002 6:30:39 PM | Host is alive | 641 ms
11/12/2002 6:40:41 PM | Host is alive | 501 ms
17/12/2002 9:51:36 PM | Host is alive | 1462 ms
17/12/2002 10:01:47 PM | Host is alive | 390 ms
18/12/2002 9:01:58 PM | Host is alive | 260 ms
18/12/2002 9:52:17 PM | Host is alive | 350 ms
19/12/2002 9:55:35 PM | Host is alive | 461 ms
19/12/2002 10:09:38 PM | Host is alive | 290 ms
19/12/2002 10:59:04 PM | Host is alive | 341 ms
20/12/2002 9:55:20 PM | Host is alive | 281 ms
20/12/2002 11:00:28 PM | Host is alive | 301 ms
20/12/2002 11:30:35 PM | Host is alive | 270 ms
25/12/2002 9:30:46 PM | Host is alive | 270 ms
25/12/2002 9:59:57 PM | Host is alive | 311 ms
25/12/2002 10:59:57 PM | Host is alive | 321 ms
26/12/2002 8:00:42 PM | Host is alive | 781 ms
26/12/2002 9:00:45 PM | Host is alive | 330 ms
26/12/2002 9:59:57 PM | Host is alive | 340 ms
26/12/2002 10:33:23 PM | Host is alive | 300 ms
26/12/2002 10:59:27 PM | Host is alive | 541 ms
26/12/2002 11:13:43 PM | Host is alive | 3294 ms
17/12/2002 10:18:13 PM | Host is alive | 7851 ms
18/12/2002 9:20:05 PM | Host is alive | 290 ms
18/12/2002 9:59:56 PM | Host is alive | 300 ms
18/12/2002 10:40:36 PM | Host is alive | 320 ms
18/12/2002 10:59:41 PM | Host is alive | 420 ms
19/12/2002 10:59:58 PM | Host is alive | 280 ms
20/12/2002 11:00:04 PM | Host is alive | 271 ms
17/01/2003 11:00:19 PM | Host is alive | 280 ms
18/01/2003 10:09:30 PM | Host is alive | 340 ms
24/01/2003 10:10:14 PM | Host is alive | 310 ms
17/02/2003 10:10:25 PM | Host is alive | 681 ms
18/02/2003 11:10:45 PM | Host is alive | 311 ms
18/03/2003 11:10:55 PM | Host is alive | 340 ms
18/04/2003 11:11:04 PM | Host is alive | 341 ms
18/06/2003 11:11:24 PM | Host is alive | 311 ms
18/07/2003 11:11:33 PM | Host is alive | 381 ms
31/08/2003 11:11:43 PM | Host is alive | 721 ms
16/09/2003 11:11:58 PM | Host is alive | 581 ms
18/09/2003 11:12:05 PM | Host is alive | 291 ms
24/10/2003 11:12:15 PM | Host is alive | 270 ms
24/12/2003 11:12:24 PM | Host is alive | 310 ms
17/12/2002 10:25:44 PM | Host is alive | 351 ms
20/12/2002 10:28:42 PM | Host is alive | 271 ms
21/12/2002 10:28:54 PM | Host is alive | 361 ms
22/12/2002 10:28:58 PM | Host is alive | 311 ms
28/12/2002 10:29:06 PM | Host is alive | 341 ms
30/12/2002 10:29:10 PM | Host is alive | 241 ms
17/12/2002 10:48:10 PM | Host is alive | 490 ms
17/12/2002 10:58:11 PM | Host is alive | 390 ms
17/12/2002 11:08:12 PM | Host is alive | 310 ms
17/12/2002 11:18:13 PM | Host is alive | 361 ms
17/12/2002 11:28:14 PM | Host is alive | 260 ms
17/12/2002 11:38:15 PM | Host is alive | 210 ms
17/12/2002 11:48:16 PM | Host is alive | 441 ms
17/12/2002 11:58:17 PM | Host is alive | 691 ms
18/12/2002 12:08:18 AM | Host is alive | 771 ms
18/12/2002 12:18:19 AM | Host is alive | 411 ms
18/12/2002 12:28:20 AM | Host is alive | 360 ms
18/12/2002 12:38:21 AM | Host is alive | 300 ms
18/12/2002 12:48:22 AM | Host is alive | 321 ms
18/12/2002 12:58:22 AM | Host is alive | 271 ms
18/12/2002 1:08:23 AM | Host is alive | 200 ms
18/12/2002 1:18:24 AM | Host is alive | 401 ms
18/12/2002 2:29:54 PM | Host is alive | 330 ms


Log qoute for test "www.google.com

 Test: www.google.com
Method: URL request

10/12/2002 7:20:28 PM | Host is alive | 581 ms
11/12/2002 6:30:39 PM | Host is alive | 741 ms
11/12/2002 6:40:41 PM | Host is alive | 491 ms
17/12/2002 9:51:36 PM | Host is alive | 1953 ms
17/12/2002 10:01:47 PM | Host is alive | 741 ms
18/12/2002 9:01:58 PM | Host is alive | 590 ms
18/12/2002 9:52:17 PM | Host is alive | 610 ms
19/12/2002 9:55:35 PM | Host is alive | 631 ms
19/12/2002 10:09:38 PM | Host is alive | 470 ms
19/12/2002 10:59:04 PM | Host is alive | 431 ms
20/12/2002 9:55:20 PM | Host is alive | 401 ms
20/12/2002 11:00:29 PM | Host is alive | 391 ms
20/12/2002 11:30:35 PM | Host is alive | 371 ms
25/12/2002 9:30:46 PM | Host is alive | 471 ms
25/12/2002 9:59:57 PM | Host is alive | 391 ms
25/12/2002 10:59:57 PM | Host is alive | 441 ms
26/12/2002 8:00:42 PM | Host is alive | 811 ms
26/12/2002 9:00:45 PM | Host is alive | 430 ms
26/12/2002 9:59:57 PM | Host is alive | 441 ms
26/12/2002 10:33:23 PM | Host is alive | 360 ms
26/12/2002 10:59:27 PM | Host is alive | 661 ms
26/12/2002 11:13:43 PM | Host is alive | 3395 ms
17/12/2002 10:18:06 PM | Host is alive | 751 ms
18/12/2002 9:20:05 PM | Host is alive | 581 ms
18/12/2002 9:59:56 PM | Host is alive | 561 ms
18/12/2002 10:40:36 PM | Host is alive | 601 ms
18/12/2002 10:59:41 PM | Host is alive | 711 ms
19/12/2002 10:59:58 PM | Host is alive | 661 ms
20/12/2002 11:00:05 PM | Host is alive | 531 ms
17/01/2003 11:00:19 PM | Host is alive | 591 ms
18/01/2003 10:09:30 PM | Host is alive | 611 ms
24/01/2003 10:10:14 PM | Host is alive | 591 ms
17/02/2003 10:10:26 PM | Host is alive | 1031 ms
18/02/2003 11:10:46 PM | Host is alive | 561 ms
18/03/2003 11:10:55 PM | Host is alive | 831 ms
18/04/2003 11:11:04 PM | Host is alive | 511 ms
18/06/2003 11:11:25 PM | Host is alive | 591 ms
18/07/2003 11:11:33 PM | Host is alive | 561 ms
31/08/2003 11:11:43 PM | Host is alive | 981 ms
16/09/2003 11:11:58 PM | Host is alive | 751 ms
18/09/2003 11:12:06 PM | Host is alive | 511 ms
24/10/2003 11:12:15 PM | Host is alive | 551 ms
24/12/2003 11:12:24 PM | Host is alive | 570 ms
17/12/2002 10:25:44 PM | Host is alive | 551 ms
20/12/2002 10:28:43 PM | Host is alive | 641 ms
21/12/2002 10:28:55 PM | Host is alive | 611 ms
22/12/2002 10:28:58 PM | Host is alive | 471 ms
28/12/2002 10:29:06 PM | Host is alive | 561 ms
30/12/2002 10:29:11 PM | Host is alive | 271 ms
17/12/2002 10:48:10 PM | Host is alive | 520 ms
17/12/2002 10:58:11 PM | Host is alive | 460 ms
17/12/2002 11:08:12 PM | Host is alive | 391 ms
17/12/2002 11:18:13 PM | Host is alive | 371 ms
17/12/2002 11:28:14 PM | Host is alive | 280 ms
17/12/2002 11:38:15 PM | Host is alive | 281 ms
17/12/2002 11:48:16 PM | Host is alive | 451 ms
17/12/2002 11:58:17 PM | Host is alive | 781 ms
18/12/2002 12:08:18 AM | Host is alive | 761 ms
18/12/2002 12:18:19 AM | Host is alive | 481 ms
18/12/2002 12:28:20 AM | Host is alive | 300 ms
18/12/2002 12:38:21 AM | Host is alive | 390 ms
18/12/2002 12:48:25 AM | Host is alive | 3495 ms
18/12/2002 12:58:26 AM | Host is alive | 351 ms
18/12/2002 1:08:27 AM | Host is alive | 251 ms
18/12/2002 1:18:28 AM | Host is alive | 261 ms
18/12/2002 2:29:54 PM | Host is alive | 411 ms


Log qoute for test "/www.occidentecorp.com.gt:443/

 Test: /www.occidentecorp.com.gt:443/
Method: URL request

10/12/2002 7:20:27 PM | Host is alive | 3104 ms
10/12/2002 7:20:32 PM | Host is alive | 4045 ms
10/12/2002 7:23:34 PM | Host is alive | 1412 ms
10/12/2002 7:26:37 PM | Host is alive | 2133 ms
11/12/2002 6:30:44 PM | Host is alive | 4857 ms
11/12/2002 6:33:46 PM | Host is alive | 1312 ms
11/12/2002 6:36:53 PM | Host is alive | 5738 ms
11/12/2002 6:39:55 PM | Host is alive | 2324 ms
17/12/2002 9:51:41 PM | Host is alive | 6089 ms
17/12/2002 9:58:36 PM | Host is alive | 5448 ms
17/12/2002 10:01:51 PM | Host is alive | 3975 ms
18/12/2002 9:02:00 PM | Host is alive | 1142 ms
18/12/2002 9:52:19 PM | Host is alive | 1132 ms
18/12/2002 9:55:24 PM | Host is alive | 4537 ms
19/12/2002 9:55:37 PM | Host is alive | 1272 ms
19/12/2002 9:59:08 PM | Host is alive | 4035 ms
19/12/2002 10:09:42 PM | Host is alive | 3986 ms
19/12/2002 10:59:08 PM | Host is alive | 3955 ms
20/12/2002 9:55:22 PM | Host is alive | 1131 ms
20/12/2002 10:00:00 PM | Host is alive | 1292 ms
20/12/2002 11:00:30 PM | Host is alive | 1071 ms
20/12/2002 11:30:37 PM | Host is alive | 1312 ms
25/12/2002 9:30:48 PM | Host is alive | 1202 ms
25/12/2002 9:59:59 PM | Host is alive | 1171 ms
25/12/2002 10:59:58 PM | Host is alive | 1192 ms
26/12/2002 8:00:44 PM | Host is alive | 1482 ms
26/12/2002 9:00:47 PM | Host is alive | 1322 ms
26/12/2002 9:59:59 PM | Host is alive | 1483 ms
26/12/2002 10:33:25 PM | Host is alive | 1252 ms
26/12/2002 10:59:28 PM | Host is alive | 1131 ms
26/12/2002 11:13:44 PM | Host is alive | 3976 ms
17/12/2002 10:18:09 PM | Host is alive | 2474 ms
18/12/2002 9:20:09 PM | Host is alive | 4066 ms
18/12/2002 9:59:58 PM | Host is alive | 1182 ms
18/12/2002 10:40:41 PM | Host is alive | 4186 ms
18/12/2002 10:59:43 PM | Host is alive | 1152 ms
19/12/2002 11:00:00 PM | Host is alive | 1312 ms
20/12/2002 11:00:05 PM | Host is alive | 1192 ms
17/01/2003 11:00:21 PM | Host is alive | 1142 ms
18/01/2003 10:09:32 PM | Host is alive | 1382 ms
24/01/2003 10:10:16 PM | Host is alive | 1232 ms
17/02/2003 10:10:27 PM | Host is alive | 1593 ms
18/02/2003 11:10:47 PM | Host is alive | 1292 ms
18/03/2003 11:10:57 PM | Host is alive | 1202 ms
18/04/2003 11:11:07 PM | Host is alive | 1752 ms
18/06/2003 11:11:26 PM | Host is alive | 1182 ms
18/07/2003 11:11:35 PM | Host is alive | 1201 ms
31/08/2003 11:11:45 PM | Host is alive | 1252 ms
16/09/2003 11:12:00 PM | Host is alive | 1603 ms
18/09/2003 11:12:07 PM | Host is alive | 1152 ms
24/10/2003 11:12:17 PM | Host is alive | 1182 ms
24/12/2003 11:12:26 PM | Host is alive | 1232 ms
17/12/2002 10:25:47 PM | Host is alive | 2193 ms
20/12/2002 10:28:44 PM | Host is alive | 1192 ms
21/12/2002 10:28:56 PM | Host is alive | 1151 ms
22/12/2002 10:28:58 PM | Host is alive | 1221 ms
28/12/2002 10:29:08 PM | Host is alive | 1141 ms
30/12/2002 10:29:11 PM | Host is alive | 1121 ms
17/12/2002 10:48:13 PM | Host is alive | 2404 ms
17/12/2002 10:51:15 PM | Host is alive | 1712 ms
17/12/2002 10:54:17 PM | Host is alive | 1973 ms
17/12/2002 10:57:20 PM | Host is alive | 2123 ms
17/12/2002 11:00:22 PM | Host is alive | 1933 ms
17/12/2002 11:03:24 PM | Host is alive | 1402 ms
17/12/2002 11:06:27 PM | Host is alive | 2123 ms
17/12/2002 11:09:29 PM | Host is alive | 1642 ms
17/12/2002 11:12:31 PM | Host is alive | 1693 ms
17/12/2002 11:15:34 PM | Host is alive | 1802 ms
17/12/2002 11:18:37 PM | Host is alive | 2003 ms
17/12/2002 11:21:38 PM | Host is alive | 1533 ms
17/12/2002 11:24:41 PM | Host is alive | 1523 ms
17/12/2002 11:27:43 PM | Host is alive | 1382 ms
17/12/2002 11:30:45 PM | Host is alive | 1962 ms
17/12/2002 11:33:50 PM | Host is alive | 4716 ms
17/12/2002 11:36:55 PM | Host is alive | 4376 ms
17/12/2002 11:40:00 PM | Host is alive | 4146 ms
17/12/2002 11:43:05 PM | Host is alive | 4135 ms
17/12/2002 11:46:09 PM | Host is alive | 4186 ms
17/12/2002 11:49:14 PM | Host is alive | 4496 ms
17/12/2002 11:52:18 PM | Host is alive | 4146 ms
17/12/2002 11:55:23 PM | Host is alive | 3925 ms
17/12/2002 11:58:28 PM | Host is alive | 4386 ms
18/12/2002 12:01:32 AM | Host is alive | 4416 ms
18/12/2002 12:04:37 AM | Host is alive | 4036 ms
18/12/2002 12:07:41 AM | Host is alive | 4116 ms
18/12/2002 12:10:46 AM | Host is alive | 4065 ms
18/12/2002 12:13:50 AM | Host is alive | 4176 ms
18/12/2002 12:16:55 AM | Host is alive | 4807 ms
18/12/2002 12:20:00 AM | Host is alive | 4356 ms
18/12/2002 12:23:05 AM | Host is alive | 4266 ms
18/12/2002 12:26:10 AM | Host is alive | 4606 ms
18/12/2002 12:29:15 AM | Host is alive | 5047 ms
18/12/2002 12:32:20 AM | Host is alive | 4297 ms
18/12/2002 12:35:24 AM | Host is alive | 4496 ms
18/12/2002 12:38:29 AM | Host is alive | 4166 ms
18/12/2002 12:41:35 AM | Host is alive | 4837 ms
18/12/2002 12:44:39 AM | Host is alive | 4316 ms
18/12/2002 12:47:45 AM | Host is alive | 4657 ms
18/12/2002 12:50:50 AM | Host is alive | 4436 ms
18/12/2002 12:53:55 AM | Host is alive | 4146 ms
18/12/2002 12:57:00 AM | Host is alive | 4086 ms
18/12/2002 1:00:05 AM | Host is alive | 4206 ms
18/12/2002 1:03:09 AM | Host is alive | 3976 ms
18/12/2002 1:06:13 AM | Host is alive | 4246 ms
18/12/2002 1:09:19 AM | Host is alive | 5348 ms
18/12/2002 1:12:24 AM | Host is alive | 4777 ms
18/12/2002 1:15:29 AM | Host is alive | 4417 ms
18/12/2002 1:18:34 AM | Host is alive | 4196 ms
18/12/2002 1:21:38 AM | Host is alive | 3995 ms
18/12/2002 2:29:58 PM | Host is alive | 3215 ms


Log qoute for test "www.yahoo.com

 Test: www.yahoo.com
Method: URL request

10/12/2002 7:20:28 PM | Host is alive | 551 ms
11/12/2002 6:30:39 PM | Host is alive | 511 ms
11/12/2002 6:40:44 PM | Host is alive | 3585 ms
17/12/2002 9:51:36 PM | Host is alive | 1352 ms
17/12/2002 10:01:47 PM | Host is alive | 240 ms
18/12/2002 9:01:58 PM | Host is alive | 250 ms
18/12/2002 9:52:17 PM | Host is alive | 240 ms
19/12/2002 9:55:35 PM | Host is alive | 230 ms
19/12/2002 10:09:38 PM | Host is alive | 230 ms
19/12/2002 10:59:04 PM | Host is alive | 231 ms
20/12/2002 9:55:20 PM | Host is alive | 211 ms
20/12/2002 11:00:28 PM | Host is alive | 201 ms
20/12/2002 11:30:35 PM | Host is alive | 170 ms
25/12/2002 9:30:46 PM | Host is alive | 381 ms
25/12/2002 9:59:57 PM | Host is alive | 180 ms
25/12/2002 10:59:57 PM | Host is alive | 291 ms
26/12/2002 8:00:42 PM | Host is alive | 671 ms
26/12/2002 9:00:45 PM | Host is alive | 310 ms
26/12/2002 9:59:57 PM | Host is alive | 320 ms
26/12/2002 10:33:23 PM | Host is alive | 200 ms
26/12/2002 10:59:27 PM | Host is alive | 501 ms
26/12/2002 11:13:43 PM | Host is alive | 3224 ms
17/12/2002 10:18:06 PM | Host is alive | 360 ms
18/12/2002 9:20:05 PM | Host is alive | 260 ms
18/12/2002 9:59:58 PM | Host is alive | 3144 ms
18/12/2002 10:40:36 PM | Host is alive | 310 ms
18/12/2002 10:59:41 PM | Host is alive | 360 ms
19/12/2002 10:59:58 PM | Host is alive | 260 ms
20/12/2002 11:00:04 PM | Host is alive | 190 ms
17/01/2003 11:00:19 PM | Host is alive | 240 ms
18/01/2003 10:09:30 PM | Host is alive | 200 ms
24/01/2003 10:10:14 PM | Host is alive | 250 ms
17/02/2003 10:10:25 PM | Host is alive | 641 ms
18/02/2003 11:10:45 PM | Host is alive | 261 ms
18/03/2003 11:10:55 PM | Host is alive | 320 ms
18/04/2003 11:11:04 PM | Host is alive | 250 ms
18/06/2003 11:11:24 PM | Host is alive | 201 ms
18/07/2003 11:11:33 PM | Host is alive | 290 ms
31/08/2003 11:11:43 PM | Host is alive | 621 ms
16/09/2003 11:11:58 PM | Host is alive | 440 ms
18/09/2003 11:12:05 PM | Host is alive | 241 ms
24/10/2003 11:12:15 PM | Host is alive | 190 ms
24/12/2003 11:12:24 PM | Host is alive | 280 ms
17/12/2002 10:25:44 PM | Host is alive | 251 ms
20/12/2002 10:28:45 PM | Host is alive | 3245 ms
21/12/2002 10:28:54 PM | Host is alive | 251 ms
22/12/2002 10:28:57 PM | Host is alive | 231 ms
28/12/2002 10:29:06 PM | Host is alive | 260 ms
30/12/2002 10:29:10 PM | Host is alive | 221 ms
17/12/2002 10:48:10 PM | Host is alive | 480 ms
17/12/2002 10:58:11 PM | Host is alive | 320 ms
17/12/2002 11:08:12 PM | Host is alive | 290 ms
17/12/2002 11:18:13 PM | Host is alive | 161 ms
17/12/2002 11:28:14 PM | Host is alive | 170 ms
17/12/2002 11:38:15 PM | Host is alive | 170 ms
17/12/2002 11:48:16 PM | Host is alive | 491 ms
17/12/2002 11:58:17 PM | Host is alive | 621 ms
18/12/2002 12:08:18 AM | Host is alive | 781 ms
18/12/2002 12:18:19 AM | Host is alive | 311 ms
18/12/2002 12:28:20 AM | Host is alive | 190 ms
18/12/2002 12:38:20 AM | Host is alive | 180 ms
18/12/2002 12:48:25 AM | Host is alive | 3305 ms
18/12/2002 12:58:25 AM | Host is alive | 300 ms
18/12/2002 1:08:26 AM | Host is alive | 160 ms
18/12/2002 1:18:27 AM | Host is alive | 150 ms
18/12/2002 2:29:54 PM | Host is alive | 320 ms


Replicator

HostMonitor's Main Page Replicator
Version 1.01
Copyright (c) 2003-2004 KS-Soft
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

Replicator is an auxiliary application for HostMonitor. It is not included into Advanced Host Monitor package however it is free for licensed owners of Advanced Host Monitor. You may download Replicator from this page.

Intro [image] System Requirements [image] Price

Although Replicator is a very small application it serves to save you huge amounts of time. Those who have large networks with hundreds of servers will appreciate the ability to replicate a test (i.e. reproduce and apply to...) for an array of systems in almost an instant. For example if you have a CPU Usage test that works on one machine, with the help of a Replicator you may reproduce the same test for every workstation without a hassle of setting the parameters of each of them separately.

This is how it works:
Consider the situation when you have to check 3 services, CPU usage and 4 processes on 100 systems. To avoid manual creation of 800 tests would be better to use Replicator:

  1. Initial tests: In the HostMonitor create these tests for one of the systems (e.g. the system with an address: \\192.168.12.5). Check all the settings in the HostMonitor and insure that all tests work as you wish.
    It is a good idea to include the address or the name of the tested system into the name of the test. (e.g. "CPU Usage on \\192.168.12.5"). In this case each of 800 tests will have unique name after replication.

  2. Export: Now, use the export feature of HostMonitor (menu: 'File'->'Export to text file') to create a text file with the parameters of the tests.

  3. Load source: Launch Replicator and load this text file into source panel. Use menu 'File'->'Load source...' or 'Reload' button to perform this operation.

  4. Replicate by: Specify the parameter for replication in 'Replicate by' field. In our case this is an address '192.168.12.5'. Replicator will highlight all instances of this string in the text file in the source panel.

  5. Replication list: In the field 'List of values for replication' you have to specify all 100 addresses for the systems on your network. If you have this list ready then you may use 'Load' button to import it or simply paste it from the clipboard.
    If you don't have a list ready then use a built in network scanner utility to create it. Click the 'Scan Network' button and the dialog will appear.
    There you will have to specify the range of addresses: for example if you have class "C" LAN network then the full range is 192.168.12.1-192.168.12.255. If all addresses of your systems are successive then just click the 'Append' button to get the list. If you need only specific addresses from the range then you have several options to find target hosts:

    1. "Use ping scanner to select hosts that respond". With this selection scanner will send ICMP Echo packets to all hosts in the range and then will add to the list only those which respond.

    2. "Use name scanner to select hosts with names". With this selection scanner will add to the list of addresses only those hosts that have responded with a name (name registered in DNS or NetBIOS name for systems from a LAN). Using this scan option you have a choice of what to add to the list - the name or the address of a target system.

    3. "Use port scanner to select hosts with an active TCP service on port #". With this selection scanner will add to the list only addresses of systems which reply on the specified TCP port.

    Scan process starts when you click 'Append' or 'Overwrite' button. When you select 'Append' - the new list is added to the end of existing (if any) one. Overwrite creates a new list from a scratch. After you have received the list of addresses from the scanner you may edit it as you wish, for example you may add some addresses from another network. When the list is complete, click 'Apply' button.

  6. Replication: The last step of replication process - click the button 'Replicate'. Because HostMonitor already has the initial tests (those that were used as a template for replication) you may leave the 'copy source data' option unmarked. After you click 'Proceed' button Replicator will create tests for every system in the list of addresses. Save the result as a text file. Use menu 'File' -> 'Save outcome...' or 'Save outcome' button.

  7. Import: In the HostMonitor use menu 'File' -> 'Import from text file' to load the tests created by Replicator into a HostMonitor.

That's it! In just 10-15 minutes we have 800 tests ready for use.

Minimum system requirements

  • Windows 95 (OSR2), 98, ME, NT 4.0, Windows 2000, or XP
  • Internet Explorer 4.0 (application can work without IE but help system will not be available)
  • 2 Mb of free disk space
  • Minimum screen resolution: 800 x 600
Recommended:
  • Internet Explorer 5+
  • Screen resolution: 1024 x 768 or higher

How much does it cost?

When you purchase Advanced Host Monitor (LITE, STANDARD, PROFESSIONAL or ENTERPRISE edition) you will get the right to use Replicator (current version) at no cost. You can order Advanced Host Monitor using credit card, Switch and Solo debit cards, check/money order or wire transfer. If you are concerned about submitting your order and/or credit card information online, you may register the software via phone, fax or postal mail.
Details..


RMA Manager

HostMonitor's Main Page RMA Manager
Version 1.02
Copyright (c) 2003-2004 KS-Soft
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

RMA Manager is an auxiliary application for HostMonitor. It is included into Advanced Host Monitor package. Enterprise license for Advanced Host Monitor already includes a license for RMA Manager. Holders of a Lite, Standard or Professional licenses may buy an additional license for RMA Manager separately.

Intro [image] How to do [image] Menu [image] System Requirements [image] Price

To manage an array of Remote Monitoring Agents (RMA) you may use RMA Manager utility. It allows you to change settings for hundreds of agents installed on remote systems at one time and from one location. Both RMA Manager and HostMonitor are using the same list of Remote Monitor Agents. Working with this list you may select group(s) of agents and then perform the following actions over the whole group:

  • obtain information about an agent: version, platform, list of tests supported by the agent, list of allowed tests, etc;
  • change agent configuration: change TCP port, timeout, password; enable/disable tests, change different management parameters, etc;
  • reload agent (restart application);
  • force agent to reread settings from its ini file;
  • terminate agent
  • and even upgrade agent's code remotely.

The list of agents may be exported into CSV file. After some modifications that file may be then imported back again into RMA Manager.

How to do:

  • How to add new agent to the list
  • How to edit network connection parameters for an agent
  • How to obtain information about agent(s)
  • How to reload/terminate agent(s)
  • How to upgrade agent(s)
  • How to change agents settings

  • How to add new agent to the list

    To add a record for a (new) agent click on "New agent" button or press Insert key in the list of agents or select "New" item from "Agent(s)" menu. When the dialog "Agent Connection Parameters" appears set the following parameters for the agent:

    • Agent address:
      provide the host name or an IP address of the system where RMA is installed
    • Item name:
      name of the agent (this name will be displayed in agent's list, and will be used by HostMonitor for agent identification). By default RMA Manager uses agent's addresses as names but you may specify any other name that you like
    • Port:
      TCP port that will be used for communication between RMA Manager (or HostMonitor) and the agent. Here you should specify the same port that you have already specified when that agent was installed and configured on a remote system (by default agent uses port #1055)

    • Timeout:
      communication timeout in seconds. A maximum amount of time that RMA Manager or HostMonitor will wait for an answer from the agent. Please note: this timeout should be big enough to allow an agent to perform a test before sending an answer to HostMonitor. When, for example, you are launching an external test and an external program needs 15 seconds to perform this test then the timeout should be set to 15 seconds plus an amount of time that is necessary for data exchange between HostMonitor and an agent.

    • Password:
      here you should provide the same password that you have specified when an agent was installed and configured on a remote system.

    After you have finished entering the above information click "Test/Get info" button to check the settings of an agent or click "Ok" button to check the settings and close dialog. RMA Manager will try to establish connection with an agent and get information about agent: platform, version, comment, etc.
    If connection with an agent was established, RMA Manager updates all agent information and sets status of the agent to "operable". If RMA Manager was not able to get proper information from an agent, it sets its` status to "no answer" (if no answer from agent received) or "bad answer" (if some error code was received from an agent, e.g. wrong password)..

  • How to edit connection parameters for the agent

    To change connection parameters for an agent, select it from the list and press Enter (or choose "Edit connection parameters" item in "Agents" menu). An "Agent Connection Parameters" dialog will pop up, there you may setup connection parameters (agent address, port, timeout, password, etc) like it was already described in previous abstract ("How to add new agent to the list").

  • How to obtain information about agent(s)

    When you create a new agent record in the list, RMA Manager tries to connect to a specified agent and gets information from it. But you can refresh/reload this information at any time. Just select a set of agents (or select just one record), and choose "Refresh info" item from the menu "Agent(s)" or press CTRL + I.
    RMA Manager will then try to connect to each agent being selected and gets the following information:
    - Agent: an internal name of an agent;
    - Platform: OS platform that this agent is designed for;
    - Version: the version number of the agent;
    - Developer: the company that created RMA software;
    - Comment: the content of a comment field that you or system administrator had provided when a remote agent was installed and configured.
    If a connection with agent was established, RMA Manager updates all information and sets the status of an agent to "operable". If RMA Manager was not able to get information from an agent, it sets the status to "no answer" (if no answer from an agent was received) or "bad answer" (if some error code was received from an agent, e.g. wrong password).

  • How to reload/terminate agent(s)

    You may reload or terminate an agent on a remote system. It is obvious, that to be able to perform either of these operations an agent should be running and an option "Enable remote management from address" should be enabled. An IP address specified in "Enable remote management from address" of that agent should match the address of the system where you are currently working with RMA Manager.
    To reload/terminate agent(s), select a group of agents (or just one agent) in the list and click "Reload agent"/"Terminate agent" button on the tool bar (or use similar item from the menu "Agents").

  • How to upgrade agent

    First: to upgrade an agent you need at least to have a newer version of agents` software. Second: an agent of older version should be already running on the remote system. Third: "Enable remote updates from address" parameter of the agent configuration must be enabled and an IP address specified by this option should point to the machine where you are currently working with RMA Manager. Of course all operations with agent(s) are encrypted and password protected but this option provides additional security (an extra security is never superfluous :-).

    So, to upgrade agent(s), select a group of agent items in the list and click "Upgrade agent" button on the tool bar (or use similar item from menu "Agents"). The dialog will prompt you to select the file with newer version of agents` software code. After this RMA Manager will send this file to all selected agents. Agents then will write that file to the hard drives of their remote systems and restart themselves. After the completion of this operation an agent with a new code will run on each of the remote systems.

  • How to change agents settings

    You may change settings of many agents at one time. Obviously those agents should be running. An agents` setting "Enable remote management from an address" should be enabled and an IP address specified there should point to the machine where you are currently working with RMA Manager. This is an additional measure that together with password protection and encryption of all communications between RMA Manager and an agent provides extra security.

    To view/modify agent(s) configuration, select group of agents in the list and click "Agent configuration" button on the tool bar (or use similar item from menu "Agents"). RMA Manager will then connect to a first agent from the group and after getting its` configuration settings will display them in the dialog window. The following individual settings and groups of settings are available:

    Comment:
    here you may specify a comment (actually you may type any text here, it could be a simple recognizable name or an identifier for this agent). This helps to identify agents easier.

    Connection parameters

    • Port
      specifies the TCP port number which RMA utilizes to listen for incoming connections. Default setting is #1055.

    • Timeout
      the maximum amount of time (in seconds) that agent will keep waiting for the complete request packet from HostMonitor (after initial TCP connection established) before dropping the connection.

    • Password
      minimum six character length password. Using of an empty password is not permitted. The password is required for every communication session between RMA and HostMonitor or RMA and RMA Manager. All traffic between RMA and HostMonitor or RMA and RMA Manager is encrypted and the password itself is never transmitted through the network without encryption.

    Security settings

    • Accept connections from any IP address
      enabling this option will allow RMA to accept control commands from any IP address (as long as the incoming connection provides correct password)

    • Accept connections from following addresses
      specifies the list of IP addresses. After enabling this option RMA will accept remote connections only from the addresses in this list (password is required as always). Usually you have to add just one address to this list, namely the one for the system where HostMonitor is running.
      To add an address to the list press Insert key, to remove an address from the list press Ctrl+Del, to edit item press Enter or double-click it.

    • Enable following tests
      specifies the list of tests methods allowed for execution by this RMA. To enable a test mark the corresponding check box, to disable a test unmark the box near it.

    • Enable remote management from address
      this option sets the IP address from which it is allowed to control and manage RMA. Using RMA Manager installed on the system with that IP address you will be able to change agent's settings remotely, also you will be able to restart and terminate an agent.
      Note: Instead of single IP address you may specify a list and/or a range of IP addresses. IP addresses in the list should be separated by comma. Dash is used to define a range of addresses. Example: "127.0.0.1, 192.168.13.10 - 192.168.13.99, 165.14.22.1".

    • Enable remote updates from address
      this option allows remote updates of the RMA code (e.g. when a new version is available) from the IP address being provided. You may provide single IP address or you may specify a list and/or a range of IP addresses. IP addresses in the list should be separated by comma. Dash is used to define a range of addresses. Example: "127.0.0.1, 192.168.13.10 - 192.168.13.99, 165.14.22.1".

    Logging

    • Successful audit log to
      here you may specify a log file where agent will store information about successfully accepted connections. This log has no use when everything works well (it then just takes space on the hard drive), but you may found it really helpful when a sophisticated network problem has to be fixed. If you specify just the name of the file (without a full path), an agent will store a log in the same directory where it was started from.

    • Failure audit log to
      you may specify another log file where an agent will store information about rejected requests. E.g.: connections from an IP addresses that are not allowed or connections with invalid password, etc. Log file is a simple text file that contains date of the event, remote IP address from which an attempt of connection has occurred and information about the error. If you specify just the file name (without path), an agent will store it in the directory where it was started from.

    After you have made changes to the settings above, you may refine the list of agents that will accept these settings (an "Apply to" list). By default this list contains all those agents that were selected before you have pressed the "Agent configuration" button. You may remove or add new agents from/to the list.
    After you click "Apply" button the new settings will be sent to the agents. You may click "Cancel" button if you have changed your mind.

Main menu:

File
Export | - | Exports list of agents into CSV (comma separated values) file
Import | - | Imports list of agents from CSV file
Exit | - | Closes RMA Manager
Agent(s)
New | - | Brings up "Agent Connection Parameters" dialog and allows you to to add a new record for a (new) agent into the list
Edit connection params | - | Allows you to change agents' network connection parameters
Remove agent | - | Removes agent's record from the list (doesn't do anything with an agent itself)
Refresh info | - | Establishes connection with agent(s) and retrieves agents information (version, status, etc)
Agent configuration | - | Allows you to modify configuration of the agent(s)
Reload settings | - | Forces selected agent(s) to reread their settings from ini file
Reload agent | - | Reloads (application) selected agent(s)
Upgrade agent | - | Upgrades the code (using specified executable module) for selected agent(s)
Terminate agent | - | Terminates execution of selected agent(s)
Select all | - | Selects all agent records from the list
Help
Help | - | Displays Help
Home page | - | Starts default web browser, opens home page of the RMA Manager on www.ks-soft.net
WWW Forum | - | Starts default web browser, opens web forum on www.ks-soft.net
Support | - | Allows you to send e-mail to our tech support staff
About | - | About RMA Manager
License | - | License information, registration

Minimum system requirements

  • Windows 95 (OSR2), 98, ME, NT 4.0, Windows 2000, or XP
  • Internet Explorer 4.0 or higher (application can work without IE but help system will not be available)
  • TCP/IP connection (LAN or Dial-up)
  • 2 Mb of free disk space
  • Minimum screen resolution: 800 x 600
Recommended:
  • Internet Explorer 5+
  • Screen resolution: 1024 x 768 or higher

How much does it cost?

When you purchase an Advanced Host Monitor ENTERPRISE edition you will get the license for RMA Manager at no cost. Otherwise the license costs $50. You can order RMA Manager using credit card, Switch and Solo debit cards, check/money order or wire transfer. If you are concerned about submitting your order and/or credit card information online, you may register the RMA Manager via phone, fax or postal mail.
Details..


RMA for Linux & FreeBSD

HostMonitor's Main Page Remote Monitoring Agent (RMA) for Linux & FreeBSD
Version 0.20 Beta
Copyright (c) 2003-2004 KS-Soft
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

Remote Monitoring Agent (RMA) is an auxiliary application for HostMonitor. Enterprise license for Advanced Host Monitor already includes license for 10 installations of the agent. Holders of a Lite, Standard or Professional licenses may buy an additional license for Remote Monitoring Agent separately.

Introduction
Installation and configuration
How to install the agent
How to configure the agent
RMA Manager
Starting the agent
How to use agent to perform tests
System requirements
Need a source code?
Price
Copyright/License/Warranty

HostMonitor 4.0+ can monitor remote networks using Remote Monitoring Agents (RMA). RMA is small application that accepts requests from HostMonitor, performs test and provides information about test result back to HostMonitor.

Why you may need RMA? Here are just several reasons:

  1. RMA increases security of the network. When you have to run the tests such as CPU Usage test or Performance Counters tests on a remote Windows system, HostMonitor must be able to log in to that system with administrators privileges. Instead you may now use an agent installed on that remote system. In this case HostMonitor will not have to log on to that system at all. HostMonitor needs just one TCP port to communicate with the RMA agent (by default it uses #1055 port, however you may set an agent to use any other port).
    Remote Monitoring Agent is also a very useful tool when you have to monitor two (or many) separated networks (connected through Internet). In this case installing just one instance of RMA behind the firewall in network "A" will allow to monitor entire network "A" using the HostMonitor located in the network "B" with just one open TCP port.

  2. RMA decreases the network traffic. E.g. frequent use of "File Integrity" or "Compare Files" tests in an array of remote systems may apply significant load on the network. The more and the bigger files you test the more traffic increase you get. RMA runs locally and sends only the test results to the HostMonitor thus decreasing the amount of network traffic.

  3. RMA simplifies network administration. You no longer need to share local drives/folders to perform tests such as File Integrity, Folder/File Size, File Availability, Count Files, etc

Features:
  • All traffic between RMA and HostMonitor is encrypted.
  • It is possible to customize the list of enabled tests for each of the agents (e.g. living only Count Files and UNC tests only).
  • You can restrict incoming TCP connections with the list of acceptable addresses.
  • With RMA Manager you may configure, restart and even upgrade agent(s) remotely.

Current version of RMA for Linux and FreeBSD platforms can perform following test methods:
- TCP
- UDP
- UNC
- Folder/File Size
- Count Files
- File/Folder Availability Exists
- File Integrity
- Text Log
- Compare Files

Remote Monitoring Agent for Windows platform is included into Advanced Host Monitor package. For more information, please, refer to RMA for Windows section of this document.

How to install and configure RMA

To install an agent on Linux/FreeBSD system download appropriate package from download page, unzip and untar the files (e.g. using command "tar -xzf rma_lin.tgz"). Check, and modify if necessary, settings in the rma.ini file using any text editor.

RMA settings

In the rma.ini file you will find comments that describe each parameter, so configuration should be easy

Basic settings

  • RmaPath
    Obligatory parameter - full path to the agent. UNIX-like systems do not have common method that allows the program to retrieve its module name and path. Without this parameter agent will not be able to upgrade and restart itself.
    Example: RmaPath = /usr/sbin/rma

  • Comment
    Comment is optional parameter, here you may specify a comment (actually you may type any text here, it could be a simple recognizable name or an identifier for this agent). This helps to identify agents easier.
    Example: Comment=RMA on Primary Web Server (FreeBSD)

  • Host
    Optional parameter that defines host name or IP address of the local network interface (RMA should listen on). Useful when system has several network interfaces.

  • Port
    Obligatory parameter - specifies the TCP port number which RMA utilizes to listen for incoming connections. Default setting is #1055.

  • Timeout
    The maximum amount of time (in miliseconds) that agent will keep waiting for the complete request packet from HostMonitor (after initial TCP connection established) before dropping the connection.

  • Password
    minimum six characters length password. Using of an empty password is not permitted. The password is required for every communication session between RMA and HostMonitor or RMA and RMA Manager. All traffic between RMA and HostMonitor or RMA and RMA Manager is encrypted and the password itself is never transmitted through the network without encryption.

Logging settings

  • LogSuccess

  • OkLogFile
    Successful audit log. Here you may specify a log file where agent will store information about successfully accepted connections. This log has no use when everything works well (it then just takes space on the hard drive), but you may found it helpful when a sophisticated network problem has to be fixed.
    First option enables or disables the logging (LogSuccess=0 - logging is disabled; LogSuccess=1 - logging is enabled), second parameter specifies path to the log file. If you specify just the name of the file (without a full path), an agent will store a log in the same directory where configuration file is located.
    Example:
    LogSuccess=0
    OkLogFile=log_ok.txt

  • LogFails

  • BadLogFile
    Failure audit log. Here you may specify another log file where an agent will store information about rejected requests and errors. Log file is a simple text file that contains date of the event, remote IP address from which an attempt of connection has occurred and information about the error.
    First option enables or disables the logging (LogFails=0 - logging is disabled; LogFails=1 - logging is enabled), second parameter specifies path to the log file. If you specify just the file name (without path), an agent will store it in the directory where configuration file is located.
    Example:
    LogFails=1
    BadLogFile=log_err.txt

  • VerboseLogFile
    Use this parameter to provide the path to a "Verbose" log file. Unlike "Successful" and "Failure" logs this log file can be enabled by command line parameter only. You should start RMA with '-v' command line parameter (e.g. "./rma -i -v rma.ini") . In this case RMA will store various information about each incoming connection in the log file specified.
    Example: VerboseLogFile=log_verbose.txt

Security settings

  • FilterActive
    Enables or disables IP filtering "FilterActive=0" will allow RMA to accept control commands from any IP address (as long as the incoming connection provides correct password). Set "FilterActive=1" and RMA will accept connections only from the addresses that are specified in by FilterList parameter (password is required as always).

  • FilterList
    Provides list of IP addresses. After enabling IP filtering (FilterActive=1) RMA will accept remote connections only from the addresses in this list (password is required as always). Usually you have to add just one address to this list, namely the one for the system where HostMonitor is running. If you want to specify several IP addresses, separate them by spaces.

  • FilterMarks
    This additional option works as switch for the addresses that are specified by "FilterList" parameter. E.g. if you have 4 addresses in the list, and you want to turn on (enable) 1st, 2nd, and 4th address and turn off (disable) 3rd address in the list, type "1101" in this field.
    Example:
    FilterActive=1
    FilterList=127.0.0.1 194.168.1.10 194.168.1.12
    FilterMarks=101

  • AllowManage

  • ManageAddr
    These options control remote management function. AllowManage=0 - disables remote management feature, AllowManage=1 - enables remote management. ManageAddr option sets the IP address(es) from which it is allowed to control and manage RMA. Using RMA Manager installed on the system with that IP address you will be able to change agent's settings remotely, also you will be able to restart and terminate an agent.
    Note: Instead of single IP address you may specify a list and/or a range of IP addresses. IP addresses in the list should be separated by comma. Dash is used to define a range of addresses.
    Example:
    AllowManage=1
    ManageAddr=192.168.1.100 - 192.168.1.105, 192.168.1.12, 127.0.0.1

  • AllowUpdates

  • UpdateAddr
    AllowUpdates option allows or restricts remote updates of the RMA (e.g. when a new version is available). AllowUpdates=0 - restricts updating, AllowUpdates=1 - allows updating. UpdateAddr option sets the IP address(s) from which it is allowed to perform upgrade. To upgrade a single agent or an array of remote agents, you may use RMA Manager.
    Note: Instead of single IP address you may specify a list and/or a range of IP addresses. IP addresses in the list should be separated by comma. Dash is used to define a range of addresses.
    Example:
    AllowUpdates=1
    UpdateAddr=192.168.1.100 - 192.168.1.105, 192.168.1.12, 127.0.0.1

  • [EnabledTests]
Specifies the list of tests methods allowed for execution by the agent. To enable the test, assign '1' to the
   parameter. To disable the test, assign '0' to the parameter.
Example:
TCP=1
UDP=0
UNC=1
FolderSize=0

RMA Manager

To configure single agent or huge array of remote agents installed in different networks you may use RMA Manager. It allows you to change settings for hundreds of agents installed on remote systems at one time and from one comfortable location.

Starting an agent

You can start agent as daemon or as regular console utility.
Usage: rma [-d|-i] [-v] [-p <port>] <cfg_file>
-d | - daemon mode (default)
-i | - interactive mode
-v | - verbose mode
-p <port> | - overrides TCP port number specified in cfg_file
cfg_file | - obligatory parameter, path to configuration file
Examples:
./rma -i -v -p 1055 /etc/rma/rma.ini
./rma -d /home/ks/rma/rma.ini

Note: SIGHUP signal
You can use SIGHUP to signal the agent that it should reread configuration file E.g. "kill -HUP <agent_pid>" (to retrieve agent pid you can use command "ps -A|grep rma" (on Linux systems) or "ps -x|grep rma" on FreeBSD systems).
PS: of course you can use RMA Manager for the same purpose.

How to use

O.k., now when you have agents installed in different networks, how to use them?
HostMonitor since version 4.0 supports a list of remote agents and can perform tests not only by itself but also may send a request to the agent which will then execute the test. Every test in HostMonitor has now an additional property: "Test by". By default it has the value "HostMonitor"; it means that the test will be executed by HostMonitor. Alternatively you may choose an agent from drop down list and the test will be performed by that agent.

Peculiarities of tests' settings for UNIX-like systems
When you setup file-related tests (UNC, Folder/File Size, Count Files, File Integrity, etc) using an agent installed on UNIX-like system you should have in mind:

  • on Windows system file masks '*' and '*.*' represent any file. On UNIX-like system only '*' represents any file; '*.*' can be used for any file that has dot (.) in the name;
  • use slash (/) in the path (instead of backslash (\) that you are using on Windows systems);
  • on UNIX-like systems name of the file is case sensitive (so "/etc/RMA" and "/etc/rma" are different files);
  • "Drive Free Space" test does not have sense for UNIX-like system because there are no drives, use UNC test instead (e.g. you can check free space for file system "/home")

System requirements

Now UNIX version of RMA available for 2 systems:

  • Linux
  • FreeBSD
    Both modules have been compiled for Intel 80386 processor (of course they work on next generations of Intel processors, such as 80486 or Pentium 4).

    Linux module was tested on:
  • Mandrake Linux 8.2
  • Mandrake Linux 9.2
  • Red Hat Linux 9
    If you have tested RMA on another version of the system, please, inform us (support@ks-soft.net). This information will be useful for community.
    Theoretically agent should work on:
  • Slackware Linux 7.1+
  • Mandrake Linux 7.1+
  • Red Hat Linux 6.2+
  • SuSE Linux 6.4+
  • Debian Linux 2.2+
  • any Linux system with kernel version 2.2+ and glibc version 2.1.1+

    FreeBSD module was tested on:
  • FreeBSD 4.5
    If you have tested RMA on another version of the system, please, inform us (support@ks-soft.net). This information will be useful for community.
    Theoretically it should work on:
  • OpenBSD
  • NetBSD

    Source codes

    Source codes will be available (after release) by request, request should be sent to e-mail address support@ks-soft.net. If you make any changes in the source code or recompile the software for different OS and/or hardware, please, report list of modifications (if you have made some changes) or new binary module (if you just recompiled agent for another target) to support@ks-soft.net. Your contribution will be useful for community.
    Please read TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION prior to any work.

    How much does it cost?

    RMA for Linux/FreeBSD itself is free (see Licensing for details!). However to use it with HostMonitor (that is commercial software) you must have appropriate license. E.g. when you purchase an Advanced Host Monitor ENTERPRISE edition you will get the license that allows you to work with up to 10 agents. Otherwise you may buy licenses in sets of 10 ($80 per 10 licenses) or in sets of 100 licenses ($300 per one set of 100).
    There is no difference what agent you want to use (for Windows, Linux, or FreeBSD platform). E.g. if you have license for 20 RMA, you may install 5 agents on Windows systems and 15 agents on Linux systems. In case you need to install 10 agents on Windows systems and 10 RMA on Linux, you can do it without changing your license (5+15=20 and 10+10=20).
    You may order license for Advanced Host Monitor using credit card, Switch and Solo debit cards, check/money order or wire transfer. If you are concerned about submitting your order and/or credit card information online, you may order the license via phone, fax or postal mail.
    Details..


[RMA for UNIX] Copyright/License/Warranty

hmtitle3.gif (3014 bytes)
Copyright / License / Warranty
Detail info HostMonitor What's New What's New HostMonitor main page RMA (Unix) Download HostMonitor Download Registration Information Buy now

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

This License applies to Remote Monitoring Agent (for Linux and FreeBSD) together with its accompanying documentation and source code (hereinafter refered to as "Product"). License also applies to any program or a work based on the Product or containing the Product or a portion of it. Each licensee is addressed as "you"

  1. DISTRIBUTION of the Product:

    1. You may copy and distribute verbatim copies of the Product as you receive it, in any medium, provided that you:
      - conspicuously and appropriately publish on each copy present copyright notice and disclaimer of warranty;
      - keep intact all the notices that refer to this License and to the absence of any warranty;
      - keep intact all links and e-mail addresses that refer to the developer;
      - and give any other recipients of the Product a copy of this License along with the software.

    2. You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

    3. You may distribute Product (or any work based on the Product) as a part of any non-profit package under the terms of Section 1(a). E.g. if you have developed your own monitoring software that uses Product, you may distribute your software (and the Product) as long as your software is non-profit.

    4. You may not include Product, any portion of it, or any work based on the Product, as part of any commercial package.

  2. MODIFICATION of the Product

    You may modify your copy or copies of the Product or any portion of it, thus forming a work based on the Product, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

    1. You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.

    2. You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Product or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.

    3. You may not include Product, any portion of it, or any work based on the Product, as part of any commercial package.

  3. LICENSING

    1. Each time you redistribute the Product (or any work based on the Product), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Product subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.

    2. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to use, modify or distribute the Product or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Product (or any work based on the Product), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Product or works based on it.

DISCLAIMER OF WARRANTY:

Remote Monitoring Agent provided "as is" without warranty of any kind, either express or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. In no event shall the author be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if the author has been advised of the possibility of such damages.


RMA for Windows

HostMonitor's Main Page Remote Monitoring Agent (RMA) for Windows
Version 1.11
Copyright (c) 2000-2004 KS-Soft
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

Remote Monitoring Agent (RMA) is an auxiliary application for HostMonitor. It is included into Advanced Host Monitor package. Enterprise license for Advanced Host Monitor already includes license for 10 installations of the agent. Holders of a Lite, Standard or Professional licenses may buy an additional license for Remote Monitoring Agent separately.

Intro [image] How to do [image] Known Problems [image] System Requirements [image] Price

HostMonitor 4.0+ can monitor remote networks using Remote Monitoring Agents (RMA). RMA is small application that accepts requests from HostMonitor, performs test and provides information about test result back to HostMonitor.

Why you may need RMA? Here are just several reasons:

  1. RMA increases security of the network. When you have to run the tests such as CPU Usage test or Performance Counters tests on a remote system, HostMonitor must be able to log in to that system with administrators privileges. Instead you may now use an agent installed on that remote system. In this case HostMonitor will not have to log on to that system at all. HostMonitor needs just one TCP port to communicate with the RMA agent (by default it uses #1055 port, however you may set an agent to use any other port).
    Remote Monitoring Agent is also a very useful tool when you have to monitor two (or many) separated networks (connected through Internet). In this case installing just one instance of RMA behind the firewall in network "A" will allow to monitor entire network "A" using the HostMonitor located in the network "B" with just one open TCP port.

  2. RMA decreases the network traffic. E.g. frequent use of "File Integrity" or "Compare Files" tests in an array of remote systems may apply significant load on the network. The more and the bigger files you test the more traffic increase you get. RMA runs locally and sends only the test results to the HostMonitor thus decreasing the amount of network traffic.

  3. RMA simplifies network administration. You no longer need to share drives to perform tests like Drive Free Space, Folder/File Size, File Availability, Count Files, etc

Features:
  • All traffic between RMA and HostMonitor is encrypted.
  • It is possible to customize the list of enabled tests for each of the agents (e.g. living only Count Files and Drive Free Space tests only).
  • You can restrict incoming TCP connections with the list of acceptable addresses.
  • With RMA Manager you may configure, restart and even upgrade agent(s) remotely.

Now available RMA for Windows, Linux and FreeBSD. RMA (on Windows platform) can be started as a regular application or as a Win32 service and perform following test methods:
- Ping
- TCP
- UDP
- UNC
- Drive Free Space
- Folder/File Size
- Count Files
- File/Folder Availability Exists
- File Integrity
- Text Log
- Compare Files
- Process
- Service
- NT Event Log
- CPU Usage
- Performance Counter
- Script
- External
- ODBC

Information about RMA for Linux and FreeBSD platforms available here.

How to install RMA

To install RMA run installation program for Advanced Host Monitor package (hm40.exe). At the stage when installation wizard offers you to chose an installation package, you should select "Custom Install". Then in the list of available components check the box in front of the "RMA for Windows". If you want to install only "RMA for Windows" then uncheck everything except "RMA for Windows".

If you need to install RMA on an array of systems, then the easiest way is to:

  • install it on one system using installation program (see the instructions in previous paragraph)
  • configure an agent (setup timeout, password, list of enabled tests, enable or disable remote management, etc)
  • than simply copy preconfigured agent to all systems. You need to copy just 3 files: rma.exe, rma_cfg.exe, rma.ini.

    Note: It is also possible (however you may never need it) to run several instances of RMA on the same system. To do this you have to install several copies of RMA into different folders on the hard drive. Each copy of RMA should then be set to use different TCP port.

    How to configure RMA

    To configure an agent you may use rma_cfg.exe program (after installation it will be located in the same directory where an agent is installed) or you may start an agent and click on "Settings" button on the tool bar. This button launches the same configuration utility which pops up as a new window.

    The left part of the configuration window mostly contains information about an agent. Those fields (from the top to the bottom of the window) are joined into three groups: Agent information, Statistics and Agent status.

    Agent information:
    You are not able to change information shown in grey fields. They show data that was predefined by a software developer.

  • Agent: an internal name of an agent
  • Platform: OS platform that this agent is designed for.
  • Version: the version number of the agent.
  • Developer: the company that created RMA software.
  • Comment: this is the only field available for editing in this section. Here you may specify a comment (actually you may type any text here, it could be a simple recognizable name or an identifier for this agent). This helps to identify agents easier.
    HostMonitor and RMA Manager will display the content of these fields when they work with remote agents.

    Statistics
  • Active remote connections: this is the number of requests that this agent is currently processing.
  • Connections performed: the number of requests processed since last time the agent was started.
  • Connections rejected: the number of requests that have been rejected by the agent since it was started. A rejection may be a result of a connection with invalid password or from an IP address that is not allowed.

    Agent status
    These three fields show the status of an agent as an application or Win32 service (you may start an agent in either of these two modes). Also this section shows you the state of currently edited agent configuration i.e.: are the changes for the current configuration already saved or not. Each field is followed by a corresponding control button:

    • Settings: initially, or after you just have started configuration utility, this field says "Applied". This means that the current settings of RMA were not changed yet. As soon as you start typing in any of the fields available for the user, caption changes to "Modifications are not saved" as a reminder that the current changes for the configuration are not saved and thus are not in effect. Only after you click the button "Apply" the changes will be saved. Note that after you have applied changes the caption returns to "Applied".

    • Application status: says either "Active" when RMA is running as a regular application or "Not Active" when RMA is not running. The button beside this field is correspondingly captioned saying "Activate" when RMA is not running, so it will start RMA if you press it. Caption "Deactivate" on the button means that RMA is currently running as a regular application and if you press the button it will be terminated.
      Note that the configuration utility is a separate application and it may run independently, even when RMA is not running.

    • Service status: On Windows NT/2000/XP agent can be installed as a Win32 service. This field and the button display and control the status of RMA as a Win32 service. "Not installed" means RMA is not installed as a Win32 service. "Installed" means that RMA is already installed as a Win32 service. The button beside the field changes its` caption correspondingly - "Uninstall" when RMA is installed as a Win32 service or "Install" when its not. RMA in a Win32 service mode is loaded automatically at a system startup.

    • Service state: this field is empty when Win32 service is not installed. After the servise was installed the following captions will tell you its status: "STOPPED" means the service is installed but not started. "STARTED" is displayed when the service is running. The button "Start/Stop" allows you to start or stop the service.

    Settings

    Connection parameters
    • Port
      specifies the TCP port number which RMA utilizes to listen for incoming connections. Default setting is #1055.

    • Timeout
      the maximum amount of time (in seconds) that agent will keep waiting for the complete request packet from HostMonitor (after initial TCP connection established) before dropping the connection.

    • Password
      minimum six character length password. Using of an empty password is not permitted. The password is required for every communication session between RMA and HostMonitor or RMA and RMA Manager. All traffic between RMA and HostMonitor or RMA and RMA Manager is encrypted and the password itself is never transmitted through the network without encryption.

    Security settings

    • Accept connections from any IP address
      enabling this option will allow RMA to accept control commands from any IP address (as long as the incoming connection provides correct password)

    • Accept connections from following addresses
      specifies the list of IP addresses. After enabling this option RMA will accept remote connections only from the addresses in this list (password is required as always). Usually you have to add just one address to this list, namely the one for the system where HostMonitor is running.
      To add an address to the list press Insert key, to remove an address from the list press Ctrl+Del, to edit item press Enter or double-click it.

    • Enable following tests
      specifies the list of tests methods allowed for execution by this RMA. To enable a test mark the corresponding check box, to disable a test unmark the box near it.

    • Enable remote management from address
      this option sets the IP address from which it is allowed to control and manage RMA. Using RMA Manager installed on the system with that IP address you will be able to change agent's settings remotely, also you will be able to restart and terminate an agent.
      Note: Instead of single IP address you may specify a list and/or a range of IP addresses. IP addresses in the list should be separated by comma. Dash is used to define a range of addresses. Example: "127.0.0.1, 192.168.13.10 - 192.168.13.99, 165.14.22.1".

    • Enable remote updates from address
      this option allows remote updates of the RMA code (e.g. when a new version is available) from the IP address being provided. You may provide single IP address or you may specify a list and/or a range of IP addresses. IP addresses in the list should be separated by comma. Dash is used to define a range of addresses. Example: "127.0.0.1, 192.168.13.10 - 192.168.13.99, 165.14.22.1".
      To upgrade an array of remote agents you may use RMA Manager.

    Logging

    • Successful audit log to
      here you may specify a log file where agent will store information about successfully accepted connections. This log has no use when everything works well (it then just takes space on the hard drive), but you may found it really helpful when a sophisticated network problem has to be fixed. If you specify just the name of the file (without a full path), an agent will store a log in the same directory where it was started from.

    • Failure audit log to
      you may specify another log file where an agent will store information about rejected requests. E.g.: connections from an IP addresses that are not allowed or connections with invalid password, etc. Log file is a simple text file that contains date of the event, remote IP address from which an attempt of connection has occurred and information about the error. If you specify just the file name (without path), an agent will store it in the directory where it was started from.

    RMA Manager
    To configure huge arrays of remote agents installed in different networks you may use RMA Manager. It allows you to change settings for hundreds of agents installed on remote systems at one time and from one comfortable location.

    How to use

    O.k., now when you have your agents installed in different networks, how to use them?
    HostMonitor since version 4.0 supports a list of remote agents and can perform tests not only by itself but also may send a request to the agent which will then execute the test. Every test in HostMonitor has now an additional property: "Test by". By default it has the value "HostMonitor"; it means that the test will be executed by HostMonitor. Alternatively you may choose an agent from drop down list and the test will be performed by that agent.

    Known problems:

    Windows 95, 98, ME, NT Workstation, 2000/XP Professional has a serious limitation: maximum length of the queue for pending TCP connections is limited to 5 items.
    This limitation creates problems when you want to perform lots of tests by a single remote agent (e.g. monitoring many systems by a single agent that is installed on the system in the remote network).

    Suggested solution:
    To avoid possible rejections of requests caused by the queue overflow you should:

    • Install an agent on the system with Windows NT/2000/XP Server edition.
    • Or you may set parameter "Do not start more then [N] tests per second" to 5 or less. This option is located on Behavior page in the HostMonitors` options dialog.

    Minimum system requirements

    • Windows 95 (OSR2), 98, ME, NT 4.0, Windows 2000, or XP
    • TCP/IP connection (LAN or Dial-up)
    • 2 Mb of free disk space
    Recommended:
    • Windows 2000

    How much does it cost?

    When you purchase an Advanced Host Monitor ENTERPRISE edition you will get the license for 10 installations of the agent at no cost. Otherwise you may buy licenses in sets of 10 ($80 per 10 licenses) or in sets of 100 licenses ($300 per one set of 100). You may order Remote Monitoring Agent using credit card, Switch and Solo debit cards, check/money order or wire transfer. If you are concerned about submitting your order and/or credit card information online, you may order the license via phone, fax or postal mail.
    Details..


Telnet Service

HostMonitor's Main Page HM Telnet Service
Version 1.00
Copyright (c) 2000-2004 KS-Soft
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

HM Telnet Service is an auxiliary application for HostMonitor. It is included into Advanced Host Monitor package. Enterprise license for Advanced Host Monitor already includes a license for HM Telnet Service. Holders of a Lite, Standard or Professional licenses may buy an additional license for Telnet Service separately.

Intro [image] Settings [image] Quick start [image] Commands [image] System Requirements [image] Price

This application works like Telnet server and allows you to control HostMonitor remotely using any telnet client. Telnet Service allows you to check brief or detailed status of any test and folder. Also you can disable and enable tests, reset statistics, force tests to execution and even change some parameters of the tests. HM Telnet Service allows you to start or stop monitoring process, enable or disable alerts, change global macro variables, etc.

Features:

  • All data transmission between HostMonitor and Telnet Service is encrypted and password protected;
  • HostMonitor & Telnet Service allow you to setup different user accounts with different sets of permissions;
  • Application can be installed on the HostMonitor's system or can be located on any another system that is accessible by TCP/IP protocol;
  • Telnet Service can be started as a regular application or as a Win32 service.

Settings
It is very easy to configure Telnet Service:

RCI (Remote Control Interface) settings

  • Address: here you should provide an address of the system where HostMonitor is installed (keep the default '127.0.0.1' if HostMonitor and Telnet Service are installed on the same system)
  • Port: please provide TCP port that is used by HostMonitor's Remote Control Interface (1054 by default)
  • Timeout: the maximum amount of time (in seconds) that Telnet Service will keep waiting for the reply from HostMonitor before returning an error response to the client.
Telnet server settings

  • Port: TCP port which Telnet Service utilizes to listen for incoming connections from the telnet client (default TCP port for telnet protocol is 23. You may need to change it in case you already have a regular telnet server running on the same system).

  • Application status: set "Active" to activate Telnet service (it will then start listening for incoming connections and will respond to requests from any telnet client). If you start the software as a Win32 service then telnet server will be activated regardless of this option at the system startup.

Win32 service mode:
This group of controls allows you to check the status of the Windows service, install/uninstall, start or stop the service:
  • Install / Uninstall: this button allows you to install/uninstall software as a Win32 service
  • Start / Stop: this button allows you to start/stop the service

How to do (Quick start)
 To allow remote management of HostMonitor via telnet client follow these simple steps:
  • start HostMonitor

  • configure HostMonitor's Remote Control Interface on RCI page in the Options dialog

  • setup user accounts: use HostMonitor's menu "User"->"Operators"

  • start the Telnet Service. You can start it on the same system where HostMonitor is running or on any system that has TCP/IP connection with HostMonitor's system. E.g. HostMonitor can be installed on the server inside of a corporate network but Telnet Service can be running on your home computer.

  • configure Telnet Service: provide an address of the HostMonitor's system and TCP port that you had specified for RCI

That's it. Now you can start telnet client (e.g. standard client included in Windows) and connect to HostMonitor using an address of the system where Telnet Service is running (e.g. 209.173.80.15 or www.mycompany.com).
If you are running regular telnet server and our Telnet Service is installed on the same system, change the TCP port of our Telnet Service from 23 (default) to any other. In this case you will need to specify this port number for telnet client as well.

Commands

When you start telnet client and establish a connection with Telnet Service, you will be asked for your user name and password. You will then get the rights and permissions that are specified in your user account. E.g. "Admin" can perform any operations, "Guest" can only view test statuses, etc.

After logging in you may type commands that Telnet Service will execute. You will then see responses from HostMonitor.
Here are some common rules for the commands:

  • commands are not case sensitive (e.g. "stop monitoring" and "STOP Monitoring" mean the same);
  • commands that work with tests affect only tests from Current Folder (initially after session was started the root folder is current);
  • parameters of the commands (e.g. <test name> or <group name>) are indeed case sensitive;
  • parameters shown in [..] are optional, you may use them or not;
  • symbol '|' means either one or another (e.g. <test name> | <group name> means that you may provide the name of the test or the name of the special group);
  • if some parameter (e.g. <test name>) includes spaces, conclude parameter into double or single quotation marks (e.g. TestInfo 'Main Router').

    List of available commands:

    Command | Parameter(s) | Description
    - management commands:
    getstatus | Retrieves information about HostMonitor (version, status of the application, parameters).
    start monitoring | Starts monitoring. Accomplishes the same action as clicking the Start button on the Main window of HostMonitor.
    stop monitoring | Stops monitoring. HostMonitor will still remain running as an application (or as Win32 service) but will not perform any tests.
    enable alerts | Enables alert actions of HostMonitor.
    disable alerts | Disables alert actions of HostMonitor.
    reload app | Reloads HostMonitor (as a service if it was started in Win32 service mode or as an application if it was started as a regular application).
    reload cfg | Forces the HostMonitor to reread its` settings from the .ini file.
    terminate | Terminates HostMonitor.
    - folder/test lists:
    CD | ChangeFolder <folder name>|<path>

    Sets the current folder. All commands affect tests only from the current folder.
    You may specify the name of the folder without the full path if it is a subfolder of the current folder. You may specify the full path to the folder which you want to make current. You may use ".." instead of a folder name when you want to step up one level. This command actually uses similar syntax as MS-DOS or UNIX command interpreter.
    Examples:
    CD "Main office"
    CD Root\USA\Office
    CD ..
    ChangeFolder ..\..\pingtests\

    FL | ShowFolders [-r] Displays the list of subfolders within the current folder. The numbers of Good/Bad/Unknown tests are displayed for each folder.
    If an optional parameter "-r" was provided then all descendant subfolders would be displayed as well.
    TL | ShowTests [-r] [-s:<sort mode>] Displays the list of all tests (name, status, reply) within the current folder. If an optional parameter "-r" was provided then the tests from all descendant subfolders would be displayed. Another optional parameter "-s:<sort mode>" defines the sorting order. <sort mode> could be one of the following: name, status, testtime, reply, method.
    Examples:
    ShowTests
    TL -r
    TL -r -s:name
    TI | TestInfo | <test name> | Displays detailed information about specified test. It tries to find specified test in a current folder, if the test was not found there, HostMonitor continues to check all available folders until it finds the test with the specified name.
    - test manipulation:
    DisableTest <test name> | <group name>
    [-r]     		Disables specified test or group of tests. If an optional parameter "-r" is provided then this operation will be applied to the current folder and all descendant subfolders within it.
    EnableTest <test name> | <group name>
    [-r]     		Enables specified test or group of tests. If an optional parameter "-r" is provided then this operation will be applied to current folder and all descendant subfolders.
    RefreshTest <test name> | <group name>
    [-r]     		Forces specified test or group of tests to execution. If an optional parameter "-r" is specified then operation will be applied to current folder and all descendant subfolders.
    ResetTest <test name> | <group name>
    [-r]     		Resets statistics for specified test or group of tests. If an optional parameter "-r" is specified then operation will be applied to current folder and all its` subfolders.
    DisableAll | [-r] | Disables all tests within the current folder. If an optional parameter "-r" is specified then all tests within the current folder including all subfolders will be disabled.
    EnableAll | [-r] | Enables all tests within the current folder. If an optional parameter "-r" is provided then all tests within the current folder and all its` subfolders will be enabled.
    RefreshAll | [-r] | Forces all tests within the current folder to execution. If an optional parameter "-r" is specified then the command affects subfolders as well.
    ResetAll | [-r] | Resets statistics for all tests within current folder. If an optional parameter "-r" is specified then the subfolders are included as well.
    SetTestParam <test name> | <group name>
    <param>
    <new value>
    [-r]     		Sets a value of a given parameter for the specified test or group of tests. <Param> could be one of the following:
  • timeout
  • username
  • password
  • comment
  • commentlineNN (where NN is a number between 1 and 99)
    Example: SetTestParam _AllTCP timeout 2000
    • ReplaceTestParam <test name> | <group name>
    <param>
    <current value>
    <new value>
    [-r]

    Replaces a value of a given parameter for the specified test or group of tests. Unlike "SetTestParam" command, this one works selectively. It changes the value of a parameter only for the tests that already have a current value of this parameter equal to the <current value> argument of the command.
    Example: ReplaceTestParam _AllTCP timeout 2000 5000

    - global variable commands:
    ShowUserVariables | [<variable>] | Shows the list of global macro variables and their current values. If an optional parameter <variable> is specified then only the value of this variable will be displayed
    SetUserVariable <variable> <value> Sets the value of a variable (if such variable does not exist, creates a new variable).
    Note: Variable names are not case sensitive.
    SaveUserVariables | Saves changes
    LoadUserVariables | Loads previously saved variables
    - other:
    Help | Displays list of available commands (and parameters)
    Disconnect | Disconnects client from HostMonitor

    Most of commands that work with tests allow you to use special group name instead of name of the test. In this case a command will be applied to all tests of specific type (within the current folder).
     Available group names:
    Group name | Test type (method)
    _AllPing | Ping tests
    _AllTrace | Trace tests
    _AllRAS | RAS tests
    _AllTCP | TCP tests
    _AllUDP | UDP tests
    _AllSMTP | SMTP tests
    _AllPOP3 | POP3 tests
    _AllIMAP | IMAP tests
    _AllDNS | DNS tests
    _AllLDAP | LDAP tests
    _AllNTP | NTP tests
    _AllRadius | Radius tests
    _AllHTTP | HTTP tests
    _AllURL | URL tests
    _AllUNC | UNC tests
    _AllFreeSpace | Drive Free Space tests
    _AllFolderSize | Folder/File Size tests
    _AllFileExists | File/Folder Availability tests
    _AllCountFiles | Count Files tests
    _AllFileContents | File Integrity tests
    _AllFileComp | Compare Files tests
    _AllProcess | Process tests
    _AllService | Service tests
    _AllNTLog | NT Event Log tests
    _AllCPU | CPU Usage tests
    _AllPerfCounter | Performance Counter tests
    _AllODBC | ODBC tests
    _AllInterbase | Interbase tests
    _AllMsSQL | MS SQL tests
    _AllMySQL | MySQL tests
    _AllOracle | Oracle tests
    _AllPostgre | Postgre tests
    _AllSybase | Sybase tests
    _AllSNMP | SNMP tests
    _AllExternalPrg | External tests
    _AllScript | Script tests

    Examples:
  DisableTest  _AllTCP -r
  EnableTest   _AllPing
  RefreshTest  _AllURL
  RefreshTest  "my router"
  EnableAll

    Minimum system requirements

    • Windows 95 (OSR2), 98, ME, NT 4.0, Windows 2000, or XP
    • TCP/IP connection (LAN or Dial-up)
    • 1 Mb of free disk space

    How much does it cost?

    When you purchase an Advanced Host Monitor ENTERPRISE edition you will get the license for Telnet Service at no cost. Otherwise the license for Telnet Service + Web Service costs $50. You can order Telnet Service using credit card, Switch and Solo debit cards, check/money order or wire transfer. If you are concerned about submitting your order and/or credit card information online, you may register the software via phone, fax or postal mail.
    Details..


Web Service

HostMonitor's Main Page HM Web Service
Version 1.05
Copyright (c) 2000-2004 KS-Soft
What's New What's New Copyright/License/Warranty Download HostMonitor Download Registration Information Buy Now

RMA for Windows
RMA for Unix

HM Web Service is an auxiliary application for HostMonitor. It is included into Advanced Host Monitor package. Enterprise license for Advanced Host Monitor already includes a license for HM Web Service. Holders of a Lite, Standard or Professional licenses may buy an additional license for Web Service separately.

Intro [image] Quick start [image] Settings [image] Advanced [image] Web Interface [image] System Requirements [image] Price

This application works like an HTTP server and provides web interface for HostMonitor. It means you can install Web Service on a local or remote system and check (and control) HostMonitor in real time using a web browser on any computer that is connected to the Internet.
Web Service allows you to check brief or detailed status of any test and folder. Also you may disable or enable tests, reset statistics and force tests to execution. You will be able to start and stop monitoring, enable and disable alerting, etc.

Features:

  • All data transmission between HostMonitor and Web Service is encrypted and password protected;
  • HostMonitor & Web Service allow you to setup different user accounts with different sets of permissions;
  • Controlling the HostMonitor is not the only function of HM Web Service. It can be used as a simple web server providing access to files on a system where the Web Service is running. You may view HTML reports, logs and settings from anywhere.
  • Web service can be started as regular application or as Win32 service.

How to do (Quick start)
 To allow remote management of HostMonitor via web browser follow these simple steps:
  • start HostMonitor

  • configure HostMonitor's Remote Control Interface on RCI page in the Options dialog
    Please note: when an internet browser acquires the document from the internet it may fetch several parts of the document at once to increase performance. Thus "Maximum simultaneous connections" option of the HostMonitor's RCI interface should be set to 4 (minimum) even if just one user at a time will be connected to HostMonitor. Otherwise the web browser may not be able to display a web page correctly.

  • setup user accounts: use HostMonitor's menu "User"->"Operators"

  • start the Web Service. You can start it on the same system where HostMonitor is running or on any system that has TCP/IP connection with HostMonitor's system. E.g. HostMonitor can be installed on the server inside of a corporate network but Web Service can be running on your home computer.

  • configure Web Service: provide an address of the HostMonitor's system and TCP port that you had specified for RCI

That's it. Now you can open web browser and enter an address of the system where Web Service is running (e.g. 209.173.80.15 or www.mycompany.com).
If you are running regular web server and our Web Service is installed on the same system, change the TCP port of Web Service from 80 to any other (e.g. 81). In this case you will need to specify the port number in the URL that you are typing in browser's window, e.g. http://www.mycompany.com:81

Settings
It is very easy to configure Web Service:

RCI (Remote Control Interface) settings

  • Address: here you should provide an address of the system where HostMonitor is installed (keep the default '127.0.0.1' if HostMonitor and Web Service are installed on the same system)
  • Port: please provide TCP port that is used by HostMonitor's Remote Control Interface (1054 by default)
  • Timeout: the maximum amount of time (in seconds) that Web Service will keep waiting for the reply from HostMonitor before returning an error response to the browser.
Web server settings

  • Port: TCP port on which Web Service will listen for incoming connections from the web browser (default TCP port for HTTP protocol is 80. You may need to change it in case you already have a regular web server running on the same system).

  • Application status: set "Active" to activate Web service (it will then start listening for incoming connections and will respond to HTTP requests from any web browser). If you start the software as a Win32 service then web server will be activated regardless of this option at the system startup.

Win32 service mode:
This group of controls allows you to check the status of the Windows service, install/uninstall, start or stop the service:
  • Install / Uninstall: this button allows you to install/uninstall software as a Win32 service
  • Start / Stop: this button allows you to start/stop the service

Advanced options
 This button brings up a window with some optional (non obligatory) settings.

  • Use HTML command to force browser to refresh content every XX sec
    Normally the content of a web browser window is refreshed only after the user had pressed the refresh button or after he had performed some operations (e.g. disabled or enabled a test). With this option enabled Web Service will force browser to refresh the content every XX seconds.

    • Controlling the HostMonitor is not the only function of HM Web Service. It can be used as a simple web server providing an access to the files on a system where the Web Service is running. You may view HTML reports, logs and settings from anywhere.
    Use the following settings for enabling multilevel access to files and folders of a system where Web Service is running:

  • Allow access to folder <path to folder> for everybody
    You may enable an access to a specified folder (and all subfolders) for anybody who uses web browser and is connected to Internet/Intranet. Anybody on the Internet/Intranet will be able to access this folder without authorization.
    Regardless of the real name of the shared folder on your computer it will be visible under the name "public". For example if Web Service is running on the machine hostmonitor.mycompany.com then to access the shared folder you should use this URL: "http://hostmonitor.mycompany.com/public/" (if the name of the of the target file or folder is not specified then the closing "/" should always be present in url string).

  • Allow access to folder <path to folder> for any authorized user
    You may enable an access to a specified folder (and all subfolders) for authorized users only. The user account with remote access permissions should be present in HostMonitor. When the user will try to access this folder via internet he will be asked to provide his user name and a password.
    Regardless of the real name of the shared folder in the computer it will be visible under the name "authorized". For example if Web Service is running on the machine hostmonitor.mycompany.com then to access the shared folder you should use this URL: "http://hostmonitor.mycompany.com/authorized/" (if the name of the target file or folder is not specified then the closing "/" should always be present in url string).

  • Allow access to folder <path to folder> for the following users
    You may enable an access to a specified folder (and all subfolders) for specified user(s) only, (e.g. you may allow an access only for "Admin" and "Manager"). The user account with remote access permissions should be present in HostMonitor. When the user will try to access this folder via internet he will be asked to provide his user name and a password.
    Regardless of the real name of the shared folder in the computer it will be visible under the name "private". For example if Web Service is running on the machine hostmonitor.mycompany.com then to access the shared folder you should use this URL: "http://hostmonitor.mycompany.com/private/" (if the name of the of the target file or folder is not specified then the closing "/" should always be present in url string).

    If you will allow an access to public or authorized folders where HostMonitor stores private logs (for some tests) then the links to these private logs will be visible and users will be able to check the logs. Note that the "private log" field must be included in the list of displayed fields.

Web Interface

When you start a new instance of the browser and request information from the HostMonitor, the browser first will ask for your name and password. You will get the rights and permissions that are specified in your user account. E.g. admin can perform any operations, guests can only view test statuses, etc.

Main Web Service Interface Window
The main interface window has three major areas. The upper part of the main window is a Status bar that displays general information about HostMonitor. Left part of the main window is a Folder section that displays information about all folders of HostMonitor. The right part - Test section shows the detailed information about the tests either from within the selected folder(s). The footer of the Test section shows a brief summary of what you see in the main window.

Status Bar
 In the upper part of the browser window the following general information and options are available:

  • Version of the host monitor and the name of the system where the Host Monitor is installed.
  • The date and the time when the HostMonitor was started on that system.
  • The whole number of tests (the number of performed tests is shown separately).
  • The number of test folders.
  • The number of tests with "good", "bad" and "unknown" results.
You may also perform the following "global" actions using the buttons located in the status bar.

  • "Start/Stop Monitor"
    this button starts or stops all monitoring. The caption of the button changes to reflect the current state of the HostMonitor on the remote (local) system. When it says "Start Monitor" it means that the HostMonitor is currently stopped and you have to press this button to force it to start monitoring. When it says "Stop Monitor" it means that the HostMonitor already performs monitoring and you may press this button to forcibly stop monitoring.

  • "Start/Stop Alerts"
    this button starts or stops alerts of the HostMonitor. The caption of the button changes to reflect the current state of the Alerts on HostMonitor. When it says "Start Alerts" it means that the Alerts are currently stopped and you have to press this button to force them to start again. When it says "Stop Alerts" it means that the Alerts are now on and you may stop them by pressing this button.

  • "Reload HM"
    this button forces the system to reload the HostMonitor.
  • "Reload Opt"
    this button forces the HostMonitor to reread its` settings from the .ini file.

After you click any of the buttons mentioned above a confirmation browser window will popup telling you which action was performed.

Folder section.
 Here you see the list of all folders and subfolders available in HostMonitor. If you click on the folder name you will see the list of tests from that folder in the right pane of interface window.
Each folder has an indicator to the left of the folder name. When an indicator is green it means that all the tests in this folder have "good" status, yellow means that one or more tests have "unknown" status, red is an indication that at least one test has a "bad" status. There are also numbers to the right of the folder name. They show the number of "good"/"bad"/"unknown" tests in the folder.

Test section
 This is the main part of HostMonitor's web interface. It displays the list of all tests from within the selected folder. The first field in a list is always a link. This link will take you to a new window with detailed information about the test.
You may set the HostMonitor to show you any available property of the test in this list, sort them, filter by the status and perform the following actions with tests:

  • Select the test, use the checkbox in front of each test name. Mark it to select the test or unmark it to deselect it.
  • Mark All - selects all tests in the list.
  • Unmark All, use this command to unmark (clear) all checkboxes at once.
  • Invert, inverts the selection thus selecting those tests that were not selected before and deselects those that were selected.
  • Refresh, refreshes the information about selected test(s) by forcing them to execution.
  • Reset, resets the statistics for the selected test(s).
  • Enable, enables selected test(s).
  • Disable, disables selected test(s).
The footer of the Test section shows a brief summary of what you see in the main window.

Preferences
This link brings up the options/settings window. The settings and options that you define through this window are individual for each user and they are stored with Web Server so that when you will log in to HostMonitor next time (even from some another computer) your settings from the previous session will be saved for you.
The following options are available:
  • Display all (sub)folders at once
    With this option selected Web Service will always display expanded view of all folders and descendant subfolders in the Folder section.
  • Use interactive folder tree (cookies must be enabled)
    With this option selected you will be able to expand or collapse any folder(s).

  • Folder section width
    This parameter allows you to set the default width (in pixels) for the Folder section.

  • Display tests from current folder only
    When this option is enabled the right pane will show you only the tests from the current folder (the one that is selected through the left pane; the name of this folder is shown in bold) not including the tests from the subfolders.

  • Display tests from current folder and all subfolders
    This option allows you to see all tests from the current folder and all of subfolders.

  • Display folder name for each section
    This option lets you to see the name(s) of folder(s) in the right pane of the window. The folder name appears at the begining of the list of tests from within that folder. You may found this option useful especially when the current folder has lots of subfolders.

  • Skip empty folders
    After enabling this feature folders that have no tests in them will disappear from the right pane.

  • Sort by, here you may specify the field to sort the tests by.
  • Sort order, you may set the ascending or descending sort direction.

  • Test items per row
    This option allows you to place more then one tests in each row of the tests list, so that tests will be arranged in columns.

  • Display the following test properties
    This is an array of checkboxes, by marking/unmarking them you may specify the list of fields (test properties) to display.

  • Display only tests that have following statuses
    Here you may filter the list of tests forcing the Web Service to show you only the tests with certain statuses.

After you had changed any of the options do not forget to hit "Submit" button. Only after this the changes will take effect. Hitting the "Back" button in the settings window as well as the browsers back button will discard all your changes. The button "Reset" sets all settings to their default values. Note, after you have changed the settings in web interface you may need to click browsers "refresh" button to see immediate results of the changes.

Minimum system requirements
The system on which you plan to run the HM Web Service should meet the following requirements:

  • Windows 95 (OSR2), 98, ME, NT 4.0, Windows 2000, or XP
  • TCP/IP connection (LAN or Dial-up)
  • 1 Mb of free disk space
Internet browser requirements
You may use almost any web browser to work with HM Web Service. However the following requirements for the browser are essential:
  • browser must support styles
  • browser must support java script
  • browser must support frames
  • browser must support forms
Recommended:
  • Internet Explorer 5+

How much does it cost?

When you purchase an Advanced Host Monitor ENTERPRISE edition you will get the license for Web Service at no cost. Otherwise the license for Web Service + Telnet Service costs $50. You can order Web Service using credit card, Switch and Solo debit cards, check/money order or wire transfer. If you are concerned about submitting your order and/or credit card information online, you may register the software via phone, fax or postal mail.
Details..